#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 16: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 47: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 28: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 86: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QColor
      switch(to) {
        case 7: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 8:   //QContextMenuEvent
      switch(to) {
        case 8: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 16:   //QFrame
      switch(to) {
        case 47: return (void*)(QWidget*)(QFrame*)xptr;
        case 28: return (void*)(QObject*)(QFrame*)xptr;
        case 16: return (void*)(QFrame*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 86: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 18:   //QHideEvent
      switch(to) {
        case 18: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QIODevice
      switch(to) {
        case 28: return (void*)(QObject*)(QIODevice*)xptr;
        case 19: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 20:   //QImage
      switch(to) {
        case 20: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 21:   //QInputMethodEvent
      switch(to) {
        case 21: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QKeyEvent
      switch(to) {
        case 22: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QMenu
      switch(to) {
        case 23: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QMouseEvent
      switch(to) {
        case 26: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QMoveEvent
      switch(to) {
        case 27: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QObject
      switch(to) {
        case 28: return (void*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 48: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 53: return (void*)(QsciLexer*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 86: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 84: return (void*)(QsciMacro*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 29:   //QPaintEngine
      switch(to) {
        case 29: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEvent
      switch(to) {
        case 30: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QPainter
      switch(to) {
        case 31: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 32:   //QPalette
      switch(to) {
        case 32: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 33:   //QPixmap
      switch(to) {
        case 33: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 34:   //QPoint
      switch(to) {
        case 34: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 35:   //QPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 36:   //QRect
      switch(to) {
        case 36: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 37:   //QRegExp
      switch(to) {
        case 37: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 38:   //QResizeEvent
      switch(to) {
        case 38: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QSettings
      switch(to) {
        case 39: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 40:   //QShowEvent
      switch(to) {
        case 40: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QSize
      switch(to) {
        case 41: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 42:   //QStyle
      switch(to) {
        case 42: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 43:   //QTabletEvent
      switch(to) {
        case 43: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QTimerEvent
      switch(to) {
        case 44: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QVariant
      switch(to) {
        case 45: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 46:   //QWheelEvent
      switch(to) {
        case 46: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QWidget
      switch(to) {
        case 28: return (void*)(QObject*)(QWidget*)xptr;
        case 47: return (void*)(QWidget*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 86: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 48:   //QsciAPIs
      switch(to) {
        case 49: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 28: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 49:   //QsciAbstractAPIs
      switch(to) {
        case 28: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 50:   //QsciCommand
      switch(to) {
        case 50: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 51:   //QsciCommandSet
      switch(to) {
        case 51: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 52:   //QsciDocument
      switch(to) {
        case 52: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexer
      switch(to) {
        case 28: return (void*)(QObject*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerBash
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 54: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerBatch
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 55: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCMake
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 56: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCPP
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 57: return (void*)(QsciLexerCPP*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerCSS
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 58: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerCSharp
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerCustom
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 60: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerD
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 61: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerDiff
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 62: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerFortran
      switch(to) {
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 63: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerFortran77
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerHTML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 65: return (void*)(QsciLexerHTML*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerIDL
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 66: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerJava
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 67: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerJavaScript
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerLua
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 69: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerMakefile
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPOV
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 71: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerPascal
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 72: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerPerl
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 73: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerPostScript
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerProperties
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 75: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerPython
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 76: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerRuby
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 77: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerSQL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 78: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerTCL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 79: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerTeX
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 80: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 81:   //QsciLexerVHDL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 82:   //QsciLexerXML
      switch(to) {
        case 65: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 82: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 83:   //QsciLexerYAML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 83: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 84:   //QsciMacro
      switch(to) {
        case 28: return (void*)(QObject*)(QsciMacro*)xptr;
        case 84: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 85:   //QsciPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 86:   //QsciScintilla
      switch(to) {
        case 87: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 28: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 86: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 87:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 28: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 87: return (void*)(QsciScintillaBase*)xptr;
        case 86: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 88:   //QsciStyle
      switch(to) {
        case 88: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 89:   //QsciStyledText
      switch(to) {
        case 89: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: QsciAbstractAPIs
    28, 0,	// 3: QObject
    53, 0,	// 5: QsciLexer
    57, 0,	// 7: QsciLexerCPP
    64, 0,	// 9: QsciLexerFortran77
    65, 0,	// 11: QsciLexerHTML
    35, 0,	// 13: QPrinter
    87, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciCommand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QColor", true, 0, 0, 0, 0, 0 },	//7
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QFrame", true, 0, 0, 0, 0, 0 },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//17
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//19
    { "QImage", true, 0, 0, 0, 0, 0 },	//20
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QMenu", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QObject", true, 0, 0, 0, 0, 0 },	//28
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QPainter", true, 0, 0, 0, 0, 0 },	//31
    { "QPalette", true, 0, 0, 0, 0, 0 },	//32
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//33
    { "QPoint", true, 0, 0, 0, 0, 0 },	//34
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//35
    { "QRect", true, 0, 0, 0, 0, 0 },	//36
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//37
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QSettings", true, 0, 0, 0, 0, 0 },	//39
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QSize", true, 0, 0, 0, 0, 0 },	//41
    { "QStyle", true, 0, 0, 0, 0, 0 },	//42
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QVariant", true, 0, 0, 0, 0, 0 },	//45
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QWidget", true, 0, 0, 0, 0, 0 },	//47
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//48
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//49
    { "QsciCommand", false, 0, xcall_QsciCommand, xenum_QsciCommand, 0, sizeof(QsciCommand) },	//50
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//51
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//52
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//53
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//54
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//55
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//56
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//57
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//58
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//59
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//60
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//61
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//62
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//63
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//64
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//65
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//66
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//67
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//68
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//69
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//70
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//71
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//72
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//73
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//74
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//75
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//76
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//77
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//78
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//79
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//80
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//81
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//82
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//83
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//84
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//85
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//86
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//87
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//88
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//89
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QColor", 7, Smoke::t_class|Smoke::tf_stack },	//6
    { "QContextMenuEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QFont", 15, Smoke::t_class|Smoke::tf_stack },	//14
    { "QHideEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QIODevice*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QInputMethodEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QKeyEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//21
    { "QMenu*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QMouseEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QMoveEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QPaintEngine*", 29, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPaintEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QPainter&", 31, Smoke::t_class|Smoke::tf_ref },	//31
    { "QPainter*", 31, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QPrinter::PrinterMode", 35, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QRect&", 36, Smoke::t_class|Smoke::tf_ref },	//34
    { "QRegExp&", 37, Smoke::t_class|Smoke::tf_ref },	//35
    { "QResizeEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QSettings&", 39, Smoke::t_class|Smoke::tf_ref },	//37
    { "QShowEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QSize", 41, Smoke::t_class|Smoke::tf_stack },	//39
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//42
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//43
    { "QStyle&", 42, Smoke::t_class|Smoke::tf_ref },	//44
    { "QTabletEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QTimerEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QVariant", 45, Smoke::t_class|Smoke::tf_stack },	//47
    { "QWheelEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QWidget*", 47, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QsciAPIs*", 48, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QsciAbstractAPIs*", 49, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciCommand*", 50, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciCommand::Command", 50, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QsciCommandSet*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciDocument", 52, Smoke::t_class|Smoke::tf_stack },	//55
    { "QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref },	//56
    { "QsciDocument*", 52, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexer*", 53, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerBash*", 54, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerBatch*", 55, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerCMake*", 56, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerCPP*", 57, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerCSS*", 58, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerCSharp*", 59, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerCustom*", 60, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerD*", 61, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerDiff*", 62, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerFortran*", 63, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerFortran77*", 64, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerHTML*", 65, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerIDL*", 66, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerJava*", 67, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerJavaScript*", 68, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerLua*", 69, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerMakefile*", 70, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPOV*", 71, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerPascal*", 72, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciLexerPerl*", 73, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerPostScript*", 74, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerProperties*", 75, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerPython*", 76, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerPython::IndentationWarning", 76, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QsciLexerRuby*", 77, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciLexerSQL*", 78, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciLexerTCL*", 79, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciLexerTeX*", 80, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciLexerVHDL*", 81, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciLexerXML*", 82, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QsciLexerYAML*", 83, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QsciMacro*", 84, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QsciPrinter*", 85, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QsciScintilla*", 86, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QsciScintilla::AnnotationDisplay", 86, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::AutoCompletionSource", 86, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::AutoCompletionUseSingle", 86, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::BraceMatch", 86, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::CallTipsPosition", 86, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::CallTipsStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::EdgeMode", 86, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::EolMode", 86, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintilla::FoldStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QsciScintilla::IndentState", 86, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QsciScintilla::IndicatorStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QsciScintilla::MarginType", 86, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QsciScintilla::MarkerSymbol", 86, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QsciScintilla::WhitespaceVisibility", 86, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QsciScintilla::WrapIndentMode", 86, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QsciScintilla::WrapMode", 86, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QsciScintilla::WrapVisualFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QsciScintillaBase*", 87, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QsciStyle*", 88, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QsciStyle::TextCase", 88, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QsciStyledText", 89, Smoke::t_class|Smoke::tf_stack },	//113
    { "QsciStyledText*", 89, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//155
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//188
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//189
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//190
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//191
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//192
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QColor&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QImage&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//200
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//201
    { "const QPalette&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QPixmap&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QPoint&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QRect&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QRegExp&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//209
    { "const QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QsciStyle&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QsciStyledText&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//213
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//214
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//215
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//216
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//217
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//218
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//219
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//220
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//221
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//222
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//223
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    12, 0,	//1  QEvent*
    48, 0,	//3  QWheelEvent*
    27, 12, 0,	//5  QObject*, QEvent*
    46, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    213, 0,	//12  const char*
    28, 0,	//14  QPaintDevice::PaintDeviceMetric
    189, 0,	//16  bool
    215, 0,	//18  int
    18, 0,	//20  QKeyEvent*
    26, 0,	//22  QMoveEvent*
    5, 0,	//24  QCloseEvent*
    45, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    38, 0,	//30  QShowEvent*
    15, 0,	//32  QHideEvent*
    188, 0,	//34  _XEvent*
    44, 0,	//36  QStyle&
    202, 0,	//38  const QPalette&
    195, 0,	//40  const QFont&
    213, 213, 0,	//42  const char*, const char*
    213, 213, 215, 0,	//45  const char*, const char*, int
    23, 215, 222, 0,	//49  QMetaObject::Call, int, void**
    58, 0,	//53  QsciLexer*
    207, 0,	//55  const QString&
    208, 42, 0,	//57  const QStringList&, QStringList&
    208, 215, 98, 21, 0,	//60  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    37, 213, 0,	//65  QSettings&, const char*
    53, 0,	//68  QsciCommand::Command
    37, 0,	//70  QSettings&
    210, 0,	//72  const QsciDocument&
    27, 0,	//74  QObject*
    217, 0,	//76  int*
    51, 0,	//78  QsciAbstractAPIs*
    194, 0,	//80  const QColor&
    92, 0,	//82  QsciScintilla*
    194, 215, 0,	//84  const QColor&, int
    189, 215, 0,	//87  bool, int
    195, 215, 0,	//90  const QFont&, int
    37, 207, 0,	//93  QSettings&, const QString&
    27, 189, 0,	//96  QObject*, bool
    215, 215, 0,	//99  int, int
    215, 211, 0,	//102  int, const QsciStyle&
    82, 0,	//105  QsciLexerPython::IndentationWarning
    207, 92, 0,	//107  const QString&, QsciScintilla*
    33, 0,	//110  QPrinter::PrinterMode
    31, 189, 34, 215, 0,	//112  QPainter&, bool, QRect&, int
    110, 215, 215, 0,	//117  QsciScintillaBase*, int, int
    108, 0,	//121  QsciScintilla::WrapMode
    110, 0,	//123  QsciScintillaBase*
    110, 215, 0,	//125  QsciScintillaBase*, int
    49, 0,	//128  QWidget*
    215, 216, 216, 0,	//130  int, int&, int&
    215, 207, 215, 0,	//134  int, const QString&, int
    215, 207, 211, 0,	//138  int, const QString&, const QsciStyle&
    215, 212, 0,	//142  int, const QsciStyledText&
    215, 197, 0,	//145  int, const QList<QsciStyledText>&
    215, 215, 215, 215, 215, 0,	//148  int, int, int, int, int
    100, 0,	//154  QsciScintilla::EolMode
    207, 189, 189, 189, 189, 189, 215, 215, 189, 189, 0,	//156  const QString&, bool, bool, bool, bool, bool, int, int, bool, bool
    207, 189, 189, 189, 189, 189, 189, 0,	//167  const QString&, bool, bool, bool, bool, bool, bool
    217, 217, 0,	//175  int*, int*
    217, 217, 217, 217, 0,	//178  int*, int*, int*, int*
    103, 215, 0,	//183  QsciScintilla::IndicatorStyle, int
    191, 0,	//186  char
    204, 0,	//188  const QPoint&
    215, 217, 217, 0,	//190  int, int*, int*
    105, 215, 0,	//194  QsciScintilla::MarkerSymbol, int
    191, 215, 0,	//197  char, int
    203, 215, 0,	//200  const QPixmap&, int
    196, 215, 0,	//203  const QImage&, int
    215, 219, 0,	//206  int, unsigned int
    16, 0,	//209  QIODevice*
    215, 203, 0,	//211  int, const QPixmap&
    215, 196, 0,	//214  int, const QImage&
    194, 194, 0,	//217  const QColor&, const QColor&
    93, 0,	//220  QsciScintilla::AnnotationDisplay
    208, 0,	//222  const QStringList&
    97, 0,	//224  QsciScintilla::CallTipsPosition
    98, 0,	//226  QsciScintilla::CallTipsStyle
    198, 0,	//228  const QList<int>&
    99, 0,	//230  QsciScintilla::EdgeMode
    215, 104, 0,	//232  int, QsciScintilla::MarginType
    109, 109, 215, 0,	//235  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    107, 0,	//239  QsciScintilla::WrapIndentMode
    215, 208, 0,	//241  int, const QStringList&
    207, 215, 215, 0,	//244  const QString&, int, int
    94, 0,	//248  QsciScintilla::AutoCompletionSource
    95, 0,	//250  QsciScintilla::AutoCompletionUseSingle
    96, 0,	//252  QsciScintilla::BraceMatch
    101, 215, 0,	//254  QsciScintilla::FoldStyle, int
    215, 189, 0,	//257  int, bool
    215, 207, 0,	//260  int, const QString&
    215, 215, 215, 215, 0,	//263  int, int, int, int
    106, 0,	//268  QsciScintilla::WhitespaceVisibility
    215, 215, 155, 0,	//270  int, int, Qt::KeyboardModifiers
    7, 0,	//274  QContextMenuEvent*
    207, 189, 189, 189, 189, 0,	//276  const QString&, bool, bool, bool, bool
    207, 189, 189, 189, 189, 189, 0,	//282  const QString&, bool, bool, bool, bool, bool
    207, 189, 189, 189, 189, 189, 215, 0,	//289  const QString&, bool, bool, bool, bool, bool, int
    207, 189, 189, 189, 189, 189, 215, 215, 0,	//297  const QString&, bool, bool, bool, bool, bool, int, int
    207, 189, 189, 189, 189, 189, 215, 215, 189, 0,	//306  const QString&, bool, bool, bool, bool, bool, int, int, bool
    207, 189, 189, 189, 0,	//316  const QString&, bool, bool, bool
    103, 0,	//321  QsciScintilla::IndicatorStyle
    105, 0,	//323  QsciScintilla::MarkerSymbol
    203, 0,	//325  const QPixmap&
    196, 0,	//327  const QImage&
    109, 0,	//329  QsciScintilla::WrapVisualFlag
    109, 109, 0,	//331  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    101, 0,	//334  QsciScintilla::FoldStyle
    219, 220, 218, 0,	//336  unsigned int, unsigned long, long
    219, 220, 221, 0,	//340  unsigned int, unsigned long, void*
    219, 220, 213, 0,	//344  unsigned int, unsigned long, const char*
    219, 213, 0,	//348  unsigned int, const char*
    219, 213, 213, 0,	//351  unsigned int, const char*, const char*
    219, 218, 0,	//355  unsigned int, long
    219, 215, 0,	//358  unsigned int, int
    219, 218, 218, 192, 0,	//361  unsigned int, long, long, char*
    219, 220, 194, 0,	//366  unsigned int, unsigned long, const QColor&
    219, 194, 0,	//370  unsigned int, const QColor&
    219, 220, 32, 205, 218, 218, 0,	//373  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    219, 220, 203, 0,	//380  unsigned int, unsigned long, const QPixmap&
    219, 220, 196, 0,	//384  unsigned int, unsigned long, const QImage&
    219, 0,	//388  unsigned int
    213, 215, 0,	//390  const char*, int
    215, 215, 215, 0,	//393  int, int, int
    215, 215, 213, 215, 215, 215, 215, 215, 215, 215, 0,	//397  int, int, const char*, int, int, int, int, int, int, int
    201, 0,	//408  const QMimeData*
    201, 190, 0,	//410  const QMimeData*, bool&
    193, 189, 0,	//413  const QByteArray&, bool
    8, 0,	//416  QDragEnterEvent*
    9, 0,	//418  QDragLeaveEvent*
    10, 0,	//420  QDragMoveEvent*
    11, 0,	//422  QDropEvent*
    13, 0,	//424  QFocusEvent*
    17, 0,	//426  QInputMethodEvent*
    149, 0,	//428  Qt::InputMethodQuery
    25, 0,	//430  QMouseEvent*
    30, 0,	//432  QPaintEvent*
    36, 0,	//434  QResizeEvent*
    219, 220, 0,	//436  unsigned int, unsigned long
    215, 207, 194, 194, 195, 189, 0,	//439  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    112, 0,	//446  QsciStyle::TextCase
    211, 0,	//448  const QsciStyle&
    215, 207, 194, 194, 195, 0,	//450  int, const QString&, const QColor&, const QColor&, const QFont&
    207, 215, 0,	//456  const QString&, int
    207, 211, 0,	//459  const QString&, const QsciStyle&
    212, 0,	//462  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AcusAlways",	//54
    "AcusExplicit",	//55
    "AcusNever",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationStandard",	//60
    "Array",	//61
    "ArrayParenthesis",	//62
    "Asm",	//63
    "Assignment",	//64
    "AtRule",	//65
    "Attribute",	//66
    "Auto",	//67
    "B0",	//68
    "B1",	//69
    "B10",	//70
    "B2",	//71
    "B3",	//72
    "B4",	//73
    "B5",	//74
    "B6",	//75
    "B7",	//76
    "B8",	//77
    "B9",	//78
    "Background",	//79
    "BackquoteString",	//80
    "Backtab",	//81
    "BacktickHereDocument",	//82
    "BacktickHereDocumentVar",	//83
    "Backticks",	//84
    "BackticksVar",	//85
    "BadDirective",	//86
    "BadStringCharacter",	//87
    "Base85String",	//88
    "BasicFunctions",	//89
    "BlockForeach",	//90
    "BlockIf",	//91
    "BlockMacro",	//92
    "BlockWhile",	//93
    "BottomLeftCorner",	//94
    "Box",	//95
    "BoxIndicator",	//96
    "BoxedFoldStyle",	//97
    "BoxedMinus",	//98
    "BoxedMinusConnected",	//99
    "BoxedPlus",	//100
    "BoxedPlusConnected",	//101
    "BoxedTreeFoldStyle",	//102
    "C5E",	//103
    "CDATA",	//104
    "CSS1Property",	//105
    "CSS2Property",	//106
    "CSS3Property",	//107
    "CallTipsAboveText",	//108
    "CallTipsBelowText",	//109
    "CallTipsContext",	//110
    "CallTipsNoAutoCompletionContext",	//111
    "CallTipsNoContext",	//112
    "CallTipsNone",	//113
    "Cancel",	//114
    "Cassette",	//115
    "CharLeft",	//116
    "CharLeftExtend",	//117
    "CharLeftRectExtend",	//118
    "CharRight",	//119
    "CharRightExtend",	//120
    "CharRightRectExtend",	//121
    "Character",	//122
    "Cicero",	//123
    "Circle",	//124
    "CircledFoldStyle",	//125
    "CircledMinus",	//126
    "CircledMinusConnected",	//127
    "CircledPlus",	//128
    "CircledPlusConnected",	//129
    "CircledTreeFoldStyle",	//130
    "ClassName",	//131
    "ClassSelector",	//132
    "ClassVariable",	//133
    "Color",	//134
    "Comm10E",	//135
    "Command",	//136
    "Comment",	//137
    "CommentBlock",	//138
    "CommentBox",	//139
    "CommentDoc",	//140
    "CommentDocKeyword",	//141
    "CommentDocKeywordError",	//142
    "CommentLine",	//143
    "CommentLineDoc",	//144
    "CommentLineHash",	//145
    "CommentNested",	//146
    "CommentParenthesis",	//147
    "Continuation",	//148
    "CoroutinesIOSystemFacilities",	//149
    "CurrentPage",	//150
    "Custom",	//151
    "DLE",	//152
    "DSCComment",	//153
    "DSCCommentValue",	//154
    "DashesIndicator",	//155
    "DataSection",	//156
    "Decorator",	//157
    "Default",	//158
    "DefaultValue",	//159
    "Delete",	//160
    "DeleteBack",	//161
    "DeleteBackNotLine",	//162
    "DeleteLineLeft",	//163
    "DeleteLineRight",	//164
    "DeleteWordLeft",	//165
    "DeleteWordRight",	//166
    "DeleteWordRightEnd",	//167
    "DemotedKeyword",	//168
    "DevicePixel",	//169
    "DiagonalIndicator",	//170
    "DictionaryParenthesis",	//171
    "Didot",	//172
    "Directive",	//173
    "DocumentDelimiter",	//174
    "DocumentEnd",	//175
    "DocumentEndExtend",	//176
    "DocumentStart",	//177
    "DocumentStartExtend",	//178
    "DotBoxIndicator",	//179
    "DotsIndicator",	//180
    "DottedOperator",	//181
    "DoubleQuotedHereDocument",	//182
    "DoubleQuotedHereDocumentVar",	//183
    "DoubleQuotedString",	//184
    "DoubleQuotedStringVar",	//185
    "DownTriangle",	//186
    "DrawChildren",	//187
    "DrawWindowBackground",	//188
    "DuplexAuto",	//189
    "DuplexLongSide",	//190
    "DuplexNone",	//191
    "DuplexShortSide",	//192
    "EdgeBackground",	//193
    "EdgeLine",	//194
    "EdgeNone",	//195
    "EditToggleOvertype",	//196
    "Entity",	//197
    "Envelope",	//198
    "EnvelopeManual",	//199
    "EolMac",	//200
    "EolUnix",	//201
    "EolWindows",	//202
    "Error",	//203
    "Executive",	//204
    "ExpandKeyword",	//205
    "ExtendedCSSProperty",	//206
    "ExtendedFunction",	//207
    "ExtendedPseudoClass",	//208
    "ExtendedPseudoElement",	//209
    "ExternalCommand",	//210
    "FirstPageFirst",	//211
    "Folio",	//212
    "FormSource",	//213
    "FormatBody",	//214
    "FormatIdentifier",	//215
    "Formfeed",	//216
    "FullRectangle",	//217
    "Function",	//218
    "FunctionMethodName",	//219
    "Global",	//220
    "GlobalClass",	//221
    "GrayScale",	//222
    "Group",	//223
    "HLine",	//224
    "HSSLanguage",	//225
    "HTMLComment",	//226
    "HTMLDoubleQuotedString",	//227
    "HTMLNumber",	//228
    "HTMLSingleQuotedString",	//229
    "HTMLValue",	//230
    "Hash",	//231
    "HashQuotedString",	//232
    "Header",	//233
    "HereDocument",	//234
    "HereDocumentDelimiter",	//235
    "HexNumber",	//236
    "HexString",	//237
    "HiddenIndicator",	//238
    "HideCommandChar",	//239
    "HighResolution",	//240
    "HighlightedIdentifier",	//241
    "Home",	//242
    "HomeDisplay",	//243
    "HomeDisplayExtend",	//244
    "HomeExtend",	//245
    "HomeRectExtend",	//246
    "HomeWrap",	//247
    "HomeWrapExtend",	//248
    "IDSelector",	//249
    "ITCLKeyword",	//250
    "Identifier",	//251
    "Idle",	//252
    "IgnoreMask",	//253
    "ImmediateEvalLiteral",	//254
    "Important",	//255
    "InactiveComment",	//256
    "InactiveCommentDoc",	//257
    "InactiveCommentDocKeyword",	//258
    "InactiveCommentDocKeywordError",	//259
    "InactiveCommentLine",	//260
    "InactiveCommentLineDoc",	//261
    "InactiveDefault",	//262
    "InactiveDoubleQuotedString",	//263
    "InactiveGlobalClass",	//264
    "InactiveHashQuotedString",	//265
    "InactiveIdentifier",	//266
    "InactiveKeyword",	//267
    "InactiveKeywordSet2",	//268
    "InactiveNumber",	//269
    "InactiveOperator",	//270
    "InactivePreProcessor",	//271
    "InactivePreProcessorComment",	//272
    "InactivePreProcessorCommentLineDoc",	//273
    "InactiveRawString",	//274
    "InactiveRegex",	//275
    "InactiveSingleQuotedString",	//276
    "InactiveTripleQuotedVerbatimString",	//277
    "InactiveUUID",	//278
    "InactiveUnclosedString",	//279
    "InactiveVerbatimString",	//280
    "Inch",	//281
    "Inconsistent",	//282
    "InstanceVariable",	//283
    "IntrinsicFunction",	//284
    "Invisible",	//285
    "JavaScriptComment",	//286
    "JavaScriptCommentDoc",	//287
    "JavaScriptCommentLine",	//288
    "JavaScriptDefault",	//289
    "JavaScriptDoubleQuotedString",	//290
    "JavaScriptKeyword",	//291
    "JavaScriptNumber",	//292
    "JavaScriptRegex",	//293
    "JavaScriptSingleQuotedString",	//294
    "JavaScriptStart",	//295
    "JavaScriptSymbol",	//296
    "JavaScriptUnclosedString",	//297
    "JavaScriptWord",	//298
    "Key",	//299
    "Keyword",	//300
    "KeywordDoc",	//301
    "KeywordSecondary",	//302
    "KeywordSet2",	//303
    "KeywordSet3",	//304
    "KeywordSet5",	//305
    "KeywordSet6",	//306
    "KeywordSet7",	//307
    "KeywordSet8",	//308
    "KeywordSet9",	//309
    "Label",	//310
    "Landscape",	//311
    "LargeCapacity",	//312
    "LargeFormat",	//313
    "LastPageFirst",	//314
    "Ledger",	//315
    "LeftRectangle",	//316
    "LeftSideRoundedSplitter",	//317
    "LeftSideSplitter",	//318
    "Legal",	//319
    "LessLanguage",	//320
    "Letter",	//321
    "LineAdded",	//322
    "LineChanged",	//323
    "LineComment",	//324
    "LineCopy",	//325
    "LineCut",	//326
    "LineDelete",	//327
    "LineDown",	//328
    "LineDownExtend",	//329
    "LineDownRectExtend",	//330
    "LineDuplicate",	//331
    "LineEnd",	//332
    "LineEndDisplay",	//333
    "LineEndDisplayExtend",	//334
    "LineEndExtend",	//335
    "LineEndRectExtend",	//336
    "LineEndWrap",	//337
    "LineEndWrapExtend",	//338
    "LineRemoved",	//339
    "LineScrollDown",	//340
    "LineScrollUp",	//341
    "LineTranspose",	//342
    "LineUp",	//343
    "LineUpExtend",	//344
    "LineUpRectExtend",	//345
    "Literal",	//346
    "LiteralString",	//347
    "Lower",	//348
    "LowerCase",	//349
    "Manual",	//350
    "MaxPageSource",	//351
    "MediaRule",	//352
    "Middle",	//353
    "Millimeter",	//354
    "Minus",	//355
    "MoNone",	//356
    "MoSublineSelect",	//357
    "Modifier",	//358
    "ModuleName",	//359
    "MoveSelectedLinesDown",	//360
    "MoveSelectedLinesUp",	//361
    "NPageSize",	//362
    "NPaperSize",	//363
    "Name",	//364
    "NativeFormat",	//365
    "Newline",	//366
    "NoBraceMatch",	//367
    "NoFoldStyle",	//368
    "NoFrame",	//369
    "NoWarning",	//370
    "Number",	//371
    "NumberMargin",	//372
    "ObjectsCSGAppearance",	//373
    "OnlyOne",	//374
    "Operator",	//375
    "OriginalCase",	//376
    "OtherInTag",	//377
    "PHPComment",	//378
    "PHPCommentLine",	//379
    "PHPDefault",	//380
    "PHPDoubleQuotedString",	//381
    "PHPDoubleQuotedVariable",	//382
    "PHPKeyword",	//383
    "PHPNumber",	//384
    "PHPOperator",	//385
    "PHPSingleQuotedString",	//386
    "PHPStart",	//387
    "PHPVariable",	//388
    "POD",	//389
    "PODVerbatim",	//390
    "PageDown",	//391
    "PageDownExtend",	//392
    "PageDownRectExtend",	//393
    "PageRange",	//394
    "PageUp",	//395
    "PageUpExtend",	//396
    "PageUpRectExtend",	//397
    "Panel",	//398
    "ParaDown",	//399
    "ParaDownExtend",	//400
    "ParaUp",	//401
    "ParaUpExtend",	//402
    "ParameterExpansion",	//403
    "Paste",	//404
    "PdfFormat",	//405
    "PercentStringQ",	//406
    "PercentStringq",	//407
    "PercentStringr",	//408
    "PercentStringw",	//409
    "PercentStringx",	//410
    "Pica",	//411
    "Plain",	//412
    "PlainFoldStyle",	//413
    "PlainIndicator",	//414
    "Plus",	//415
    "PlusComment",	//416
    "PlusKeyword",	//417
    "PlusPrompt",	//418
    "Point",	//419
    "Portrait",	//420
    "Position",	//421
    "PostScriptFormat",	//422
    "PreProcessor",	//423
    "PreProcessorComment",	//424
    "PreProcessorCommentLineDoc",	//425
    "PreProcessorParenthesis",	//426
    "PredefinedFunctions",	//427
    "PredefinedIdentifiers",	//428
    "Preprocessor",	//429
    "PrinterResolution",	//430
    "ProcedureParenthesis",	//431
    "PseudoClass",	//432
    "PseudoElement",	//433
    "PythonClassName",	//434
    "PythonComment",	//435
    "PythonDefault",	//436
    "PythonDoubleQuotedString",	//437
    "PythonFunctionMethodName",	//438
    "PythonIdentifier",	//439
    "PythonKeyword",	//440
    "PythonNumber",	//441
    "PythonOperator",	//442
    "PythonSingleQuotedString",	//443
    "PythonStart",	//444
    "PythonTripleDoubleQuotedString",	//445
    "PythonTripleSingleQuotedString",	//446
    "QSCN_SELCHANGED",	//447
    "QSCN_SELCHANGED$",	//448
    "QsciAPIs",	//449
    "QsciAPIs#",	//450
    "QsciAbstractAPIs",	//451
    "QsciAbstractAPIs#",	//452
    "QsciDocument",	//453
    "QsciDocument#",	//454
    "QsciLexer",	//455
    "QsciLexer#",	//456
    "QsciLexerBash",	//457
    "QsciLexerBash#",	//458
    "QsciLexerBatch",	//459
    "QsciLexerBatch#",	//460
    "QsciLexerCMake",	//461
    "QsciLexerCMake#",	//462
    "QsciLexerCPP",	//463
    "QsciLexerCPP#",	//464
    "QsciLexerCPP#$",	//465
    "QsciLexerCSS",	//466
    "QsciLexerCSS#",	//467
    "QsciLexerCSharp",	//468
    "QsciLexerCSharp#",	//469
    "QsciLexerCustom",	//470
    "QsciLexerCustom#",	//471
    "QsciLexerD",	//472
    "QsciLexerD#",	//473
    "QsciLexerDiff",	//474
    "QsciLexerDiff#",	//475
    "QsciLexerFortran",	//476
    "QsciLexerFortran#",	//477
    "QsciLexerFortran77",	//478
    "QsciLexerFortran77#",	//479
    "QsciLexerHTML",	//480
    "QsciLexerHTML#",	//481
    "QsciLexerIDL",	//482
    "QsciLexerIDL#",	//483
    "QsciLexerJava",	//484
    "QsciLexerJava#",	//485
    "QsciLexerJavaScript",	//486
    "QsciLexerJavaScript#",	//487
    "QsciLexerLua",	//488
    "QsciLexerLua#",	//489
    "QsciLexerMakefile",	//490
    "QsciLexerMakefile#",	//491
    "QsciLexerPOV",	//492
    "QsciLexerPOV#",	//493
    "QsciLexerPascal",	//494
    "QsciLexerPascal#",	//495
    "QsciLexerPerl",	//496
    "QsciLexerPerl#",	//497
    "QsciLexerPostScript",	//498
    "QsciLexerPostScript#",	//499
    "QsciLexerProperties",	//500
    "QsciLexerProperties#",	//501
    "QsciLexerPython",	//502
    "QsciLexerPython#",	//503
    "QsciLexerRuby",	//504
    "QsciLexerRuby#",	//505
    "QsciLexerSQL",	//506
    "QsciLexerSQL#",	//507
    "QsciLexerTCL",	//508
    "QsciLexerTCL#",	//509
    "QsciLexerTeX",	//510
    "QsciLexerTeX#",	//511
    "QsciLexerVHDL",	//512
    "QsciLexerVHDL#",	//513
    "QsciLexerXML",	//514
    "QsciLexerXML#",	//515
    "QsciLexerYAML",	//516
    "QsciLexerYAML#",	//517
    "QsciMacro",	//518
    "QsciMacro#",	//519
    "QsciMacro$#",	//520
    "QsciPrinter",	//521
    "QsciPrinter$",	//522
    "QsciScintilla",	//523
    "QsciScintilla#",	//524
    "QsciScintillaBase",	//525
    "QsciScintillaBase#",	//526
    "QsciStyle",	//527
    "QsciStyle#",	//528
    "QsciStyle$",	//529
    "QsciStyle$$###",	//530
    "QsciStyle$$###$",	//531
    "QsciStyledText",	//532
    "QsciStyledText#",	//533
    "QsciStyledText$#",	//534
    "QsciStyledText$$",	//535
    "QuotedIdentifier",	//536
    "QuotedKeyword",	//537
    "QuotedString",	//538
    "QuotedStringQ",	//539
    "QuotedStringQQ",	//540
    "QuotedStringQQVar",	//541
    "QuotedStringQR",	//542
    "QuotedStringQRVar",	//543
    "QuotedStringQW",	//544
    "QuotedStringQX",	//545
    "QuotedStringQXVar",	//546
    "Raised",	//547
    "RawString",	//548
    "Rectangle",	//549
    "Redo",	//550
    "Reference",	//551
    "Regex",	//552
    "RegexVar",	//553
    "RightArrow",	//554
    "RightTriangle",	//555
    "RoundBoxIndicator",	//556
    "RoundedBottomLeftCorner",	//557
    "SCEN_CHANGE",	//558
    "SCN_AUTOCCANCELLED",	//559
    "SCN_AUTOCCHARDELETED",	//560
    "SCN_AUTOCSELECTION",	//561
    "SCN_AUTOCSELECTION$$",	//562
    "SCN_CALLTIPCLICK",	//563
    "SCN_CALLTIPCLICK$",	//564
    "SCN_CHARADDED",	//565
    "SCN_CHARADDED$",	//566
    "SCN_DOUBLECLICK",	//567
    "SCN_DOUBLECLICK$$$",	//568
    "SCN_DWELLEND",	//569
    "SCN_DWELLEND$$$",	//570
    "SCN_DWELLSTART",	//571
    "SCN_DWELLSTART$$$",	//572
    "SCN_FOCUSIN",	//573
    "SCN_FOCUSOUT",	//574
    "SCN_HOTSPOTCLICK",	//575
    "SCN_HOTSPOTCLICK$$",	//576
    "SCN_HOTSPOTDOUBLECLICK",	//577
    "SCN_HOTSPOTDOUBLECLICK$$",	//578
    "SCN_HOTSPOTRELEASECLICK",	//579
    "SCN_HOTSPOTRELEASECLICK$$",	//580
    "SCN_INDICATORCLICK",	//581
    "SCN_INDICATORCLICK$$",	//582
    "SCN_INDICATORRELEASE",	//583
    "SCN_INDICATORRELEASE$$",	//584
    "SCN_MACRORECORD",	//585
    "SCN_MACRORECORD$$$",	//586
    "SCN_MARGINCLICK",	//587
    "SCN_MARGINCLICK$$$",	//588
    "SCN_MODIFIED",	//589
    "SCN_MODIFIED$$$$$$$$$$",	//590
    "SCN_MODIFYATTEMPTRO",	//591
    "SCN_NEEDSHOWN",	//592
    "SCN_NEEDSHOWN$$",	//593
    "SCN_PAINTED",	//594
    "SCN_SAVEPOINTLEFT",	//595
    "SCN_SAVEPOINTREACHED",	//596
    "SCN_STYLENEEDED",	//597
    "SCN_STYLENEEDED$",	//598
    "SCN_UPDATEUI",	//599
    "SCN_UPDATEUI$",	//600
    "SCN_USERLISTSELECTION",	//601
    "SCN_USERLISTSELECTION$$",	//602
    "SCN_ZOOM",	//603
    "SCSSLanguage",	//604
    "SC_ORDER_CUSTOM",	//605
    "SC_ORDER_PERFORMSORT",	//606
    "SC_ORDER_PRESORTED",	//607
    "SGMLBlockDefault",	//608
    "SGMLCommand",	//609
    "SGMLComment",	//610
    "SGMLDefault",	//611
    "SGMLDoubleQuotedString",	//612
    "SGMLEntity",	//613
    "SGMLError",	//614
    "SGMLParameter",	//615
    "SGMLParameterComment",	//616
    "SGMLSingleQuotedString",	//617
    "SGMLSpecial",	//618
    "Scalar",	//619
    "ScreenResolution",	//620
    "Script",	//621
    "ScrollToEnd",	//622
    "ScrollToStart",	//623
    "Section",	//624
    "SelectAll",	//625
    "Selection",	//626
    "SelectionCopy",	//627
    "SelectionCut",	//628
    "SelectionDuplicate",	//629
    "SelectionLowerCase",	//630
    "SelectionUpperCase",	//631
    "SendScintilla",	//632
    "SendScintilla$",	//633
    "SendScintilla$#",	//634
    "SendScintilla$$",	//635
    "SendScintilla$$#",	//636
    "SendScintilla$$##$$",	//637
    "SendScintilla$$$",	//638
    "SendScintilla$$$$",	//639
    "SendScintillaPtrResult",	//640
    "SendScintillaPtrResult$",	//641
    "Shadow_Mask",	//642
    "Shape_Mask",	//643
    "SingleQuotedHereDocument",	//644
    "SingleQuotedString",	//645
    "SloppyBraceMatch",	//646
    "SmallFormat",	//647
    "SmallRectangle",	//648
    "Spaces",	//649
    "Special",	//650
    "SquiggleIndicator",	//651
    "SquiggleLowIndicator",	//652
    "SquigglePixmapIndicator",	//653
    "StandardFunction",	//654
    "StandardOperator",	//655
    "StandardPackage",	//656
    "StandardType",	//657
    "Stderr",	//658
    "Stdin",	//659
    "Stdout",	//660
    "StraightBoxIndicator",	//661
    "StrictBraceMatch",	//662
    "StrikeIndicator",	//663
    "String",	//664
    "StringLeftQuote",	//665
    "StringRightQuote",	//666
    "StringTableMathsFunctions",	//667
    "StringVariable",	//668
    "StutteredPageDown",	//669
    "StutteredPageDownExtend",	//670
    "StutteredPageUp",	//671
    "StutteredPageUpExtend",	//672
    "StyledPanel",	//673
    "SubroutinePrototype",	//674
    "Substitution",	//675
    "SubstitutionBrace",	//676
    "SubstitutionVar",	//677
    "Sunken",	//678
    "Symbol",	//679
    "SymbolMargin",	//680
    "SymbolMarginDefaultBackgroundColor",	//681
    "SymbolMarginDefaultForegroundColor",	//682
    "SymbolTable",	//683
    "SyntaxErrorMarker",	//684
    "TCLKeyword",	//685
    "TTIndicator",	//686
    "Tab",	//687
    "Tabloid",	//688
    "Tabs",	//689
    "TabsAfterSpaces",	//690
    "Tag",	//691
    "Target",	//692
    "Text",	//693
    "TextBlockMarker",	//694
    "TextMargin",	//695
    "TextMarginRightJustified",	//696
    "ThickCompositionIndicator",	//697
    "ThreeDots",	//698
    "ThreeRightArrows",	//699
    "TkCommand",	//700
    "TkKeyword",	//701
    "Tractor",	//702
    "Translation",	//703
    "TripleDoubleQuotedString",	//704
    "TripleQuotedVerbatimString",	//705
    "TripleSingleQuotedString",	//706
    "Typedefs",	//707
    "TypesModifiersItems",	//708
    "UUID",	//709
    "UnclosedString",	//710
    "Underline",	//711
    "Undo",	//712
    "UnknownAttribute",	//713
    "UnknownProperty",	//714
    "UnknownPseudoClass",	//715
    "UnknownTag",	//716
    "UpperCase",	//717
    "VBScriptComment",	//718
    "VBScriptDefault",	//719
    "VBScriptIdentifier",	//720
    "VBScriptKeyword",	//721
    "VBScriptNumber",	//722
    "VBScriptStart",	//723
    "VBScriptString",	//724
    "VBScriptUnclosedString",	//725
    "VCHome",	//726
    "VCHomeExtend",	//727
    "VCHomeRectExtend",	//728
    "VCHomeWrap",	//729
    "VCHomeWrapExtend",	//730
    "VLine",	//731
    "Value",	//732
    "Variable",	//733
    "VerbatimString",	//734
    "VerticalCentreCaret",	//735
    "VerticalLine",	//736
    "WinPanel",	//737
    "WordLeft",	//738
    "WordLeftEnd",	//739
    "WordLeftEndExtend",	//740
    "WordLeftExtend",	//741
    "WordPartLeft",	//742
    "WordPartLeftExtend",	//743
    "WordPartRight",	//744
    "WordPartRightExtend",	//745
    "WordRight",	//746
    "WordRightEnd",	//747
    "WordRightEndExtend",	//748
    "WordRightExtend",	//749
    "WrapCharacter",	//750
    "WrapFlagByBorder",	//751
    "WrapFlagByText",	//752
    "WrapFlagInMargin",	//753
    "WrapFlagNone",	//754
    "WrapIndentFixed",	//755
    "WrapIndentIndented",	//756
    "WrapIndentSame",	//757
    "WrapNone",	//758
    "WrapWord",	//759
    "WsInvisible",	//760
    "WsVisible",	//761
    "WsVisibleAfterIndent",	//762
    "XMLEnd",	//763
    "XMLStart",	//764
    "XMLTagEnd",	//765
    "ZoomIn",	//766
    "ZoomOut",	//767
    "actionEvent",	//768
    "add",	//769
    "add$",	//770
    "alternateKey",	//771
    "annotate",	//772
    "annotate$#",	//773
    "annotate$$#",	//774
    "annotate$$$",	//775
    "annotate$?",	//776
    "annotation",	//777
    "annotation$",	//778
    "annotationDisplay",	//779
    "apiContext",	//780
    "apiContext$$$",	//781
    "apiPreparationCancelled",	//782
    "apiPreparationFinished",	//783
    "apiPreparationStarted",	//784
    "apis",	//785
    "append",	//786
    "append$",	//787
    "apply",	//788
    "apply#",	//789
    "autoCompleteFromAPIs",	//790
    "autoCompleteFromAll",	//791
    "autoCompleteFromDocument",	//792
    "autoCompletionCaseSensitivity",	//793
    "autoCompletionFillups",	//794
    "autoCompletionFillupsEnabled",	//795
    "autoCompletionReplaceWord",	//796
    "autoCompletionSelected",	//797
    "autoCompletionSelected$",	//798
    "autoCompletionShowSingle",	//799
    "autoCompletionSource",	//800
    "autoCompletionThreshold",	//801
    "autoCompletionUseSingle",	//802
    "autoCompletionWordSeparators",	//803
    "autoIndent",	//804
    "autoIndentStyle",	//805
    "backslashEscapes",	//806
    "backspaceUnindents",	//807
    "beginUndoAction",	//808
    "blockEnd",	//809
    "blockEnd$",	//810
    "blockLookback",	//811
    "blockStart",	//812
    "blockStart$",	//813
    "blockStartKeyword",	//814
    "blockStartKeyword$",	//815
    "boundTo",	//816
    "boundTo$",	//817
    "braceMatching",	//818
    "braceStyle",	//819
    "bytesAsText",	//820
    "bytesAsText$",	//821
    "callTip",	//822
    "callTips",	//823
    "callTips?$$?",	//824
    "callTipsPosition",	//825
    "callTipsStyle",	//826
    "callTipsVisible",	//827
    "canInsertFromMimeData",	//828
    "canInsertFromMimeData#",	//829
    "cancelList",	//830
    "cancelPreparation",	//831
    "caseSensitive",	//832
    "caseSensitiveTags",	//833
    "changeEvent",	//834
    "changeable",	//835
    "childEvent",	//836
    "clear",	//837
    "clearAlternateKeys",	//838
    "clearAnnotations",	//839
    "clearAnnotations$",	//840
    "clearFolds",	//841
    "clearIndicatorRange",	//842
    "clearIndicatorRange$$$$$",	//843
    "clearKeys",	//844
    "clearMarginText",	//845
    "clearMarginText$",	//846
    "clearRegisteredImages",	//847
    "closeEvent",	//848
    "color",	//849
    "color$",	//850
    "colorChanged",	//851
    "colorChanged#$",	//852
    "command",	//853
    "commands",	//854
    "connectNotify",	//855
    "contextMenuEvent",	//856
    "contextMenuEvent#",	//857
    "contractedFolds",	//858
    "convertEols",	//859
    "convertEols$",	//860
    "copy",	//861
    "copyAvailable",	//862
    "copyAvailable$",	//863
    "createStandardContextMenu",	//864
    "cursorPositionChanged",	//865
    "cursorPositionChanged$$",	//866
    "customEvent",	//867
    "cut",	//868
    "defaultColor",	//869
    "defaultColor$",	//870
    "defaultEolFill",	//871
    "defaultEolFill$",	//872
    "defaultFont",	//873
    "defaultFont$",	//874
    "defaultPaper",	//875
    "defaultPaper$",	//876
    "defaultPreparedName",	//877
    "defaultStyle",	//878
    "description",	//879
    "description$",	//880
    "devType",	//881
    "disconnectNotify",	//882
    "djangoTemplates",	//883
    "document",	//884
    "dollarsAllowed",	//885
    "dottedWords",	//886
    "dragEnterEvent",	//887
    "dragEnterEvent#",	//888
    "dragLeaveEvent",	//889
    "dragLeaveEvent#",	//890
    "dragMoveEvent",	//891
    "dragMoveEvent#",	//892
    "dropEvent",	//893
    "dropEvent#",	//894
    "edgeColor",	//895
    "edgeColumn",	//896
    "edgeMode",	//897
    "editor",	//898
    "enabledChange",	//899
    "endRecording",	//900
    "endUndoAction",	//901
    "ensureCursorVisible",	//902
    "ensureLineVisible",	//903
    "ensureLineVisible$",	//904
    "enterEvent",	//905
    "eolFill",	//906
    "eolFill$",	//907
    "eolFillChanged",	//908
    "eolFillChanged$$",	//909
    "eolMode",	//910
    "eolVisibility",	//911
    "event",	//912
    "event#",	//913
    "eventFilter",	//914
    "execute",	//915
    "extraAscent",	//916
    "extraDescent",	//917
    "fillIndicatorRange",	//918
    "fillIndicatorRange$$$$$",	//919
    "find",	//920
    "find$",	//921
    "findFirst",	//922
    "findFirst$$$$$",	//923
    "findFirst$$$$$$",	//924
    "findFirst$$$$$$$",	//925
    "findFirst$$$$$$$$",	//926
    "findFirst$$$$$$$$$",	//927
    "findFirst$$$$$$$$$$",	//928
    "findFirstInSelection",	//929
    "findFirstInSelection$$$$",	//930
    "findFirstInSelection$$$$$",	//931
    "findFirstInSelection$$$$$$",	//932
    "findFirstInSelection$$$$$$$",	//933
    "findNext",	//934
    "firstVisibleLine",	//935
    "focusInEvent",	//936
    "focusInEvent#",	//937
    "focusNextPrevChild",	//938
    "focusNextPrevChild$",	//939
    "focusOutEvent",	//940
    "focusOutEvent#",	//941
    "foldAll",	//942
    "foldAll$",	//943
    "foldAtBegin",	//944
    "foldAtElse",	//945
    "foldAtParenthesis",	//946
    "foldComments",	//947
    "foldCompact",	//948
    "foldDirectives",	//949
    "foldLine",	//950
    "foldLine$",	//951
    "foldOnlyBegin",	//952
    "foldPODBlocks",	//953
    "foldPackages",	//954
    "foldPreprocessor",	//955
    "foldQuotes",	//956
    "foldScriptComments",	//957
    "foldScriptHeredocs",	//958
    "folding",	//959
    "font",	//960
    "font$",	//961
    "fontChange",	//962
    "fontChanged",	//963
    "fontChanged#$",	//964
    "formatPage",	//965
    "formatPage#$#$",	//966
    "fromMimeData",	//967
    "fromMimeData#$",	//968
    "getCursorPosition",	//969
    "getCursorPosition$$",	//970
    "getSelection",	//971
    "getSelection$$$$",	//972
    "hasSelectedText",	//973
    "hashComments",	//974
    "heightForWidth",	//975
    "hideEvent",	//976
    "highlightHashQuotedStrings",	//977
    "highlightSubidentifiers",	//978
    "highlightTripleQuotedStrings",	//979
    "hotspot",	//980
    "indent",	//981
    "indent$",	//982
    "indentation",	//983
    "indentation$",	//984
    "indentationGuideView",	//985
    "indentationGuides",	//986
    "indentationWarning",	//987
    "indentationWidth",	//988
    "indentationsUseTabs",	//989
    "indicatorClicked",	//990
    "indicatorClicked$$$",	//991
    "indicatorDefine",	//992
    "indicatorDefine$",	//993
    "indicatorDefine$$",	//994
    "indicatorDrawUnder",	//995
    "indicatorDrawUnder$",	//996
    "indicatorReleased",	//997
    "indicatorReleased$$$",	//998
    "initialSpaces",	//999
    "inputMethodEvent",	//1000
    "inputMethodEvent#",	//1001
    "inputMethodQuery",	//1002
    "inputMethodQuery$",	//1003
    "insert",	//1004
    "insert$",	//1005
    "insertAt",	//1006
    "insertAt$$$",	//1007
    "installedAPIFiles",	//1008
    "isCallTipActive",	//1009
    "isListActive",	//1010
    "isModified",	//1011
    "isPrepared",	//1012
    "isPrepared$",	//1013
    "isReadOnly",	//1014
    "isRedoAvailable",	//1015
    "isUndoAvailable",	//1016
    "isUtf8",	//1017
    "isWordCharacter",	//1018
    "isWordCharacter$",	//1019
    "key",	//1020
    "keyPressEvent",	//1021
    "keyPressEvent#",	//1022
    "keyReleaseEvent",	//1023
    "keywords",	//1024
    "keywords$",	//1025
    "language",	//1026
    "languageChange",	//1027
    "leaveEvent",	//1028
    "length",	//1029
    "level",	//1030
    "lexer",	//1031
    "lexerId",	//1032
    "lineAt",	//1033
    "lineAt#",	//1034
    "lineIndexFromPosition",	//1035
    "lineIndexFromPosition$$$",	//1036
    "lineLength",	//1037
    "lineLength$",	//1038
    "lines",	//1039
    "linesChanged",	//1040
    "load",	//1041
    "load$",	//1042
    "loadPrepared",	//1043
    "loadPrepared$",	//1044
    "magnification",	//1045
    "makoTemplates",	//1046
    "marginClicked",	//1047
    "marginClicked$$$",	//1048
    "marginLineNumbers",	//1049
    "marginLineNumbers$",	//1050
    "marginMarkerMask",	//1051
    "marginMarkerMask$",	//1052
    "marginOptions",	//1053
    "marginSensitivity",	//1054
    "marginSensitivity$",	//1055
    "marginType",	//1056
    "marginType$",	//1057
    "marginWidth",	//1058
    "marginWidth$",	//1059
    "markerAdd",	//1060
    "markerAdd$$",	//1061
    "markerDefine",	//1062
    "markerDefine#",	//1063
    "markerDefine#$",	//1064
    "markerDefine$",	//1065
    "markerDefine$$",	//1066
    "markerDelete",	//1067
    "markerDelete$",	//1068
    "markerDelete$$",	//1069
    "markerDeleteAll",	//1070
    "markerDeleteAll$",	//1071
    "markerDeleteHandle",	//1072
    "markerDeleteHandle$",	//1073
    "markerFindNext",	//1074
    "markerFindNext$$",	//1075
    "markerFindPrevious",	//1076
    "markerFindPrevious$$",	//1077
    "markerLine",	//1078
    "markerLine$",	//1079
    "markersAtLine",	//1080
    "markersAtLine$",	//1081
    "metaObject",	//1082
    "metric",	//1083
    "minimumSizeHint",	//1084
    "modificationAttempted",	//1085
    "modificationChanged",	//1086
    "modificationChanged$",	//1087
    "mouseDoubleClickEvent",	//1088
    "mouseDoubleClickEvent#",	//1089
    "mouseMoveEvent",	//1090
    "mouseMoveEvent#",	//1091
    "mousePressEvent",	//1092
    "mousePressEvent#",	//1093
    "mouseReleaseEvent",	//1094
    "mouseReleaseEvent#",	//1095
    "moveEvent",	//1096
    "moveToMatchingBrace",	//1097
    "operator=",	//1098
    "operator=#",	//1099
    "overwriteMode",	//1100
    "paintEngine",	//1101
    "paintEvent",	//1102
    "paintEvent#",	//1103
    "paletteChange",	//1104
    "paper",	//1105
    "paper$",	//1106
    "paperChanged",	//1107
    "paperChanged#$",	//1108
    "paste",	//1109
    "play",	//1110
    "pool",	//1111
    "positionFromLineIndex",	//1112
    "positionFromLineIndex$$",	//1113
    "prepare",	//1114
    "printRange",	//1115
    "printRange#",	//1116
    "printRange#$",	//1117
    "printRange#$$",	//1118
    "processComments",	//1119
    "processIf",	//1120
    "propertyChanged",	//1121
    "propertyChanged$$",	//1122
    "qt_metacall",	//1123
    "qt_metacall$$?",	//1124
    "qt_metacast",	//1125
    "qt_metacast$",	//1126
    "quotedIdentifiers",	//1127
    "read",	//1128
    "read#",	//1129
    "readProperties",	//1130
    "readProperties#$",	//1131
    "readSettings",	//1132
    "readSettings#",	//1133
    "readSettings#$",	//1134
    "recolor",	//1135
    "recolor$",	//1136
    "recolor$$",	//1137
    "redo",	//1138
    "refresh",	//1139
    "refreshProperties",	//1140
    "registerImage",	//1141
    "registerImage$#",	//1142
    "remove",	//1143
    "remove$",	//1144
    "removeSelectedText",	//1145
    "replace",	//1146
    "replace$",	//1147
    "replaceSelectedText",	//1148
    "replaceSelectedText$",	//1149
    "resetFoldMarginColors",	//1150
    "resetMatchedBraceIndicator",	//1151
    "resetSelectionBackgroundColor",	//1152
    "resetSelectionForegroundColor",	//1153
    "resetUnmatchedBraceIndicator",	//1154
    "resizeEvent",	//1155
    "resizeEvent#",	//1156
    "save",	//1157
    "savePrepared",	//1158
    "savePrepared$",	//1159
    "scriptsStyled",	//1160
    "scrollContentsBy",	//1161
    "scrollContentsBy$$",	//1162
    "selectAll",	//1163
    "selectAll$",	//1164
    "selectToMatchingBrace",	//1165
    "selectedText",	//1166
    "selectionChanged",	//1167
    "selectionToEol",	//1168
    "setAPIs",	//1169
    "setAPIs#",	//1170
    "setAlternateKey",	//1171
    "setAlternateKey$",	//1172
    "setAnnotationDisplay",	//1173
    "setAnnotationDisplay$",	//1174
    "setAutoCompletionCaseSensitivity",	//1175
    "setAutoCompletionCaseSensitivity$",	//1176
    "setAutoCompletionFillups",	//1177
    "setAutoCompletionFillups$",	//1178
    "setAutoCompletionFillupsEnabled",	//1179
    "setAutoCompletionFillupsEnabled$",	//1180
    "setAutoCompletionReplaceWord",	//1181
    "setAutoCompletionReplaceWord$",	//1182
    "setAutoCompletionShowSingle",	//1183
    "setAutoCompletionShowSingle$",	//1184
    "setAutoCompletionSource",	//1185
    "setAutoCompletionSource$",	//1186
    "setAutoCompletionThreshold",	//1187
    "setAutoCompletionThreshold$",	//1188
    "setAutoCompletionUseSingle",	//1189
    "setAutoCompletionUseSingle$",	//1190
    "setAutoCompletionWordSeparators",	//1191
    "setAutoCompletionWordSeparators?",	//1192
    "setAutoIndent",	//1193
    "setAutoIndent$",	//1194
    "setAutoIndentStyle",	//1195
    "setAutoIndentStyle$",	//1196
    "setBackslashEscapes",	//1197
    "setBackslashEscapes$",	//1198
    "setBackspaceUnindents",	//1199
    "setBackspaceUnindents$",	//1200
    "setBraceMatching",	//1201
    "setBraceMatching$",	//1202
    "setCallTipsBackgroundColor",	//1203
    "setCallTipsBackgroundColor#",	//1204
    "setCallTipsForegroundColor",	//1205
    "setCallTipsForegroundColor#",	//1206
    "setCallTipsHighlightColor",	//1207
    "setCallTipsHighlightColor#",	//1208
    "setCallTipsPosition",	//1209
    "setCallTipsPosition$",	//1210
    "setCallTipsStyle",	//1211
    "setCallTipsStyle$",	//1212
    "setCallTipsVisible",	//1213
    "setCallTipsVisible$",	//1214
    "setCaretForegroundColor",	//1215
    "setCaretForegroundColor#",	//1216
    "setCaretLineBackgroundColor",	//1217
    "setCaretLineBackgroundColor#",	//1218
    "setCaretLineVisible",	//1219
    "setCaretLineVisible$",	//1220
    "setCaretWidth",	//1221
    "setCaretWidth$",	//1222
    "setCaseSensitiveTags",	//1223
    "setCaseSensitiveTags$",	//1224
    "setChangeable",	//1225
    "setChangeable$",	//1226
    "setColor",	//1227
    "setColor#",	//1228
    "setColor#$",	//1229
    "setContractedFolds",	//1230
    "setContractedFolds?",	//1231
    "setCursorPosition",	//1232
    "setCursorPosition$$",	//1233
    "setDefaultColor",	//1234
    "setDefaultColor#",	//1235
    "setDefaultFont",	//1236
    "setDefaultFont#",	//1237
    "setDefaultPaper",	//1238
    "setDefaultPaper#",	//1239
    "setDescription",	//1240
    "setDescription$",	//1241
    "setDjangoTemplates",	//1242
    "setDjangoTemplates$",	//1243
    "setDocument",	//1244
    "setDocument#",	//1245
    "setDollarsAllowed",	//1246
    "setDollarsAllowed$",	//1247
    "setDottedWords",	//1248
    "setDottedWords$",	//1249
    "setEdgeColor",	//1250
    "setEdgeColor#",	//1251
    "setEdgeColumn",	//1252
    "setEdgeColumn$",	//1253
    "setEdgeMode",	//1254
    "setEdgeMode$",	//1255
    "setEditor",	//1256
    "setEditor#",	//1257
    "setEolFill",	//1258
    "setEolFill$",	//1259
    "setEolFill$$",	//1260
    "setEolMode",	//1261
    "setEolMode$",	//1262
    "setEolVisibility",	//1263
    "setEolVisibility$",	//1264
    "setExtraAscent",	//1265
    "setExtraAscent$",	//1266
    "setExtraDescent",	//1267
    "setExtraDescent$",	//1268
    "setFirstVisibleLine",	//1269
    "setFirstVisibleLine$",	//1270
    "setFoldAtBegin",	//1271
    "setFoldAtBegin$",	//1272
    "setFoldAtElse",	//1273
    "setFoldAtElse$",	//1274
    "setFoldAtParenthesis",	//1275
    "setFoldAtParenthesis$",	//1276
    "setFoldComments",	//1277
    "setFoldComments$",	//1278
    "setFoldCompact",	//1279
    "setFoldCompact$",	//1280
    "setFoldDirectives",	//1281
    "setFoldDirectives$",	//1282
    "setFoldMarginColors",	//1283
    "setFoldMarginColors##",	//1284
    "setFoldOnlyBegin",	//1285
    "setFoldOnlyBegin$",	//1286
    "setFoldPODBlocks",	//1287
    "setFoldPODBlocks$",	//1288
    "setFoldPackages",	//1289
    "setFoldPackages$",	//1290
    "setFoldPreprocessor",	//1291
    "setFoldPreprocessor$",	//1292
    "setFoldQuotes",	//1293
    "setFoldQuotes$",	//1294
    "setFoldScriptComments",	//1295
    "setFoldScriptComments$",	//1296
    "setFoldScriptHeredocs",	//1297
    "setFoldScriptHeredocs$",	//1298
    "setFolding",	//1299
    "setFolding$",	//1300
    "setFolding$$",	//1301
    "setFont",	//1302
    "setFont#",	//1303
    "setFont#$",	//1304
    "setHSSLanguage",	//1305
    "setHSSLanguage$",	//1306
    "setHashComments",	//1307
    "setHashComments$",	//1308
    "setHighlightHashQuotedStrings",	//1309
    "setHighlightHashQuotedStrings$",	//1310
    "setHighlightSubidentifiers",	//1311
    "setHighlightSubidentifiers$",	//1312
    "setHighlightTripleQuotedStrings",	//1313
    "setHighlightTripleQuotedStrings$",	//1314
    "setHotspot",	//1315
    "setHotspot$",	//1316
    "setIndentation",	//1317
    "setIndentation$$",	//1318
    "setIndentationGuides",	//1319
    "setIndentationGuides$",	//1320
    "setIndentationGuidesBackgroundColor",	//1321
    "setIndentationGuidesBackgroundColor#",	//1322
    "setIndentationGuidesForegroundColor",	//1323
    "setIndentationGuidesForegroundColor#",	//1324
    "setIndentationWarning",	//1325
    "setIndentationWarning$",	//1326
    "setIndentationWidth",	//1327
    "setIndentationWidth$",	//1328
    "setIndentationsUseTabs",	//1329
    "setIndentationsUseTabs$",	//1330
    "setIndicatorDrawUnder",	//1331
    "setIndicatorDrawUnder$",	//1332
    "setIndicatorDrawUnder$$",	//1333
    "setIndicatorForegroundColor",	//1334
    "setIndicatorForegroundColor#",	//1335
    "setIndicatorForegroundColor#$",	//1336
    "setIndicatorOutlineColor",	//1337
    "setIndicatorOutlineColor#",	//1338
    "setIndicatorOutlineColor#$",	//1339
    "setInitialSpaces",	//1340
    "setInitialSpaces$",	//1341
    "setKey",	//1342
    "setKey$",	//1343
    "setLessLanguage",	//1344
    "setLessLanguage$",	//1345
    "setLevel",	//1346
    "setLevel$",	//1347
    "setLexer",	//1348
    "setLexer#",	//1349
    "setMagnification",	//1350
    "setMagnification$",	//1351
    "setMakoTemplates",	//1352
    "setMakoTemplates$",	//1353
    "setMarginLineNumbers",	//1354
    "setMarginLineNumbers$$",	//1355
    "setMarginMarkerMask",	//1356
    "setMarginMarkerMask$$",	//1357
    "setMarginOptions",	//1358
    "setMarginOptions$",	//1359
    "setMarginSensitivity",	//1360
    "setMarginSensitivity$$",	//1361
    "setMarginText",	//1362
    "setMarginText$#",	//1363
    "setMarginText$$#",	//1364
    "setMarginText$$$",	//1365
    "setMarginText$?",	//1366
    "setMarginType",	//1367
    "setMarginType$$",	//1368
    "setMarginWidth",	//1369
    "setMarginWidth$$",	//1370
    "setMarginsBackgroundColor",	//1371
    "setMarginsBackgroundColor#",	//1372
    "setMarginsFont",	//1373
    "setMarginsFont#",	//1374
    "setMarginsForegroundColor",	//1375
    "setMarginsForegroundColor#",	//1376
    "setMarkerBackgroundColor",	//1377
    "setMarkerBackgroundColor#",	//1378
    "setMarkerBackgroundColor#$",	//1379
    "setMarkerForegroundColor",	//1380
    "setMarkerForegroundColor#",	//1381
    "setMarkerForegroundColor#$",	//1382
    "setMatchedBraceBackgroundColor",	//1383
    "setMatchedBraceBackgroundColor#",	//1384
    "setMatchedBraceForegroundColor",	//1385
    "setMatchedBraceForegroundColor#",	//1386
    "setMatchedBraceIndicator",	//1387
    "setMatchedBraceIndicator$",	//1388
    "setModified",	//1389
    "setModified$",	//1390
    "setOverwriteMode",	//1391
    "setOverwriteMode$",	//1392
    "setPaper",	//1393
    "setPaper#",	//1394
    "setPaper#$",	//1395
    "setProcessComments",	//1396
    "setProcessComments$",	//1397
    "setProcessIf",	//1398
    "setProcessIf$",	//1399
    "setQuotedIdentifiers",	//1400
    "setQuotedIdentifiers$",	//1401
    "setReadOnly",	//1402
    "setReadOnly$",	//1403
    "setSCSSLanguage",	//1404
    "setSCSSLanguage$",	//1405
    "setScriptsStyled",	//1406
    "setScriptsStyled$",	//1407
    "setScrollBars",	//1408
    "setSelection",	//1409
    "setSelection$$$$",	//1410
    "setSelectionBackgroundColor",	//1411
    "setSelectionBackgroundColor#",	//1412
    "setSelectionForegroundColor",	//1413
    "setSelectionForegroundColor#",	//1414
    "setSelectionToEol",	//1415
    "setSelectionToEol$",	//1416
    "setSmartHighlighting",	//1417
    "setSmartHighlighting$",	//1418
    "setStringsOverNewlineAllowed",	//1419
    "setStringsOverNewlineAllowed$",	//1420
    "setStylePreprocessor",	//1421
    "setStylePreprocessor$",	//1422
    "setStyling",	//1423
    "setStyling$#",	//1424
    "setStyling$$",	//1425
    "setTabIndents",	//1426
    "setTabIndents$",	//1427
    "setTabWidth",	//1428
    "setTabWidth$",	//1429
    "setText",	//1430
    "setText$",	//1431
    "setTextCase",	//1432
    "setTextCase$",	//1433
    "setTokenize",	//1434
    "setTokenize$",	//1435
    "setUnmatchedBraceBackgroundColor",	//1436
    "setUnmatchedBraceBackgroundColor#",	//1437
    "setUnmatchedBraceForegroundColor",	//1438
    "setUnmatchedBraceForegroundColor#",	//1439
    "setUnmatchedBraceIndicator",	//1440
    "setUnmatchedBraceIndicator$",	//1441
    "setUtf8",	//1442
    "setUtf8$",	//1443
    "setV2UnicodeAllowed",	//1444
    "setV2UnicodeAllowed$",	//1445
    "setV3BinaryOctalAllowed",	//1446
    "setV3BinaryOctalAllowed$",	//1447
    "setV3BytesAllowed",	//1448
    "setV3BytesAllowed$",	//1449
    "setVisible",	//1450
    "setVisible$",	//1451
    "setWhitespaceBackgroundColor",	//1452
    "setWhitespaceBackgroundColor#",	//1453
    "setWhitespaceForegroundColor",	//1454
    "setWhitespaceForegroundColor#",	//1455
    "setWhitespaceSize",	//1456
    "setWhitespaceSize$",	//1457
    "setWhitespaceVisibility",	//1458
    "setWhitespaceVisibility$",	//1459
    "setWrapIndentMode",	//1460
    "setWrapIndentMode$",	//1461
    "setWrapMode",	//1462
    "setWrapMode$",	//1463
    "setWrapVisualFlags",	//1464
    "setWrapVisualFlags$",	//1465
    "setWrapVisualFlags$$",	//1466
    "setWrapVisualFlags$$$",	//1467
    "showEvent",	//1468
    "showUserList",	//1469
    "showUserList$?",	//1470
    "sizeHint",	//1471
    "smartHighlighting",	//1472
    "standardCommands",	//1473
    "startRecording",	//1474
    "startStyling",	//1475
    "startStyling$",	//1476
    "startStyling$$",	//1477
    "staticMetaObject",	//1478
    "stringsOverNewlineAllowed",	//1479
    "style",	//1480
    "styleBitsNeeded",	//1481
    "styleChange",	//1482
    "stylePreprocessor",	//1483
    "styleText",	//1484
    "styleText$$",	//1485
    "tabIndents",	//1486
    "tabWidth",	//1487
    "tabletEvent",	//1488
    "text",	//1489
    "text$",	//1490
    "textAsBytes",	//1491
    "textAsBytes$",	//1492
    "textCase",	//1493
    "textChanged",	//1494
    "textHeight",	//1495
    "textHeight$",	//1496
    "timerEvent",	//1497
    "toMimeData",	//1498
    "toMimeData#$",	//1499
    "tokenize",	//1500
    "tr",	//1501
    "tr$",	//1502
    "tr$$",	//1503
    "tr$$$",	//1504
    "trUtf8",	//1505
    "trUtf8$",	//1506
    "trUtf8$$",	//1507
    "trUtf8$$$",	//1508
    "undo",	//1509
    "unindent",	//1510
    "unindent$",	//1511
    "updateAutoCompletionList",	//1512
    "updateAutoCompletionList??",	//1513
    "userListActivated",	//1514
    "userListActivated$$",	//1515
    "v2UnicodeAllowed",	//1516
    "v3BinaryOctalAllowed",	//1517
    "v3BytesAllowed",	//1518
    "validKey",	//1519
    "validKey$",	//1520
    "viewportEvent",	//1521
    "visible",	//1522
    "wheelEvent",	//1523
    "whitespaceSize",	//1524
    "whitespaceVisibility",	//1525
    "windowActivationChange",	//1526
    "wordAtLineIndex",	//1527
    "wordAtLineIndex$$",	//1528
    "wordAtPoint",	//1529
    "wordAtPoint#",	//1530
    "wordCharacters",	//1531
    "wrapIndentMode",	//1532
    "wrapMode",	//1533
    "write",	//1534
    "write#",	//1535
    "writeProperties",	//1536
    "writeProperties#$",	//1537
    "writeSettings",	//1538
    "writeSettings#",	//1539
    "writeSettings#$",	//1540
    "x11Event",	//1541
    "zoomIn",	//1542
    "zoomIn$",	//1543
    "zoomOut",	//1544
    "zoomOut$",	//1545
    "zoomTo",	//1546
    "zoomTo$",	//1547
    "~QsciAPIs",	//1548
    "~QsciAbstractAPIs",	//1549
    "~QsciCommand",	//1550
    "~QsciDocument",	//1551
    "~QsciLexer",	//1552
    "~QsciLexerBash",	//1553
    "~QsciLexerBatch",	//1554
    "~QsciLexerCMake",	//1555
    "~QsciLexerCPP",	//1556
    "~QsciLexerCSS",	//1557
    "~QsciLexerCSharp",	//1558
    "~QsciLexerCustom",	//1559
    "~QsciLexerD",	//1560
    "~QsciLexerDiff",	//1561
    "~QsciLexerFortran",	//1562
    "~QsciLexerFortran77",	//1563
    "~QsciLexerHTML",	//1564
    "~QsciLexerIDL",	//1565
    "~QsciLexerJava",	//1566
    "~QsciLexerJavaScript",	//1567
    "~QsciLexerLua",	//1568
    "~QsciLexerMakefile",	//1569
    "~QsciLexerPOV",	//1570
    "~QsciLexerPascal",	//1571
    "~QsciLexerPerl",	//1572
    "~QsciLexerPostScript",	//1573
    "~QsciLexerProperties",	//1574
    "~QsciLexerPython",	//1575
    "~QsciLexerRuby",	//1576
    "~QsciLexerSQL",	//1577
    "~QsciLexerTCL",	//1578
    "~QsciLexerTeX",	//1579
    "~QsciLexerVHDL",	//1580
    "~QsciLexerXML",	//1581
    "~QsciLexerYAML",	//1582
    "~QsciMacro",	//1583
    "~QsciPrinter",	//1584
    "~QsciScintilla",	//1585
    "~QsciScintillaBase",	//1586
    "~QsciStyle",	//1587
    "~QsciStyledText",	//1588
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1084, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1471, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 912, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1521, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1523, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {16, 834, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {28, 912, 1, 1, Smoke::mf_virtual, 189, 0},	//7 QObject::event(QEvent*)
    {28, 914, 5, 2, Smoke::mf_virtual, 189, 0},	//8 QObject::eventFilter(QObject*, QEvent*)
    {28, 1497, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 QObject::timerEvent(QTimerEvent*)
    {28, 836, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 QObject::childEvent(QChildEvent*)
    {28, 867, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 QObject::customEvent(QEvent*)
    {28, 855, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 QObject::connectNotify(const char*)
    {28, 882, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 QObject::disconnectNotify(const char*)
    {35, 881, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 0},	//14 QPrinter::devType() const
    {35, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//15 QPrinter::paintEngine() const
    {35, 1083, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 215, 0},	//16 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {35, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 4},	//17 QPrinter::ScreenResolution (enum)
    {35, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 5},	//18 QPrinter::PrinterResolution (enum)
    {35, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 6},	//19 QPrinter::HighResolution (enum)
    {47, 881, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 0},	//20 QWidget::devType() const
    {47, 1450, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//21 QWidget::setVisible(bool)
    {47, 975, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 0},	//22 QWidget::heightForWidth(int) const
    {47, 1101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//23 QWidget::paintEngine() const
    {47, 1023, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//24 QWidget::keyReleaseEvent(QKeyEvent*)
    {47, 905, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//25 QWidget::enterEvent(QEvent*)
    {47, 1028, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//26 QWidget::leaveEvent(QEvent*)
    {47, 1096, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 QWidget::moveEvent(QMoveEvent*)
    {47, 848, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//28 QWidget::closeEvent(QCloseEvent*)
    {47, 1488, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//29 QWidget::tabletEvent(QTabletEvent*)
    {47, 768, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//30 QWidget::actionEvent(QActionEvent*)
    {47, 1468, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//31 QWidget::showEvent(QShowEvent*)
    {47, 976, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QWidget::hideEvent(QHideEvent*)
    {47, 1541, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//33 QWidget::x11Event(_XEvent*)
    {47, 1083, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 215, 0},	//34 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {47, 1482, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QWidget::styleChange(QStyle&)
    {47, 899, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QWidget::enabledChange(bool)
    {47, 1104, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QWidget::paletteChange(const QPalette&)
    {47, 962, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QWidget::fontChange(const QFont&)
    {47, 1526, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QWidget::windowActivationChange(bool)
    {47, 1027, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QWidget::languageChange()
    {48, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//41 QsciAPIs::metaObject() const
    {48, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//42 QsciAPIs::qt_metacast(const char*)
    {48, 1501, 42, 2, Smoke::mf_static, 40, 3},	//43 QsciAPIs::tr(const char*, const char*)
    {48, 1505, 42, 2, Smoke::mf_static, 40, 4},	//44 QsciAPIs::trUtf8(const char*, const char*)
    {48, 1501, 45, 3, Smoke::mf_static, 40, 5},	//45 QsciAPIs::tr(const char*, const char*, int)
    {48, 1505, 45, 3, Smoke::mf_static, 40, 6},	//46 QsciAPIs::trUtf8(const char*, const char*, int)
    {48, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//47 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {48, 449, 53, 1, Smoke::mf_ctor, 50, 8},	//48 QsciAPIs::QsciAPIs(QsciLexer*)
    {48, 769, 55, 1, 0, 0, 9},	//49 QsciAPIs::add(const QString&)
    {48, 837, 0, 0, 0, 0, 10},	//50 QsciAPIs::clear()
    {48, 1041, 55, 1, 0, 189, 11},	//51 QsciAPIs::load(const QString&)
    {48, 1143, 55, 1, 0, 0, 12},	//52 QsciAPIs::remove(const QString&)
    {48, 1114, 0, 0, 0, 0, 13},	//53 QsciAPIs::prepare()
    {48, 831, 0, 0, 0, 0, 14},	//54 QsciAPIs::cancelPreparation()
    {48, 877, 0, 0, Smoke::mf_const, 40, 15},	//55 QsciAPIs::defaultPreparedName() const
    {48, 1012, 55, 1, Smoke::mf_const, 189, 16},	//56 QsciAPIs::isPrepared(const QString&) const
    {48, 1043, 55, 1, 0, 189, 17},	//57 QsciAPIs::loadPrepared(const QString&)
    {48, 1158, 55, 1, Smoke::mf_const, 189, 18},	//58 QsciAPIs::savePrepared(const QString&) const
    {48, 1512, 57, 2, Smoke::mf_virtual, 0, 19},	//59 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {48, 797, 55, 1, Smoke::mf_virtual, 0, 20},	//60 QsciAPIs::autoCompletionSelected(const QString&)
    {48, 823, 60, 4, Smoke::mf_virtual, 41, 21},	//61 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {48, 912, 1, 1, Smoke::mf_virtual, 189, 22},	//62 QsciAPIs::event(QEvent*)
    {48, 1008, 0, 0, Smoke::mf_const, 41, 23},	//63 QsciAPIs::installedAPIFiles() const
    {48, 782, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//64 QsciAPIs::apiPreparationCancelled()
    {48, 784, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//65 QsciAPIs::apiPreparationStarted()
    {48, 783, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//66 QsciAPIs::apiPreparationFinished()
    {48, 1501, 12, 1, Smoke::mf_static, 40, 27},	//67 QsciAPIs::tr(const char*)
    {48, 1505, 12, 1, Smoke::mf_static, 40, 28},	//68 QsciAPIs::trUtf8(const char*)
    {48, 1012, 0, 0, Smoke::mf_const, 189, 29},	//69 QsciAPIs::isPrepared() const
    {48, 1043, 0, 0, 0, 189, 30},	//70 QsciAPIs::loadPrepared()
    {48, 1158, 0, 0, Smoke::mf_const, 189, 31},	//71 QsciAPIs::savePrepared() const
    {48, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 32},	//72 QsciAPIs::staticMetaObject() const
    {48, 1548, 0, 0, Smoke::mf_dtor, 0, 33 },	//73 QsciAPIs::~QsciAPIs()
    {49, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//74 QsciAbstractAPIs::metaObject() const
    {49, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//75 QsciAbstractAPIs::qt_metacast(const char*)
    {49, 1501, 42, 2, Smoke::mf_static, 40, 3},	//76 QsciAbstractAPIs::tr(const char*, const char*)
    {49, 1505, 42, 2, Smoke::mf_static, 40, 4},	//77 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {49, 1501, 45, 3, Smoke::mf_static, 40, 5},	//78 QsciAbstractAPIs::tr(const char*, const char*, int)
    {49, 1505, 45, 3, Smoke::mf_static, 40, 6},	//79 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {49, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//80 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {49, 451, 53, 1, Smoke::mf_ctor, 51, 8},	//81 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {49, 1031, 0, 0, Smoke::mf_const, 58, 9},	//82 QsciAbstractAPIs::lexer() const
    {49, 1512, 57, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//83 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {49, 797, 55, 1, Smoke::mf_virtual, 0, 11},	//84 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {49, 823, 60, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 41, 12},	//85 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {49, 1501, 12, 1, Smoke::mf_static, 40, 13},	//86 QsciAbstractAPIs::tr(const char*)
    {49, 1505, 12, 1, Smoke::mf_static, 40, 14},	//87 QsciAbstractAPIs::trUtf8(const char*)
    {49, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 15},	//88 QsciAbstractAPIs::staticMetaObject() const
    {49, 1549, 0, 0, Smoke::mf_dtor, 0, 16 },	//89 QsciAbstractAPIs::~QsciAbstractAPIs()
    {50, 853, 0, 0, Smoke::mf_const, 53, 1},	//90 QsciCommand::command() const
    {50, 915, 0, 0, 0, 0, 2},	//91 QsciCommand::execute()
    {50, 1342, 18, 1, 0, 0, 3},	//92 QsciCommand::setKey(int)
    {50, 1171, 18, 1, 0, 0, 4},	//93 QsciCommand::setAlternateKey(int)
    {50, 1020, 0, 0, Smoke::mf_const, 215, 5},	//94 QsciCommand::key() const
    {50, 771, 0, 0, Smoke::mf_const, 215, 6},	//95 QsciCommand::alternateKey() const
    {50, 1519, 18, 1, Smoke::mf_static, 189, 7},	//96 QsciCommand::validKey(int)
    {50, 879, 0, 0, Smoke::mf_const, 40, 8},	//97 QsciCommand::description() const
    {50, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 9},	//98 QsciCommand::LineDown (enum)
    {50, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 10},	//99 QsciCommand::LineDownExtend (enum)
    {50, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 11},	//100 QsciCommand::LineDownRectExtend (enum)
    {50, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 12},	//101 QsciCommand::LineScrollDown (enum)
    {50, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 13},	//102 QsciCommand::LineUp (enum)
    {50, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 14},	//103 QsciCommand::LineUpExtend (enum)
    {50, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 15},	//104 QsciCommand::LineUpRectExtend (enum)
    {50, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 16},	//105 QsciCommand::LineScrollUp (enum)
    {50, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 17},	//106 QsciCommand::ScrollToStart (enum)
    {50, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 18},	//107 QsciCommand::ScrollToEnd (enum)
    {50, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 19},	//108 QsciCommand::VerticalCentreCaret (enum)
    {50, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 20},	//109 QsciCommand::ParaDown (enum)
    {50, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 21},	//110 QsciCommand::ParaDownExtend (enum)
    {50, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 22},	//111 QsciCommand::ParaUp (enum)
    {50, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 23},	//112 QsciCommand::ParaUpExtend (enum)
    {50, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 24},	//113 QsciCommand::CharLeft (enum)
    {50, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 25},	//114 QsciCommand::CharLeftExtend (enum)
    {50, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 26},	//115 QsciCommand::CharLeftRectExtend (enum)
    {50, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 27},	//116 QsciCommand::CharRight (enum)
    {50, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 28},	//117 QsciCommand::CharRightExtend (enum)
    {50, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 29},	//118 QsciCommand::CharRightRectExtend (enum)
    {50, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 30},	//119 QsciCommand::WordLeft (enum)
    {50, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 31},	//120 QsciCommand::WordLeftExtend (enum)
    {50, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 32},	//121 QsciCommand::WordRight (enum)
    {50, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 33},	//122 QsciCommand::WordRightExtend (enum)
    {50, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 34},	//123 QsciCommand::WordLeftEnd (enum)
    {50, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 35},	//124 QsciCommand::WordLeftEndExtend (enum)
    {50, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 36},	//125 QsciCommand::WordRightEnd (enum)
    {50, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 37},	//126 QsciCommand::WordRightEndExtend (enum)
    {50, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 38},	//127 QsciCommand::WordPartLeft (enum)
    {50, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 39},	//128 QsciCommand::WordPartLeftExtend (enum)
    {50, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 40},	//129 QsciCommand::WordPartRight (enum)
    {50, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 41},	//130 QsciCommand::WordPartRightExtend (enum)
    {50, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 42},	//131 QsciCommand::Home (enum)
    {50, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 43},	//132 QsciCommand::HomeExtend (enum)
    {50, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 44},	//133 QsciCommand::HomeRectExtend (enum)
    {50, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 45},	//134 QsciCommand::HomeDisplay (enum)
    {50, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 46},	//135 QsciCommand::HomeDisplayExtend (enum)
    {50, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 47},	//136 QsciCommand::HomeWrap (enum)
    {50, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 48},	//137 QsciCommand::HomeWrapExtend (enum)
    {50, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 49},	//138 QsciCommand::VCHome (enum)
    {50, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 50},	//139 QsciCommand::VCHomeExtend (enum)
    {50, 728, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 51},	//140 QsciCommand::VCHomeRectExtend (enum)
    {50, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 52},	//141 QsciCommand::VCHomeWrap (enum)
    {50, 730, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 53},	//142 QsciCommand::VCHomeWrapExtend (enum)
    {50, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 54},	//143 QsciCommand::LineEnd (enum)
    {50, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 55},	//144 QsciCommand::LineEndExtend (enum)
    {50, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 56},	//145 QsciCommand::LineEndRectExtend (enum)
    {50, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 57},	//146 QsciCommand::LineEndDisplay (enum)
    {50, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 58},	//147 QsciCommand::LineEndDisplayExtend (enum)
    {50, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 59},	//148 QsciCommand::LineEndWrap (enum)
    {50, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 60},	//149 QsciCommand::LineEndWrapExtend (enum)
    {50, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 61},	//150 QsciCommand::DocumentStart (enum)
    {50, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 62},	//151 QsciCommand::DocumentStartExtend (enum)
    {50, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 63},	//152 QsciCommand::DocumentEnd (enum)
    {50, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 64},	//153 QsciCommand::DocumentEndExtend (enum)
    {50, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 65},	//154 QsciCommand::PageUp (enum)
    {50, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 66},	//155 QsciCommand::PageUpExtend (enum)
    {50, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 67},	//156 QsciCommand::PageUpRectExtend (enum)
    {50, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 68},	//157 QsciCommand::PageDown (enum)
    {50, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 69},	//158 QsciCommand::PageDownExtend (enum)
    {50, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 70},	//159 QsciCommand::PageDownRectExtend (enum)
    {50, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 71},	//160 QsciCommand::StutteredPageUp (enum)
    {50, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 72},	//161 QsciCommand::StutteredPageUpExtend (enum)
    {50, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 73},	//162 QsciCommand::StutteredPageDown (enum)
    {50, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 74},	//163 QsciCommand::StutteredPageDownExtend (enum)
    {50, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 75},	//164 QsciCommand::Delete (enum)
    {50, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 76},	//165 QsciCommand::DeleteBack (enum)
    {50, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 77},	//166 QsciCommand::DeleteBackNotLine (enum)
    {50, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 78},	//167 QsciCommand::DeleteWordLeft (enum)
    {50, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 79},	//168 QsciCommand::DeleteWordRight (enum)
    {50, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 80},	//169 QsciCommand::DeleteWordRightEnd (enum)
    {50, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 81},	//170 QsciCommand::DeleteLineLeft (enum)
    {50, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 82},	//171 QsciCommand::DeleteLineRight (enum)
    {50, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 83},	//172 QsciCommand::LineDelete (enum)
    {50, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 84},	//173 QsciCommand::LineCut (enum)
    {50, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 85},	//174 QsciCommand::LineCopy (enum)
    {50, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 86},	//175 QsciCommand::LineTranspose (enum)
    {50, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 87},	//176 QsciCommand::LineDuplicate (enum)
    {50, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 88},	//177 QsciCommand::SelectAll (enum)
    {50, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 89},	//178 QsciCommand::MoveSelectedLinesUp (enum)
    {50, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 90},	//179 QsciCommand::MoveSelectedLinesDown (enum)
    {50, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 91},	//180 QsciCommand::SelectionDuplicate (enum)
    {50, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 92},	//181 QsciCommand::SelectionLowerCase (enum)
    {50, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 93},	//182 QsciCommand::SelectionUpperCase (enum)
    {50, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 94},	//183 QsciCommand::SelectionCut (enum)
    {50, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 95},	//184 QsciCommand::SelectionCopy (enum)
    {50, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 96},	//185 QsciCommand::Paste (enum)
    {50, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 97},	//186 QsciCommand::EditToggleOvertype (enum)
    {50, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 98},	//187 QsciCommand::Newline (enum)
    {50, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 99},	//188 QsciCommand::Formfeed (enum)
    {50, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 100},	//189 QsciCommand::Tab (enum)
    {50, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 101},	//190 QsciCommand::Backtab (enum)
    {50, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 102},	//191 QsciCommand::Cancel (enum)
    {50, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 103},	//192 QsciCommand::Undo (enum)
    {50, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 104},	//193 QsciCommand::Redo (enum)
    {50, 766, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 105},	//194 QsciCommand::ZoomIn (enum)
    {50, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 106},	//195 QsciCommand::ZoomOut (enum)
    {50, 1550, 0, 0, Smoke::mf_dtor, 0, 107 },	//196 QsciCommand::~QsciCommand()
    {51, 1132, 65, 2, 0, 189, 1},	//197 QsciCommandSet::readSettings(QSettings&, const char*)
    {51, 1538, 65, 2, 0, 189, 2},	//198 QsciCommandSet::writeSettings(QSettings&, const char*)
    {51, 854, 0, 0, 0, 19, 3},	//199 QsciCommandSet::commands()
    {51, 844, 0, 0, 0, 0, 4},	//200 QsciCommandSet::clearKeys()
    {51, 838, 0, 0, 0, 0, 5},	//201 QsciCommandSet::clearAlternateKeys()
    {51, 816, 18, 1, Smoke::mf_const, 52, 6},	//202 QsciCommandSet::boundTo(int) const
    {51, 920, 68, 1, Smoke::mf_const, 52, 7},	//203 QsciCommandSet::find(QsciCommand::Command) const
    {51, 1132, 70, 1, 0, 189, 8},	//204 QsciCommandSet::readSettings(QSettings&)
    {51, 1538, 70, 1, 0, 189, 9},	//205 QsciCommandSet::writeSettings(QSettings&)
    {52, 453, 0, 0, Smoke::mf_ctor, 57, 1},	//206 QsciDocument::QsciDocument()
    {52, 453, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//207 QsciDocument::QsciDocument(const QsciDocument&)
    {52, 1098, 72, 1, 0, 56, 3},	//208 QsciDocument::operator=(const QsciDocument&)
    {52, 1551, 0, 0, Smoke::mf_dtor, 0, 4 },	//209 QsciDocument::~QsciDocument()
    {53, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//210 QsciLexer::metaObject() const
    {53, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//211 QsciLexer::qt_metacast(const char*)
    {53, 1501, 42, 2, Smoke::mf_static, 40, 3},	//212 QsciLexer::tr(const char*, const char*)
    {53, 1505, 42, 2, Smoke::mf_static, 40, 4},	//213 QsciLexer::trUtf8(const char*, const char*)
    {53, 1501, 45, 3, Smoke::mf_static, 40, 5},	//214 QsciLexer::tr(const char*, const char*, int)
    {53, 1505, 45, 3, Smoke::mf_static, 40, 6},	//215 QsciLexer::trUtf8(const char*, const char*, int)
    {53, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//216 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {53, 455, 74, 1, Smoke::mf_ctor, 58, 8},	//217 QsciLexer::QsciLexer(QObject*)
    {53, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 213, 9},	//218 QsciLexer::language() const [pure virtual]
    {53, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//219 QsciLexer::lexer() const
    {53, 1032, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//220 QsciLexer::lexerId() const
    {53, 785, 0, 0, Smoke::mf_const, 51, 12},	//221 QsciLexer::apis() const
    {53, 794, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//222 QsciLexer::autoCompletionFillups() const
    {53, 803, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 14},	//223 QsciLexer::autoCompletionWordSeparators() const
    {53, 805, 0, 0, 0, 215, 15},	//224 QsciLexer::autoIndentStyle()
    {53, 809, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//225 QsciLexer::blockEnd(int*) const
    {53, 811, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 17},	//226 QsciLexer::blockLookback() const
    {53, 812, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 18},	//227 QsciLexer::blockStart(int*) const
    {53, 814, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 19},	//228 QsciLexer::blockStartKeyword(int*) const
    {53, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 20},	//229 QsciLexer::braceStyle() const
    {53, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 189, 21},	//230 QsciLexer::caseSensitive() const
    {53, 849, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 22},	//231 QsciLexer::color(int) const
    {53, 906, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 23},	//232 QsciLexer::eolFill(int) const
    {53, 960, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 24},	//233 QsciLexer::font(int) const
    {53, 985, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 25},	//234 QsciLexer::indentationGuideView() const
    {53, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 26},	//235 QsciLexer::keywords(int) const
    {53, 878, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 27},	//236 QsciLexer::defaultStyle() const
    {53, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 28},	//237 QsciLexer::description(int) const [pure virtual]
    {53, 1105, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 29},	//238 QsciLexer::paper(int) const
    {53, 869, 0, 0, Smoke::mf_const, 6, 30},	//239 QsciLexer::defaultColor() const
    {53, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 31},	//240 QsciLexer::defaultColor(int) const
    {53, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 32},	//241 QsciLexer::defaultEolFill(int) const
    {53, 873, 0, 0, Smoke::mf_const, 14, 33},	//242 QsciLexer::defaultFont() const
    {53, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 34},	//243 QsciLexer::defaultFont(int) const
    {53, 875, 0, 0, Smoke::mf_const, 6, 35},	//244 QsciLexer::defaultPaper() const
    {53, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 36},	//245 QsciLexer::defaultPaper(int) const
    {53, 898, 0, 0, Smoke::mf_const, 92, 37},	//246 QsciLexer::editor() const
    {53, 1169, 78, 1, 0, 0, 38},	//247 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {53, 1234, 80, 1, 0, 0, 39},	//248 QsciLexer::setDefaultColor(const QColor&)
    {53, 1236, 40, 1, 0, 0, 40},	//249 QsciLexer::setDefaultFont(const QFont&)
    {53, 1238, 80, 1, 0, 0, 41},	//250 QsciLexer::setDefaultPaper(const QColor&)
    {53, 1256, 82, 1, Smoke::mf_virtual, 0, 42},	//251 QsciLexer::setEditor(QsciScintilla*)
    {53, 1132, 65, 2, 0, 189, 43},	//252 QsciLexer::readSettings(QSettings&, const char*)
    {53, 1140, 0, 0, Smoke::mf_virtual, 0, 44},	//253 QsciLexer::refreshProperties()
    {53, 1481, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 45},	//254 QsciLexer::styleBitsNeeded() const
    {53, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 46},	//255 QsciLexer::wordCharacters() const
    {53, 1538, 65, 2, Smoke::mf_const, 189, 47},	//256 QsciLexer::writeSettings(QSettings&, const char*) const
    {53, 1195, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//257 QsciLexer::setAutoIndentStyle(int)
    {53, 1227, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//258 QsciLexer::setColor(const QColor&, int)
    {53, 1258, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//259 QsciLexer::setEolFill(bool, int)
    {53, 1302, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//260 QsciLexer::setFont(const QFont&, int)
    {53, 1393, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//261 QsciLexer::setPaper(const QColor&, int)
    {53, 851, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//262 QsciLexer::colorChanged(const QColor&, int)
    {53, 908, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//263 QsciLexer::eolFillChanged(bool, int)
    {53, 963, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//264 QsciLexer::fontChanged(const QFont&, int)
    {53, 1107, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//265 QsciLexer::paperChanged(const QColor&, int)
    {53, 1121, 42, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//266 QsciLexer::propertyChanged(const char*, const char*)
    {53, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 58},	//267 QsciLexer::readProperties(QSettings&, const QString&)
    {53, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 59},	//268 QsciLexer::writeProperties(QSettings&, const QString&) const
    {53, 1501, 12, 1, Smoke::mf_static, 40, 60},	//269 QsciLexer::tr(const char*)
    {53, 1505, 12, 1, Smoke::mf_static, 40, 61},	//270 QsciLexer::trUtf8(const char*)
    {53, 455, 0, 0, Smoke::mf_ctor, 58, 62},	//271 QsciLexer::QsciLexer()
    {53, 809, 0, 0, Smoke::mf_const, 213, 63},	//272 QsciLexer::blockEnd() const
    {53, 812, 0, 0, Smoke::mf_const, 213, 64},	//273 QsciLexer::blockStart() const
    {53, 814, 0, 0, Smoke::mf_const, 213, 65},	//274 QsciLexer::blockStartKeyword() const
    {53, 1132, 70, 1, 0, 189, 66},	//275 QsciLexer::readSettings(QSettings&)
    {53, 1538, 70, 1, Smoke::mf_const, 189, 67},	//276 QsciLexer::writeSettings(QSettings&) const
    {53, 1227, 80, 1, Smoke::mf_slot, 0, 68},	//277 QsciLexer::setColor(const QColor&)
    {53, 1258, 16, 1, Smoke::mf_slot, 0, 69},	//278 QsciLexer::setEolFill(bool)
    {53, 1302, 40, 1, Smoke::mf_slot, 0, 70},	//279 QsciLexer::setFont(const QFont&)
    {53, 1393, 80, 1, Smoke::mf_slot, 0, 71},	//280 QsciLexer::setPaper(const QColor&)
    {53, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 72},	//281 QsciLexer::staticMetaObject() const
    {53, 1552, 0, 0, Smoke::mf_dtor, 0, 73 },	//282 QsciLexer::~QsciLexer()
    {54, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//283 QsciLexerBash::metaObject() const
    {54, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//284 QsciLexerBash::qt_metacast(const char*)
    {54, 1501, 42, 2, Smoke::mf_static, 40, 3},	//285 QsciLexerBash::tr(const char*, const char*)
    {54, 1505, 42, 2, Smoke::mf_static, 40, 4},	//286 QsciLexerBash::trUtf8(const char*, const char*)
    {54, 1501, 45, 3, Smoke::mf_static, 40, 5},	//287 QsciLexerBash::tr(const char*, const char*, int)
    {54, 1505, 45, 3, Smoke::mf_static, 40, 6},	//288 QsciLexerBash::trUtf8(const char*, const char*, int)
    {54, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//289 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {54, 457, 74, 1, Smoke::mf_ctor, 59, 8},	//290 QsciLexerBash::QsciLexerBash(QObject*)
    {54, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//291 QsciLexerBash::language() const
    {54, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//292 QsciLexerBash::lexer() const
    {54, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//293 QsciLexerBash::braceStyle() const
    {54, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//294 QsciLexerBash::wordCharacters() const
    {54, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//295 QsciLexerBash::defaultColor(int) const
    {54, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//296 QsciLexerBash::defaultEolFill(int) const
    {54, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//297 QsciLexerBash::defaultFont(int) const
    {54, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//298 QsciLexerBash::defaultPaper(int) const
    {54, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//299 QsciLexerBash::keywords(int) const
    {54, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//300 QsciLexerBash::description(int) const
    {54, 1140, 0, 0, Smoke::mf_virtual, 0, 19},	//301 QsciLexerBash::refreshProperties()
    {54, 947, 0, 0, Smoke::mf_const, 189, 20},	//302 QsciLexerBash::foldComments() const
    {54, 948, 0, 0, Smoke::mf_const, 189, 21},	//303 QsciLexerBash::foldCompact() const
    {54, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//304 QsciLexerBash::setFoldComments(bool)
    {54, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//305 QsciLexerBash::setFoldCompact(bool)
    {54, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//306 QsciLexerBash::readProperties(QSettings&, const QString&)
    {54, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 25},	//307 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {54, 1501, 12, 1, Smoke::mf_static, 40, 26},	//308 QsciLexerBash::tr(const char*)
    {54, 1505, 12, 1, Smoke::mf_static, 40, 27},	//309 QsciLexerBash::trUtf8(const char*)
    {54, 457, 0, 0, Smoke::mf_ctor, 59, 28},	//310 QsciLexerBash::QsciLexerBash()
    {54, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 29},	//311 QsciLexerBash::staticMetaObject() const
    {54, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//312 QsciLexerBash::Default (enum)
    {54, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//313 QsciLexerBash::Error (enum)
    {54, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//314 QsciLexerBash::Comment (enum)
    {54, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//315 QsciLexerBash::Number (enum)
    {54, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//316 QsciLexerBash::Keyword (enum)
    {54, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//317 QsciLexerBash::DoubleQuotedString (enum)
    {54, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//318 QsciLexerBash::SingleQuotedString (enum)
    {54, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//319 QsciLexerBash::Operator (enum)
    {54, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//320 QsciLexerBash::Identifier (enum)
    {54, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//321 QsciLexerBash::Scalar (enum)
    {54, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//322 QsciLexerBash::ParameterExpansion (enum)
    {54, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//323 QsciLexerBash::Backticks (enum)
    {54, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//324 QsciLexerBash::HereDocumentDelimiter (enum)
    {54, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//325 QsciLexerBash::SingleQuotedHereDocument (enum)
    {54, 1553, 0, 0, Smoke::mf_dtor, 0, 44 },	//326 QsciLexerBash::~QsciLexerBash()
    {55, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//327 QsciLexerBatch::metaObject() const
    {55, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//328 QsciLexerBatch::qt_metacast(const char*)
    {55, 1501, 42, 2, Smoke::mf_static, 40, 3},	//329 QsciLexerBatch::tr(const char*, const char*)
    {55, 1505, 42, 2, Smoke::mf_static, 40, 4},	//330 QsciLexerBatch::trUtf8(const char*, const char*)
    {55, 1501, 45, 3, Smoke::mf_static, 40, 5},	//331 QsciLexerBatch::tr(const char*, const char*, int)
    {55, 1505, 45, 3, Smoke::mf_static, 40, 6},	//332 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {55, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//333 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {55, 459, 74, 1, Smoke::mf_ctor, 60, 8},	//334 QsciLexerBatch::QsciLexerBatch(QObject*)
    {55, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//335 QsciLexerBatch::language() const
    {55, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//336 QsciLexerBatch::lexer() const
    {55, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//337 QsciLexerBatch::wordCharacters() const
    {55, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 189, 12},	//338 QsciLexerBatch::caseSensitive() const
    {55, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//339 QsciLexerBatch::defaultColor(int) const
    {55, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//340 QsciLexerBatch::defaultEolFill(int) const
    {55, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//341 QsciLexerBatch::defaultFont(int) const
    {55, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//342 QsciLexerBatch::defaultPaper(int) const
    {55, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//343 QsciLexerBatch::keywords(int) const
    {55, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//344 QsciLexerBatch::description(int) const
    {55, 1501, 12, 1, Smoke::mf_static, 40, 19},	//345 QsciLexerBatch::tr(const char*)
    {55, 1505, 12, 1, Smoke::mf_static, 40, 20},	//346 QsciLexerBatch::trUtf8(const char*)
    {55, 459, 0, 0, Smoke::mf_ctor, 60, 21},	//347 QsciLexerBatch::QsciLexerBatch()
    {55, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 22},	//348 QsciLexerBatch::staticMetaObject() const
    {55, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 23},	//349 QsciLexerBatch::Default (enum)
    {55, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 24},	//350 QsciLexerBatch::Comment (enum)
    {55, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//351 QsciLexerBatch::Keyword (enum)
    {55, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//352 QsciLexerBatch::Label (enum)
    {55, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//353 QsciLexerBatch::HideCommandChar (enum)
    {55, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//354 QsciLexerBatch::ExternalCommand (enum)
    {55, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//355 QsciLexerBatch::Variable (enum)
    {55, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//356 QsciLexerBatch::Operator (enum)
    {55, 1554, 0, 0, Smoke::mf_dtor, 0, 31 },	//357 QsciLexerBatch::~QsciLexerBatch()
    {56, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//358 QsciLexerCMake::metaObject() const
    {56, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//359 QsciLexerCMake::qt_metacast(const char*)
    {56, 1501, 42, 2, Smoke::mf_static, 40, 3},	//360 QsciLexerCMake::tr(const char*, const char*)
    {56, 1505, 42, 2, Smoke::mf_static, 40, 4},	//361 QsciLexerCMake::trUtf8(const char*, const char*)
    {56, 1501, 45, 3, Smoke::mf_static, 40, 5},	//362 QsciLexerCMake::tr(const char*, const char*, int)
    {56, 1505, 45, 3, Smoke::mf_static, 40, 6},	//363 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {56, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//364 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {56, 461, 74, 1, Smoke::mf_ctor, 61, 8},	//365 QsciLexerCMake::QsciLexerCMake(QObject*)
    {56, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//366 QsciLexerCMake::language() const
    {56, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//367 QsciLexerCMake::lexer() const
    {56, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//368 QsciLexerCMake::defaultColor(int) const
    {56, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//369 QsciLexerCMake::defaultFont(int) const
    {56, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//370 QsciLexerCMake::defaultPaper(int) const
    {56, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//371 QsciLexerCMake::keywords(int) const
    {56, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//372 QsciLexerCMake::description(int) const
    {56, 1140, 0, 0, Smoke::mf_virtual, 0, 16},	//373 QsciLexerCMake::refreshProperties()
    {56, 945, 0, 0, Smoke::mf_const, 189, 17},	//374 QsciLexerCMake::foldAtElse() const
    {56, 1273, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//375 QsciLexerCMake::setFoldAtElse(bool)
    {56, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 19},	//376 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {56, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 20},	//377 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {56, 1501, 12, 1, Smoke::mf_static, 40, 21},	//378 QsciLexerCMake::tr(const char*)
    {56, 1505, 12, 1, Smoke::mf_static, 40, 22},	//379 QsciLexerCMake::trUtf8(const char*)
    {56, 461, 0, 0, Smoke::mf_ctor, 61, 23},	//380 QsciLexerCMake::QsciLexerCMake()
    {56, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 24},	//381 QsciLexerCMake::staticMetaObject() const
    {56, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//382 QsciLexerCMake::Default (enum)
    {56, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//383 QsciLexerCMake::Comment (enum)
    {56, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//384 QsciLexerCMake::String (enum)
    {56, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//385 QsciLexerCMake::StringLeftQuote (enum)
    {56, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//386 QsciLexerCMake::StringRightQuote (enum)
    {56, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//387 QsciLexerCMake::Function (enum)
    {56, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//388 QsciLexerCMake::Variable (enum)
    {56, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//389 QsciLexerCMake::Label (enum)
    {56, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//390 QsciLexerCMake::KeywordSet3 (enum)
    {56, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//391 QsciLexerCMake::BlockWhile (enum)
    {56, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//392 QsciLexerCMake::BlockForeach (enum)
    {56, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//393 QsciLexerCMake::BlockIf (enum)
    {56, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//394 QsciLexerCMake::BlockMacro (enum)
    {56, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//395 QsciLexerCMake::StringVariable (enum)
    {56, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//396 QsciLexerCMake::Number (enum)
    {56, 1555, 0, 0, Smoke::mf_dtor, 0, 40 },	//397 QsciLexerCMake::~QsciLexerCMake()
    {57, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//398 QsciLexerCPP::metaObject() const
    {57, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//399 QsciLexerCPP::qt_metacast(const char*)
    {57, 1501, 42, 2, Smoke::mf_static, 40, 3},	//400 QsciLexerCPP::tr(const char*, const char*)
    {57, 1505, 42, 2, Smoke::mf_static, 40, 4},	//401 QsciLexerCPP::trUtf8(const char*, const char*)
    {57, 1501, 45, 3, Smoke::mf_static, 40, 5},	//402 QsciLexerCPP::tr(const char*, const char*, int)
    {57, 1505, 45, 3, Smoke::mf_static, 40, 6},	//403 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {57, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//404 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {57, 463, 96, 2, Smoke::mf_ctor, 62, 8},	//405 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {57, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//406 QsciLexerCPP::language() const
    {57, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//407 QsciLexerCPP::lexer() const
    {57, 803, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//408 QsciLexerCPP::autoCompletionWordSeparators() const
    {57, 809, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//409 QsciLexerCPP::blockEnd(int*) const
    {57, 812, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//410 QsciLexerCPP::blockStart(int*) const
    {57, 814, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//411 QsciLexerCPP::blockStartKeyword(int*) const
    {57, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//412 QsciLexerCPP::braceStyle() const
    {57, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//413 QsciLexerCPP::wordCharacters() const
    {57, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//414 QsciLexerCPP::defaultColor(int) const
    {57, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 18},	//415 QsciLexerCPP::defaultEolFill(int) const
    {57, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//416 QsciLexerCPP::defaultFont(int) const
    {57, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//417 QsciLexerCPP::defaultPaper(int) const
    {57, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 21},	//418 QsciLexerCPP::keywords(int) const
    {57, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 22},	//419 QsciLexerCPP::description(int) const
    {57, 1140, 0, 0, Smoke::mf_virtual, 0, 23},	//420 QsciLexerCPP::refreshProperties()
    {57, 945, 0, 0, Smoke::mf_const, 189, 24},	//421 QsciLexerCPP::foldAtElse() const
    {57, 947, 0, 0, Smoke::mf_const, 189, 25},	//422 QsciLexerCPP::foldComments() const
    {57, 948, 0, 0, Smoke::mf_const, 189, 26},	//423 QsciLexerCPP::foldCompact() const
    {57, 955, 0, 0, Smoke::mf_const, 189, 27},	//424 QsciLexerCPP::foldPreprocessor() const
    {57, 1483, 0, 0, Smoke::mf_const, 189, 28},	//425 QsciLexerCPP::stylePreprocessor() const
    {57, 1246, 16, 1, 0, 0, 29},	//426 QsciLexerCPP::setDollarsAllowed(bool)
    {57, 885, 0, 0, Smoke::mf_const, 189, 30},	//427 QsciLexerCPP::dollarsAllowed() const
    {57, 1313, 16, 1, 0, 0, 31},	//428 QsciLexerCPP::setHighlightTripleQuotedStrings(bool)
    {57, 979, 0, 0, Smoke::mf_const, 189, 32},	//429 QsciLexerCPP::highlightTripleQuotedStrings() const
    {57, 1309, 16, 1, 0, 0, 33},	//430 QsciLexerCPP::setHighlightHashQuotedStrings(bool)
    {57, 977, 0, 0, Smoke::mf_const, 189, 34},	//431 QsciLexerCPP::highlightHashQuotedStrings() const
    {57, 1273, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//432 QsciLexerCPP::setFoldAtElse(bool)
    {57, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//433 QsciLexerCPP::setFoldComments(bool)
    {57, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 37},	//434 QsciLexerCPP::setFoldCompact(bool)
    {57, 1291, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//435 QsciLexerCPP::setFoldPreprocessor(bool)
    {57, 1421, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 39},	//436 QsciLexerCPP::setStylePreprocessor(bool)
    {57, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 40},	//437 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {57, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 41},	//438 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {57, 1501, 12, 1, Smoke::mf_static, 40, 42},	//439 QsciLexerCPP::tr(const char*)
    {57, 1505, 12, 1, Smoke::mf_static, 40, 43},	//440 QsciLexerCPP::trUtf8(const char*)
    {57, 463, 0, 0, Smoke::mf_ctor, 62, 44},	//441 QsciLexerCPP::QsciLexerCPP()
    {57, 463, 74, 1, Smoke::mf_ctor, 62, 45},	//442 QsciLexerCPP::QsciLexerCPP(QObject*)
    {57, 809, 0, 0, Smoke::mf_const, 213, 46},	//443 QsciLexerCPP::blockEnd() const
    {57, 812, 0, 0, Smoke::mf_const, 213, 47},	//444 QsciLexerCPP::blockStart() const
    {57, 814, 0, 0, Smoke::mf_const, 213, 48},	//445 QsciLexerCPP::blockStartKeyword() const
    {57, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 49},	//446 QsciLexerCPP::staticMetaObject() const
    {57, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//447 QsciLexerCPP::Default (enum)
    {57, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//448 QsciLexerCPP::InactiveDefault (enum)
    {57, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//449 QsciLexerCPP::Comment (enum)
    {57, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//450 QsciLexerCPP::InactiveComment (enum)
    {57, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//451 QsciLexerCPP::CommentLine (enum)
    {57, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//452 QsciLexerCPP::InactiveCommentLine (enum)
    {57, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//453 QsciLexerCPP::CommentDoc (enum)
    {57, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//454 QsciLexerCPP::InactiveCommentDoc (enum)
    {57, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//455 QsciLexerCPP::Number (enum)
    {57, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//456 QsciLexerCPP::InactiveNumber (enum)
    {57, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//457 QsciLexerCPP::Keyword (enum)
    {57, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//458 QsciLexerCPP::InactiveKeyword (enum)
    {57, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//459 QsciLexerCPP::DoubleQuotedString (enum)
    {57, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//460 QsciLexerCPP::InactiveDoubleQuotedString (enum)
    {57, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//461 QsciLexerCPP::SingleQuotedString (enum)
    {57, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//462 QsciLexerCPP::InactiveSingleQuotedString (enum)
    {57, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 66},	//463 QsciLexerCPP::UUID (enum)
    {57, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 67},	//464 QsciLexerCPP::InactiveUUID (enum)
    {57, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 68},	//465 QsciLexerCPP::PreProcessor (enum)
    {57, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 69},	//466 QsciLexerCPP::InactivePreProcessor (enum)
    {57, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 70},	//467 QsciLexerCPP::Operator (enum)
    {57, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 71},	//468 QsciLexerCPP::InactiveOperator (enum)
    {57, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 72},	//469 QsciLexerCPP::Identifier (enum)
    {57, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 73},	//470 QsciLexerCPP::InactiveIdentifier (enum)
    {57, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 74},	//471 QsciLexerCPP::UnclosedString (enum)
    {57, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 75},	//472 QsciLexerCPP::InactiveUnclosedString (enum)
    {57, 734, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 76},	//473 QsciLexerCPP::VerbatimString (enum)
    {57, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//474 QsciLexerCPP::InactiveVerbatimString (enum)
    {57, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 78},	//475 QsciLexerCPP::Regex (enum)
    {57, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 79},	//476 QsciLexerCPP::InactiveRegex (enum)
    {57, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 80},	//477 QsciLexerCPP::CommentLineDoc (enum)
    {57, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 81},	//478 QsciLexerCPP::InactiveCommentLineDoc (enum)
    {57, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 82},	//479 QsciLexerCPP::KeywordSet2 (enum)
    {57, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 83},	//480 QsciLexerCPP::InactiveKeywordSet2 (enum)
    {57, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//481 QsciLexerCPP::CommentDocKeyword (enum)
    {57, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 85},	//482 QsciLexerCPP::InactiveCommentDocKeyword (enum)
    {57, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 86},	//483 QsciLexerCPP::CommentDocKeywordError (enum)
    {57, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 87},	//484 QsciLexerCPP::InactiveCommentDocKeywordError (enum)
    {57, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 88},	//485 QsciLexerCPP::GlobalClass (enum)
    {57, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 89},	//486 QsciLexerCPP::InactiveGlobalClass (enum)
    {57, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 90},	//487 QsciLexerCPP::RawString (enum)
    {57, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 91},	//488 QsciLexerCPP::InactiveRawString (enum)
    {57, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 92},	//489 QsciLexerCPP::TripleQuotedVerbatimString (enum)
    {57, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 93},	//490 QsciLexerCPP::InactiveTripleQuotedVerbatimString (enum)
    {57, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 94},	//491 QsciLexerCPP::HashQuotedString (enum)
    {57, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 95},	//492 QsciLexerCPP::InactiveHashQuotedString (enum)
    {57, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 96},	//493 QsciLexerCPP::PreProcessorComment (enum)
    {57, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 97},	//494 QsciLexerCPP::InactivePreProcessorComment (enum)
    {57, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 98},	//495 QsciLexerCPP::PreProcessorCommentLineDoc (enum)
    {57, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 99},	//496 QsciLexerCPP::InactivePreProcessorCommentLineDoc (enum)
    {57, 1556, 0, 0, Smoke::mf_dtor, 0, 100 },	//497 QsciLexerCPP::~QsciLexerCPP()
    {58, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//498 QsciLexerCSS::metaObject() const
    {58, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//499 QsciLexerCSS::qt_metacast(const char*)
    {58, 1501, 42, 2, Smoke::mf_static, 40, 3},	//500 QsciLexerCSS::tr(const char*, const char*)
    {58, 1505, 42, 2, Smoke::mf_static, 40, 4},	//501 QsciLexerCSS::trUtf8(const char*, const char*)
    {58, 1501, 45, 3, Smoke::mf_static, 40, 5},	//502 QsciLexerCSS::tr(const char*, const char*, int)
    {58, 1505, 45, 3, Smoke::mf_static, 40, 6},	//503 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {58, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//504 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {58, 466, 74, 1, Smoke::mf_ctor, 63, 8},	//505 QsciLexerCSS::QsciLexerCSS(QObject*)
    {58, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//506 QsciLexerCSS::language() const
    {58, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//507 QsciLexerCSS::lexer() const
    {58, 809, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//508 QsciLexerCSS::blockEnd(int*) const
    {58, 812, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//509 QsciLexerCSS::blockStart(int*) const
    {58, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//510 QsciLexerCSS::wordCharacters() const
    {58, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//511 QsciLexerCSS::defaultColor(int) const
    {58, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//512 QsciLexerCSS::defaultFont(int) const
    {58, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//513 QsciLexerCSS::keywords(int) const
    {58, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//514 QsciLexerCSS::description(int) const
    {58, 1140, 0, 0, Smoke::mf_virtual, 0, 18},	//515 QsciLexerCSS::refreshProperties()
    {58, 947, 0, 0, Smoke::mf_const, 189, 19},	//516 QsciLexerCSS::foldComments() const
    {58, 948, 0, 0, Smoke::mf_const, 189, 20},	//517 QsciLexerCSS::foldCompact() const
    {58, 1305, 16, 1, 0, 0, 21},	//518 QsciLexerCSS::setHSSLanguage(bool)
    {58, 225, 0, 0, Smoke::mf_const, 189, 22},	//519 QsciLexerCSS::HSSLanguage() const
    {58, 1344, 16, 1, 0, 0, 23},	//520 QsciLexerCSS::setLessLanguage(bool)
    {58, 320, 0, 0, Smoke::mf_const, 189, 24},	//521 QsciLexerCSS::LessLanguage() const
    {58, 1404, 16, 1, 0, 0, 25},	//522 QsciLexerCSS::setSCSSLanguage(bool)
    {58, 604, 0, 0, Smoke::mf_const, 189, 26},	//523 QsciLexerCSS::SCSSLanguage() const
    {58, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//524 QsciLexerCSS::setFoldComments(bool)
    {58, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//525 QsciLexerCSS::setFoldCompact(bool)
    {58, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 29},	//526 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {58, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 30},	//527 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {58, 1501, 12, 1, Smoke::mf_static, 40, 31},	//528 QsciLexerCSS::tr(const char*)
    {58, 1505, 12, 1, Smoke::mf_static, 40, 32},	//529 QsciLexerCSS::trUtf8(const char*)
    {58, 466, 0, 0, Smoke::mf_ctor, 63, 33},	//530 QsciLexerCSS::QsciLexerCSS()
    {58, 809, 0, 0, Smoke::mf_const, 213, 34},	//531 QsciLexerCSS::blockEnd() const
    {58, 812, 0, 0, Smoke::mf_const, 213, 35},	//532 QsciLexerCSS::blockStart() const
    {58, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 36},	//533 QsciLexerCSS::staticMetaObject() const
    {58, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//534 QsciLexerCSS::Default (enum)
    {58, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//535 QsciLexerCSS::Tag (enum)
    {58, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//536 QsciLexerCSS::ClassSelector (enum)
    {58, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//537 QsciLexerCSS::PseudoClass (enum)
    {58, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//538 QsciLexerCSS::UnknownPseudoClass (enum)
    {58, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//539 QsciLexerCSS::Operator (enum)
    {58, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//540 QsciLexerCSS::CSS1Property (enum)
    {58, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//541 QsciLexerCSS::UnknownProperty (enum)
    {58, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//542 QsciLexerCSS::Value (enum)
    {58, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//543 QsciLexerCSS::Comment (enum)
    {58, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//544 QsciLexerCSS::IDSelector (enum)
    {58, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//545 QsciLexerCSS::Important (enum)
    {58, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//546 QsciLexerCSS::AtRule (enum)
    {58, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//547 QsciLexerCSS::DoubleQuotedString (enum)
    {58, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//548 QsciLexerCSS::SingleQuotedString (enum)
    {58, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//549 QsciLexerCSS::CSS2Property (enum)
    {58, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//550 QsciLexerCSS::Attribute (enum)
    {58, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//551 QsciLexerCSS::CSS3Property (enum)
    {58, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//552 QsciLexerCSS::PseudoElement (enum)
    {58, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//553 QsciLexerCSS::ExtendedCSSProperty (enum)
    {58, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//554 QsciLexerCSS::ExtendedPseudoClass (enum)
    {58, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//555 QsciLexerCSS::ExtendedPseudoElement (enum)
    {58, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//556 QsciLexerCSS::MediaRule (enum)
    {58, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//557 QsciLexerCSS::Variable (enum)
    {58, 1557, 0, 0, Smoke::mf_dtor, 0, 61 },	//558 QsciLexerCSS::~QsciLexerCSS()
    {59, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//559 QsciLexerCSharp::metaObject() const
    {59, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//560 QsciLexerCSharp::qt_metacast(const char*)
    {59, 1501, 42, 2, Smoke::mf_static, 40, 3},	//561 QsciLexerCSharp::tr(const char*, const char*)
    {59, 1505, 42, 2, Smoke::mf_static, 40, 4},	//562 QsciLexerCSharp::trUtf8(const char*, const char*)
    {59, 1501, 45, 3, Smoke::mf_static, 40, 5},	//563 QsciLexerCSharp::tr(const char*, const char*, int)
    {59, 1505, 45, 3, Smoke::mf_static, 40, 6},	//564 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {59, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//565 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {59, 468, 74, 1, Smoke::mf_ctor, 64, 8},	//566 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {59, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//567 QsciLexerCSharp::language() const
    {59, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//568 QsciLexerCSharp::defaultColor(int) const
    {59, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 11},	//569 QsciLexerCSharp::defaultEolFill(int) const
    {59, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//570 QsciLexerCSharp::defaultFont(int) const
    {59, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//571 QsciLexerCSharp::defaultPaper(int) const
    {59, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//572 QsciLexerCSharp::keywords(int) const
    {59, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//573 QsciLexerCSharp::description(int) const
    {59, 1501, 12, 1, Smoke::mf_static, 40, 16},	//574 QsciLexerCSharp::tr(const char*)
    {59, 1505, 12, 1, Smoke::mf_static, 40, 17},	//575 QsciLexerCSharp::trUtf8(const char*)
    {59, 468, 0, 0, Smoke::mf_ctor, 64, 18},	//576 QsciLexerCSharp::QsciLexerCSharp()
    {59, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 19},	//577 QsciLexerCSharp::staticMetaObject() const
    {59, 1558, 0, 0, Smoke::mf_dtor, 0, 20 },	//578 QsciLexerCSharp::~QsciLexerCSharp()
    {60, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//579 QsciLexerCustom::metaObject() const
    {60, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//580 QsciLexerCustom::qt_metacast(const char*)
    {60, 1501, 42, 2, Smoke::mf_static, 40, 3},	//581 QsciLexerCustom::tr(const char*, const char*)
    {60, 1505, 42, 2, Smoke::mf_static, 40, 4},	//582 QsciLexerCustom::trUtf8(const char*, const char*)
    {60, 1501, 45, 3, Smoke::mf_static, 40, 5},	//583 QsciLexerCustom::tr(const char*, const char*, int)
    {60, 1505, 45, 3, Smoke::mf_static, 40, 6},	//584 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {60, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//585 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {60, 470, 74, 1, Smoke::mf_ctor, 65, 8},	//586 QsciLexerCustom::QsciLexerCustom(QObject*)
    {60, 1423, 99, 2, 0, 0, 9},	//587 QsciLexerCustom::setStyling(int, int)
    {60, 1423, 102, 2, 0, 0, 10},	//588 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {60, 1475, 99, 2, 0, 0, 11},	//589 QsciLexerCustom::startStyling(int, int)
    {60, 1484, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//590 QsciLexerCustom::styleText(int, int) [pure virtual]
    {60, 1256, 82, 1, Smoke::mf_virtual, 0, 13},	//591 QsciLexerCustom::setEditor(QsciScintilla*)
    {60, 1481, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//592 QsciLexerCustom::styleBitsNeeded() const
    {60, 1501, 12, 1, Smoke::mf_static, 40, 15},	//593 QsciLexerCustom::tr(const char*)
    {60, 1505, 12, 1, Smoke::mf_static, 40, 16},	//594 QsciLexerCustom::trUtf8(const char*)
    {60, 470, 0, 0, Smoke::mf_ctor, 65, 17},	//595 QsciLexerCustom::QsciLexerCustom()
    {60, 1475, 18, 1, 0, 0, 18},	//596 QsciLexerCustom::startStyling(int)
    {60, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 19},	//597 QsciLexerCustom::staticMetaObject() const
    {60, 1559, 0, 0, Smoke::mf_dtor, 0, 20 },	//598 QsciLexerCustom::~QsciLexerCustom()
    {61, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//599 QsciLexerD::metaObject() const
    {61, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//600 QsciLexerD::qt_metacast(const char*)
    {61, 1501, 42, 2, Smoke::mf_static, 40, 3},	//601 QsciLexerD::tr(const char*, const char*)
    {61, 1505, 42, 2, Smoke::mf_static, 40, 4},	//602 QsciLexerD::trUtf8(const char*, const char*)
    {61, 1501, 45, 3, Smoke::mf_static, 40, 5},	//603 QsciLexerD::tr(const char*, const char*, int)
    {61, 1505, 45, 3, Smoke::mf_static, 40, 6},	//604 QsciLexerD::trUtf8(const char*, const char*, int)
    {61, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//605 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {61, 472, 74, 1, Smoke::mf_ctor, 66, 8},	//606 QsciLexerD::QsciLexerD(QObject*)
    {61, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//607 QsciLexerD::language() const
    {61, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//608 QsciLexerD::lexer() const
    {61, 803, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//609 QsciLexerD::autoCompletionWordSeparators() const
    {61, 809, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//610 QsciLexerD::blockEnd(int*) const
    {61, 812, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//611 QsciLexerD::blockStart(int*) const
    {61, 814, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//612 QsciLexerD::blockStartKeyword(int*) const
    {61, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//613 QsciLexerD::braceStyle() const
    {61, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//614 QsciLexerD::wordCharacters() const
    {61, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//615 QsciLexerD::defaultColor(int) const
    {61, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 18},	//616 QsciLexerD::defaultEolFill(int) const
    {61, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//617 QsciLexerD::defaultFont(int) const
    {61, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//618 QsciLexerD::defaultPaper(int) const
    {61, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 21},	//619 QsciLexerD::keywords(int) const
    {61, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 22},	//620 QsciLexerD::description(int) const
    {61, 1140, 0, 0, Smoke::mf_virtual, 0, 23},	//621 QsciLexerD::refreshProperties()
    {61, 945, 0, 0, Smoke::mf_const, 189, 24},	//622 QsciLexerD::foldAtElse() const
    {61, 947, 0, 0, Smoke::mf_const, 189, 25},	//623 QsciLexerD::foldComments() const
    {61, 948, 0, 0, Smoke::mf_const, 189, 26},	//624 QsciLexerD::foldCompact() const
    {61, 1273, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//625 QsciLexerD::setFoldAtElse(bool)
    {61, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//626 QsciLexerD::setFoldComments(bool)
    {61, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//627 QsciLexerD::setFoldCompact(bool)
    {61, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 30},	//628 QsciLexerD::readProperties(QSettings&, const QString&)
    {61, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 31},	//629 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {61, 1501, 12, 1, Smoke::mf_static, 40, 32},	//630 QsciLexerD::tr(const char*)
    {61, 1505, 12, 1, Smoke::mf_static, 40, 33},	//631 QsciLexerD::trUtf8(const char*)
    {61, 472, 0, 0, Smoke::mf_ctor, 66, 34},	//632 QsciLexerD::QsciLexerD()
    {61, 809, 0, 0, Smoke::mf_const, 213, 35},	//633 QsciLexerD::blockEnd() const
    {61, 812, 0, 0, Smoke::mf_const, 213, 36},	//634 QsciLexerD::blockStart() const
    {61, 814, 0, 0, Smoke::mf_const, 213, 37},	//635 QsciLexerD::blockStartKeyword() const
    {61, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 38},	//636 QsciLexerD::staticMetaObject() const
    {61, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//637 QsciLexerD::Default (enum)
    {61, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//638 QsciLexerD::Comment (enum)
    {61, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//639 QsciLexerD::CommentLine (enum)
    {61, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//640 QsciLexerD::CommentDoc (enum)
    {61, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//641 QsciLexerD::CommentNested (enum)
    {61, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//642 QsciLexerD::Number (enum)
    {61, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//643 QsciLexerD::Keyword (enum)
    {61, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//644 QsciLexerD::KeywordSecondary (enum)
    {61, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//645 QsciLexerD::KeywordDoc (enum)
    {61, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//646 QsciLexerD::Typedefs (enum)
    {61, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//647 QsciLexerD::String (enum)
    {61, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//648 QsciLexerD::UnclosedString (enum)
    {61, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//649 QsciLexerD::Character (enum)
    {61, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//650 QsciLexerD::Operator (enum)
    {61, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//651 QsciLexerD::Identifier (enum)
    {61, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//652 QsciLexerD::CommentLineDoc (enum)
    {61, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//653 QsciLexerD::CommentDocKeyword (enum)
    {61, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//654 QsciLexerD::CommentDocKeywordError (enum)
    {61, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//655 QsciLexerD::BackquoteString (enum)
    {61, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//656 QsciLexerD::RawString (enum)
    {61, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//657 QsciLexerD::KeywordSet5 (enum)
    {61, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//658 QsciLexerD::KeywordSet6 (enum)
    {61, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//659 QsciLexerD::KeywordSet7 (enum)
    {61, 1560, 0, 0, Smoke::mf_dtor, 0, 62 },	//660 QsciLexerD::~QsciLexerD()
    {62, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//661 QsciLexerDiff::metaObject() const
    {62, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//662 QsciLexerDiff::qt_metacast(const char*)
    {62, 1501, 42, 2, Smoke::mf_static, 40, 3},	//663 QsciLexerDiff::tr(const char*, const char*)
    {62, 1505, 42, 2, Smoke::mf_static, 40, 4},	//664 QsciLexerDiff::trUtf8(const char*, const char*)
    {62, 1501, 45, 3, Smoke::mf_static, 40, 5},	//665 QsciLexerDiff::tr(const char*, const char*, int)
    {62, 1505, 45, 3, Smoke::mf_static, 40, 6},	//666 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {62, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//667 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {62, 474, 74, 1, Smoke::mf_ctor, 67, 8},	//668 QsciLexerDiff::QsciLexerDiff(QObject*)
    {62, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//669 QsciLexerDiff::language() const
    {62, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//670 QsciLexerDiff::lexer() const
    {62, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//671 QsciLexerDiff::wordCharacters() const
    {62, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//672 QsciLexerDiff::defaultColor(int) const
    {62, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 13},	//673 QsciLexerDiff::description(int) const
    {62, 1501, 12, 1, Smoke::mf_static, 40, 14},	//674 QsciLexerDiff::tr(const char*)
    {62, 1505, 12, 1, Smoke::mf_static, 40, 15},	//675 QsciLexerDiff::trUtf8(const char*)
    {62, 474, 0, 0, Smoke::mf_ctor, 67, 16},	//676 QsciLexerDiff::QsciLexerDiff()
    {62, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 17},	//677 QsciLexerDiff::staticMetaObject() const
    {62, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 18},	//678 QsciLexerDiff::Default (enum)
    {62, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 19},	//679 QsciLexerDiff::Comment (enum)
    {62, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 20},	//680 QsciLexerDiff::Command (enum)
    {62, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 21},	//681 QsciLexerDiff::Header (enum)
    {62, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 22},	//682 QsciLexerDiff::Position (enum)
    {62, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 23},	//683 QsciLexerDiff::LineRemoved (enum)
    {62, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 24},	//684 QsciLexerDiff::LineAdded (enum)
    {62, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//685 QsciLexerDiff::LineChanged (enum)
    {62, 1561, 0, 0, Smoke::mf_dtor, 0, 26 },	//686 QsciLexerDiff::~QsciLexerDiff()
    {63, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//687 QsciLexerFortran::metaObject() const
    {63, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//688 QsciLexerFortran::qt_metacast(const char*)
    {63, 1501, 42, 2, Smoke::mf_static, 40, 3},	//689 QsciLexerFortran::tr(const char*, const char*)
    {63, 1505, 42, 2, Smoke::mf_static, 40, 4},	//690 QsciLexerFortran::trUtf8(const char*, const char*)
    {63, 1501, 45, 3, Smoke::mf_static, 40, 5},	//691 QsciLexerFortran::tr(const char*, const char*, int)
    {63, 1505, 45, 3, Smoke::mf_static, 40, 6},	//692 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {63, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//693 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {63, 476, 74, 1, Smoke::mf_ctor, 68, 8},	//694 QsciLexerFortran::QsciLexerFortran(QObject*)
    {63, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//695 QsciLexerFortran::language() const
    {63, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//696 QsciLexerFortran::lexer() const
    {63, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//697 QsciLexerFortran::keywords(int) const
    {63, 1501, 12, 1, Smoke::mf_static, 40, 12},	//698 QsciLexerFortran::tr(const char*)
    {63, 1505, 12, 1, Smoke::mf_static, 40, 13},	//699 QsciLexerFortran::trUtf8(const char*)
    {63, 476, 0, 0, Smoke::mf_ctor, 68, 14},	//700 QsciLexerFortran::QsciLexerFortran()
    {63, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 15},	//701 QsciLexerFortran::staticMetaObject() const
    {63, 1562, 0, 0, Smoke::mf_dtor, 0, 16 },	//702 QsciLexerFortran::~QsciLexerFortran()
    {64, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//703 QsciLexerFortran77::metaObject() const
    {64, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//704 QsciLexerFortran77::qt_metacast(const char*)
    {64, 1501, 42, 2, Smoke::mf_static, 40, 3},	//705 QsciLexerFortran77::tr(const char*, const char*)
    {64, 1505, 42, 2, Smoke::mf_static, 40, 4},	//706 QsciLexerFortran77::trUtf8(const char*, const char*)
    {64, 1501, 45, 3, Smoke::mf_static, 40, 5},	//707 QsciLexerFortran77::tr(const char*, const char*, int)
    {64, 1505, 45, 3, Smoke::mf_static, 40, 6},	//708 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {64, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//709 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {64, 478, 74, 1, Smoke::mf_ctor, 69, 8},	//710 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {64, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//711 QsciLexerFortran77::language() const
    {64, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//712 QsciLexerFortran77::lexer() const
    {64, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//713 QsciLexerFortran77::braceStyle() const
    {64, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//714 QsciLexerFortran77::defaultColor(int) const
    {64, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//715 QsciLexerFortran77::defaultEolFill(int) const
    {64, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//716 QsciLexerFortran77::defaultFont(int) const
    {64, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//717 QsciLexerFortran77::defaultPaper(int) const
    {64, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//718 QsciLexerFortran77::keywords(int) const
    {64, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//719 QsciLexerFortran77::description(int) const
    {64, 1140, 0, 0, Smoke::mf_virtual, 0, 18},	//720 QsciLexerFortran77::refreshProperties()
    {64, 948, 0, 0, Smoke::mf_const, 189, 19},	//721 QsciLexerFortran77::foldCompact() const
    {64, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//722 QsciLexerFortran77::setFoldCompact(bool)
    {64, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 21},	//723 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {64, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 22},	//724 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {64, 1501, 12, 1, Smoke::mf_static, 40, 23},	//725 QsciLexerFortran77::tr(const char*)
    {64, 1505, 12, 1, Smoke::mf_static, 40, 24},	//726 QsciLexerFortran77::trUtf8(const char*)
    {64, 478, 0, 0, Smoke::mf_ctor, 69, 25},	//727 QsciLexerFortran77::QsciLexerFortran77()
    {64, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 26},	//728 QsciLexerFortran77::staticMetaObject() const
    {64, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//729 QsciLexerFortran77::Default (enum)
    {64, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//730 QsciLexerFortran77::Comment (enum)
    {64, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//731 QsciLexerFortran77::Number (enum)
    {64, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//732 QsciLexerFortran77::SingleQuotedString (enum)
    {64, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//733 QsciLexerFortran77::DoubleQuotedString (enum)
    {64, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//734 QsciLexerFortran77::UnclosedString (enum)
    {64, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//735 QsciLexerFortran77::Operator (enum)
    {64, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//736 QsciLexerFortran77::Identifier (enum)
    {64, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//737 QsciLexerFortran77::Keyword (enum)
    {64, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//738 QsciLexerFortran77::IntrinsicFunction (enum)
    {64, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//739 QsciLexerFortran77::ExtendedFunction (enum)
    {64, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//740 QsciLexerFortran77::PreProcessor (enum)
    {64, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//741 QsciLexerFortran77::DottedOperator (enum)
    {64, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//742 QsciLexerFortran77::Label (enum)
    {64, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//743 QsciLexerFortran77::Continuation (enum)
    {64, 1563, 0, 0, Smoke::mf_dtor, 0, 42 },	//744 QsciLexerFortran77::~QsciLexerFortran77()
    {65, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//745 QsciLexerHTML::metaObject() const
    {65, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//746 QsciLexerHTML::qt_metacast(const char*)
    {65, 1501, 42, 2, Smoke::mf_static, 40, 3},	//747 QsciLexerHTML::tr(const char*, const char*)
    {65, 1505, 42, 2, Smoke::mf_static, 40, 4},	//748 QsciLexerHTML::trUtf8(const char*, const char*)
    {65, 1501, 45, 3, Smoke::mf_static, 40, 5},	//749 QsciLexerHTML::tr(const char*, const char*, int)
    {65, 1505, 45, 3, Smoke::mf_static, 40, 6},	//750 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {65, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//751 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {65, 480, 74, 1, Smoke::mf_ctor, 70, 8},	//752 QsciLexerHTML::QsciLexerHTML(QObject*)
    {65, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//753 QsciLexerHTML::language() const
    {65, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//754 QsciLexerHTML::lexer() const
    {65, 794, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//755 QsciLexerHTML::autoCompletionFillups() const
    {65, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//756 QsciLexerHTML::wordCharacters() const
    {65, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//757 QsciLexerHTML::defaultColor(int) const
    {65, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//758 QsciLexerHTML::defaultEolFill(int) const
    {65, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//759 QsciLexerHTML::defaultFont(int) const
    {65, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//760 QsciLexerHTML::defaultPaper(int) const
    {65, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//761 QsciLexerHTML::keywords(int) const
    {65, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//762 QsciLexerHTML::description(int) const
    {65, 1140, 0, 0, Smoke::mf_virtual, 0, 19},	//763 QsciLexerHTML::refreshProperties()
    {65, 833, 0, 0, Smoke::mf_const, 189, 20},	//764 QsciLexerHTML::caseSensitiveTags() const
    {65, 1242, 16, 1, 0, 0, 21},	//765 QsciLexerHTML::setDjangoTemplates(bool)
    {65, 883, 0, 0, Smoke::mf_const, 189, 22},	//766 QsciLexerHTML::djangoTemplates() const
    {65, 948, 0, 0, Smoke::mf_const, 189, 23},	//767 QsciLexerHTML::foldCompact() const
    {65, 955, 0, 0, Smoke::mf_const, 189, 24},	//768 QsciLexerHTML::foldPreprocessor() const
    {65, 1295, 16, 1, 0, 0, 25},	//769 QsciLexerHTML::setFoldScriptComments(bool)
    {65, 957, 0, 0, Smoke::mf_const, 189, 26},	//770 QsciLexerHTML::foldScriptComments() const
    {65, 1297, 16, 1, 0, 0, 27},	//771 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {65, 958, 0, 0, Smoke::mf_const, 189, 28},	//772 QsciLexerHTML::foldScriptHeredocs() const
    {65, 1352, 16, 1, 0, 0, 29},	//773 QsciLexerHTML::setMakoTemplates(bool)
    {65, 1046, 0, 0, Smoke::mf_const, 189, 30},	//774 QsciLexerHTML::makoTemplates() const
    {65, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//775 QsciLexerHTML::setFoldCompact(bool)
    {65, 1291, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//776 QsciLexerHTML::setFoldPreprocessor(bool)
    {65, 1223, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//777 QsciLexerHTML::setCaseSensitiveTags(bool)
    {65, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 34},	//778 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {65, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 35},	//779 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {65, 1501, 12, 1, Smoke::mf_static, 40, 36},	//780 QsciLexerHTML::tr(const char*)
    {65, 1505, 12, 1, Smoke::mf_static, 40, 37},	//781 QsciLexerHTML::trUtf8(const char*)
    {65, 480, 0, 0, Smoke::mf_ctor, 70, 38},	//782 QsciLexerHTML::QsciLexerHTML()
    {65, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 39},	//783 QsciLexerHTML::staticMetaObject() const
    {65, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//784 QsciLexerHTML::Default (enum)
    {65, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//785 QsciLexerHTML::Tag (enum)
    {65, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//786 QsciLexerHTML::UnknownTag (enum)
    {65, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//787 QsciLexerHTML::Attribute (enum)
    {65, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//788 QsciLexerHTML::UnknownAttribute (enum)
    {65, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//789 QsciLexerHTML::HTMLNumber (enum)
    {65, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//790 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {65, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//791 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {65, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//792 QsciLexerHTML::OtherInTag (enum)
    {65, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//793 QsciLexerHTML::HTMLComment (enum)
    {65, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//794 QsciLexerHTML::Entity (enum)
    {65, 765, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//795 QsciLexerHTML::XMLTagEnd (enum)
    {65, 764, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//796 QsciLexerHTML::XMLStart (enum)
    {65, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//797 QsciLexerHTML::XMLEnd (enum)
    {65, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//798 QsciLexerHTML::Script (enum)
    {65, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//799 QsciLexerHTML::ASPAtStart (enum)
    {65, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//800 QsciLexerHTML::ASPStart (enum)
    {65, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//801 QsciLexerHTML::CDATA (enum)
    {65, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//802 QsciLexerHTML::PHPStart (enum)
    {65, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//803 QsciLexerHTML::HTMLValue (enum)
    {65, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//804 QsciLexerHTML::ASPXCComment (enum)
    {65, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//805 QsciLexerHTML::SGMLDefault (enum)
    {65, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//806 QsciLexerHTML::SGMLCommand (enum)
    {65, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//807 QsciLexerHTML::SGMLParameter (enum)
    {65, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//808 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {65, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//809 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {65, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 66},	//810 QsciLexerHTML::SGMLError (enum)
    {65, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 67},	//811 QsciLexerHTML::SGMLSpecial (enum)
    {65, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 68},	//812 QsciLexerHTML::SGMLEntity (enum)
    {65, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 69},	//813 QsciLexerHTML::SGMLComment (enum)
    {65, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 70},	//814 QsciLexerHTML::SGMLParameterComment (enum)
    {65, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 71},	//815 QsciLexerHTML::SGMLBlockDefault (enum)
    {65, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 72},	//816 QsciLexerHTML::JavaScriptStart (enum)
    {65, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 73},	//817 QsciLexerHTML::JavaScriptDefault (enum)
    {65, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 74},	//818 QsciLexerHTML::JavaScriptComment (enum)
    {65, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 75},	//819 QsciLexerHTML::JavaScriptCommentLine (enum)
    {65, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 76},	//820 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {65, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//821 QsciLexerHTML::JavaScriptNumber (enum)
    {65, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 78},	//822 QsciLexerHTML::JavaScriptWord (enum)
    {65, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 79},	//823 QsciLexerHTML::JavaScriptKeyword (enum)
    {65, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 80},	//824 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {65, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 81},	//825 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {65, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 82},	//826 QsciLexerHTML::JavaScriptSymbol (enum)
    {65, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 83},	//827 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {65, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//828 QsciLexerHTML::JavaScriptRegex (enum)
    {65, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 85},	//829 QsciLexerHTML::ASPJavaScriptStart (enum)
    {65, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 86},	//830 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {65, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 87},	//831 QsciLexerHTML::ASPJavaScriptComment (enum)
    {65, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 88},	//832 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {65, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 89},	//833 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {65, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 90},	//834 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {65, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 91},	//835 QsciLexerHTML::ASPJavaScriptWord (enum)
    {65, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 92},	//836 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {65, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 93},	//837 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {65, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 94},	//838 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {65, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 95},	//839 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {65, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 96},	//840 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {65, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 97},	//841 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {65, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 98},	//842 QsciLexerHTML::VBScriptStart (enum)
    {65, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 99},	//843 QsciLexerHTML::VBScriptDefault (enum)
    {65, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 100},	//844 QsciLexerHTML::VBScriptComment (enum)
    {65, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 101},	//845 QsciLexerHTML::VBScriptNumber (enum)
    {65, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 102},	//846 QsciLexerHTML::VBScriptKeyword (enum)
    {65, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 103},	//847 QsciLexerHTML::VBScriptString (enum)
    {65, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 104},	//848 QsciLexerHTML::VBScriptIdentifier (enum)
    {65, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 105},	//849 QsciLexerHTML::VBScriptUnclosedString (enum)
    {65, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 106},	//850 QsciLexerHTML::ASPVBScriptStart (enum)
    {65, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 107},	//851 QsciLexerHTML::ASPVBScriptDefault (enum)
    {65, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 108},	//852 QsciLexerHTML::ASPVBScriptComment (enum)
    {65, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 109},	//853 QsciLexerHTML::ASPVBScriptNumber (enum)
    {65, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 110},	//854 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {65, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 111},	//855 QsciLexerHTML::ASPVBScriptString (enum)
    {65, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 112},	//856 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {65, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 113},	//857 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {65, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 114},	//858 QsciLexerHTML::PythonStart (enum)
    {65, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 115},	//859 QsciLexerHTML::PythonDefault (enum)
    {65, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 116},	//860 QsciLexerHTML::PythonComment (enum)
    {65, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 117},	//861 QsciLexerHTML::PythonNumber (enum)
    {65, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 118},	//862 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {65, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 119},	//863 QsciLexerHTML::PythonSingleQuotedString (enum)
    {65, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 120},	//864 QsciLexerHTML::PythonKeyword (enum)
    {65, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 121},	//865 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {65, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 122},	//866 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {65, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 123},	//867 QsciLexerHTML::PythonClassName (enum)
    {65, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 124},	//868 QsciLexerHTML::PythonFunctionMethodName (enum)
    {65, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 125},	//869 QsciLexerHTML::PythonOperator (enum)
    {65, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 126},	//870 QsciLexerHTML::PythonIdentifier (enum)
    {65, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 127},	//871 QsciLexerHTML::ASPPythonStart (enum)
    {65, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 128},	//872 QsciLexerHTML::ASPPythonDefault (enum)
    {65, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 129},	//873 QsciLexerHTML::ASPPythonComment (enum)
    {65, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 130},	//874 QsciLexerHTML::ASPPythonNumber (enum)
    {65, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 131},	//875 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {65, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 132},	//876 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {65, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 133},	//877 QsciLexerHTML::ASPPythonKeyword (enum)
    {65, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 134},	//878 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {65, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 135},	//879 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {65, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 136},	//880 QsciLexerHTML::ASPPythonClassName (enum)
    {65, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 137},	//881 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {65, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 138},	//882 QsciLexerHTML::ASPPythonOperator (enum)
    {65, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 139},	//883 QsciLexerHTML::ASPPythonIdentifier (enum)
    {65, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 140},	//884 QsciLexerHTML::PHPDefault (enum)
    {65, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 141},	//885 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {65, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 142},	//886 QsciLexerHTML::PHPSingleQuotedString (enum)
    {65, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 143},	//887 QsciLexerHTML::PHPKeyword (enum)
    {65, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 144},	//888 QsciLexerHTML::PHPNumber (enum)
    {65, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 145},	//889 QsciLexerHTML::PHPVariable (enum)
    {65, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 146},	//890 QsciLexerHTML::PHPComment (enum)
    {65, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 147},	//891 QsciLexerHTML::PHPCommentLine (enum)
    {65, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 148},	//892 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {65, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 149},	//893 QsciLexerHTML::PHPOperator (enum)
    {65, 1564, 0, 0, Smoke::mf_dtor, 0, 150 },	//894 QsciLexerHTML::~QsciLexerHTML()
    {66, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//895 QsciLexerIDL::metaObject() const
    {66, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//896 QsciLexerIDL::qt_metacast(const char*)
    {66, 1501, 42, 2, Smoke::mf_static, 40, 3},	//897 QsciLexerIDL::tr(const char*, const char*)
    {66, 1505, 42, 2, Smoke::mf_static, 40, 4},	//898 QsciLexerIDL::trUtf8(const char*, const char*)
    {66, 1501, 45, 3, Smoke::mf_static, 40, 5},	//899 QsciLexerIDL::tr(const char*, const char*, int)
    {66, 1505, 45, 3, Smoke::mf_static, 40, 6},	//900 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {66, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//901 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {66, 482, 74, 1, Smoke::mf_ctor, 71, 8},	//902 QsciLexerIDL::QsciLexerIDL(QObject*)
    {66, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//903 QsciLexerIDL::language() const
    {66, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//904 QsciLexerIDL::defaultColor(int) const
    {66, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//905 QsciLexerIDL::keywords(int) const
    {66, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 12},	//906 QsciLexerIDL::description(int) const
    {66, 1501, 12, 1, Smoke::mf_static, 40, 13},	//907 QsciLexerIDL::tr(const char*)
    {66, 1505, 12, 1, Smoke::mf_static, 40, 14},	//908 QsciLexerIDL::trUtf8(const char*)
    {66, 482, 0, 0, Smoke::mf_ctor, 71, 15},	//909 QsciLexerIDL::QsciLexerIDL()
    {66, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 16},	//910 QsciLexerIDL::staticMetaObject() const
    {66, 1565, 0, 0, Smoke::mf_dtor, 0, 17 },	//911 QsciLexerIDL::~QsciLexerIDL()
    {67, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//912 QsciLexerJava::metaObject() const
    {67, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//913 QsciLexerJava::qt_metacast(const char*)
    {67, 1501, 42, 2, Smoke::mf_static, 40, 3},	//914 QsciLexerJava::tr(const char*, const char*)
    {67, 1505, 42, 2, Smoke::mf_static, 40, 4},	//915 QsciLexerJava::trUtf8(const char*, const char*)
    {67, 1501, 45, 3, Smoke::mf_static, 40, 5},	//916 QsciLexerJava::tr(const char*, const char*, int)
    {67, 1505, 45, 3, Smoke::mf_static, 40, 6},	//917 QsciLexerJava::trUtf8(const char*, const char*, int)
    {67, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//918 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {67, 484, 74, 1, Smoke::mf_ctor, 72, 8},	//919 QsciLexerJava::QsciLexerJava(QObject*)
    {67, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//920 QsciLexerJava::language() const
    {67, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//921 QsciLexerJava::keywords(int) const
    {67, 1501, 12, 1, Smoke::mf_static, 40, 11},	//922 QsciLexerJava::tr(const char*)
    {67, 1505, 12, 1, Smoke::mf_static, 40, 12},	//923 QsciLexerJava::trUtf8(const char*)
    {67, 484, 0, 0, Smoke::mf_ctor, 72, 13},	//924 QsciLexerJava::QsciLexerJava()
    {67, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 14},	//925 QsciLexerJava::staticMetaObject() const
    {67, 1566, 0, 0, Smoke::mf_dtor, 0, 15 },	//926 QsciLexerJava::~QsciLexerJava()
    {68, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//927 QsciLexerJavaScript::metaObject() const
    {68, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//928 QsciLexerJavaScript::qt_metacast(const char*)
    {68, 1501, 42, 2, Smoke::mf_static, 40, 3},	//929 QsciLexerJavaScript::tr(const char*, const char*)
    {68, 1505, 42, 2, Smoke::mf_static, 40, 4},	//930 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {68, 1501, 45, 3, Smoke::mf_static, 40, 5},	//931 QsciLexerJavaScript::tr(const char*, const char*, int)
    {68, 1505, 45, 3, Smoke::mf_static, 40, 6},	//932 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {68, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//933 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {68, 486, 74, 1, Smoke::mf_ctor, 73, 8},	//934 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {68, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//935 QsciLexerJavaScript::language() const
    {68, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//936 QsciLexerJavaScript::defaultColor(int) const
    {68, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 11},	//937 QsciLexerJavaScript::defaultEolFill(int) const
    {68, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//938 QsciLexerJavaScript::defaultFont(int) const
    {68, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//939 QsciLexerJavaScript::defaultPaper(int) const
    {68, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//940 QsciLexerJavaScript::keywords(int) const
    {68, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//941 QsciLexerJavaScript::description(int) const
    {68, 1501, 12, 1, Smoke::mf_static, 40, 16},	//942 QsciLexerJavaScript::tr(const char*)
    {68, 1505, 12, 1, Smoke::mf_static, 40, 17},	//943 QsciLexerJavaScript::trUtf8(const char*)
    {68, 486, 0, 0, Smoke::mf_ctor, 73, 18},	//944 QsciLexerJavaScript::QsciLexerJavaScript()
    {68, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 19},	//945 QsciLexerJavaScript::staticMetaObject() const
    {68, 1567, 0, 0, Smoke::mf_dtor, 0, 20 },	//946 QsciLexerJavaScript::~QsciLexerJavaScript()
    {69, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//947 QsciLexerLua::metaObject() const
    {69, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//948 QsciLexerLua::qt_metacast(const char*)
    {69, 1501, 42, 2, Smoke::mf_static, 40, 3},	//949 QsciLexerLua::tr(const char*, const char*)
    {69, 1505, 42, 2, Smoke::mf_static, 40, 4},	//950 QsciLexerLua::trUtf8(const char*, const char*)
    {69, 1501, 45, 3, Smoke::mf_static, 40, 5},	//951 QsciLexerLua::tr(const char*, const char*, int)
    {69, 1505, 45, 3, Smoke::mf_static, 40, 6},	//952 QsciLexerLua::trUtf8(const char*, const char*, int)
    {69, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//953 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {69, 488, 74, 1, Smoke::mf_ctor, 74, 8},	//954 QsciLexerLua::QsciLexerLua(QObject*)
    {69, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//955 QsciLexerLua::language() const
    {69, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//956 QsciLexerLua::lexer() const
    {69, 803, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//957 QsciLexerLua::autoCompletionWordSeparators() const
    {69, 812, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//958 QsciLexerLua::blockStart(int*) const
    {69, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//959 QsciLexerLua::braceStyle() const
    {69, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//960 QsciLexerLua::defaultColor(int) const
    {69, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 15},	//961 QsciLexerLua::defaultEolFill(int) const
    {69, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//962 QsciLexerLua::defaultFont(int) const
    {69, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//963 QsciLexerLua::defaultPaper(int) const
    {69, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 18},	//964 QsciLexerLua::keywords(int) const
    {69, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 19},	//965 QsciLexerLua::description(int) const
    {69, 1140, 0, 0, Smoke::mf_virtual, 0, 20},	//966 QsciLexerLua::refreshProperties()
    {69, 948, 0, 0, Smoke::mf_const, 189, 21},	//967 QsciLexerLua::foldCompact() const
    {69, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//968 QsciLexerLua::setFoldCompact(bool)
    {69, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 23},	//969 QsciLexerLua::readProperties(QSettings&, const QString&)
    {69, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//970 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {69, 1501, 12, 1, Smoke::mf_static, 40, 25},	//971 QsciLexerLua::tr(const char*)
    {69, 1505, 12, 1, Smoke::mf_static, 40, 26},	//972 QsciLexerLua::trUtf8(const char*)
    {69, 488, 0, 0, Smoke::mf_ctor, 74, 27},	//973 QsciLexerLua::QsciLexerLua()
    {69, 812, 0, 0, Smoke::mf_const, 213, 28},	//974 QsciLexerLua::blockStart() const
    {69, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 29},	//975 QsciLexerLua::staticMetaObject() const
    {69, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//976 QsciLexerLua::Default (enum)
    {69, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//977 QsciLexerLua::Comment (enum)
    {69, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//978 QsciLexerLua::LineComment (enum)
    {69, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//979 QsciLexerLua::Number (enum)
    {69, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//980 QsciLexerLua::Keyword (enum)
    {69, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//981 QsciLexerLua::String (enum)
    {69, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//982 QsciLexerLua::Character (enum)
    {69, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//983 QsciLexerLua::LiteralString (enum)
    {69, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//984 QsciLexerLua::Preprocessor (enum)
    {69, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//985 QsciLexerLua::Operator (enum)
    {69, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//986 QsciLexerLua::Identifier (enum)
    {69, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//987 QsciLexerLua::UnclosedString (enum)
    {69, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//988 QsciLexerLua::BasicFunctions (enum)
    {69, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//989 QsciLexerLua::StringTableMathsFunctions (enum)
    {69, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//990 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {69, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//991 QsciLexerLua::KeywordSet5 (enum)
    {69, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//992 QsciLexerLua::KeywordSet6 (enum)
    {69, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//993 QsciLexerLua::KeywordSet7 (enum)
    {69, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//994 QsciLexerLua::KeywordSet8 (enum)
    {69, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//995 QsciLexerLua::Label (enum)
    {69, 1568, 0, 0, Smoke::mf_dtor, 0, 50 },	//996 QsciLexerLua::~QsciLexerLua()
    {70, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//997 QsciLexerMakefile::metaObject() const
    {70, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//998 QsciLexerMakefile::qt_metacast(const char*)
    {70, 1501, 42, 2, Smoke::mf_static, 40, 3},	//999 QsciLexerMakefile::tr(const char*, const char*)
    {70, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1000 QsciLexerMakefile::trUtf8(const char*, const char*)
    {70, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1001 QsciLexerMakefile::tr(const char*, const char*, int)
    {70, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1002 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {70, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1003 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {70, 490, 74, 1, Smoke::mf_ctor, 75, 8},	//1004 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {70, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1005 QsciLexerMakefile::language() const
    {70, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1006 QsciLexerMakefile::lexer() const
    {70, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1007 QsciLexerMakefile::wordCharacters() const
    {70, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1008 QsciLexerMakefile::defaultColor(int) const
    {70, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1009 QsciLexerMakefile::defaultEolFill(int) const
    {70, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1010 QsciLexerMakefile::defaultFont(int) const
    {70, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1011 QsciLexerMakefile::defaultPaper(int) const
    {70, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1012 QsciLexerMakefile::description(int) const
    {70, 1501, 12, 1, Smoke::mf_static, 40, 17},	//1013 QsciLexerMakefile::tr(const char*)
    {70, 1505, 12, 1, Smoke::mf_static, 40, 18},	//1014 QsciLexerMakefile::trUtf8(const char*)
    {70, 490, 0, 0, Smoke::mf_ctor, 75, 19},	//1015 QsciLexerMakefile::QsciLexerMakefile()
    {70, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 20},	//1016 QsciLexerMakefile::staticMetaObject() const
    {70, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 21},	//1017 QsciLexerMakefile::Default (enum)
    {70, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 22},	//1018 QsciLexerMakefile::Comment (enum)
    {70, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 23},	//1019 QsciLexerMakefile::Preprocessor (enum)
    {70, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 24},	//1020 QsciLexerMakefile::Variable (enum)
    {70, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//1021 QsciLexerMakefile::Operator (enum)
    {70, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//1022 QsciLexerMakefile::Target (enum)
    {70, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//1023 QsciLexerMakefile::Error (enum)
    {70, 1569, 0, 0, Smoke::mf_dtor, 0, 28 },	//1024 QsciLexerMakefile::~QsciLexerMakefile()
    {71, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1025 QsciLexerPOV::metaObject() const
    {71, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1026 QsciLexerPOV::qt_metacast(const char*)
    {71, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1027 QsciLexerPOV::tr(const char*, const char*)
    {71, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1028 QsciLexerPOV::trUtf8(const char*, const char*)
    {71, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1029 QsciLexerPOV::tr(const char*, const char*, int)
    {71, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1030 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {71, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1031 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {71, 492, 74, 1, Smoke::mf_ctor, 76, 8},	//1032 QsciLexerPOV::QsciLexerPOV(QObject*)
    {71, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1033 QsciLexerPOV::language() const
    {71, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1034 QsciLexerPOV::lexer() const
    {71, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1035 QsciLexerPOV::braceStyle() const
    {71, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1036 QsciLexerPOV::wordCharacters() const
    {71, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//1037 QsciLexerPOV::defaultColor(int) const
    {71, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//1038 QsciLexerPOV::defaultEolFill(int) const
    {71, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//1039 QsciLexerPOV::defaultFont(int) const
    {71, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1040 QsciLexerPOV::defaultPaper(int) const
    {71, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//1041 QsciLexerPOV::keywords(int) const
    {71, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//1042 QsciLexerPOV::description(int) const
    {71, 1140, 0, 0, Smoke::mf_virtual, 0, 19},	//1043 QsciLexerPOV::refreshProperties()
    {71, 947, 0, 0, Smoke::mf_const, 189, 20},	//1044 QsciLexerPOV::foldComments() const
    {71, 948, 0, 0, Smoke::mf_const, 189, 21},	//1045 QsciLexerPOV::foldCompact() const
    {71, 949, 0, 0, Smoke::mf_const, 189, 22},	//1046 QsciLexerPOV::foldDirectives() const
    {71, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1047 QsciLexerPOV::setFoldComments(bool)
    {71, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1048 QsciLexerPOV::setFoldCompact(bool)
    {71, 1281, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1049 QsciLexerPOV::setFoldDirectives(bool)
    {71, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//1050 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {71, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//1051 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {71, 1501, 12, 1, Smoke::mf_static, 40, 28},	//1052 QsciLexerPOV::tr(const char*)
    {71, 1505, 12, 1, Smoke::mf_static, 40, 29},	//1053 QsciLexerPOV::trUtf8(const char*)
    {71, 492, 0, 0, Smoke::mf_ctor, 76, 30},	//1054 QsciLexerPOV::QsciLexerPOV()
    {71, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 31},	//1055 QsciLexerPOV::staticMetaObject() const
    {71, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1056 QsciLexerPOV::Default (enum)
    {71, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1057 QsciLexerPOV::Comment (enum)
    {71, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1058 QsciLexerPOV::CommentLine (enum)
    {71, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1059 QsciLexerPOV::Number (enum)
    {71, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1060 QsciLexerPOV::Operator (enum)
    {71, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1061 QsciLexerPOV::Identifier (enum)
    {71, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1062 QsciLexerPOV::String (enum)
    {71, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1063 QsciLexerPOV::UnclosedString (enum)
    {71, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1064 QsciLexerPOV::Directive (enum)
    {71, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1065 QsciLexerPOV::BadDirective (enum)
    {71, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1066 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {71, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1067 QsciLexerPOV::TypesModifiersItems (enum)
    {71, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1068 QsciLexerPOV::PredefinedIdentifiers (enum)
    {71, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1069 QsciLexerPOV::PredefinedFunctions (enum)
    {71, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1070 QsciLexerPOV::KeywordSet6 (enum)
    {71, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1071 QsciLexerPOV::KeywordSet7 (enum)
    {71, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1072 QsciLexerPOV::KeywordSet8 (enum)
    {71, 1570, 0, 0, Smoke::mf_dtor, 0, 49 },	//1073 QsciLexerPOV::~QsciLexerPOV()
    {72, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1074 QsciLexerPascal::metaObject() const
    {72, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1075 QsciLexerPascal::qt_metacast(const char*)
    {72, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1076 QsciLexerPascal::tr(const char*, const char*)
    {72, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1077 QsciLexerPascal::trUtf8(const char*, const char*)
    {72, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1078 QsciLexerPascal::tr(const char*, const char*, int)
    {72, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1079 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {72, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1080 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {72, 494, 74, 1, Smoke::mf_ctor, 77, 8},	//1081 QsciLexerPascal::QsciLexerPascal(QObject*)
    {72, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1082 QsciLexerPascal::language() const
    {72, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1083 QsciLexerPascal::lexer() const
    {72, 803, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1084 QsciLexerPascal::autoCompletionWordSeparators() const
    {72, 809, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1085 QsciLexerPascal::blockEnd(int*) const
    {72, 812, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1086 QsciLexerPascal::blockStart(int*) const
    {72, 814, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//1087 QsciLexerPascal::blockStartKeyword(int*) const
    {72, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//1088 QsciLexerPascal::braceStyle() const
    {72, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1089 QsciLexerPascal::defaultColor(int) const
    {72, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 17},	//1090 QsciLexerPascal::defaultEolFill(int) const
    {72, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1091 QsciLexerPascal::defaultFont(int) const
    {72, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1092 QsciLexerPascal::defaultPaper(int) const
    {72, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 20},	//1093 QsciLexerPascal::keywords(int) const
    {72, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1094 QsciLexerPascal::description(int) const
    {72, 1140, 0, 0, Smoke::mf_virtual, 0, 22},	//1095 QsciLexerPascal::refreshProperties()
    {72, 947, 0, 0, Smoke::mf_const, 189, 23},	//1096 QsciLexerPascal::foldComments() const
    {72, 948, 0, 0, Smoke::mf_const, 189, 24},	//1097 QsciLexerPascal::foldCompact() const
    {72, 955, 0, 0, Smoke::mf_const, 189, 25},	//1098 QsciLexerPascal::foldPreprocessor() const
    {72, 1417, 16, 1, 0, 0, 26},	//1099 QsciLexerPascal::setSmartHighlighting(bool)
    {72, 1472, 0, 0, Smoke::mf_const, 189, 27},	//1100 QsciLexerPascal::smartHighlighting() const
    {72, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1101 QsciLexerPascal::setFoldComments(bool)
    {72, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1102 QsciLexerPascal::setFoldCompact(bool)
    {72, 1291, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//1103 QsciLexerPascal::setFoldPreprocessor(bool)
    {72, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 31},	//1104 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {72, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 32},	//1105 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {72, 1501, 12, 1, Smoke::mf_static, 40, 33},	//1106 QsciLexerPascal::tr(const char*)
    {72, 1505, 12, 1, Smoke::mf_static, 40, 34},	//1107 QsciLexerPascal::trUtf8(const char*)
    {72, 494, 0, 0, Smoke::mf_ctor, 77, 35},	//1108 QsciLexerPascal::QsciLexerPascal()
    {72, 809, 0, 0, Smoke::mf_const, 213, 36},	//1109 QsciLexerPascal::blockEnd() const
    {72, 812, 0, 0, Smoke::mf_const, 213, 37},	//1110 QsciLexerPascal::blockStart() const
    {72, 814, 0, 0, Smoke::mf_const, 213, 38},	//1111 QsciLexerPascal::blockStartKeyword() const
    {72, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 39},	//1112 QsciLexerPascal::staticMetaObject() const
    {72, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1113 QsciLexerPascal::Default (enum)
    {72, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1114 QsciLexerPascal::Identifier (enum)
    {72, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1115 QsciLexerPascal::Comment (enum)
    {72, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1116 QsciLexerPascal::CommentParenthesis (enum)
    {72, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1117 QsciLexerPascal::CommentLine (enum)
    {72, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1118 QsciLexerPascal::PreProcessor (enum)
    {72, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1119 QsciLexerPascal::PreProcessorParenthesis (enum)
    {72, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1120 QsciLexerPascal::Number (enum)
    {72, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1121 QsciLexerPascal::HexNumber (enum)
    {72, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1122 QsciLexerPascal::Keyword (enum)
    {72, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1123 QsciLexerPascal::SingleQuotedString (enum)
    {72, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1124 QsciLexerPascal::UnclosedString (enum)
    {72, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1125 QsciLexerPascal::Character (enum)
    {72, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1126 QsciLexerPascal::Operator (enum)
    {72, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1127 QsciLexerPascal::Asm (enum)
    {72, 1571, 0, 0, Smoke::mf_dtor, 0, 55 },	//1128 QsciLexerPascal::~QsciLexerPascal()
    {73, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1129 QsciLexerPerl::metaObject() const
    {73, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1130 QsciLexerPerl::qt_metacast(const char*)
    {73, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1131 QsciLexerPerl::tr(const char*, const char*)
    {73, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1132 QsciLexerPerl::trUtf8(const char*, const char*)
    {73, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1133 QsciLexerPerl::tr(const char*, const char*, int)
    {73, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1134 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {73, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1135 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {73, 496, 74, 1, Smoke::mf_ctor, 78, 8},	//1136 QsciLexerPerl::QsciLexerPerl(QObject*)
    {73, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1137 QsciLexerPerl::language() const
    {73, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1138 QsciLexerPerl::lexer() const
    {73, 803, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1139 QsciLexerPerl::autoCompletionWordSeparators() const
    {73, 809, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1140 QsciLexerPerl::blockEnd(int*) const
    {73, 812, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1141 QsciLexerPerl::blockStart(int*) const
    {73, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1142 QsciLexerPerl::braceStyle() const
    {73, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1143 QsciLexerPerl::wordCharacters() const
    {73, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1144 QsciLexerPerl::defaultColor(int) const
    {73, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 17},	//1145 QsciLexerPerl::defaultEolFill(int) const
    {73, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1146 QsciLexerPerl::defaultFont(int) const
    {73, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1147 QsciLexerPerl::defaultPaper(int) const
    {73, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 20},	//1148 QsciLexerPerl::keywords(int) const
    {73, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1149 QsciLexerPerl::description(int) const
    {73, 1140, 0, 0, Smoke::mf_virtual, 0, 22},	//1150 QsciLexerPerl::refreshProperties()
    {73, 1273, 16, 1, 0, 0, 23},	//1151 QsciLexerPerl::setFoldAtElse(bool)
    {73, 945, 0, 0, Smoke::mf_const, 189, 24},	//1152 QsciLexerPerl::foldAtElse() const
    {73, 947, 0, 0, Smoke::mf_const, 189, 25},	//1153 QsciLexerPerl::foldComments() const
    {73, 948, 0, 0, Smoke::mf_const, 189, 26},	//1154 QsciLexerPerl::foldCompact() const
    {73, 1289, 16, 1, 0, 0, 27},	//1155 QsciLexerPerl::setFoldPackages(bool)
    {73, 954, 0, 0, Smoke::mf_const, 189, 28},	//1156 QsciLexerPerl::foldPackages() const
    {73, 1287, 16, 1, 0, 0, 29},	//1157 QsciLexerPerl::setFoldPODBlocks(bool)
    {73, 953, 0, 0, Smoke::mf_const, 189, 30},	//1158 QsciLexerPerl::foldPODBlocks() const
    {73, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//1159 QsciLexerPerl::setFoldComments(bool)
    {73, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1160 QsciLexerPerl::setFoldCompact(bool)
    {73, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 33},	//1161 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {73, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 34},	//1162 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {73, 1501, 12, 1, Smoke::mf_static, 40, 35},	//1163 QsciLexerPerl::tr(const char*)
    {73, 1505, 12, 1, Smoke::mf_static, 40, 36},	//1164 QsciLexerPerl::trUtf8(const char*)
    {73, 496, 0, 0, Smoke::mf_ctor, 78, 37},	//1165 QsciLexerPerl::QsciLexerPerl()
    {73, 809, 0, 0, Smoke::mf_const, 213, 38},	//1166 QsciLexerPerl::blockEnd() const
    {73, 812, 0, 0, Smoke::mf_const, 213, 39},	//1167 QsciLexerPerl::blockStart() const
    {73, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 40},	//1168 QsciLexerPerl::staticMetaObject() const
    {73, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1169 QsciLexerPerl::Default (enum)
    {73, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1170 QsciLexerPerl::Error (enum)
    {73, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1171 QsciLexerPerl::Comment (enum)
    {73, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1172 QsciLexerPerl::POD (enum)
    {73, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1173 QsciLexerPerl::Number (enum)
    {73, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1174 QsciLexerPerl::Keyword (enum)
    {73, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1175 QsciLexerPerl::DoubleQuotedString (enum)
    {73, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1176 QsciLexerPerl::SingleQuotedString (enum)
    {73, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1177 QsciLexerPerl::Operator (enum)
    {73, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1178 QsciLexerPerl::Identifier (enum)
    {73, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1179 QsciLexerPerl::Scalar (enum)
    {73, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1180 QsciLexerPerl::Array (enum)
    {73, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1181 QsciLexerPerl::Hash (enum)
    {73, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1182 QsciLexerPerl::SymbolTable (enum)
    {73, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1183 QsciLexerPerl::Regex (enum)
    {73, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1184 QsciLexerPerl::Substitution (enum)
    {73, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1185 QsciLexerPerl::Backticks (enum)
    {73, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1186 QsciLexerPerl::DataSection (enum)
    {73, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1187 QsciLexerPerl::HereDocumentDelimiter (enum)
    {73, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1188 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {73, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1189 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {73, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1190 QsciLexerPerl::BacktickHereDocument (enum)
    {73, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//1191 QsciLexerPerl::QuotedStringQ (enum)
    {73, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//1192 QsciLexerPerl::QuotedStringQQ (enum)
    {73, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//1193 QsciLexerPerl::QuotedStringQX (enum)
    {73, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 66},	//1194 QsciLexerPerl::QuotedStringQR (enum)
    {73, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 67},	//1195 QsciLexerPerl::QuotedStringQW (enum)
    {73, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 68},	//1196 QsciLexerPerl::PODVerbatim (enum)
    {73, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 69},	//1197 QsciLexerPerl::SubroutinePrototype (enum)
    {73, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 70},	//1198 QsciLexerPerl::FormatIdentifier (enum)
    {73, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 71},	//1199 QsciLexerPerl::FormatBody (enum)
    {73, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 72},	//1200 QsciLexerPerl::DoubleQuotedStringVar (enum)
    {73, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 73},	//1201 QsciLexerPerl::Translation (enum)
    {73, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 74},	//1202 QsciLexerPerl::RegexVar (enum)
    {73, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 75},	//1203 QsciLexerPerl::SubstitutionVar (enum)
    {73, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 76},	//1204 QsciLexerPerl::BackticksVar (enum)
    {73, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//1205 QsciLexerPerl::DoubleQuotedHereDocumentVar (enum)
    {73, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 78},	//1206 QsciLexerPerl::BacktickHereDocumentVar (enum)
    {73, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 79},	//1207 QsciLexerPerl::QuotedStringQQVar (enum)
    {73, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 80},	//1208 QsciLexerPerl::QuotedStringQXVar (enum)
    {73, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 81},	//1209 QsciLexerPerl::QuotedStringQRVar (enum)
    {73, 1572, 0, 0, Smoke::mf_dtor, 0, 82 },	//1210 QsciLexerPerl::~QsciLexerPerl()
    {74, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1211 QsciLexerPostScript::metaObject() const
    {74, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1212 QsciLexerPostScript::qt_metacast(const char*)
    {74, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1213 QsciLexerPostScript::tr(const char*, const char*)
    {74, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1214 QsciLexerPostScript::trUtf8(const char*, const char*)
    {74, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1215 QsciLexerPostScript::tr(const char*, const char*, int)
    {74, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1216 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {74, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1217 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {74, 498, 74, 1, Smoke::mf_ctor, 79, 8},	//1218 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {74, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1219 QsciLexerPostScript::language() const
    {74, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1220 QsciLexerPostScript::lexer() const
    {74, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1221 QsciLexerPostScript::braceStyle() const
    {74, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1222 QsciLexerPostScript::defaultColor(int) const
    {74, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1223 QsciLexerPostScript::defaultFont(int) const
    {74, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1224 QsciLexerPostScript::defaultPaper(int) const
    {74, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1225 QsciLexerPostScript::keywords(int) const
    {74, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1226 QsciLexerPostScript::description(int) const
    {74, 1140, 0, 0, Smoke::mf_virtual, 0, 17},	//1227 QsciLexerPostScript::refreshProperties()
    {74, 1500, 0, 0, Smoke::mf_const, 189, 18},	//1228 QsciLexerPostScript::tokenize() const
    {74, 1030, 0, 0, Smoke::mf_const, 215, 19},	//1229 QsciLexerPostScript::level() const
    {74, 948, 0, 0, Smoke::mf_const, 189, 20},	//1230 QsciLexerPostScript::foldCompact() const
    {74, 945, 0, 0, Smoke::mf_const, 189, 21},	//1231 QsciLexerPostScript::foldAtElse() const
    {74, 1434, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1232 QsciLexerPostScript::setTokenize(bool)
    {74, 1346, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1233 QsciLexerPostScript::setLevel(int)
    {74, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1234 QsciLexerPostScript::setFoldCompact(bool)
    {74, 1273, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1235 QsciLexerPostScript::setFoldAtElse(bool)
    {74, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//1236 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {74, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//1237 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {74, 1501, 12, 1, Smoke::mf_static, 40, 28},	//1238 QsciLexerPostScript::tr(const char*)
    {74, 1505, 12, 1, Smoke::mf_static, 40, 29},	//1239 QsciLexerPostScript::trUtf8(const char*)
    {74, 498, 0, 0, Smoke::mf_ctor, 79, 30},	//1240 QsciLexerPostScript::QsciLexerPostScript()
    {74, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 31},	//1241 QsciLexerPostScript::staticMetaObject() const
    {74, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1242 QsciLexerPostScript::Default (enum)
    {74, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1243 QsciLexerPostScript::Comment (enum)
    {74, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1244 QsciLexerPostScript::DSCComment (enum)
    {74, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1245 QsciLexerPostScript::DSCCommentValue (enum)
    {74, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1246 QsciLexerPostScript::Number (enum)
    {74, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1247 QsciLexerPostScript::Name (enum)
    {74, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1248 QsciLexerPostScript::Keyword (enum)
    {74, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1249 QsciLexerPostScript::Literal (enum)
    {74, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1250 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {74, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1251 QsciLexerPostScript::ArrayParenthesis (enum)
    {74, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1252 QsciLexerPostScript::DictionaryParenthesis (enum)
    {74, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1253 QsciLexerPostScript::ProcedureParenthesis (enum)
    {74, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1254 QsciLexerPostScript::Text (enum)
    {74, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1255 QsciLexerPostScript::HexString (enum)
    {74, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1256 QsciLexerPostScript::Base85String (enum)
    {74, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1257 QsciLexerPostScript::BadStringCharacter (enum)
    {74, 1573, 0, 0, Smoke::mf_dtor, 0, 48 },	//1258 QsciLexerPostScript::~QsciLexerPostScript()
    {75, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1259 QsciLexerProperties::metaObject() const
    {75, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1260 QsciLexerProperties::qt_metacast(const char*)
    {75, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1261 QsciLexerProperties::tr(const char*, const char*)
    {75, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1262 QsciLexerProperties::trUtf8(const char*, const char*)
    {75, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1263 QsciLexerProperties::tr(const char*, const char*, int)
    {75, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1264 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {75, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1265 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {75, 500, 74, 1, Smoke::mf_ctor, 80, 8},	//1266 QsciLexerProperties::QsciLexerProperties(QObject*)
    {75, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1267 QsciLexerProperties::language() const
    {75, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1268 QsciLexerProperties::lexer() const
    {75, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1269 QsciLexerProperties::wordCharacters() const
    {75, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1270 QsciLexerProperties::defaultColor(int) const
    {75, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1271 QsciLexerProperties::defaultEolFill(int) const
    {75, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1272 QsciLexerProperties::defaultFont(int) const
    {75, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1273 QsciLexerProperties::defaultPaper(int) const
    {75, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1274 QsciLexerProperties::description(int) const
    {75, 1140, 0, 0, Smoke::mf_virtual, 0, 17},	//1275 QsciLexerProperties::refreshProperties()
    {75, 948, 0, 0, Smoke::mf_const, 189, 18},	//1276 QsciLexerProperties::foldCompact() const
    {75, 1340, 16, 1, 0, 0, 19},	//1277 QsciLexerProperties::setInitialSpaces(bool)
    {75, 999, 0, 0, Smoke::mf_const, 189, 20},	//1278 QsciLexerProperties::initialSpaces() const
    {75, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1279 QsciLexerProperties::setFoldCompact(bool)
    {75, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 22},	//1280 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {75, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 23},	//1281 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {75, 1501, 12, 1, Smoke::mf_static, 40, 24},	//1282 QsciLexerProperties::tr(const char*)
    {75, 1505, 12, 1, Smoke::mf_static, 40, 25},	//1283 QsciLexerProperties::trUtf8(const char*)
    {75, 500, 0, 0, Smoke::mf_ctor, 80, 26},	//1284 QsciLexerProperties::QsciLexerProperties()
    {75, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 27},	//1285 QsciLexerProperties::staticMetaObject() const
    {75, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//1286 QsciLexerProperties::Default (enum)
    {75, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//1287 QsciLexerProperties::Comment (enum)
    {75, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1288 QsciLexerProperties::Section (enum)
    {75, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1289 QsciLexerProperties::Assignment (enum)
    {75, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1290 QsciLexerProperties::DefaultValue (enum)
    {75, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1291 QsciLexerProperties::Key (enum)
    {75, 1574, 0, 0, Smoke::mf_dtor, 0, 34 },	//1292 QsciLexerProperties::~QsciLexerProperties()
    {76, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1293 QsciLexerPython::metaObject() const
    {76, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1294 QsciLexerPython::qt_metacast(const char*)
    {76, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1295 QsciLexerPython::tr(const char*, const char*)
    {76, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1296 QsciLexerPython::trUtf8(const char*, const char*)
    {76, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1297 QsciLexerPython::tr(const char*, const char*, int)
    {76, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1298 QsciLexerPython::trUtf8(const char*, const char*, int)
    {76, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1299 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {76, 502, 74, 1, Smoke::mf_ctor, 81, 8},	//1300 QsciLexerPython::QsciLexerPython(QObject*)
    {76, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1301 QsciLexerPython::language() const
    {76, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1302 QsciLexerPython::lexer() const
    {76, 803, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1303 QsciLexerPython::autoCompletionWordSeparators() const
    {76, 811, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1304 QsciLexerPython::blockLookback() const
    {76, 812, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1305 QsciLexerPython::blockStart(int*) const
    {76, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1306 QsciLexerPython::braceStyle() const
    {76, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1307 QsciLexerPython::defaultColor(int) const
    {76, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 16},	//1308 QsciLexerPython::defaultEolFill(int) const
    {76, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1309 QsciLexerPython::defaultFont(int) const
    {76, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1310 QsciLexerPython::defaultPaper(int) const
    {76, 985, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 19},	//1311 QsciLexerPython::indentationGuideView() const
    {76, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 20},	//1312 QsciLexerPython::keywords(int) const
    {76, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1313 QsciLexerPython::description(int) const
    {76, 1140, 0, 0, Smoke::mf_virtual, 0, 22},	//1314 QsciLexerPython::refreshProperties()
    {76, 947, 0, 0, Smoke::mf_const, 189, 23},	//1315 QsciLexerPython::foldComments() const
    {76, 1279, 16, 1, 0, 0, 24},	//1316 QsciLexerPython::setFoldCompact(bool)
    {76, 948, 0, 0, Smoke::mf_const, 189, 25},	//1317 QsciLexerPython::foldCompact() const
    {76, 956, 0, 0, Smoke::mf_const, 189, 26},	//1318 QsciLexerPython::foldQuotes() const
    {76, 987, 0, 0, Smoke::mf_const, 82, 27},	//1319 QsciLexerPython::indentationWarning() const
    {76, 1311, 16, 1, 0, 0, 28},	//1320 QsciLexerPython::setHighlightSubidentifiers(bool)
    {76, 978, 0, 0, Smoke::mf_const, 189, 29},	//1321 QsciLexerPython::highlightSubidentifiers() const
    {76, 1419, 16, 1, 0, 0, 30},	//1322 QsciLexerPython::setStringsOverNewlineAllowed(bool)
    {76, 1479, 0, 0, Smoke::mf_const, 189, 31},	//1323 QsciLexerPython::stringsOverNewlineAllowed() const
    {76, 1444, 16, 1, 0, 0, 32},	//1324 QsciLexerPython::setV2UnicodeAllowed(bool)
    {76, 1516, 0, 0, Smoke::mf_const, 189, 33},	//1325 QsciLexerPython::v2UnicodeAllowed() const
    {76, 1446, 16, 1, 0, 0, 34},	//1326 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {76, 1517, 0, 0, Smoke::mf_const, 189, 35},	//1327 QsciLexerPython::v3BinaryOctalAllowed() const
    {76, 1448, 16, 1, 0, 0, 36},	//1328 QsciLexerPython::setV3BytesAllowed(bool)
    {76, 1518, 0, 0, Smoke::mf_const, 189, 37},	//1329 QsciLexerPython::v3BytesAllowed() const
    {76, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//1330 QsciLexerPython::setFoldComments(bool)
    {76, 1293, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 39},	//1331 QsciLexerPython::setFoldQuotes(bool)
    {76, 1325, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 40},	//1332 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {76, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 41},	//1333 QsciLexerPython::readProperties(QSettings&, const QString&)
    {76, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 42},	//1334 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {76, 1501, 12, 1, Smoke::mf_static, 40, 43},	//1335 QsciLexerPython::tr(const char*)
    {76, 1505, 12, 1, Smoke::mf_static, 40, 44},	//1336 QsciLexerPython::trUtf8(const char*)
    {76, 502, 0, 0, Smoke::mf_ctor, 81, 45},	//1337 QsciLexerPython::QsciLexerPython()
    {76, 812, 0, 0, Smoke::mf_const, 213, 46},	//1338 QsciLexerPython::blockStart() const
    {76, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 47},	//1339 QsciLexerPython::staticMetaObject() const
    {76, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1340 QsciLexerPython::Default (enum)
    {76, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1341 QsciLexerPython::Comment (enum)
    {76, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1342 QsciLexerPython::Number (enum)
    {76, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1343 QsciLexerPython::DoubleQuotedString (enum)
    {76, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1344 QsciLexerPython::SingleQuotedString (enum)
    {76, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1345 QsciLexerPython::Keyword (enum)
    {76, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1346 QsciLexerPython::TripleSingleQuotedString (enum)
    {76, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1347 QsciLexerPython::TripleDoubleQuotedString (enum)
    {76, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1348 QsciLexerPython::ClassName (enum)
    {76, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1349 QsciLexerPython::FunctionMethodName (enum)
    {76, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1350 QsciLexerPython::Operator (enum)
    {76, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1351 QsciLexerPython::Identifier (enum)
    {76, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1352 QsciLexerPython::CommentBlock (enum)
    {76, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1353 QsciLexerPython::UnclosedString (enum)
    {76, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1354 QsciLexerPython::HighlightedIdentifier (enum)
    {76, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//1355 QsciLexerPython::Decorator (enum)
    {76, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 64},	//1356 QsciLexerPython::NoWarning (enum)
    {76, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 65},	//1357 QsciLexerPython::Inconsistent (enum)
    {76, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 66},	//1358 QsciLexerPython::TabsAfterSpaces (enum)
    {76, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 67},	//1359 QsciLexerPython::Spaces (enum)
    {76, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 68},	//1360 QsciLexerPython::Tabs (enum)
    {76, 1575, 0, 0, Smoke::mf_dtor, 0, 69 },	//1361 QsciLexerPython::~QsciLexerPython()
    {77, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1362 QsciLexerRuby::metaObject() const
    {77, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1363 QsciLexerRuby::qt_metacast(const char*)
    {77, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1364 QsciLexerRuby::tr(const char*, const char*)
    {77, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1365 QsciLexerRuby::trUtf8(const char*, const char*)
    {77, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1366 QsciLexerRuby::tr(const char*, const char*, int)
    {77, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1367 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {77, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1368 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {77, 504, 74, 1, Smoke::mf_ctor, 83, 8},	//1369 QsciLexerRuby::QsciLexerRuby(QObject*)
    {77, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1370 QsciLexerRuby::language() const
    {77, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1371 QsciLexerRuby::lexer() const
    {77, 809, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1372 QsciLexerRuby::blockEnd(int*) const
    {77, 812, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1373 QsciLexerRuby::blockStart(int*) const
    {77, 814, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1374 QsciLexerRuby::blockStartKeyword(int*) const
    {77, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1375 QsciLexerRuby::braceStyle() const
    {77, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1376 QsciLexerRuby::defaultColor(int) const
    {77, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 16},	//1377 QsciLexerRuby::defaultEolFill(int) const
    {77, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1378 QsciLexerRuby::defaultFont(int) const
    {77, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1379 QsciLexerRuby::defaultPaper(int) const
    {77, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 19},	//1380 QsciLexerRuby::keywords(int) const
    {77, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 20},	//1381 QsciLexerRuby::description(int) const
    {77, 1140, 0, 0, Smoke::mf_virtual, 0, 21},	//1382 QsciLexerRuby::refreshProperties()
    {77, 1277, 16, 1, 0, 0, 22},	//1383 QsciLexerRuby::setFoldComments(bool)
    {77, 947, 0, 0, Smoke::mf_const, 189, 23},	//1384 QsciLexerRuby::foldComments() const
    {77, 1279, 16, 1, 0, 0, 24},	//1385 QsciLexerRuby::setFoldCompact(bool)
    {77, 948, 0, 0, Smoke::mf_const, 189, 25},	//1386 QsciLexerRuby::foldCompact() const
    {77, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//1387 QsciLexerRuby::readProperties(QSettings&, const QString&)
    {77, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//1388 QsciLexerRuby::writeProperties(QSettings&, const QString&) const
    {77, 1501, 12, 1, Smoke::mf_static, 40, 28},	//1389 QsciLexerRuby::tr(const char*)
    {77, 1505, 12, 1, Smoke::mf_static, 40, 29},	//1390 QsciLexerRuby::trUtf8(const char*)
    {77, 504, 0, 0, Smoke::mf_ctor, 83, 30},	//1391 QsciLexerRuby::QsciLexerRuby()
    {77, 809, 0, 0, Smoke::mf_const, 213, 31},	//1392 QsciLexerRuby::blockEnd() const
    {77, 812, 0, 0, Smoke::mf_const, 213, 32},	//1393 QsciLexerRuby::blockStart() const
    {77, 814, 0, 0, Smoke::mf_const, 213, 33},	//1394 QsciLexerRuby::blockStartKeyword() const
    {77, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 34},	//1395 QsciLexerRuby::staticMetaObject() const
    {77, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1396 QsciLexerRuby::Default (enum)
    {77, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1397 QsciLexerRuby::Error (enum)
    {77, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1398 QsciLexerRuby::Comment (enum)
    {77, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1399 QsciLexerRuby::POD (enum)
    {77, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1400 QsciLexerRuby::Number (enum)
    {77, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1401 QsciLexerRuby::Keyword (enum)
    {77, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1402 QsciLexerRuby::DoubleQuotedString (enum)
    {77, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1403 QsciLexerRuby::SingleQuotedString (enum)
    {77, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1404 QsciLexerRuby::ClassName (enum)
    {77, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1405 QsciLexerRuby::FunctionMethodName (enum)
    {77, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1406 QsciLexerRuby::Operator (enum)
    {77, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1407 QsciLexerRuby::Identifier (enum)
    {77, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1408 QsciLexerRuby::Regex (enum)
    {77, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1409 QsciLexerRuby::Global (enum)
    {77, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1410 QsciLexerRuby::Symbol (enum)
    {77, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1411 QsciLexerRuby::ModuleName (enum)
    {77, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1412 QsciLexerRuby::InstanceVariable (enum)
    {77, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1413 QsciLexerRuby::ClassVariable (enum)
    {77, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1414 QsciLexerRuby::Backticks (enum)
    {77, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1415 QsciLexerRuby::DataSection (enum)
    {77, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1416 QsciLexerRuby::HereDocumentDelimiter (enum)
    {77, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1417 QsciLexerRuby::HereDocument (enum)
    {77, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1418 QsciLexerRuby::PercentStringq (enum)
    {77, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1419 QsciLexerRuby::PercentStringQ (enum)
    {77, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1420 QsciLexerRuby::PercentStringx (enum)
    {77, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1421 QsciLexerRuby::PercentStringr (enum)
    {77, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1422 QsciLexerRuby::PercentStringw (enum)
    {77, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1423 QsciLexerRuby::DemotedKeyword (enum)
    {77, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//1424 QsciLexerRuby::Stdin (enum)
    {77, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//1425 QsciLexerRuby::Stdout (enum)
    {77, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//1426 QsciLexerRuby::Stderr (enum)
    {77, 1576, 0, 0, Smoke::mf_dtor, 0, 66 },	//1427 QsciLexerRuby::~QsciLexerRuby()
    {78, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1428 QsciLexerSQL::metaObject() const
    {78, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1429 QsciLexerSQL::qt_metacast(const char*)
    {78, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1430 QsciLexerSQL::tr(const char*, const char*)
    {78, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1431 QsciLexerSQL::trUtf8(const char*, const char*)
    {78, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1432 QsciLexerSQL::tr(const char*, const char*, int)
    {78, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1433 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {78, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1434 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {78, 506, 74, 1, Smoke::mf_ctor, 84, 8},	//1435 QsciLexerSQL::QsciLexerSQL(QObject*)
    {78, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1436 QsciLexerSQL::language() const
    {78, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1437 QsciLexerSQL::lexer() const
    {78, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1438 QsciLexerSQL::braceStyle() const
    {78, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1439 QsciLexerSQL::defaultColor(int) const
    {78, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1440 QsciLexerSQL::defaultEolFill(int) const
    {78, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1441 QsciLexerSQL::defaultFont(int) const
    {78, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1442 QsciLexerSQL::defaultPaper(int) const
    {78, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//1443 QsciLexerSQL::keywords(int) const
    {78, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1444 QsciLexerSQL::description(int) const
    {78, 1140, 0, 0, Smoke::mf_virtual, 0, 18},	//1445 QsciLexerSQL::refreshProperties()
    {78, 806, 0, 0, Smoke::mf_const, 189, 19},	//1446 QsciLexerSQL::backslashEscapes() const
    {78, 1248, 16, 1, 0, 0, 20},	//1447 QsciLexerSQL::setDottedWords(bool)
    {78, 886, 0, 0, Smoke::mf_const, 189, 21},	//1448 QsciLexerSQL::dottedWords() const
    {78, 1273, 16, 1, 0, 0, 22},	//1449 QsciLexerSQL::setFoldAtElse(bool)
    {78, 945, 0, 0, Smoke::mf_const, 189, 23},	//1450 QsciLexerSQL::foldAtElse() const
    {78, 947, 0, 0, Smoke::mf_const, 189, 24},	//1451 QsciLexerSQL::foldComments() const
    {78, 948, 0, 0, Smoke::mf_const, 189, 25},	//1452 QsciLexerSQL::foldCompact() const
    {78, 1285, 16, 1, 0, 0, 26},	//1453 QsciLexerSQL::setFoldOnlyBegin(bool)
    {78, 952, 0, 0, Smoke::mf_const, 189, 27},	//1454 QsciLexerSQL::foldOnlyBegin() const
    {78, 1307, 16, 1, 0, 0, 28},	//1455 QsciLexerSQL::setHashComments(bool)
    {78, 974, 0, 0, Smoke::mf_const, 189, 29},	//1456 QsciLexerSQL::hashComments() const
    {78, 1400, 16, 1, 0, 0, 30},	//1457 QsciLexerSQL::setQuotedIdentifiers(bool)
    {78, 1127, 0, 0, Smoke::mf_const, 189, 31},	//1458 QsciLexerSQL::quotedIdentifiers() const
    {78, 1197, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1459 QsciLexerSQL::setBackslashEscapes(bool)
    {78, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1460 QsciLexerSQL::setFoldComments(bool)
    {78, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1461 QsciLexerSQL::setFoldCompact(bool)
    {78, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 35},	//1462 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {78, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 36},	//1463 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {78, 1501, 12, 1, Smoke::mf_static, 40, 37},	//1464 QsciLexerSQL::tr(const char*)
    {78, 1505, 12, 1, Smoke::mf_static, 40, 38},	//1465 QsciLexerSQL::trUtf8(const char*)
    {78, 506, 0, 0, Smoke::mf_ctor, 84, 39},	//1466 QsciLexerSQL::QsciLexerSQL()
    {78, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 40},	//1467 QsciLexerSQL::staticMetaObject() const
    {78, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1468 QsciLexerSQL::Default (enum)
    {78, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1469 QsciLexerSQL::Comment (enum)
    {78, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1470 QsciLexerSQL::CommentLine (enum)
    {78, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1471 QsciLexerSQL::CommentDoc (enum)
    {78, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1472 QsciLexerSQL::Number (enum)
    {78, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1473 QsciLexerSQL::Keyword (enum)
    {78, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1474 QsciLexerSQL::DoubleQuotedString (enum)
    {78, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1475 QsciLexerSQL::SingleQuotedString (enum)
    {78, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1476 QsciLexerSQL::PlusKeyword (enum)
    {78, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1477 QsciLexerSQL::PlusPrompt (enum)
    {78, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1478 QsciLexerSQL::Operator (enum)
    {78, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1479 QsciLexerSQL::Identifier (enum)
    {78, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1480 QsciLexerSQL::PlusComment (enum)
    {78, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1481 QsciLexerSQL::CommentLineHash (enum)
    {78, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1482 QsciLexerSQL::CommentDocKeyword (enum)
    {78, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1483 QsciLexerSQL::CommentDocKeywordError (enum)
    {78, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1484 QsciLexerSQL::KeywordSet5 (enum)
    {78, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1485 QsciLexerSQL::KeywordSet6 (enum)
    {78, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1486 QsciLexerSQL::KeywordSet7 (enum)
    {78, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1487 QsciLexerSQL::KeywordSet8 (enum)
    {78, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1488 QsciLexerSQL::QuotedIdentifier (enum)
    {78, 1577, 0, 0, Smoke::mf_dtor, 0, 62 },	//1489 QsciLexerSQL::~QsciLexerSQL()
    {79, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1490 QsciLexerTCL::metaObject() const
    {79, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1491 QsciLexerTCL::qt_metacast(const char*)
    {79, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1492 QsciLexerTCL::tr(const char*, const char*)
    {79, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1493 QsciLexerTCL::trUtf8(const char*, const char*)
    {79, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1494 QsciLexerTCL::tr(const char*, const char*, int)
    {79, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1495 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {79, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1496 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {79, 508, 74, 1, Smoke::mf_ctor, 85, 8},	//1497 QsciLexerTCL::QsciLexerTCL(QObject*)
    {79, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1498 QsciLexerTCL::language() const
    {79, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1499 QsciLexerTCL::lexer() const
    {79, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1500 QsciLexerTCL::braceStyle() const
    {79, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1501 QsciLexerTCL::defaultColor(int) const
    {79, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1502 QsciLexerTCL::defaultEolFill(int) const
    {79, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1503 QsciLexerTCL::defaultFont(int) const
    {79, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1504 QsciLexerTCL::defaultPaper(int) const
    {79, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//1505 QsciLexerTCL::keywords(int) const
    {79, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1506 QsciLexerTCL::description(int) const
    {79, 1140, 0, 0, Smoke::mf_virtual, 0, 18},	//1507 QsciLexerTCL::refreshProperties()
    {79, 1277, 16, 1, 0, 0, 19},	//1508 QsciLexerTCL::setFoldComments(bool)
    {79, 947, 0, 0, Smoke::mf_const, 189, 20},	//1509 QsciLexerTCL::foldComments() const
    {79, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 21},	//1510 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {79, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 22},	//1511 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {79, 1501, 12, 1, Smoke::mf_static, 40, 23},	//1512 QsciLexerTCL::tr(const char*)
    {79, 1505, 12, 1, Smoke::mf_static, 40, 24},	//1513 QsciLexerTCL::trUtf8(const char*)
    {79, 508, 0, 0, Smoke::mf_ctor, 85, 25},	//1514 QsciLexerTCL::QsciLexerTCL()
    {79, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 26},	//1515 QsciLexerTCL::staticMetaObject() const
    {79, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//1516 QsciLexerTCL::Default (enum)
    {79, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//1517 QsciLexerTCL::Comment (enum)
    {79, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//1518 QsciLexerTCL::CommentLine (enum)
    {79, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1519 QsciLexerTCL::Number (enum)
    {79, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1520 QsciLexerTCL::QuotedKeyword (enum)
    {79, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1521 QsciLexerTCL::QuotedString (enum)
    {79, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1522 QsciLexerTCL::Operator (enum)
    {79, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1523 QsciLexerTCL::Identifier (enum)
    {79, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1524 QsciLexerTCL::Substitution (enum)
    {79, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1525 QsciLexerTCL::SubstitutionBrace (enum)
    {79, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1526 QsciLexerTCL::Modifier (enum)
    {79, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1527 QsciLexerTCL::ExpandKeyword (enum)
    {79, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1528 QsciLexerTCL::TCLKeyword (enum)
    {79, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1529 QsciLexerTCL::TkKeyword (enum)
    {79, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1530 QsciLexerTCL::ITCLKeyword (enum)
    {79, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1531 QsciLexerTCL::TkCommand (enum)
    {79, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1532 QsciLexerTCL::KeywordSet6 (enum)
    {79, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1533 QsciLexerTCL::KeywordSet7 (enum)
    {79, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1534 QsciLexerTCL::KeywordSet8 (enum)
    {79, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1535 QsciLexerTCL::KeywordSet9 (enum)
    {79, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1536 QsciLexerTCL::CommentBox (enum)
    {79, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1537 QsciLexerTCL::CommentBlock (enum)
    {79, 1578, 0, 0, Smoke::mf_dtor, 0, 49 },	//1538 QsciLexerTCL::~QsciLexerTCL()
    {80, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1539 QsciLexerTeX::metaObject() const
    {80, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1540 QsciLexerTeX::qt_metacast(const char*)
    {80, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1541 QsciLexerTeX::tr(const char*, const char*)
    {80, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1542 QsciLexerTeX::trUtf8(const char*, const char*)
    {80, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1543 QsciLexerTeX::tr(const char*, const char*, int)
    {80, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1544 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {80, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1545 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {80, 510, 74, 1, Smoke::mf_ctor, 86, 8},	//1546 QsciLexerTeX::QsciLexerTeX(QObject*)
    {80, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1547 QsciLexerTeX::language() const
    {80, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1548 QsciLexerTeX::lexer() const
    {80, 1531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1549 QsciLexerTeX::wordCharacters() const
    {80, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1550 QsciLexerTeX::defaultColor(int) const
    {80, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1551 QsciLexerTeX::keywords(int) const
    {80, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 14},	//1552 QsciLexerTeX::description(int) const
    {80, 1140, 0, 0, Smoke::mf_virtual, 0, 15},	//1553 QsciLexerTeX::refreshProperties()
    {80, 1277, 16, 1, 0, 0, 16},	//1554 QsciLexerTeX::setFoldComments(bool)
    {80, 947, 0, 0, Smoke::mf_const, 189, 17},	//1555 QsciLexerTeX::foldComments() const
    {80, 1279, 16, 1, 0, 0, 18},	//1556 QsciLexerTeX::setFoldCompact(bool)
    {80, 948, 0, 0, Smoke::mf_const, 189, 19},	//1557 QsciLexerTeX::foldCompact() const
    {80, 1396, 16, 1, 0, 0, 20},	//1558 QsciLexerTeX::setProcessComments(bool)
    {80, 1119, 0, 0, Smoke::mf_const, 189, 21},	//1559 QsciLexerTeX::processComments() const
    {80, 1398, 16, 1, 0, 0, 22},	//1560 QsciLexerTeX::setProcessIf(bool)
    {80, 1120, 0, 0, Smoke::mf_const, 189, 23},	//1561 QsciLexerTeX::processIf() const
    {80, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//1562 QsciLexerTeX::readProperties(QSettings&, const QString&)
    {80, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 25},	//1563 QsciLexerTeX::writeProperties(QSettings&, const QString&) const
    {80, 1501, 12, 1, Smoke::mf_static, 40, 26},	//1564 QsciLexerTeX::tr(const char*)
    {80, 1505, 12, 1, Smoke::mf_static, 40, 27},	//1565 QsciLexerTeX::trUtf8(const char*)
    {80, 510, 0, 0, Smoke::mf_ctor, 86, 28},	//1566 QsciLexerTeX::QsciLexerTeX()
    {80, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 29},	//1567 QsciLexerTeX::staticMetaObject() const
    {80, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1568 QsciLexerTeX::Default (enum)
    {80, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1569 QsciLexerTeX::Special (enum)
    {80, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1570 QsciLexerTeX::Group (enum)
    {80, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1571 QsciLexerTeX::Symbol (enum)
    {80, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1572 QsciLexerTeX::Command (enum)
    {80, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1573 QsciLexerTeX::Text (enum)
    {80, 1579, 0, 0, Smoke::mf_dtor, 0, 36 },	//1574 QsciLexerTeX::~QsciLexerTeX()
    {81, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1575 QsciLexerVHDL::metaObject() const
    {81, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1576 QsciLexerVHDL::qt_metacast(const char*)
    {81, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1577 QsciLexerVHDL::tr(const char*, const char*)
    {81, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1578 QsciLexerVHDL::trUtf8(const char*, const char*)
    {81, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1579 QsciLexerVHDL::tr(const char*, const char*, int)
    {81, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1580 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {81, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1581 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {81, 512, 74, 1, Smoke::mf_ctor, 87, 8},	//1582 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {81, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1583 QsciLexerVHDL::language() const
    {81, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1584 QsciLexerVHDL::lexer() const
    {81, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1585 QsciLexerVHDL::braceStyle() const
    {81, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1586 QsciLexerVHDL::defaultColor(int) const
    {81, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1587 QsciLexerVHDL::defaultEolFill(int) const
    {81, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1588 QsciLexerVHDL::defaultFont(int) const
    {81, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1589 QsciLexerVHDL::defaultPaper(int) const
    {81, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//1590 QsciLexerVHDL::keywords(int) const
    {81, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1591 QsciLexerVHDL::description(int) const
    {81, 1140, 0, 0, Smoke::mf_virtual, 0, 18},	//1592 QsciLexerVHDL::refreshProperties()
    {81, 947, 0, 0, Smoke::mf_const, 189, 19},	//1593 QsciLexerVHDL::foldComments() const
    {81, 948, 0, 0, Smoke::mf_const, 189, 20},	//1594 QsciLexerVHDL::foldCompact() const
    {81, 945, 0, 0, Smoke::mf_const, 189, 21},	//1595 QsciLexerVHDL::foldAtElse() const
    {81, 944, 0, 0, Smoke::mf_const, 189, 22},	//1596 QsciLexerVHDL::foldAtBegin() const
    {81, 946, 0, 0, Smoke::mf_const, 189, 23},	//1597 QsciLexerVHDL::foldAtParenthesis() const
    {81, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1598 QsciLexerVHDL::setFoldComments(bool)
    {81, 1279, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1599 QsciLexerVHDL::setFoldCompact(bool)
    {81, 1273, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1600 QsciLexerVHDL::setFoldAtElse(bool)
    {81, 1271, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1601 QsciLexerVHDL::setFoldAtBegin(bool)
    {81, 1275, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1602 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {81, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 29},	//1603 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {81, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 30},	//1604 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {81, 1501, 12, 1, Smoke::mf_static, 40, 31},	//1605 QsciLexerVHDL::tr(const char*)
    {81, 1505, 12, 1, Smoke::mf_static, 40, 32},	//1606 QsciLexerVHDL::trUtf8(const char*)
    {81, 512, 0, 0, Smoke::mf_ctor, 87, 33},	//1607 QsciLexerVHDL::QsciLexerVHDL()
    {81, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 34},	//1608 QsciLexerVHDL::staticMetaObject() const
    {81, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1609 QsciLexerVHDL::Default (enum)
    {81, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1610 QsciLexerVHDL::Comment (enum)
    {81, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1611 QsciLexerVHDL::CommentLine (enum)
    {81, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1612 QsciLexerVHDL::Number (enum)
    {81, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1613 QsciLexerVHDL::String (enum)
    {81, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1614 QsciLexerVHDL::Operator (enum)
    {81, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1615 QsciLexerVHDL::Identifier (enum)
    {81, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1616 QsciLexerVHDL::UnclosedString (enum)
    {81, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1617 QsciLexerVHDL::Keyword (enum)
    {81, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1618 QsciLexerVHDL::StandardOperator (enum)
    {81, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1619 QsciLexerVHDL::Attribute (enum)
    {81, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1620 QsciLexerVHDL::StandardFunction (enum)
    {81, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1621 QsciLexerVHDL::StandardPackage (enum)
    {81, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1622 QsciLexerVHDL::StandardType (enum)
    {81, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1623 QsciLexerVHDL::KeywordSet7 (enum)
    {81, 1580, 0, 0, Smoke::mf_dtor, 0, 50 },	//1624 QsciLexerVHDL::~QsciLexerVHDL()
    {82, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1625 QsciLexerXML::metaObject() const
    {82, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1626 QsciLexerXML::qt_metacast(const char*)
    {82, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1627 QsciLexerXML::tr(const char*, const char*)
    {82, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1628 QsciLexerXML::trUtf8(const char*, const char*)
    {82, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1629 QsciLexerXML::tr(const char*, const char*, int)
    {82, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1630 QsciLexerXML::trUtf8(const char*, const char*, int)
    {82, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1631 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {82, 514, 74, 1, Smoke::mf_ctor, 88, 8},	//1632 QsciLexerXML::QsciLexerXML(QObject*)
    {82, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1633 QsciLexerXML::language() const
    {82, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1634 QsciLexerXML::lexer() const
    {82, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1635 QsciLexerXML::defaultColor(int) const
    {82, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 12},	//1636 QsciLexerXML::defaultEolFill(int) const
    {82, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1637 QsciLexerXML::defaultFont(int) const
    {82, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1638 QsciLexerXML::defaultPaper(int) const
    {82, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1639 QsciLexerXML::keywords(int) const
    {82, 1140, 0, 0, Smoke::mf_virtual, 0, 16},	//1640 QsciLexerXML::refreshProperties()
    {82, 1406, 16, 1, 0, 0, 17},	//1641 QsciLexerXML::setScriptsStyled(bool)
    {82, 1160, 0, 0, Smoke::mf_const, 189, 18},	//1642 QsciLexerXML::scriptsStyled() const
    {82, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 19},	//1643 QsciLexerXML::readProperties(QSettings&, const QString&)
    {82, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 20},	//1644 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {82, 1501, 12, 1, Smoke::mf_static, 40, 21},	//1645 QsciLexerXML::tr(const char*)
    {82, 1505, 12, 1, Smoke::mf_static, 40, 22},	//1646 QsciLexerXML::trUtf8(const char*)
    {82, 514, 0, 0, Smoke::mf_ctor, 88, 23},	//1647 QsciLexerXML::QsciLexerXML()
    {82, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 24},	//1648 QsciLexerXML::staticMetaObject() const
    {82, 1581, 0, 0, Smoke::mf_dtor, 0, 25 },	//1649 QsciLexerXML::~QsciLexerXML()
    {83, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1650 QsciLexerYAML::metaObject() const
    {83, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1651 QsciLexerYAML::qt_metacast(const char*)
    {83, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1652 QsciLexerYAML::tr(const char*, const char*)
    {83, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1653 QsciLexerYAML::trUtf8(const char*, const char*)
    {83, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1654 QsciLexerYAML::tr(const char*, const char*, int)
    {83, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1655 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {83, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1656 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {83, 516, 74, 1, Smoke::mf_ctor, 89, 8},	//1657 QsciLexerYAML::QsciLexerYAML(QObject*)
    {83, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1658 QsciLexerYAML::language() const
    {83, 1031, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1659 QsciLexerYAML::lexer() const
    {83, 869, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1660 QsciLexerYAML::defaultColor(int) const
    {83, 871, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 12},	//1661 QsciLexerYAML::defaultEolFill(int) const
    {83, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1662 QsciLexerYAML::defaultFont(int) const
    {83, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1663 QsciLexerYAML::defaultPaper(int) const
    {83, 1024, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1664 QsciLexerYAML::keywords(int) const
    {83, 879, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1665 QsciLexerYAML::description(int) const
    {83, 1140, 0, 0, Smoke::mf_virtual, 0, 17},	//1666 QsciLexerYAML::refreshProperties()
    {83, 947, 0, 0, Smoke::mf_const, 189, 18},	//1667 QsciLexerYAML::foldComments() const
    {83, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1668 QsciLexerYAML::setFoldComments(bool)
    {83, 1130, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 20},	//1669 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {83, 1536, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 21},	//1670 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {83, 1501, 12, 1, Smoke::mf_static, 40, 22},	//1671 QsciLexerYAML::tr(const char*)
    {83, 1505, 12, 1, Smoke::mf_static, 40, 23},	//1672 QsciLexerYAML::trUtf8(const char*)
    {83, 516, 0, 0, Smoke::mf_ctor, 89, 24},	//1673 QsciLexerYAML::QsciLexerYAML()
    {83, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 25},	//1674 QsciLexerYAML::staticMetaObject() const
    {83, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//1675 QsciLexerYAML::Default (enum)
    {83, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//1676 QsciLexerYAML::Comment (enum)
    {83, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//1677 QsciLexerYAML::Identifier (enum)
    {83, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//1678 QsciLexerYAML::Keyword (enum)
    {83, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1679 QsciLexerYAML::Number (enum)
    {83, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1680 QsciLexerYAML::Reference (enum)
    {83, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1681 QsciLexerYAML::DocumentDelimiter (enum)
    {83, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1682 QsciLexerYAML::TextBlockMarker (enum)
    {83, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1683 QsciLexerYAML::SyntaxErrorMarker (enum)
    {83, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1684 QsciLexerYAML::Operator (enum)
    {83, 1582, 0, 0, Smoke::mf_dtor, 0, 36 },	//1685 QsciLexerYAML::~QsciLexerYAML()
    {84, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1686 QsciMacro::metaObject() const
    {84, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1687 QsciMacro::qt_metacast(const char*)
    {84, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1688 QsciMacro::tr(const char*, const char*)
    {84, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1689 QsciMacro::trUtf8(const char*, const char*)
    {84, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1690 QsciMacro::tr(const char*, const char*, int)
    {84, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1691 QsciMacro::trUtf8(const char*, const char*, int)
    {84, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1692 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {84, 518, 82, 1, Smoke::mf_ctor, 90, 8},	//1693 QsciMacro::QsciMacro(QsciScintilla*)
    {84, 518, 107, 2, Smoke::mf_ctor, 90, 9},	//1694 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {84, 837, 0, 0, 0, 0, 10},	//1695 QsciMacro::clear()
    {84, 1041, 55, 1, 0, 189, 11},	//1696 QsciMacro::load(const QString&)
    {84, 1157, 0, 0, Smoke::mf_const, 40, 12},	//1697 QsciMacro::save() const
    {84, 1110, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1698 QsciMacro::play()
    {84, 1474, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1699 QsciMacro::startRecording()
    {84, 900, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1700 QsciMacro::endRecording()
    {84, 1501, 12, 1, Smoke::mf_static, 40, 16},	//1701 QsciMacro::tr(const char*)
    {84, 1505, 12, 1, Smoke::mf_static, 40, 17},	//1702 QsciMacro::trUtf8(const char*)
    {84, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 18},	//1703 QsciMacro::staticMetaObject() const
    {84, 1583, 0, 0, Smoke::mf_dtor, 0, 19 },	//1704 QsciMacro::~QsciMacro()
    {85, 521, 110, 1, Smoke::mf_ctor, 91, 1},	//1705 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {85, 965, 112, 4, Smoke::mf_virtual, 0, 2},	//1706 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {85, 1045, 0, 0, Smoke::mf_const, 215, 3},	//1707 QsciPrinter::magnification() const
    {85, 1350, 18, 1, Smoke::mf_virtual, 0, 4},	//1708 QsciPrinter::setMagnification(int)
    {85, 1115, 117, 3, Smoke::mf_virtual, 215, 5},	//1709 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {85, 1533, 0, 0, Smoke::mf_const, 108, 6},	//1710 QsciPrinter::wrapMode() const
    {85, 1462, 121, 1, Smoke::mf_virtual, 0, 7},	//1711 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {85, 521, 0, 0, Smoke::mf_ctor, 91, 8},	//1712 QsciPrinter::QsciPrinter()
    {85, 1115, 123, 1, 0, 215, 9},	//1713 QsciPrinter::printRange(QsciScintillaBase*)
    {85, 1115, 125, 2, 0, 215, 10},	//1714 QsciPrinter::printRange(QsciScintillaBase*, int)
    {85, 1584, 0, 0, Smoke::mf_dtor, 0, 11 },	//1715 QsciPrinter::~QsciPrinter()
    {86, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1716 QsciScintilla::metaObject() const
    {86, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//1717 QsciScintilla::qt_metacast(const char*)
    {86, 1501, 42, 2, Smoke::mf_static, 40, 3},	//1718 QsciScintilla::tr(const char*, const char*)
    {86, 1505, 42, 2, Smoke::mf_static, 40, 4},	//1719 QsciScintilla::trUtf8(const char*, const char*)
    {86, 1501, 45, 3, Smoke::mf_static, 40, 5},	//1720 QsciScintilla::tr(const char*, const char*, int)
    {86, 1505, 45, 3, Smoke::mf_static, 40, 6},	//1721 QsciScintilla::trUtf8(const char*, const char*, int)
    {86, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//1722 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {86, 523, 128, 1, Smoke::mf_ctor, 92, 8},	//1723 QsciScintilla::QsciScintilla(QWidget*)
    {86, 780, 130, 3, Smoke::mf_virtual, 41, 9},	//1724 QsciScintilla::apiContext(int, int&, int&)
    {86, 772, 134, 3, 0, 0, 10},	//1725 QsciScintilla::annotate(int, const QString&, int)
    {86, 772, 138, 3, 0, 0, 11},	//1726 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {86, 772, 142, 2, 0, 0, 12},	//1727 QsciScintilla::annotate(int, const QsciStyledText&)
    {86, 772, 145, 2, 0, 0, 13},	//1728 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {86, 777, 18, 1, Smoke::mf_const, 40, 14},	//1729 QsciScintilla::annotation(int) const
    {86, 779, 0, 0, Smoke::mf_const, 93, 15},	//1730 QsciScintilla::annotationDisplay() const
    {86, 839, 18, 1, 0, 0, 16},	//1731 QsciScintilla::clearAnnotations(int)
    {86, 793, 0, 0, Smoke::mf_const, 189, 17},	//1732 QsciScintilla::autoCompletionCaseSensitivity() const
    {86, 795, 0, 0, Smoke::mf_const, 189, 18},	//1733 QsciScintilla::autoCompletionFillupsEnabled() const
    {86, 796, 0, 0, Smoke::mf_const, 189, 19},	//1734 QsciScintilla::autoCompletionReplaceWord() const
    {86, 799, 0, 0, Smoke::mf_const, 189, 20},	//1735 QsciScintilla::autoCompletionShowSingle() const
    {86, 800, 0, 0, Smoke::mf_const, 94, 21},	//1736 QsciScintilla::autoCompletionSource() const
    {86, 801, 0, 0, Smoke::mf_const, 215, 22},	//1737 QsciScintilla::autoCompletionThreshold() const
    {86, 802, 0, 0, Smoke::mf_const, 95, 23},	//1738 QsciScintilla::autoCompletionUseSingle() const
    {86, 804, 0, 0, Smoke::mf_const, 189, 24},	//1739 QsciScintilla::autoIndent() const
    {86, 807, 0, 0, Smoke::mf_const, 189, 25},	//1740 QsciScintilla::backspaceUnindents() const
    {86, 808, 0, 0, 0, 0, 26},	//1741 QsciScintilla::beginUndoAction()
    {86, 818, 0, 0, Smoke::mf_const, 96, 27},	//1742 QsciScintilla::braceMatching() const
    {86, 825, 0, 0, Smoke::mf_const, 97, 28},	//1743 QsciScintilla::callTipsPosition() const
    {86, 826, 0, 0, Smoke::mf_const, 98, 29},	//1744 QsciScintilla::callTipsStyle() const
    {86, 827, 0, 0, Smoke::mf_const, 215, 30},	//1745 QsciScintilla::callTipsVisible() const
    {86, 830, 0, 0, 0, 0, 31},	//1746 QsciScintilla::cancelList()
    {86, 832, 0, 0, Smoke::mf_const, 189, 32},	//1747 QsciScintilla::caseSensitive() const
    {86, 841, 0, 0, 0, 0, 33},	//1748 QsciScintilla::clearFolds()
    {86, 842, 148, 5, 0, 0, 34},	//1749 QsciScintilla::clearIndicatorRange(int, int, int, int, int)
    {86, 847, 0, 0, 0, 0, 35},	//1750 QsciScintilla::clearRegisteredImages()
    {86, 849, 0, 0, Smoke::mf_const, 6, 36},	//1751 QsciScintilla::color() const
    {86, 858, 0, 0, Smoke::mf_const, 20, 37},	//1752 QsciScintilla::contractedFolds() const
    {86, 859, 154, 1, 0, 0, 38},	//1753 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {86, 864, 0, 0, 0, 22, 39},	//1754 QsciScintilla::createStandardContextMenu()
    {86, 884, 0, 0, Smoke::mf_const, 55, 40},	//1755 QsciScintilla::document() const
    {86, 901, 0, 0, 0, 0, 41},	//1756 QsciScintilla::endUndoAction()
    {86, 895, 0, 0, Smoke::mf_const, 6, 42},	//1757 QsciScintilla::edgeColor() const
    {86, 896, 0, 0, Smoke::mf_const, 215, 43},	//1758 QsciScintilla::edgeColumn() const
    {86, 897, 0, 0, Smoke::mf_const, 99, 44},	//1759 QsciScintilla::edgeMode() const
    {86, 1302, 40, 1, 0, 0, 45},	//1760 QsciScintilla::setFont(const QFont&)
    {86, 910, 0, 0, Smoke::mf_const, 100, 46},	//1761 QsciScintilla::eolMode() const
    {86, 911, 0, 0, Smoke::mf_const, 189, 47},	//1762 QsciScintilla::eolVisibility() const
    {86, 916, 0, 0, Smoke::mf_const, 215, 48},	//1763 QsciScintilla::extraAscent() const
    {86, 917, 0, 0, Smoke::mf_const, 215, 49},	//1764 QsciScintilla::extraDescent() const
    {86, 918, 148, 5, 0, 0, 50},	//1765 QsciScintilla::fillIndicatorRange(int, int, int, int, int)
    {86, 922, 156, 10, Smoke::mf_virtual, 189, 51},	//1766 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool, bool)
    {86, 929, 167, 7, Smoke::mf_virtual, 189, 52},	//1767 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool, bool)
    {86, 934, 0, 0, Smoke::mf_virtual, 189, 53},	//1768 QsciScintilla::findNext()
    {86, 935, 0, 0, Smoke::mf_const, 215, 54},	//1769 QsciScintilla::firstVisibleLine() const
    {86, 959, 0, 0, Smoke::mf_const, 101, 55},	//1770 QsciScintilla::folding() const
    {86, 969, 175, 2, Smoke::mf_const, 0, 56},	//1771 QsciScintilla::getCursorPosition(int*, int*) const
    {86, 971, 178, 4, Smoke::mf_const, 0, 57},	//1772 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {86, 973, 0, 0, Smoke::mf_const, 189, 58},	//1773 QsciScintilla::hasSelectedText() const
    {86, 983, 18, 1, Smoke::mf_const, 215, 59},	//1774 QsciScintilla::indentation(int) const
    {86, 986, 0, 0, Smoke::mf_const, 189, 60},	//1775 QsciScintilla::indentationGuides() const
    {86, 989, 0, 0, Smoke::mf_const, 189, 61},	//1776 QsciScintilla::indentationsUseTabs() const
    {86, 988, 0, 0, Smoke::mf_const, 215, 62},	//1777 QsciScintilla::indentationWidth() const
    {86, 992, 183, 2, 0, 215, 63},	//1778 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle, int)
    {86, 995, 18, 1, Smoke::mf_const, 189, 64},	//1779 QsciScintilla::indicatorDrawUnder(int) const
    {86, 1009, 0, 0, Smoke::mf_const, 189, 65},	//1780 QsciScintilla::isCallTipActive() const
    {86, 1010, 0, 0, Smoke::mf_const, 189, 66},	//1781 QsciScintilla::isListActive() const
    {86, 1011, 0, 0, Smoke::mf_const, 189, 67},	//1782 QsciScintilla::isModified() const
    {86, 1014, 0, 0, Smoke::mf_const, 189, 68},	//1783 QsciScintilla::isReadOnly() const
    {86, 1015, 0, 0, Smoke::mf_const, 189, 69},	//1784 QsciScintilla::isRedoAvailable() const
    {86, 1016, 0, 0, Smoke::mf_const, 189, 70},	//1785 QsciScintilla::isUndoAvailable() const
    {86, 1017, 0, 0, Smoke::mf_const, 189, 71},	//1786 QsciScintilla::isUtf8() const
    {86, 1018, 186, 1, Smoke::mf_const, 189, 72},	//1787 QsciScintilla::isWordCharacter(char) const
    {86, 1033, 188, 1, Smoke::mf_const, 215, 73},	//1788 QsciScintilla::lineAt(const QPoint&) const
    {86, 1035, 190, 3, Smoke::mf_const, 0, 74},	//1789 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {86, 1037, 18, 1, Smoke::mf_const, 215, 75},	//1790 QsciScintilla::lineLength(int) const
    {86, 1039, 0, 0, Smoke::mf_const, 215, 76},	//1791 QsciScintilla::lines() const
    {86, 1029, 0, 0, Smoke::mf_const, 215, 77},	//1792 QsciScintilla::length() const
    {86, 1031, 0, 0, Smoke::mf_const, 58, 78},	//1793 QsciScintilla::lexer() const
    {86, 1049, 18, 1, Smoke::mf_const, 189, 79},	//1794 QsciScintilla::marginLineNumbers(int) const
    {86, 1051, 18, 1, Smoke::mf_const, 215, 80},	//1795 QsciScintilla::marginMarkerMask(int) const
    {86, 1053, 0, 0, Smoke::mf_const, 215, 81},	//1796 QsciScintilla::marginOptions() const
    {86, 1054, 18, 1, Smoke::mf_const, 189, 82},	//1797 QsciScintilla::marginSensitivity(int) const
    {86, 1056, 18, 1, Smoke::mf_const, 104, 83},	//1798 QsciScintilla::marginType(int) const
    {86, 1058, 18, 1, Smoke::mf_const, 215, 84},	//1799 QsciScintilla::marginWidth(int) const
    {86, 1062, 194, 2, 0, 215, 85},	//1800 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {86, 1062, 197, 2, 0, 215, 86},	//1801 QsciScintilla::markerDefine(char, int)
    {86, 1062, 200, 2, 0, 215, 87},	//1802 QsciScintilla::markerDefine(const QPixmap&, int)
    {86, 1062, 203, 2, 0, 215, 88},	//1803 QsciScintilla::markerDefine(const QImage&, int)
    {86, 1060, 99, 2, 0, 215, 89},	//1804 QsciScintilla::markerAdd(int, int)
    {86, 1080, 18, 1, Smoke::mf_const, 219, 90},	//1805 QsciScintilla::markersAtLine(int) const
    {86, 1067, 99, 2, 0, 0, 91},	//1806 QsciScintilla::markerDelete(int, int)
    {86, 1070, 18, 1, 0, 0, 92},	//1807 QsciScintilla::markerDeleteAll(int)
    {86, 1072, 18, 1, 0, 0, 93},	//1808 QsciScintilla::markerDeleteHandle(int)
    {86, 1078, 18, 1, Smoke::mf_const, 215, 94},	//1809 QsciScintilla::markerLine(int) const
    {86, 1074, 206, 2, Smoke::mf_const, 215, 95},	//1810 QsciScintilla::markerFindNext(int, unsigned int) const
    {86, 1076, 206, 2, Smoke::mf_const, 215, 96},	//1811 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {86, 1100, 0, 0, Smoke::mf_const, 189, 97},	//1812 QsciScintilla::overwriteMode() const
    {86, 1105, 0, 0, Smoke::mf_const, 6, 98},	//1813 QsciScintilla::paper() const
    {86, 1112, 99, 2, Smoke::mf_const, 215, 99},	//1814 QsciScintilla::positionFromLineIndex(int, int) const
    {86, 1128, 209, 1, 0, 189, 100},	//1815 QsciScintilla::read(QIODevice*)
    {86, 1135, 99, 2, Smoke::mf_virtual, 0, 101},	//1816 QsciScintilla::recolor(int, int)
    {86, 1141, 211, 2, 0, 0, 102},	//1817 QsciScintilla::registerImage(int, const QPixmap&)
    {86, 1141, 214, 2, 0, 0, 103},	//1818 QsciScintilla::registerImage(int, const QImage&)
    {86, 1146, 55, 1, Smoke::mf_virtual, 0, 104},	//1819 QsciScintilla::replace(const QString&)
    {86, 1150, 0, 0, 0, 0, 105},	//1820 QsciScintilla::resetFoldMarginColors()
    {86, 1283, 217, 2, 0, 0, 106},	//1821 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {86, 1173, 220, 1, 0, 0, 107},	//1822 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {86, 1179, 16, 1, 0, 0, 108},	//1823 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {86, 1177, 12, 1, 0, 0, 109},	//1824 QsciScintilla::setAutoCompletionFillups(const char*)
    {86, 1191, 222, 1, 0, 0, 110},	//1825 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {86, 1203, 80, 1, 0, 0, 111},	//1826 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {86, 1205, 80, 1, 0, 0, 112},	//1827 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {86, 1207, 80, 1, 0, 0, 113},	//1828 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {86, 1209, 224, 1, 0, 0, 114},	//1829 QsciScintilla::setCallTipsPosition(QsciScintilla::CallTipsPosition)
    {86, 1211, 226, 1, 0, 0, 115},	//1830 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {86, 1213, 18, 1, 0, 0, 116},	//1831 QsciScintilla::setCallTipsVisible(int)
    {86, 1230, 228, 1, 0, 0, 117},	//1832 QsciScintilla::setContractedFolds(const QList<int>&)
    {86, 1244, 72, 1, 0, 0, 118},	//1833 QsciScintilla::setDocument(const QsciDocument&)
    {86, 1250, 80, 1, 0, 0, 119},	//1834 QsciScintilla::setEdgeColor(const QColor&)
    {86, 1252, 18, 1, 0, 0, 120},	//1835 QsciScintilla::setEdgeColumn(int)
    {86, 1254, 230, 1, 0, 0, 121},	//1836 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {86, 1269, 18, 1, 0, 0, 122},	//1837 QsciScintilla::setFirstVisibleLine(int)
    {86, 1331, 87, 2, 0, 0, 123},	//1838 QsciScintilla::setIndicatorDrawUnder(bool, int)
    {86, 1334, 84, 2, 0, 0, 124},	//1839 QsciScintilla::setIndicatorForegroundColor(const QColor&, int)
    {86, 1337, 84, 2, 0, 0, 125},	//1840 QsciScintilla::setIndicatorOutlineColor(const QColor&, int)
    {86, 1358, 18, 1, 0, 0, 126},	//1841 QsciScintilla::setMarginOptions(int)
    {86, 1362, 134, 3, 0, 0, 127},	//1842 QsciScintilla::setMarginText(int, const QString&, int)
    {86, 1362, 138, 3, 0, 0, 128},	//1843 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {86, 1362, 142, 2, 0, 0, 129},	//1844 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {86, 1362, 145, 2, 0, 0, 130},	//1845 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {86, 1367, 232, 2, 0, 0, 131},	//1846 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {86, 845, 18, 1, 0, 0, 132},	//1847 QsciScintilla::clearMarginText(int)
    {86, 1377, 84, 2, 0, 0, 133},	//1848 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {86, 1380, 84, 2, 0, 0, 134},	//1849 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {86, 1383, 80, 1, 0, 0, 135},	//1850 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {86, 1385, 80, 1, 0, 0, 136},	//1851 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {86, 1387, 18, 1, 0, 0, 137},	//1852 QsciScintilla::setMatchedBraceIndicator(int)
    {86, 1151, 0, 0, 0, 0, 138},	//1853 QsciScintilla::resetMatchedBraceIndicator()
    {86, 1436, 80, 1, 0, 0, 139},	//1854 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {86, 1438, 80, 1, 0, 0, 140},	//1855 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {86, 1440, 18, 1, 0, 0, 141},	//1856 QsciScintilla::setUnmatchedBraceIndicator(int)
    {86, 1154, 0, 0, 0, 0, 142},	//1857 QsciScintilla::resetUnmatchedBraceIndicator()
    {86, 1464, 235, 3, 0, 0, 143},	//1858 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {86, 1166, 0, 0, Smoke::mf_const, 40, 144},	//1859 QsciScintilla::selectedText() const
    {86, 1168, 0, 0, Smoke::mf_const, 189, 145},	//1860 QsciScintilla::selectionToEol() const
    {86, 1415, 16, 1, 0, 0, 146},	//1861 QsciScintilla::setSelectionToEol(bool)
    {86, 1265, 18, 1, 0, 0, 147},	//1862 QsciScintilla::setExtraAscent(int)
    {86, 1267, 18, 1, 0, 0, 148},	//1863 QsciScintilla::setExtraDescent(int)
    {86, 1391, 16, 1, 0, 0, 149},	//1864 QsciScintilla::setOverwriteMode(bool)
    {86, 1452, 80, 1, 0, 0, 150},	//1865 QsciScintilla::setWhitespaceBackgroundColor(const QColor&)
    {86, 1454, 80, 1, 0, 0, 151},	//1866 QsciScintilla::setWhitespaceForegroundColor(const QColor&)
    {86, 1456, 18, 1, 0, 0, 152},	//1867 QsciScintilla::setWhitespaceSize(int)
    {86, 1460, 239, 1, 0, 0, 153},	//1868 QsciScintilla::setWrapIndentMode(QsciScintilla::WrapIndentMode)
    {86, 1469, 241, 2, 0, 0, 154},	//1869 QsciScintilla::showUserList(int, const QStringList&)
    {86, 1473, 0, 0, Smoke::mf_const, 54, 155},	//1870 QsciScintilla::standardCommands() const
    {86, 1486, 0, 0, Smoke::mf_const, 189, 156},	//1871 QsciScintilla::tabIndents() const
    {86, 1487, 0, 0, Smoke::mf_const, 215, 157},	//1872 QsciScintilla::tabWidth() const
    {86, 1489, 0, 0, Smoke::mf_const, 40, 158},	//1873 QsciScintilla::text() const
    {86, 1489, 18, 1, Smoke::mf_const, 40, 159},	//1874 QsciScintilla::text(int) const
    {86, 1495, 18, 1, Smoke::mf_const, 215, 160},	//1875 QsciScintilla::textHeight(int) const
    {86, 1524, 0, 0, Smoke::mf_const, 215, 161},	//1876 QsciScintilla::whitespaceSize() const
    {86, 1525, 0, 0, Smoke::mf_const, 106, 162},	//1877 QsciScintilla::whitespaceVisibility() const
    {86, 1527, 99, 2, Smoke::mf_const, 40, 163},	//1878 QsciScintilla::wordAtLineIndex(int, int) const
    {86, 1529, 188, 1, Smoke::mf_const, 40, 164},	//1879 QsciScintilla::wordAtPoint(const QPoint&) const
    {86, 1531, 0, 0, Smoke::mf_const, 213, 165},	//1880 QsciScintilla::wordCharacters() const
    {86, 1533, 0, 0, Smoke::mf_const, 108, 166},	//1881 QsciScintilla::wrapMode() const
    {86, 1532, 0, 0, Smoke::mf_const, 107, 167},	//1882 QsciScintilla::wrapIndentMode() const
    {86, 1534, 209, 1, Smoke::mf_const, 189, 168},	//1883 QsciScintilla::write(QIODevice*) const
    {86, 786, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1884 QsciScintilla::append(const QString&)
    {86, 791, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1885 QsciScintilla::autoCompleteFromAll()
    {86, 790, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1886 QsciScintilla::autoCompleteFromAPIs()
    {86, 792, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1887 QsciScintilla::autoCompleteFromDocument()
    {86, 822, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1888 QsciScintilla::callTip()
    {86, 837, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1889 QsciScintilla::clear()
    {86, 861, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1890 QsciScintilla::copy()
    {86, 868, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1891 QsciScintilla::cut()
    {86, 902, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1892 QsciScintilla::ensureCursorVisible()
    {86, 903, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1893 QsciScintilla::ensureLineVisible(int)
    {86, 942, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1894 QsciScintilla::foldAll(bool)
    {86, 950, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1895 QsciScintilla::foldLine(int)
    {86, 981, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1896 QsciScintilla::indent(int)
    {86, 1004, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1897 QsciScintilla::insert(const QString&)
    {86, 1006, 244, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1898 QsciScintilla::insertAt(const QString&, int, int)
    {86, 1097, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1899 QsciScintilla::moveToMatchingBrace()
    {86, 1109, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1900 QsciScintilla::paste()
    {86, 1138, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1901 QsciScintilla::redo()
    {86, 1145, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1902 QsciScintilla::removeSelectedText()
    {86, 1148, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1903 QsciScintilla::replaceSelectedText(const QString&)
    {86, 1152, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1904 QsciScintilla::resetSelectionBackgroundColor()
    {86, 1153, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1905 QsciScintilla::resetSelectionForegroundColor()
    {86, 1163, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1906 QsciScintilla::selectAll(bool)
    {86, 1165, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1907 QsciScintilla::selectToMatchingBrace()
    {86, 1175, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1908 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {86, 1181, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1909 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {86, 1183, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1910 QsciScintilla::setAutoCompletionShowSingle(bool)
    {86, 1185, 248, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1911 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {86, 1187, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1912 QsciScintilla::setAutoCompletionThreshold(int)
    {86, 1189, 250, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1913 QsciScintilla::setAutoCompletionUseSingle(QsciScintilla::AutoCompletionUseSingle)
    {86, 1193, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1914 QsciScintilla::setAutoIndent(bool)
    {86, 1201, 252, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1915 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {86, 1199, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1916 QsciScintilla::setBackspaceUnindents(bool)
    {86, 1215, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1917 QsciScintilla::setCaretForegroundColor(const QColor&)
    {86, 1217, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1918 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {86, 1219, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1919 QsciScintilla::setCaretLineVisible(bool)
    {86, 1221, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1920 QsciScintilla::setCaretWidth(int)
    {86, 1227, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1921 QsciScintilla::setColor(const QColor&)
    {86, 1232, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 207},	//1922 QsciScintilla::setCursorPosition(int, int)
    {86, 1261, 154, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 208},	//1923 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {86, 1263, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 209},	//1924 QsciScintilla::setEolVisibility(bool)
    {86, 1299, 254, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 210},	//1925 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {86, 1317, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 211},	//1926 QsciScintilla::setIndentation(int, int)
    {86, 1319, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 212},	//1927 QsciScintilla::setIndentationGuides(bool)
    {86, 1321, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 213},	//1928 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {86, 1323, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 214},	//1929 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {86, 1329, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 215},	//1930 QsciScintilla::setIndentationsUseTabs(bool)
    {86, 1327, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 216},	//1931 QsciScintilla::setIndentationWidth(int)
    {86, 1348, 53, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 217},	//1932 QsciScintilla::setLexer(QsciLexer*)
    {86, 1371, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 218},	//1933 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {86, 1373, 40, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 219},	//1934 QsciScintilla::setMarginsFont(const QFont&)
    {86, 1375, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 220},	//1935 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {86, 1354, 257, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 221},	//1936 QsciScintilla::setMarginLineNumbers(int, bool)
    {86, 1356, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 222},	//1937 QsciScintilla::setMarginMarkerMask(int, int)
    {86, 1360, 257, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 223},	//1938 QsciScintilla::setMarginSensitivity(int, bool)
    {86, 1369, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 224},	//1939 QsciScintilla::setMarginWidth(int, int)
    {86, 1369, 260, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 225},	//1940 QsciScintilla::setMarginWidth(int, const QString&)
    {86, 1389, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 226},	//1941 QsciScintilla::setModified(bool)
    {86, 1393, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 227},	//1942 QsciScintilla::setPaper(const QColor&)
    {86, 1402, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 228},	//1943 QsciScintilla::setReadOnly(bool)
    {86, 1409, 263, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 229},	//1944 QsciScintilla::setSelection(int, int, int, int)
    {86, 1411, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 230},	//1945 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {86, 1413, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 231},	//1946 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {86, 1426, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 232},	//1947 QsciScintilla::setTabIndents(bool)
    {86, 1428, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 233},	//1948 QsciScintilla::setTabWidth(int)
    {86, 1430, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 234},	//1949 QsciScintilla::setText(const QString&)
    {86, 1442, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 235},	//1950 QsciScintilla::setUtf8(bool)
    {86, 1458, 268, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 236},	//1951 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {86, 1462, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 237},	//1952 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {86, 1509, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 238},	//1953 QsciScintilla::undo()
    {86, 1510, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 239},	//1954 QsciScintilla::unindent(int)
    {86, 1542, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 240},	//1955 QsciScintilla::zoomIn(int)
    {86, 1542, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 241},	//1956 QsciScintilla::zoomIn()
    {86, 1544, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 242},	//1957 QsciScintilla::zoomOut(int)
    {86, 1544, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 243},	//1958 QsciScintilla::zoomOut()
    {86, 1546, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 244},	//1959 QsciScintilla::zoomTo(int)
    {86, 865, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 245},	//1960 QsciScintilla::cursorPositionChanged(int, int)
    {86, 862, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 246},	//1961 QsciScintilla::copyAvailable(bool)
    {86, 990, 270, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 247},	//1962 QsciScintilla::indicatorClicked(int, int, Qt::KeyboardModifiers)
    {86, 997, 270, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 248},	//1963 QsciScintilla::indicatorReleased(int, int, Qt::KeyboardModifiers)
    {86, 1040, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 249},	//1964 QsciScintilla::linesChanged()
    {86, 1047, 270, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 250},	//1965 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {86, 1085, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 251},	//1966 QsciScintilla::modificationAttempted()
    {86, 1086, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 252},	//1967 QsciScintilla::modificationChanged(bool)
    {86, 1167, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 253},	//1968 QsciScintilla::selectionChanged()
    {86, 1494, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 254},	//1969 QsciScintilla::textChanged()
    {86, 1514, 260, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 255},	//1970 QsciScintilla::userListActivated(int, const QString&)
    {86, 912, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 256},	//1971 QsciScintilla::event(QEvent*)
    {86, 856, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 257},	//1972 QsciScintilla::contextMenuEvent(QContextMenuEvent*)
    {86, 1501, 12, 1, Smoke::mf_static, 40, 258},	//1973 QsciScintilla::tr(const char*)
    {86, 1505, 12, 1, Smoke::mf_static, 40, 259},	//1974 QsciScintilla::trUtf8(const char*)
    {86, 523, 0, 0, Smoke::mf_ctor, 92, 260},	//1975 QsciScintilla::QsciScintilla()
    {86, 839, 0, 0, 0, 0, 261},	//1976 QsciScintilla::clearAnnotations()
    {86, 922, 276, 5, 0, 189, 262},	//1977 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {86, 922, 282, 6, 0, 189, 263},	//1978 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {86, 922, 289, 7, 0, 189, 264},	//1979 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {86, 922, 297, 8, 0, 189, 265},	//1980 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {86, 922, 306, 9, 0, 189, 266},	//1981 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {86, 929, 316, 4, 0, 189, 267},	//1982 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool)
    {86, 929, 276, 5, 0, 189, 268},	//1983 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool)
    {86, 929, 282, 6, 0, 189, 269},	//1984 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool)
    {86, 992, 321, 1, 0, 215, 270},	//1985 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle)
    {86, 1062, 323, 1, 0, 215, 271},	//1986 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {86, 1062, 186, 1, 0, 215, 272},	//1987 QsciScintilla::markerDefine(char)
    {86, 1062, 325, 1, 0, 215, 273},	//1988 QsciScintilla::markerDefine(const QPixmap&)
    {86, 1062, 327, 1, 0, 215, 274},	//1989 QsciScintilla::markerDefine(const QImage&)
    {86, 1067, 18, 1, 0, 0, 275},	//1990 QsciScintilla::markerDelete(int)
    {86, 1070, 0, 0, 0, 0, 276},	//1991 QsciScintilla::markerDeleteAll()
    {86, 1135, 0, 0, 0, 0, 277},	//1992 QsciScintilla::recolor()
    {86, 1135, 18, 1, 0, 0, 278},	//1993 QsciScintilla::recolor(int)
    {86, 1331, 16, 1, 0, 0, 279},	//1994 QsciScintilla::setIndicatorDrawUnder(bool)
    {86, 1334, 80, 1, 0, 0, 280},	//1995 QsciScintilla::setIndicatorForegroundColor(const QColor&)
    {86, 1337, 80, 1, 0, 0, 281},	//1996 QsciScintilla::setIndicatorOutlineColor(const QColor&)
    {86, 845, 0, 0, 0, 0, 282},	//1997 QsciScintilla::clearMarginText()
    {86, 1377, 80, 1, 0, 0, 283},	//1998 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {86, 1380, 80, 1, 0, 0, 284},	//1999 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {86, 1464, 329, 1, 0, 0, 285},	//2000 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {86, 1464, 331, 2, 0, 0, 286},	//2001 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {86, 942, 0, 0, Smoke::mf_slot, 0, 287},	//2002 QsciScintilla::foldAll()
    {86, 1163, 0, 0, Smoke::mf_slot, 0, 288},	//2003 QsciScintilla::selectAll()
    {86, 1299, 334, 1, Smoke::mf_slot, 0, 289},	//2004 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {86, 1348, 0, 0, Smoke::mf_slot, 0, 290},	//2005 QsciScintilla::setLexer()
    {86, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 291},	//2006 QsciScintilla::staticMetaObject() const
    {86, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 292},	//2007 QsciScintilla::MoNone (enum)
    {86, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 293},	//2008 QsciScintilla::MoSublineSelect (enum)
    {86, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 294},	//2009 QsciScintilla::AnnotationHidden (enum)
    {86, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 295},	//2010 QsciScintilla::AnnotationStandard (enum)
    {86, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 296},	//2011 QsciScintilla::AnnotationBoxed (enum)
    {86, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 297},	//2012 QsciScintilla::AcusNever (enum)
    {86, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 298},	//2013 QsciScintilla::AcusExplicit (enum)
    {86, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 299},	//2014 QsciScintilla::AcusAlways (enum)
    {86, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 300},	//2015 QsciScintilla::AcsNone (enum)
    {86, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 301},	//2016 QsciScintilla::AcsAll (enum)
    {86, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 302},	//2017 QsciScintilla::AcsDocument (enum)
    {86, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 303},	//2018 QsciScintilla::AcsAPIs (enum)
    {86, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 304},	//2019 QsciScintilla::NoBraceMatch (enum)
    {86, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 305},	//2020 QsciScintilla::StrictBraceMatch (enum)
    {86, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 306},	//2021 QsciScintilla::SloppyBraceMatch (enum)
    {86, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 307},	//2022 QsciScintilla::CallTipsBelowText (enum)
    {86, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 308},	//2023 QsciScintilla::CallTipsAboveText (enum)
    {86, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 309},	//2024 QsciScintilla::CallTipsNone (enum)
    {86, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 310},	//2025 QsciScintilla::CallTipsNoContext (enum)
    {86, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 311},	//2026 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {86, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 312},	//2027 QsciScintilla::CallTipsContext (enum)
    {86, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 313},	//2028 QsciScintilla::EdgeNone (enum)
    {86, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 314},	//2029 QsciScintilla::EdgeLine (enum)
    {86, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 315},	//2030 QsciScintilla::EdgeBackground (enum)
    {86, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 316},	//2031 QsciScintilla::EolWindows (enum)
    {86, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 317},	//2032 QsciScintilla::EolUnix (enum)
    {86, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 318},	//2033 QsciScintilla::EolMac (enum)
    {86, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 319},	//2034 QsciScintilla::NoFoldStyle (enum)
    {86, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 320},	//2035 QsciScintilla::PlainFoldStyle (enum)
    {86, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 321},	//2036 QsciScintilla::CircledFoldStyle (enum)
    {86, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 322},	//2037 QsciScintilla::BoxedFoldStyle (enum)
    {86, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 323},	//2038 QsciScintilla::CircledTreeFoldStyle (enum)
    {86, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 324},	//2039 QsciScintilla::BoxedTreeFoldStyle (enum)
    {86, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 325},	//2040 QsciScintilla::PlainIndicator (enum)
    {86, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 326},	//2041 QsciScintilla::SquiggleIndicator (enum)
    {86, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 327},	//2042 QsciScintilla::TTIndicator (enum)
    {86, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 328},	//2043 QsciScintilla::DiagonalIndicator (enum)
    {86, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 329},	//2044 QsciScintilla::StrikeIndicator (enum)
    {86, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 330},	//2045 QsciScintilla::HiddenIndicator (enum)
    {86, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 331},	//2046 QsciScintilla::BoxIndicator (enum)
    {86, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 332},	//2047 QsciScintilla::RoundBoxIndicator (enum)
    {86, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 333},	//2048 QsciScintilla::StraightBoxIndicator (enum)
    {86, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 334},	//2049 QsciScintilla::DashesIndicator (enum)
    {86, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 335},	//2050 QsciScintilla::DotsIndicator (enum)
    {86, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 336},	//2051 QsciScintilla::SquiggleLowIndicator (enum)
    {86, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 337},	//2052 QsciScintilla::DotBoxIndicator (enum)
    {86, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 338},	//2053 QsciScintilla::SquigglePixmapIndicator (enum)
    {86, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 339},	//2054 QsciScintilla::ThickCompositionIndicator (enum)
    {86, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 340},	//2055 QsciScintilla::MoNone (enum)
    {86, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 341},	//2056 QsciScintilla::MoSublineSelect (enum)
    {86, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 342},	//2057 QsciScintilla::SymbolMargin (enum)
    {86, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 343},	//2058 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {86, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 344},	//2059 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {86, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 345},	//2060 QsciScintilla::NumberMargin (enum)
    {86, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 346},	//2061 QsciScintilla::TextMargin (enum)
    {86, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 347},	//2062 QsciScintilla::TextMarginRightJustified (enum)
    {86, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 348},	//2063 QsciScintilla::Circle (enum)
    {86, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 349},	//2064 QsciScintilla::Rectangle (enum)
    {86, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 350},	//2065 QsciScintilla::RightTriangle (enum)
    {86, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 351},	//2066 QsciScintilla::SmallRectangle (enum)
    {86, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 352},	//2067 QsciScintilla::RightArrow (enum)
    {86, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 353},	//2068 QsciScintilla::Invisible (enum)
    {86, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 354},	//2069 QsciScintilla::DownTriangle (enum)
    {86, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 355},	//2070 QsciScintilla::Minus (enum)
    {86, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 356},	//2071 QsciScintilla::Plus (enum)
    {86, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 357},	//2072 QsciScintilla::VerticalLine (enum)
    {86, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 358},	//2073 QsciScintilla::BottomLeftCorner (enum)
    {86, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 359},	//2074 QsciScintilla::LeftSideSplitter (enum)
    {86, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 360},	//2075 QsciScintilla::BoxedPlus (enum)
    {86, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 361},	//2076 QsciScintilla::BoxedPlusConnected (enum)
    {86, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 362},	//2077 QsciScintilla::BoxedMinus (enum)
    {86, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 363},	//2078 QsciScintilla::BoxedMinusConnected (enum)
    {86, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 364},	//2079 QsciScintilla::RoundedBottomLeftCorner (enum)
    {86, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 365},	//2080 QsciScintilla::LeftSideRoundedSplitter (enum)
    {86, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 366},	//2081 QsciScintilla::CircledPlus (enum)
    {86, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 367},	//2082 QsciScintilla::CircledPlusConnected (enum)
    {86, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 368},	//2083 QsciScintilla::CircledMinus (enum)
    {86, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 369},	//2084 QsciScintilla::CircledMinusConnected (enum)
    {86, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 370},	//2085 QsciScintilla::Background (enum)
    {86, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 371},	//2086 QsciScintilla::ThreeDots (enum)
    {86, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 372},	//2087 QsciScintilla::ThreeRightArrows (enum)
    {86, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 373},	//2088 QsciScintilla::FullRectangle (enum)
    {86, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 374},	//2089 QsciScintilla::LeftRectangle (enum)
    {86, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 375},	//2090 QsciScintilla::Underline (enum)
    {86, 760, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 376},	//2091 QsciScintilla::WsInvisible (enum)
    {86, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 377},	//2092 QsciScintilla::WsVisible (enum)
    {86, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 378},	//2093 QsciScintilla::WsVisibleAfterIndent (enum)
    {86, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 379},	//2094 QsciScintilla::WrapNone (enum)
    {86, 759, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 380},	//2095 QsciScintilla::WrapWord (enum)
    {86, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 381},	//2096 QsciScintilla::WrapCharacter (enum)
    {86, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 382},	//2097 QsciScintilla::WrapFlagNone (enum)
    {86, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 383},	//2098 QsciScintilla::WrapFlagByText (enum)
    {86, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 384},	//2099 QsciScintilla::WrapFlagByBorder (enum)
    {86, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 385},	//2100 QsciScintilla::WrapFlagInMargin (enum)
    {86, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 386},	//2101 QsciScintilla::WrapIndentFixed (enum)
    {86, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 387},	//2102 QsciScintilla::WrapIndentSame (enum)
    {86, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 388},	//2103 QsciScintilla::WrapIndentIndented (enum)
    {86, 1585, 0, 0, Smoke::mf_dtor, 0, 389 },	//2104 QsciScintilla::~QsciScintilla()
    {87, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//2105 QsciScintillaBase::metaObject() const
    {87, 1125, 12, 1, Smoke::mf_virtual, 221, 2},	//2106 QsciScintillaBase::qt_metacast(const char*)
    {87, 1501, 42, 2, Smoke::mf_static, 40, 3},	//2107 QsciScintillaBase::tr(const char*, const char*)
    {87, 1505, 42, 2, Smoke::mf_static, 40, 4},	//2108 QsciScintillaBase::trUtf8(const char*, const char*)
    {87, 1501, 45, 3, Smoke::mf_static, 40, 5},	//2109 QsciScintillaBase::tr(const char*, const char*, int)
    {87, 1505, 45, 3, Smoke::mf_static, 40, 6},	//2110 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {87, 1123, 49, 3, Smoke::mf_virtual, 215, 7},	//2111 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {87, 525, 128, 1, Smoke::mf_ctor, 110, 8},	//2112 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {87, 1111, 0, 0, Smoke::mf_static, 110, 9},	//2113 QsciScintillaBase::pool()
    {87, 632, 336, 3, Smoke::mf_const, 218, 10},	//2114 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {87, 632, 340, 3, Smoke::mf_const, 218, 11},	//2115 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {87, 632, 344, 3, Smoke::mf_const, 218, 12},	//2116 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {87, 632, 348, 2, Smoke::mf_const, 218, 13},	//2117 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {87, 632, 351, 3, Smoke::mf_const, 218, 14},	//2118 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {87, 632, 355, 2, Smoke::mf_const, 218, 15},	//2119 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {87, 632, 358, 2, Smoke::mf_const, 218, 16},	//2120 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {87, 632, 361, 4, Smoke::mf_const, 218, 17},	//2121 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {87, 632, 366, 3, Smoke::mf_const, 218, 18},	//2122 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {87, 632, 370, 2, Smoke::mf_const, 218, 19},	//2123 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {87, 632, 373, 6, Smoke::mf_const, 218, 20},	//2124 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {87, 632, 380, 3, Smoke::mf_const, 218, 21},	//2125 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {87, 632, 384, 3, Smoke::mf_const, 218, 22},	//2126 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    {87, 640, 388, 1, Smoke::mf_const, 221, 23},	//2127 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {87, 447, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2128 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {87, 559, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2129 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {87, 560, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2130 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {87, 561, 390, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2131 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {87, 558, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2132 QsciScintillaBase::SCEN_CHANGE()
    {87, 563, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2133 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {87, 565, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2134 QsciScintillaBase::SCN_CHARADDED(int)
    {87, 567, 393, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2135 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {87, 569, 393, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2136 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {87, 571, 393, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//2137 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {87, 573, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2138 QsciScintillaBase::SCN_FOCUSIN()
    {87, 574, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2139 QsciScintillaBase::SCN_FOCUSOUT()
    {87, 575, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2140 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {87, 577, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//2141 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {87, 579, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//2142 QsciScintillaBase::SCN_HOTSPOTRELEASECLICK(int, int)
    {87, 581, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//2143 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {87, 583, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2144 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {87, 585, 340, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2145 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {87, 587, 393, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2146 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {87, 589, 397, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2147 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {87, 591, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2148 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {87, 592, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2149 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {87, 594, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2150 QsciScintillaBase::SCN_PAINTED()
    {87, 595, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2151 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {87, 596, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2152 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {87, 597, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2153 QsciScintillaBase::SCN_STYLENEEDED(int)
    {87, 599, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//2154 QsciScintillaBase::SCN_UPDATEUI(int)
    {87, 601, 390, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//2155 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {87, 603, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//2156 QsciScintillaBase::SCN_ZOOM()
    {87, 828, 408, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 53},	//2157 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {87, 967, 410, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 3, 54},	//2158 QsciScintillaBase::fromMimeData(const QMimeData*, bool&) const
    {87, 1498, 413, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 24, 55},	//2159 QsciScintillaBase::toMimeData(const QByteArray&, bool) const
    {87, 856, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//2160 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {87, 887, 416, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//2161 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {87, 889, 418, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//2162 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {87, 891, 420, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//2163 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {87, 893, 422, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//2164 QsciScintillaBase::dropEvent(QDropEvent*)
    {87, 936, 424, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//2165 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {87, 940, 424, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//2166 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {87, 938, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 63},	//2167 QsciScintillaBase::focusNextPrevChild(bool)
    {87, 1021, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//2168 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {87, 1000, 426, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//2169 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {87, 1002, 428, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 47, 66},	//2170 QsciScintillaBase::inputMethodQuery(Qt::InputMethodQuery) const
    {87, 1088, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//2171 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {87, 1090, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//2172 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {87, 1092, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//2173 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {87, 1094, 430, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//2174 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {87, 1102, 432, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//2175 QsciScintillaBase::paintEvent(QPaintEvent*)
    {87, 1155, 434, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//2176 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {87, 1161, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 73},	//2177 QsciScintillaBase::scrollContentsBy(int, int)
    {87, 1408, 0, 0, Smoke::mf_protected, 0, 74},	//2178 QsciScintillaBase::setScrollBars()
    {87, 1491, 55, 1, Smoke::mf_const|Smoke::mf_protected, 3, 75},	//2179 QsciScintillaBase::textAsBytes(const QString&) const
    {87, 820, 12, 1, Smoke::mf_const|Smoke::mf_protected, 40, 76},	//2180 QsciScintillaBase::bytesAsText(const char*) const
    {87, 1501, 12, 1, Smoke::mf_static, 40, 77},	//2181 QsciScintillaBase::tr(const char*)
    {87, 1505, 12, 1, Smoke::mf_static, 40, 78},	//2182 QsciScintillaBase::trUtf8(const char*)
    {87, 525, 0, 0, Smoke::mf_ctor, 110, 79},	//2183 QsciScintillaBase::QsciScintillaBase()
    {87, 632, 388, 1, Smoke::mf_const, 218, 80},	//2184 QsciScintillaBase::SendScintilla(unsigned int) const
    {87, 632, 436, 2, Smoke::mf_const, 218, 81},	//2185 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {87, 1478, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 82},	//2186 QsciScintillaBase::staticMetaObject() const
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 83},	//2187 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//2188 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 85},	//2189 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 86},	//2190 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 87},	//2191 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 88},	//2192 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 89},	//2193 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 90},	//2194 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 91},	//2195 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 92},	//2196 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 93},	//2197 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 94},	//2198 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 95},	//2199 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 96},	//2200 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 97},	//2201 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 98},	//2202 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 99},	//2203 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 100},	//2204 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 101},	//2205 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 102},	//2206 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 103},	//2207 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 104},	//2208 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 105},	//2209 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 106},	//2210 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 107},	//2211 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 108},	//2212 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 109},	//2213 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 110},	//2214 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 111},	//2215 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 112},	//2216 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 113},	//2217 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 114},	//2218 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 115},	//2219 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 116},	//2220 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 117},	//2221 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 118},	//2222 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 119},	//2223 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 120},	//2224 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 121},	//2225 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 122},	//2226 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 123},	//2227 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 124},	//2228 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 125},	//2229 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 126},	//2230 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 127},	//2231 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 128},	//2232 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 129},	//2233 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 130},	//2234 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 131},	//2235 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 132},	//2236 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 133},	//2237 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 134},	//2238 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 135},	//2239 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 136},	//2240 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 137},	//2241 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 138},	//2242 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 139},	//2243 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 140},	//2244 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 141},	//2245 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 142},	//2246 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 143},	//2247 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 144},	//2248 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 145},	//2249 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 146},	//2250 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 147},	//2251 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 148},	//2252 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 149},	//2253 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 150},	//2254 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 151},	//2255 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 152},	//2256 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 153},	//2257 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 154},	//2258 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 155},	//2259 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 156},	//2260 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 157},	//2261 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 158},	//2262 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 159},	//2263 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 160},	//2264 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 161},	//2265 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 162},	//2266 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 163},	//2267 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 164},	//2268 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 165},	//2269 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 166},	//2270 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 167},	//2271 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 168},	//2272 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 169},	//2273 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 170},	//2274 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 171},	//2275 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 172},	//2276 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 173},	//2277 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 174},	//2278 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 175},	//2279 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 176},	//2280 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 177},	//2281 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 178},	//2282 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 179},	//2283 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 180},	//2284 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 181},	//2285 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 182},	//2286 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 183},	//2287 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 184},	//2288 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 185},	//2289 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 186},	//2290 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 187},	//2291 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 188},	//2292 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 189},	//2293 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 190},	//2294 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 191},	//2295 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 192},	//2296 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 193},	//2297 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 194},	//2298 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 195},	//2299 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 196},	//2300 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 197},	//2301 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 198},	//2302 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 199},	//2303 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 200},	//2304 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 201},	//2305 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 202},	//2306 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 203},	//2307 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 204},	//2308 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 205},	//2309 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 206},	//2310 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 207},	//2311 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 208},	//2312 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 209},	//2313 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 210},	//2314 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 211},	//2315 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 212},	//2316 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 213},	//2317 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 214},	//2318 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 215},	//2319 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 216},	//2320 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 217},	//2321 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 218},	//2322 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 219},	//2323 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 220},	//2324 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 221},	//2325 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 222},	//2326 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 223},	//2327 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 224},	//2328 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 225},	//2329 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 226},	//2330 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 227},	//2331 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 228},	//2332 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 229},	//2333 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 1586, 0, 0, Smoke::mf_dtor, 0, 230 },	//2334 QsciScintillaBase::~QsciScintillaBase()
    {88, 527, 18, 1, Smoke::mf_ctor, 111, 1},	//2335 QsciStyle::QsciStyle(int)
    {88, 527, 439, 6, Smoke::mf_ctor, 111, 2},	//2336 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {88, 788, 123, 1, Smoke::mf_const, 0, 3},	//2337 QsciStyle::apply(QsciScintillaBase*) const
    {88, 1480, 0, 0, Smoke::mf_const, 215, 4},	//2338 QsciStyle::style() const
    {88, 1240, 55, 1, 0, 0, 5},	//2339 QsciStyle::setDescription(const QString&)
    {88, 879, 0, 0, Smoke::mf_const, 40, 6},	//2340 QsciStyle::description() const
    {88, 1227, 80, 1, 0, 0, 7},	//2341 QsciStyle::setColor(const QColor&)
    {88, 849, 0, 0, Smoke::mf_const, 6, 8},	//2342 QsciStyle::color() const
    {88, 1393, 80, 1, 0, 0, 9},	//2343 QsciStyle::setPaper(const QColor&)
    {88, 1105, 0, 0, Smoke::mf_const, 6, 10},	//2344 QsciStyle::paper() const
    {88, 1302, 40, 1, 0, 0, 11},	//2345 QsciStyle::setFont(const QFont&)
    {88, 960, 0, 0, Smoke::mf_const, 14, 12},	//2346 QsciStyle::font() const
    {88, 1258, 16, 1, 0, 0, 13},	//2347 QsciStyle::setEolFill(bool)
    {88, 906, 0, 0, Smoke::mf_const, 189, 14},	//2348 QsciStyle::eolFill() const
    {88, 1432, 446, 1, 0, 0, 15},	//2349 QsciStyle::setTextCase(QsciStyle::TextCase)
    {88, 1493, 0, 0, Smoke::mf_const, 112, 16},	//2350 QsciStyle::textCase() const
    {88, 1450, 16, 1, 0, 0, 17},	//2351 QsciStyle::setVisible(bool)
    {88, 1522, 0, 0, Smoke::mf_const, 189, 18},	//2352 QsciStyle::visible() const
    {88, 1225, 16, 1, 0, 0, 19},	//2353 QsciStyle::setChangeable(bool)
    {88, 835, 0, 0, Smoke::mf_const, 189, 20},	//2354 QsciStyle::changeable() const
    {88, 1315, 16, 1, 0, 0, 21},	//2355 QsciStyle::setHotspot(bool)
    {88, 980, 0, 0, Smoke::mf_const, 189, 22},	//2356 QsciStyle::hotspot() const
    {88, 1139, 0, 0, 0, 0, 23},	//2357 QsciStyle::refresh()
    {88, 527, 448, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 111, 24},	//2358 QsciStyle::QsciStyle(const QsciStyle&)
    {88, 527, 0, 0, Smoke::mf_ctor, 111, 25},	//2359 QsciStyle::QsciStyle()
    {88, 527, 450, 5, Smoke::mf_ctor, 111, 26},	//2360 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {88, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 27},	//2361 QsciStyle::OriginalCase (enum)
    {88, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 28},	//2362 QsciStyle::UpperCase (enum)
    {88, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 29},	//2363 QsciStyle::LowerCase (enum)
    {88, 1587, 0, 0, Smoke::mf_dtor, 0, 30 },	//2364 QsciStyle::~QsciStyle()
    {89, 532, 456, 2, Smoke::mf_ctor, 114, 1},	//2365 QsciStyledText::QsciStyledText(const QString&, int)
    {89, 532, 459, 2, Smoke::mf_ctor, 114, 2},	//2366 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {89, 788, 123, 1, Smoke::mf_const, 0, 3},	//2367 QsciStyledText::apply(QsciScintillaBase*) const
    {89, 1489, 0, 0, Smoke::mf_const, 207, 4},	//2368 QsciStyledText::text() const
    {89, 1480, 0, 0, Smoke::mf_const, 215, 5},	//2369 QsciStyledText::style() const
    {89, 532, 462, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 114, 6},	//2370 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {89, 1588, 0, 0, Smoke::mf_dtor, 0, 7 },	//2371 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2333,  // QsciScintillaBase::SC_ORDER_CUSTOM
    0,
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2332,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    0,
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2331,  // QsciScintillaBase::SC_ORDER_PRESORTED
    0,
    2117,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    2119,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    2120,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    2185,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    2122,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    2125,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    2126,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    0,
    2114,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    2115,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    2116,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    2118,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
    2055,  // QsciScintilla::MoNone
    2055,  // QsciScintilla::MoNone
    0,
    2056,  // QsciScintilla::MoSublineSelect
    2056,  // QsciScintilla::MoSublineSelect
    0,
    1988,  // QsciScintilla::markerDefine(const QPixmap&)
    1989,  // QsciScintilla::markerDefine(const QImage&)
    0,
    1802,  // QsciScintilla::markerDefine(const QPixmap&, int)
    1803,  // QsciScintilla::markerDefine(const QImage&, int)
    0,
    1986,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1987,  // QsciScintilla::markerDefine(char)
    0,
    1800,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1801,  // QsciScintilla::markerDefine(char, int)
    0,
    1817,  // QsciScintilla::registerImage(int, const QPixmap&)
    1818,  // QsciScintilla::registerImage(int, const QImage&)
    0,
    1939,  // QsciScintilla::setMarginWidth(int, int)
    1940,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {48, 450, 48},	// QsciAPIs::QsciAPIs#
    {48, 770, 49},	// QsciAPIs::add$
    {48, 782, 64},	// QsciAPIs::apiPreparationCancelled
    {48, 783, 66},	// QsciAPIs::apiPreparationFinished
    {48, 784, 65},	// QsciAPIs::apiPreparationStarted
    {48, 798, 60},	// QsciAPIs::autoCompletionSelected$
    {48, 824, 61},	// QsciAPIs::callTips?$$?
    {48, 831, 54},	// QsciAPIs::cancelPreparation
    {48, 837, 50},	// QsciAPIs::clear
    {48, 877, 55},	// QsciAPIs::defaultPreparedName
    {48, 913, 62},	// QsciAPIs::event#
    {48, 1008, 63},	// QsciAPIs::installedAPIFiles
    {48, 1012, 69},	// QsciAPIs::isPrepared
    {48, 1013, 56},	// QsciAPIs::isPrepared$
    {48, 1042, 51},	// QsciAPIs::load$
    {48, 1043, 70},	// QsciAPIs::loadPrepared
    {48, 1044, 57},	// QsciAPIs::loadPrepared$
    {48, 1082, 41},	// QsciAPIs::metaObject
    {48, 1114, 53},	// QsciAPIs::prepare
    {48, 1124, 47},	// QsciAPIs::qt_metacall$$?
    {48, 1126, 42},	// QsciAPIs::qt_metacast$
    {48, 1144, 52},	// QsciAPIs::remove$
    {48, 1158, 71},	// QsciAPIs::savePrepared
    {48, 1159, 58},	// QsciAPIs::savePrepared$
    {48, 1478, 72},	// QsciAPIs::staticMetaObject
    {48, 1502, 67},	// QsciAPIs::tr$
    {48, 1503, 43},	// QsciAPIs::tr$$
    {48, 1504, 45},	// QsciAPIs::tr$$$
    {48, 1506, 68},	// QsciAPIs::trUtf8$
    {48, 1507, 44},	// QsciAPIs::trUtf8$$
    {48, 1508, 46},	// QsciAPIs::trUtf8$$$
    {48, 1513, 59},	// QsciAPIs::updateAutoCompletionList??
    {48, 1548, 73},	// QsciAPIs::~QsciAPIs
    {49, 452, 81},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {49, 798, 84},	// QsciAbstractAPIs::autoCompletionSelected$
    {49, 824, 85},	// QsciAbstractAPIs::callTips?$$?
    {49, 1031, 82},	// QsciAbstractAPIs::lexer
    {49, 1082, 74},	// QsciAbstractAPIs::metaObject
    {49, 1124, 80},	// QsciAbstractAPIs::qt_metacall$$?
    {49, 1126, 75},	// QsciAbstractAPIs::qt_metacast$
    {49, 1478, 88},	// QsciAbstractAPIs::staticMetaObject
    {49, 1502, 86},	// QsciAbstractAPIs::tr$
    {49, 1503, 76},	// QsciAbstractAPIs::tr$$
    {49, 1504, 78},	// QsciAbstractAPIs::tr$$$
    {49, 1506, 87},	// QsciAbstractAPIs::trUtf8$
    {49, 1507, 77},	// QsciAbstractAPIs::trUtf8$$
    {49, 1508, 79},	// QsciAbstractAPIs::trUtf8$$$
    {49, 1513, 83},	// QsciAbstractAPIs::updateAutoCompletionList??
    {49, 1549, 89},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {50, 81, 190},	// QsciCommand::Backtab
    {50, 114, 191},	// QsciCommand::Cancel
    {50, 116, 113},	// QsciCommand::CharLeft
    {50, 117, 114},	// QsciCommand::CharLeftExtend
    {50, 118, 115},	// QsciCommand::CharLeftRectExtend
    {50, 119, 116},	// QsciCommand::CharRight
    {50, 120, 117},	// QsciCommand::CharRightExtend
    {50, 121, 118},	// QsciCommand::CharRightRectExtend
    {50, 160, 164},	// QsciCommand::Delete
    {50, 161, 165},	// QsciCommand::DeleteBack
    {50, 162, 166},	// QsciCommand::DeleteBackNotLine
    {50, 163, 170},	// QsciCommand::DeleteLineLeft
    {50, 164, 171},	// QsciCommand::DeleteLineRight
    {50, 165, 167},	// QsciCommand::DeleteWordLeft
    {50, 166, 168},	// QsciCommand::DeleteWordRight
    {50, 167, 169},	// QsciCommand::DeleteWordRightEnd
    {50, 175, 152},	// QsciCommand::DocumentEnd
    {50, 176, 153},	// QsciCommand::DocumentEndExtend
    {50, 177, 150},	// QsciCommand::DocumentStart
    {50, 178, 151},	// QsciCommand::DocumentStartExtend
    {50, 196, 186},	// QsciCommand::EditToggleOvertype
    {50, 216, 188},	// QsciCommand::Formfeed
    {50, 242, 131},	// QsciCommand::Home
    {50, 243, 134},	// QsciCommand::HomeDisplay
    {50, 244, 135},	// QsciCommand::HomeDisplayExtend
    {50, 245, 132},	// QsciCommand::HomeExtend
    {50, 246, 133},	// QsciCommand::HomeRectExtend
    {50, 247, 136},	// QsciCommand::HomeWrap
    {50, 248, 137},	// QsciCommand::HomeWrapExtend
    {50, 325, 174},	// QsciCommand::LineCopy
    {50, 326, 173},	// QsciCommand::LineCut
    {50, 327, 172},	// QsciCommand::LineDelete
    {50, 328, 98},	// QsciCommand::LineDown
    {50, 329, 99},	// QsciCommand::LineDownExtend
    {50, 330, 100},	// QsciCommand::LineDownRectExtend
    {50, 331, 176},	// QsciCommand::LineDuplicate
    {50, 332, 143},	// QsciCommand::LineEnd
    {50, 333, 146},	// QsciCommand::LineEndDisplay
    {50, 334, 147},	// QsciCommand::LineEndDisplayExtend
    {50, 335, 144},	// QsciCommand::LineEndExtend
    {50, 336, 145},	// QsciCommand::LineEndRectExtend
    {50, 337, 148},	// QsciCommand::LineEndWrap
    {50, 338, 149},	// QsciCommand::LineEndWrapExtend
    {50, 340, 101},	// QsciCommand::LineScrollDown
    {50, 341, 105},	// QsciCommand::LineScrollUp
    {50, 342, 175},	// QsciCommand::LineTranspose
    {50, 343, 102},	// QsciCommand::LineUp
    {50, 344, 103},	// QsciCommand::LineUpExtend
    {50, 345, 104},	// QsciCommand::LineUpRectExtend
    {50, 360, 179},	// QsciCommand::MoveSelectedLinesDown
    {50, 361, 178},	// QsciCommand::MoveSelectedLinesUp
    {50, 366, 187},	// QsciCommand::Newline
    {50, 391, 157},	// QsciCommand::PageDown
    {50, 392, 158},	// QsciCommand::PageDownExtend
    {50, 393, 159},	// QsciCommand::PageDownRectExtend
    {50, 395, 154},	// QsciCommand::PageUp
    {50, 396, 155},	// QsciCommand::PageUpExtend
    {50, 397, 156},	// QsciCommand::PageUpRectExtend
    {50, 399, 109},	// QsciCommand::ParaDown
    {50, 400, 110},	// QsciCommand::ParaDownExtend
    {50, 401, 111},	// QsciCommand::ParaUp
    {50, 402, 112},	// QsciCommand::ParaUpExtend
    {50, 404, 185},	// QsciCommand::Paste
    {50, 550, 193},	// QsciCommand::Redo
    {50, 622, 107},	// QsciCommand::ScrollToEnd
    {50, 623, 106},	// QsciCommand::ScrollToStart
    {50, 625, 177},	// QsciCommand::SelectAll
    {50, 627, 184},	// QsciCommand::SelectionCopy
    {50, 628, 183},	// QsciCommand::SelectionCut
    {50, 629, 180},	// QsciCommand::SelectionDuplicate
    {50, 630, 181},	// QsciCommand::SelectionLowerCase
    {50, 631, 182},	// QsciCommand::SelectionUpperCase
    {50, 669, 162},	// QsciCommand::StutteredPageDown
    {50, 670, 163},	// QsciCommand::StutteredPageDownExtend
    {50, 671, 160},	// QsciCommand::StutteredPageUp
    {50, 672, 161},	// QsciCommand::StutteredPageUpExtend
    {50, 687, 189},	// QsciCommand::Tab
    {50, 712, 192},	// QsciCommand::Undo
    {50, 726, 138},	// QsciCommand::VCHome
    {50, 727, 139},	// QsciCommand::VCHomeExtend
    {50, 728, 140},	// QsciCommand::VCHomeRectExtend
    {50, 729, 141},	// QsciCommand::VCHomeWrap
    {50, 730, 142},	// QsciCommand::VCHomeWrapExtend
    {50, 735, 108},	// QsciCommand::VerticalCentreCaret
    {50, 738, 119},	// QsciCommand::WordLeft
    {50, 739, 123},	// QsciCommand::WordLeftEnd
    {50, 740, 124},	// QsciCommand::WordLeftEndExtend
    {50, 741, 120},	// QsciCommand::WordLeftExtend
    {50, 742, 127},	// QsciCommand::WordPartLeft
    {50, 743, 128},	// QsciCommand::WordPartLeftExtend
    {50, 744, 129},	// QsciCommand::WordPartRight
    {50, 745, 130},	// QsciCommand::WordPartRightExtend
    {50, 746, 121},	// QsciCommand::WordRight
    {50, 747, 125},	// QsciCommand::WordRightEnd
    {50, 748, 126},	// QsciCommand::WordRightEndExtend
    {50, 749, 122},	// QsciCommand::WordRightExtend
    {50, 766, 194},	// QsciCommand::ZoomIn
    {50, 767, 195},	// QsciCommand::ZoomOut
    {50, 771, 95},	// QsciCommand::alternateKey
    {50, 853, 90},	// QsciCommand::command
    {50, 879, 97},	// QsciCommand::description
    {50, 915, 91},	// QsciCommand::execute
    {50, 1020, 94},	// QsciCommand::key
    {50, 1172, 93},	// QsciCommand::setAlternateKey$
    {50, 1343, 92},	// QsciCommand::setKey$
    {50, 1520, 96},	// QsciCommand::validKey$
    {50, 1550, 196},	// QsciCommand::~QsciCommand
    {51, 817, 202},	// QsciCommandSet::boundTo$
    {51, 838, 201},	// QsciCommandSet::clearAlternateKeys
    {51, 844, 200},	// QsciCommandSet::clearKeys
    {51, 854, 199},	// QsciCommandSet::commands
    {51, 921, 203},	// QsciCommandSet::find$
    {51, 1133, 204},	// QsciCommandSet::readSettings#
    {51, 1134, 197},	// QsciCommandSet::readSettings#$
    {51, 1539, 205},	// QsciCommandSet::writeSettings#
    {51, 1540, 198},	// QsciCommandSet::writeSettings#$
    {52, 453, 206},	// QsciDocument::QsciDocument
    {52, 454, 207},	// QsciDocument::QsciDocument#
    {52, 1099, 208},	// QsciDocument::operator=#
    {52, 1551, 209},	// QsciDocument::~QsciDocument
    {53, 455, 271},	// QsciLexer::QsciLexer
    {53, 456, 217},	// QsciLexer::QsciLexer#
    {53, 785, 221},	// QsciLexer::apis
    {53, 794, 222},	// QsciLexer::autoCompletionFillups
    {53, 803, 223},	// QsciLexer::autoCompletionWordSeparators
    {53, 805, 224},	// QsciLexer::autoIndentStyle
    {53, 809, 272},	// QsciLexer::blockEnd
    {53, 810, 225},	// QsciLexer::blockEnd$
    {53, 811, 226},	// QsciLexer::blockLookback
    {53, 812, 273},	// QsciLexer::blockStart
    {53, 813, 227},	// QsciLexer::blockStart$
    {53, 814, 274},	// QsciLexer::blockStartKeyword
    {53, 815, 228},	// QsciLexer::blockStartKeyword$
    {53, 819, 229},	// QsciLexer::braceStyle
    {53, 832, 230},	// QsciLexer::caseSensitive
    {53, 850, 231},	// QsciLexer::color$
    {53, 852, 262},	// QsciLexer::colorChanged#$
    {53, 869, 239},	// QsciLexer::defaultColor
    {53, 870, 240},	// QsciLexer::defaultColor$
    {53, 872, 241},	// QsciLexer::defaultEolFill$
    {53, 873, 242},	// QsciLexer::defaultFont
    {53, 874, 243},	// QsciLexer::defaultFont$
    {53, 875, 244},	// QsciLexer::defaultPaper
    {53, 876, 245},	// QsciLexer::defaultPaper$
    {53, 878, 236},	// QsciLexer::defaultStyle
    {53, 880, 237},	// QsciLexer::description$
    {53, 898, 246},	// QsciLexer::editor
    {53, 907, 232},	// QsciLexer::eolFill$
    {53, 909, 263},	// QsciLexer::eolFillChanged$$
    {53, 961, 233},	// QsciLexer::font$
    {53, 964, 264},	// QsciLexer::fontChanged#$
    {53, 985, 234},	// QsciLexer::indentationGuideView
    {53, 1025, 235},	// QsciLexer::keywords$
    {53, 1026, 218},	// QsciLexer::language
    {53, 1031, 219},	// QsciLexer::lexer
    {53, 1032, 220},	// QsciLexer::lexerId
    {53, 1082, 210},	// QsciLexer::metaObject
    {53, 1106, 238},	// QsciLexer::paper$
    {53, 1108, 265},	// QsciLexer::paperChanged#$
    {53, 1122, 266},	// QsciLexer::propertyChanged$$
    {53, 1124, 216},	// QsciLexer::qt_metacall$$?
    {53, 1126, 211},	// QsciLexer::qt_metacast$
    {53, 1131, 267},	// QsciLexer::readProperties#$
    {53, 1133, 275},	// QsciLexer::readSettings#
    {53, 1134, 252},	// QsciLexer::readSettings#$
    {53, 1140, 253},	// QsciLexer::refreshProperties
    {53, 1170, 247},	// QsciLexer::setAPIs#
    {53, 1196, 257},	// QsciLexer::setAutoIndentStyle$
    {53, 1228, 277},	// QsciLexer::setColor#
    {53, 1229, 258},	// QsciLexer::setColor#$
    {53, 1235, 248},	// QsciLexer::setDefaultColor#
    {53, 1237, 249},	// QsciLexer::setDefaultFont#
    {53, 1239, 250},	// QsciLexer::setDefaultPaper#
    {53, 1257, 251},	// QsciLexer::setEditor#
    {53, 1259, 278},	// QsciLexer::setEolFill$
    {53, 1260, 259},	// QsciLexer::setEolFill$$
    {53, 1303, 279},	// QsciLexer::setFont#
    {53, 1304, 260},	// QsciLexer::setFont#$
    {53, 1394, 280},	// QsciLexer::setPaper#
    {53, 1395, 261},	// QsciLexer::setPaper#$
    {53, 1478, 281},	// QsciLexer::staticMetaObject
    {53, 1481, 254},	// QsciLexer::styleBitsNeeded
    {53, 1502, 269},	// QsciLexer::tr$
    {53, 1503, 212},	// QsciLexer::tr$$
    {53, 1504, 214},	// QsciLexer::tr$$$
    {53, 1506, 270},	// QsciLexer::trUtf8$
    {53, 1507, 213},	// QsciLexer::trUtf8$$
    {53, 1508, 215},	// QsciLexer::trUtf8$$$
    {53, 1531, 255},	// QsciLexer::wordCharacters
    {53, 1537, 268},	// QsciLexer::writeProperties#$
    {53, 1539, 276},	// QsciLexer::writeSettings#
    {53, 1540, 256},	// QsciLexer::writeSettings#$
    {53, 1552, 282},	// QsciLexer::~QsciLexer
    {54, 84, 323},	// QsciLexerBash::Backticks
    {54, 137, 314},	// QsciLexerBash::Comment
    {54, 158, 312},	// QsciLexerBash::Default
    {54, 184, 317},	// QsciLexerBash::DoubleQuotedString
    {54, 203, 313},	// QsciLexerBash::Error
    {54, 235, 324},	// QsciLexerBash::HereDocumentDelimiter
    {54, 251, 320},	// QsciLexerBash::Identifier
    {54, 300, 316},	// QsciLexerBash::Keyword
    {54, 371, 315},	// QsciLexerBash::Number
    {54, 375, 319},	// QsciLexerBash::Operator
    {54, 403, 322},	// QsciLexerBash::ParameterExpansion
    {54, 457, 310},	// QsciLexerBash::QsciLexerBash
    {54, 458, 290},	// QsciLexerBash::QsciLexerBash#
    {54, 619, 321},	// QsciLexerBash::Scalar
    {54, 644, 325},	// QsciLexerBash::SingleQuotedHereDocument
    {54, 645, 318},	// QsciLexerBash::SingleQuotedString
    {54, 819, 293},	// QsciLexerBash::braceStyle
    {54, 870, 295},	// QsciLexerBash::defaultColor$
    {54, 872, 296},	// QsciLexerBash::defaultEolFill$
    {54, 874, 297},	// QsciLexerBash::defaultFont$
    {54, 876, 298},	// QsciLexerBash::defaultPaper$
    {54, 880, 300},	// QsciLexerBash::description$
    {54, 947, 302},	// QsciLexerBash::foldComments
    {54, 948, 303},	// QsciLexerBash::foldCompact
    {54, 1025, 299},	// QsciLexerBash::keywords$
    {54, 1026, 291},	// QsciLexerBash::language
    {54, 1031, 292},	// QsciLexerBash::lexer
    {54, 1082, 283},	// QsciLexerBash::metaObject
    {54, 1124, 289},	// QsciLexerBash::qt_metacall$$?
    {54, 1126, 284},	// QsciLexerBash::qt_metacast$
    {54, 1131, 306},	// QsciLexerBash::readProperties#$
    {54, 1140, 301},	// QsciLexerBash::refreshProperties
    {54, 1278, 304},	// QsciLexerBash::setFoldComments$
    {54, 1280, 305},	// QsciLexerBash::setFoldCompact$
    {54, 1478, 311},	// QsciLexerBash::staticMetaObject
    {54, 1502, 308},	// QsciLexerBash::tr$
    {54, 1503, 285},	// QsciLexerBash::tr$$
    {54, 1504, 287},	// QsciLexerBash::tr$$$
    {54, 1506, 309},	// QsciLexerBash::trUtf8$
    {54, 1507, 286},	// QsciLexerBash::trUtf8$$
    {54, 1508, 288},	// QsciLexerBash::trUtf8$$$
    {54, 1531, 294},	// QsciLexerBash::wordCharacters
    {54, 1537, 307},	// QsciLexerBash::writeProperties#$
    {54, 1553, 326},	// QsciLexerBash::~QsciLexerBash
    {55, 137, 350},	// QsciLexerBatch::Comment
    {55, 158, 349},	// QsciLexerBatch::Default
    {55, 210, 354},	// QsciLexerBatch::ExternalCommand
    {55, 239, 353},	// QsciLexerBatch::HideCommandChar
    {55, 300, 351},	// QsciLexerBatch::Keyword
    {55, 310, 352},	// QsciLexerBatch::Label
    {55, 375, 356},	// QsciLexerBatch::Operator
    {55, 459, 347},	// QsciLexerBatch::QsciLexerBatch
    {55, 460, 334},	// QsciLexerBatch::QsciLexerBatch#
    {55, 733, 355},	// QsciLexerBatch::Variable
    {55, 832, 338},	// QsciLexerBatch::caseSensitive
    {55, 870, 339},	// QsciLexerBatch::defaultColor$
    {55, 872, 340},	// QsciLexerBatch::defaultEolFill$
    {55, 874, 341},	// QsciLexerBatch::defaultFont$
    {55, 876, 342},	// QsciLexerBatch::defaultPaper$
    {55, 880, 344},	// QsciLexerBatch::description$
    {55, 1025, 343},	// QsciLexerBatch::keywords$
    {55, 1026, 335},	// QsciLexerBatch::language
    {55, 1031, 336},	// QsciLexerBatch::lexer
    {55, 1082, 327},	// QsciLexerBatch::metaObject
    {55, 1124, 333},	// QsciLexerBatch::qt_metacall$$?
    {55, 1126, 328},	// QsciLexerBatch::qt_metacast$
    {55, 1478, 348},	// QsciLexerBatch::staticMetaObject
    {55, 1502, 345},	// QsciLexerBatch::tr$
    {55, 1503, 329},	// QsciLexerBatch::tr$$
    {55, 1504, 331},	// QsciLexerBatch::tr$$$
    {55, 1506, 346},	// QsciLexerBatch::trUtf8$
    {55, 1507, 330},	// QsciLexerBatch::trUtf8$$
    {55, 1508, 332},	// QsciLexerBatch::trUtf8$$$
    {55, 1531, 337},	// QsciLexerBatch::wordCharacters
    {55, 1554, 357},	// QsciLexerBatch::~QsciLexerBatch
    {56, 90, 392},	// QsciLexerCMake::BlockForeach
    {56, 91, 393},	// QsciLexerCMake::BlockIf
    {56, 92, 394},	// QsciLexerCMake::BlockMacro
    {56, 93, 391},	// QsciLexerCMake::BlockWhile
    {56, 137, 383},	// QsciLexerCMake::Comment
    {56, 158, 382},	// QsciLexerCMake::Default
    {56, 218, 387},	// QsciLexerCMake::Function
    {56, 304, 390},	// QsciLexerCMake::KeywordSet3
    {56, 310, 389},	// QsciLexerCMake::Label
    {56, 371, 396},	// QsciLexerCMake::Number
    {56, 461, 380},	// QsciLexerCMake::QsciLexerCMake
    {56, 462, 365},	// QsciLexerCMake::QsciLexerCMake#
    {56, 664, 384},	// QsciLexerCMake::String
    {56, 665, 385},	// QsciLexerCMake::StringLeftQuote
    {56, 666, 386},	// QsciLexerCMake::StringRightQuote
    {56, 668, 395},	// QsciLexerCMake::StringVariable
    {56, 733, 388},	// QsciLexerCMake::Variable
    {56, 870, 368},	// QsciLexerCMake::defaultColor$
    {56, 874, 369},	// QsciLexerCMake::defaultFont$
    {56, 876, 370},	// QsciLexerCMake::defaultPaper$
    {56, 880, 372},	// QsciLexerCMake::description$
    {56, 945, 374},	// QsciLexerCMake::foldAtElse
    {56, 1025, 371},	// QsciLexerCMake::keywords$
    {56, 1026, 366},	// QsciLexerCMake::language
    {56, 1031, 367},	// QsciLexerCMake::lexer
    {56, 1082, 358},	// QsciLexerCMake::metaObject
    {56, 1124, 364},	// QsciLexerCMake::qt_metacall$$?
    {56, 1126, 359},	// QsciLexerCMake::qt_metacast$
    {56, 1131, 376},	// QsciLexerCMake::readProperties#$
    {56, 1140, 373},	// QsciLexerCMake::refreshProperties
    {56, 1274, 375},	// QsciLexerCMake::setFoldAtElse$
    {56, 1478, 381},	// QsciLexerCMake::staticMetaObject
    {56, 1502, 378},	// QsciLexerCMake::tr$
    {56, 1503, 360},	// QsciLexerCMake::tr$$
    {56, 1504, 362},	// QsciLexerCMake::tr$$$
    {56, 1506, 379},	// QsciLexerCMake::trUtf8$
    {56, 1507, 361},	// QsciLexerCMake::trUtf8$$
    {56, 1508, 363},	// QsciLexerCMake::trUtf8$$$
    {56, 1537, 377},	// QsciLexerCMake::writeProperties#$
    {56, 1555, 397},	// QsciLexerCMake::~QsciLexerCMake
    {57, 137, 449},	// QsciLexerCPP::Comment
    {57, 140, 453},	// QsciLexerCPP::CommentDoc
    {57, 141, 481},	// QsciLexerCPP::CommentDocKeyword
    {57, 142, 483},	// QsciLexerCPP::CommentDocKeywordError
    {57, 143, 451},	// QsciLexerCPP::CommentLine
    {57, 144, 477},	// QsciLexerCPP::CommentLineDoc
    {57, 158, 447},	// QsciLexerCPP::Default
    {57, 184, 459},	// QsciLexerCPP::DoubleQuotedString
    {57, 221, 485},	// QsciLexerCPP::GlobalClass
    {57, 232, 491},	// QsciLexerCPP::HashQuotedString
    {57, 251, 469},	// QsciLexerCPP::Identifier
    {57, 256, 450},	// QsciLexerCPP::InactiveComment
    {57, 257, 454},	// QsciLexerCPP::InactiveCommentDoc
    {57, 258, 482},	// QsciLexerCPP::InactiveCommentDocKeyword
    {57, 259, 484},	// QsciLexerCPP::InactiveCommentDocKeywordError
    {57, 260, 452},	// QsciLexerCPP::InactiveCommentLine
    {57, 261, 478},	// QsciLexerCPP::InactiveCommentLineDoc
    {57, 262, 448},	// QsciLexerCPP::InactiveDefault
    {57, 263, 460},	// QsciLexerCPP::InactiveDoubleQuotedString
    {57, 264, 486},	// QsciLexerCPP::InactiveGlobalClass
    {57, 265, 492},	// QsciLexerCPP::InactiveHashQuotedString
    {57, 266, 470},	// QsciLexerCPP::InactiveIdentifier
    {57, 267, 458},	// QsciLexerCPP::InactiveKeyword
    {57, 268, 480},	// QsciLexerCPP::InactiveKeywordSet2
    {57, 269, 456},	// QsciLexerCPP::InactiveNumber
    {57, 270, 468},	// QsciLexerCPP::InactiveOperator
    {57, 271, 466},	// QsciLexerCPP::InactivePreProcessor
    {57, 272, 494},	// QsciLexerCPP::InactivePreProcessorComment
    {57, 273, 496},	// QsciLexerCPP::InactivePreProcessorCommentLineDoc
    {57, 274, 488},	// QsciLexerCPP::InactiveRawString
    {57, 275, 476},	// QsciLexerCPP::InactiveRegex
    {57, 276, 462},	// QsciLexerCPP::InactiveSingleQuotedString
    {57, 277, 490},	// QsciLexerCPP::InactiveTripleQuotedVerbatimString
    {57, 278, 464},	// QsciLexerCPP::InactiveUUID
    {57, 279, 472},	// QsciLexerCPP::InactiveUnclosedString
    {57, 280, 474},	// QsciLexerCPP::InactiveVerbatimString
    {57, 300, 457},	// QsciLexerCPP::Keyword
    {57, 303, 479},	// QsciLexerCPP::KeywordSet2
    {57, 371, 455},	// QsciLexerCPP::Number
    {57, 375, 467},	// QsciLexerCPP::Operator
    {57, 423, 465},	// QsciLexerCPP::PreProcessor
    {57, 424, 493},	// QsciLexerCPP::PreProcessorComment
    {57, 425, 495},	// QsciLexerCPP::PreProcessorCommentLineDoc
    {57, 463, 441},	// QsciLexerCPP::QsciLexerCPP
    {57, 464, 442},	// QsciLexerCPP::QsciLexerCPP#
    {57, 465, 405},	// QsciLexerCPP::QsciLexerCPP#$
    {57, 548, 487},	// QsciLexerCPP::RawString
    {57, 552, 475},	// QsciLexerCPP::Regex
    {57, 645, 461},	// QsciLexerCPP::SingleQuotedString
    {57, 705, 489},	// QsciLexerCPP::TripleQuotedVerbatimString
    {57, 709, 463},	// QsciLexerCPP::UUID
    {57, 710, 471},	// QsciLexerCPP::UnclosedString
    {57, 734, 473},	// QsciLexerCPP::VerbatimString
    {57, 803, 408},	// QsciLexerCPP::autoCompletionWordSeparators
    {57, 809, 443},	// QsciLexerCPP::blockEnd
    {57, 810, 409},	// QsciLexerCPP::blockEnd$
    {57, 812, 444},	// QsciLexerCPP::blockStart
    {57, 813, 410},	// QsciLexerCPP::blockStart$
    {57, 814, 445},	// QsciLexerCPP::blockStartKeyword
    {57, 815, 411},	// QsciLexerCPP::blockStartKeyword$
    {57, 819, 412},	// QsciLexerCPP::braceStyle
    {57, 870, 414},	// QsciLexerCPP::defaultColor$
    {57, 872, 415},	// QsciLexerCPP::defaultEolFill$
    {57, 874, 416},	// QsciLexerCPP::defaultFont$
    {57, 876, 417},	// QsciLexerCPP::defaultPaper$
    {57, 880, 419},	// QsciLexerCPP::description$
    {57, 885, 427},	// QsciLexerCPP::dollarsAllowed
    {57, 945, 421},	// QsciLexerCPP::foldAtElse
    {57, 947, 422},	// QsciLexerCPP::foldComments
    {57, 948, 423},	// QsciLexerCPP::foldCompact
    {57, 955, 424},	// QsciLexerCPP::foldPreprocessor
    {57, 977, 431},	// QsciLexerCPP::highlightHashQuotedStrings
    {57, 979, 429},	// QsciLexerCPP::highlightTripleQuotedStrings
    {57, 1025, 418},	// QsciLexerCPP::keywords$
    {57, 1026, 406},	// QsciLexerCPP::language
    {57, 1031, 407},	// QsciLexerCPP::lexer
    {57, 1082, 398},	// QsciLexerCPP::metaObject
    {57, 1124, 404},	// QsciLexerCPP::qt_metacall$$?
    {57, 1126, 399},	// QsciLexerCPP::qt_metacast$
    {57, 1131, 437},	// QsciLexerCPP::readProperties#$
    {57, 1140, 420},	// QsciLexerCPP::refreshProperties
    {57, 1247, 426},	// QsciLexerCPP::setDollarsAllowed$
    {57, 1274, 432},	// QsciLexerCPP::setFoldAtElse$
    {57, 1278, 433},	// QsciLexerCPP::setFoldComments$
    {57, 1280, 434},	// QsciLexerCPP::setFoldCompact$
    {57, 1292, 435},	// QsciLexerCPP::setFoldPreprocessor$
    {57, 1310, 430},	// QsciLexerCPP::setHighlightHashQuotedStrings$
    {57, 1314, 428},	// QsciLexerCPP::setHighlightTripleQuotedStrings$
    {57, 1422, 436},	// QsciLexerCPP::setStylePreprocessor$
    {57, 1478, 446},	// QsciLexerCPP::staticMetaObject
    {57, 1483, 425},	// QsciLexerCPP::stylePreprocessor
    {57, 1502, 439},	// QsciLexerCPP::tr$
    {57, 1503, 400},	// QsciLexerCPP::tr$$
    {57, 1504, 402},	// QsciLexerCPP::tr$$$
    {57, 1506, 440},	// QsciLexerCPP::trUtf8$
    {57, 1507, 401},	// QsciLexerCPP::trUtf8$$
    {57, 1508, 403},	// QsciLexerCPP::trUtf8$$$
    {57, 1531, 413},	// QsciLexerCPP::wordCharacters
    {57, 1537, 438},	// QsciLexerCPP::writeProperties#$
    {57, 1556, 497},	// QsciLexerCPP::~QsciLexerCPP
    {58, 65, 546},	// QsciLexerCSS::AtRule
    {58, 66, 550},	// QsciLexerCSS::Attribute
    {58, 105, 540},	// QsciLexerCSS::CSS1Property
    {58, 106, 549},	// QsciLexerCSS::CSS2Property
    {58, 107, 551},	// QsciLexerCSS::CSS3Property
    {58, 132, 536},	// QsciLexerCSS::ClassSelector
    {58, 137, 543},	// QsciLexerCSS::Comment
    {58, 158, 534},	// QsciLexerCSS::Default
    {58, 184, 547},	// QsciLexerCSS::DoubleQuotedString
    {58, 206, 553},	// QsciLexerCSS::ExtendedCSSProperty
    {58, 208, 554},	// QsciLexerCSS::ExtendedPseudoClass
    {58, 209, 555},	// QsciLexerCSS::ExtendedPseudoElement
    {58, 225, 519},	// QsciLexerCSS::HSSLanguage
    {58, 249, 544},	// QsciLexerCSS::IDSelector
    {58, 255, 545},	// QsciLexerCSS::Important
    {58, 320, 521},	// QsciLexerCSS::LessLanguage
    {58, 352, 556},	// QsciLexerCSS::MediaRule
    {58, 375, 539},	// QsciLexerCSS::Operator
    {58, 432, 537},	// QsciLexerCSS::PseudoClass
    {58, 433, 552},	// QsciLexerCSS::PseudoElement
    {58, 466, 530},	// QsciLexerCSS::QsciLexerCSS
    {58, 467, 505},	// QsciLexerCSS::QsciLexerCSS#
    {58, 604, 523},	// QsciLexerCSS::SCSSLanguage
    {58, 645, 548},	// QsciLexerCSS::SingleQuotedString
    {58, 691, 535},	// QsciLexerCSS::Tag
    {58, 714, 541},	// QsciLexerCSS::UnknownProperty
    {58, 715, 538},	// QsciLexerCSS::UnknownPseudoClass
    {58, 732, 542},	// QsciLexerCSS::Value
    {58, 733, 557},	// QsciLexerCSS::Variable
    {58, 809, 531},	// QsciLexerCSS::blockEnd
    {58, 810, 508},	// QsciLexerCSS::blockEnd$
    {58, 812, 532},	// QsciLexerCSS::blockStart
    {58, 813, 509},	// QsciLexerCSS::blockStart$
    {58, 870, 511},	// QsciLexerCSS::defaultColor$
    {58, 874, 512},	// QsciLexerCSS::defaultFont$
    {58, 880, 514},	// QsciLexerCSS::description$
    {58, 947, 516},	// QsciLexerCSS::foldComments
    {58, 948, 517},	// QsciLexerCSS::foldCompact
    {58, 1025, 513},	// QsciLexerCSS::keywords$
    {58, 1026, 506},	// QsciLexerCSS::language
    {58, 1031, 507},	// QsciLexerCSS::lexer
    {58, 1082, 498},	// QsciLexerCSS::metaObject
    {58, 1124, 504},	// QsciLexerCSS::qt_metacall$$?
    {58, 1126, 499},	// QsciLexerCSS::qt_metacast$
    {58, 1131, 526},	// QsciLexerCSS::readProperties#$
    {58, 1140, 515},	// QsciLexerCSS::refreshProperties
    {58, 1278, 524},	// QsciLexerCSS::setFoldComments$
    {58, 1280, 525},	// QsciLexerCSS::setFoldCompact$
    {58, 1306, 518},	// QsciLexerCSS::setHSSLanguage$
    {58, 1345, 520},	// QsciLexerCSS::setLessLanguage$
    {58, 1405, 522},	// QsciLexerCSS::setSCSSLanguage$
    {58, 1478, 533},	// QsciLexerCSS::staticMetaObject
    {58, 1502, 528},	// QsciLexerCSS::tr$
    {58, 1503, 500},	// QsciLexerCSS::tr$$
    {58, 1504, 502},	// QsciLexerCSS::tr$$$
    {58, 1506, 529},	// QsciLexerCSS::trUtf8$
    {58, 1507, 501},	// QsciLexerCSS::trUtf8$$
    {58, 1508, 503},	// QsciLexerCSS::trUtf8$$$
    {58, 1531, 510},	// QsciLexerCSS::wordCharacters
    {58, 1537, 527},	// QsciLexerCSS::writeProperties#$
    {58, 1557, 558},	// QsciLexerCSS::~QsciLexerCSS
    {59, 468, 576},	// QsciLexerCSharp::QsciLexerCSharp
    {59, 469, 566},	// QsciLexerCSharp::QsciLexerCSharp#
    {59, 870, 568},	// QsciLexerCSharp::defaultColor$
    {59, 872, 569},	// QsciLexerCSharp::defaultEolFill$
    {59, 874, 570},	// QsciLexerCSharp::defaultFont$
    {59, 876, 571},	// QsciLexerCSharp::defaultPaper$
    {59, 880, 573},	// QsciLexerCSharp::description$
    {59, 1025, 572},	// QsciLexerCSharp::keywords$
    {59, 1026, 567},	// QsciLexerCSharp::language
    {59, 1082, 559},	// QsciLexerCSharp::metaObject
    {59, 1124, 565},	// QsciLexerCSharp::qt_metacall$$?
    {59, 1126, 560},	// QsciLexerCSharp::qt_metacast$
    {59, 1478, 577},	// QsciLexerCSharp::staticMetaObject
    {59, 1502, 574},	// QsciLexerCSharp::tr$
    {59, 1503, 561},	// QsciLexerCSharp::tr$$
    {59, 1504, 563},	// QsciLexerCSharp::tr$$$
    {59, 1506, 575},	// QsciLexerCSharp::trUtf8$
    {59, 1507, 562},	// QsciLexerCSharp::trUtf8$$
    {59, 1508, 564},	// QsciLexerCSharp::trUtf8$$$
    {59, 1558, 578},	// QsciLexerCSharp::~QsciLexerCSharp
    {60, 470, 595},	// QsciLexerCustom::QsciLexerCustom
    {60, 471, 586},	// QsciLexerCustom::QsciLexerCustom#
    {60, 1082, 579},	// QsciLexerCustom::metaObject
    {60, 1124, 585},	// QsciLexerCustom::qt_metacall$$?
    {60, 1126, 580},	// QsciLexerCustom::qt_metacast$
    {60, 1257, 591},	// QsciLexerCustom::setEditor#
    {60, 1424, 588},	// QsciLexerCustom::setStyling$#
    {60, 1425, 587},	// QsciLexerCustom::setStyling$$
    {60, 1476, 596},	// QsciLexerCustom::startStyling$
    {60, 1477, 589},	// QsciLexerCustom::startStyling$$
    {60, 1478, 597},	// QsciLexerCustom::staticMetaObject
    {60, 1481, 592},	// QsciLexerCustom::styleBitsNeeded
    {60, 1485, 590},	// QsciLexerCustom::styleText$$
    {60, 1502, 593},	// QsciLexerCustom::tr$
    {60, 1503, 581},	// QsciLexerCustom::tr$$
    {60, 1504, 583},	// QsciLexerCustom::tr$$$
    {60, 1506, 594},	// QsciLexerCustom::trUtf8$
    {60, 1507, 582},	// QsciLexerCustom::trUtf8$$
    {60, 1508, 584},	// QsciLexerCustom::trUtf8$$$
    {60, 1559, 598},	// QsciLexerCustom::~QsciLexerCustom
    {61, 80, 655},	// QsciLexerD::BackquoteString
    {61, 122, 649},	// QsciLexerD::Character
    {61, 137, 638},	// QsciLexerD::Comment
    {61, 140, 640},	// QsciLexerD::CommentDoc
    {61, 141, 653},	// QsciLexerD::CommentDocKeyword
    {61, 142, 654},	// QsciLexerD::CommentDocKeywordError
    {61, 143, 639},	// QsciLexerD::CommentLine
    {61, 144, 652},	// QsciLexerD::CommentLineDoc
    {61, 146, 641},	// QsciLexerD::CommentNested
    {61, 158, 637},	// QsciLexerD::Default
    {61, 251, 651},	// QsciLexerD::Identifier
    {61, 300, 643},	// QsciLexerD::Keyword
    {61, 301, 645},	// QsciLexerD::KeywordDoc
    {61, 302, 644},	// QsciLexerD::KeywordSecondary
    {61, 305, 657},	// QsciLexerD::KeywordSet5
    {61, 306, 658},	// QsciLexerD::KeywordSet6
    {61, 307, 659},	// QsciLexerD::KeywordSet7
    {61, 371, 642},	// QsciLexerD::Number
    {61, 375, 650},	// QsciLexerD::Operator
    {61, 472, 632},	// QsciLexerD::QsciLexerD
    {61, 473, 606},	// QsciLexerD::QsciLexerD#
    {61, 548, 656},	// QsciLexerD::RawString
    {61, 664, 647},	// QsciLexerD::String
    {61, 707, 646},	// QsciLexerD::Typedefs
    {61, 710, 648},	// QsciLexerD::UnclosedString
    {61, 803, 609},	// QsciLexerD::autoCompletionWordSeparators
    {61, 809, 633},	// QsciLexerD::blockEnd
    {61, 810, 610},	// QsciLexerD::blockEnd$
    {61, 812, 634},	// QsciLexerD::blockStart
    {61, 813, 611},	// QsciLexerD::blockStart$
    {61, 814, 635},	// QsciLexerD::blockStartKeyword
    {61, 815, 612},	// QsciLexerD::blockStartKeyword$
    {61, 819, 613},	// QsciLexerD::braceStyle
    {61, 870, 615},	// QsciLexerD::defaultColor$
    {61, 872, 616},	// QsciLexerD::defaultEolFill$
    {61, 874, 617},	// QsciLexerD::defaultFont$
    {61, 876, 618},	// QsciLexerD::defaultPaper$
    {61, 880, 620},	// QsciLexerD::description$
    {61, 945, 622},	// QsciLexerD::foldAtElse
    {61, 947, 623},	// QsciLexerD::foldComments
    {61, 948, 624},	// QsciLexerD::foldCompact
    {61, 1025, 619},	// QsciLexerD::keywords$
    {61, 1026, 607},	// QsciLexerD::language
    {61, 1031, 608},	// QsciLexerD::lexer
    {61, 1082, 599},	// QsciLexerD::metaObject
    {61, 1124, 605},	// QsciLexerD::qt_metacall$$?
    {61, 1126, 600},	// QsciLexerD::qt_metacast$
    {61, 1131, 628},	// QsciLexerD::readProperties#$
    {61, 1140, 621},	// QsciLexerD::refreshProperties
    {61, 1274, 625},	// QsciLexerD::setFoldAtElse$
    {61, 1278, 626},	// QsciLexerD::setFoldComments$
    {61, 1280, 627},	// QsciLexerD::setFoldCompact$
    {61, 1478, 636},	// QsciLexerD::staticMetaObject
    {61, 1502, 630},	// QsciLexerD::tr$
    {61, 1503, 601},	// QsciLexerD::tr$$
    {61, 1504, 603},	// QsciLexerD::tr$$$
    {61, 1506, 631},	// QsciLexerD::trUtf8$
    {61, 1507, 602},	// QsciLexerD::trUtf8$$
    {61, 1508, 604},	// QsciLexerD::trUtf8$$$
    {61, 1531, 614},	// QsciLexerD::wordCharacters
    {61, 1537, 629},	// QsciLexerD::writeProperties#$
    {61, 1560, 660},	// QsciLexerD::~QsciLexerD
    {62, 136, 680},	// QsciLexerDiff::Command
    {62, 137, 679},	// QsciLexerDiff::Comment
    {62, 158, 678},	// QsciLexerDiff::Default
    {62, 233, 681},	// QsciLexerDiff::Header
    {62, 322, 684},	// QsciLexerDiff::LineAdded
    {62, 323, 685},	// QsciLexerDiff::LineChanged
    {62, 339, 683},	// QsciLexerDiff::LineRemoved
    {62, 421, 682},	// QsciLexerDiff::Position
    {62, 474, 676},	// QsciLexerDiff::QsciLexerDiff
    {62, 475, 668},	// QsciLexerDiff::QsciLexerDiff#
    {62, 870, 672},	// QsciLexerDiff::defaultColor$
    {62, 880, 673},	// QsciLexerDiff::description$
    {62, 1026, 669},	// QsciLexerDiff::language
    {62, 1031, 670},	// QsciLexerDiff::lexer
    {62, 1082, 661},	// QsciLexerDiff::metaObject
    {62, 1124, 667},	// QsciLexerDiff::qt_metacall$$?
    {62, 1126, 662},	// QsciLexerDiff::qt_metacast$
    {62, 1478, 677},	// QsciLexerDiff::staticMetaObject
    {62, 1502, 674},	// QsciLexerDiff::tr$
    {62, 1503, 663},	// QsciLexerDiff::tr$$
    {62, 1504, 665},	// QsciLexerDiff::tr$$$
    {62, 1506, 675},	// QsciLexerDiff::trUtf8$
    {62, 1507, 664},	// QsciLexerDiff::trUtf8$$
    {62, 1508, 666},	// QsciLexerDiff::trUtf8$$$
    {62, 1531, 671},	// QsciLexerDiff::wordCharacters
    {62, 1561, 686},	// QsciLexerDiff::~QsciLexerDiff
    {63, 476, 700},	// QsciLexerFortran::QsciLexerFortran
    {63, 477, 694},	// QsciLexerFortran::QsciLexerFortran#
    {63, 1025, 697},	// QsciLexerFortran::keywords$
    {63, 1026, 695},	// QsciLexerFortran::language
    {63, 1031, 696},	// QsciLexerFortran::lexer
    {63, 1082, 687},	// QsciLexerFortran::metaObject
    {63, 1124, 693},	// QsciLexerFortran::qt_metacall$$?
    {63, 1126, 688},	// QsciLexerFortran::qt_metacast$
    {63, 1478, 701},	// QsciLexerFortran::staticMetaObject
    {63, 1502, 698},	// QsciLexerFortran::tr$
    {63, 1503, 689},	// QsciLexerFortran::tr$$
    {63, 1504, 691},	// QsciLexerFortran::tr$$$
    {63, 1506, 699},	// QsciLexerFortran::trUtf8$
    {63, 1507, 690},	// QsciLexerFortran::trUtf8$$
    {63, 1508, 692},	// QsciLexerFortran::trUtf8$$$
    {63, 1562, 702},	// QsciLexerFortran::~QsciLexerFortran
    {64, 137, 730},	// QsciLexerFortran77::Comment
    {64, 148, 743},	// QsciLexerFortran77::Continuation
    {64, 158, 729},	// QsciLexerFortran77::Default
    {64, 181, 741},	// QsciLexerFortran77::DottedOperator
    {64, 184, 733},	// QsciLexerFortran77::DoubleQuotedString
    {64, 207, 739},	// QsciLexerFortran77::ExtendedFunction
    {64, 251, 736},	// QsciLexerFortran77::Identifier
    {64, 284, 738},	// QsciLexerFortran77::IntrinsicFunction
    {64, 300, 737},	// QsciLexerFortran77::Keyword
    {64, 310, 742},	// QsciLexerFortran77::Label
    {64, 371, 731},	// QsciLexerFortran77::Number
    {64, 375, 735},	// QsciLexerFortran77::Operator
    {64, 423, 740},	// QsciLexerFortran77::PreProcessor
    {64, 478, 727},	// QsciLexerFortran77::QsciLexerFortran77
    {64, 479, 710},	// QsciLexerFortran77::QsciLexerFortran77#
    {64, 645, 732},	// QsciLexerFortran77::SingleQuotedString
    {64, 710, 734},	// QsciLexerFortran77::UnclosedString
    {64, 819, 713},	// QsciLexerFortran77::braceStyle
    {64, 870, 714},	// QsciLexerFortran77::defaultColor$
    {64, 872, 715},	// QsciLexerFortran77::defaultEolFill$
    {64, 874, 716},	// QsciLexerFortran77::defaultFont$
    {64, 876, 717},	// QsciLexerFortran77::defaultPaper$
    {64, 880, 719},	// QsciLexerFortran77::description$
    {64, 948, 721},	// QsciLexerFortran77::foldCompact
    {64, 1025, 718},	// QsciLexerFortran77::keywords$
    {64, 1026, 711},	// QsciLexerFortran77::language
    {64, 1031, 712},	// QsciLexerFortran77::lexer
    {64, 1082, 703},	// QsciLexerFortran77::metaObject
    {64, 1124, 709},	// QsciLexerFortran77::qt_metacall$$?
    {64, 1126, 704},	// QsciLexerFortran77::qt_metacast$
    {64, 1131, 723},	// QsciLexerFortran77::readProperties#$
    {64, 1140, 720},	// QsciLexerFortran77::refreshProperties
    {64, 1280, 722},	// QsciLexerFortran77::setFoldCompact$
    {64, 1478, 728},	// QsciLexerFortran77::staticMetaObject
    {64, 1502, 725},	// QsciLexerFortran77::tr$
    {64, 1503, 705},	// QsciLexerFortran77::tr$$
    {64, 1504, 707},	// QsciLexerFortran77::tr$$$
    {64, 1506, 726},	// QsciLexerFortran77::trUtf8$
    {64, 1507, 706},	// QsciLexerFortran77::trUtf8$$
    {64, 1508, 708},	// QsciLexerFortran77::trUtf8$$$
    {64, 1537, 724},	// QsciLexerFortran77::writeProperties#$
    {64, 1563, 744},	// QsciLexerFortran77::~QsciLexerFortran77
    {65, 11, 799},	// QsciLexerHTML::ASPAtStart
    {65, 12, 831},	// QsciLexerHTML::ASPJavaScriptComment
    {65, 13, 833},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {65, 14, 832},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {65, 15, 830},	// QsciLexerHTML::ASPJavaScriptDefault
    {65, 16, 837},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {65, 17, 836},	// QsciLexerHTML::ASPJavaScriptKeyword
    {65, 18, 834},	// QsciLexerHTML::ASPJavaScriptNumber
    {65, 19, 841},	// QsciLexerHTML::ASPJavaScriptRegex
    {65, 20, 838},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {65, 21, 829},	// QsciLexerHTML::ASPJavaScriptStart
    {65, 22, 839},	// QsciLexerHTML::ASPJavaScriptSymbol
    {65, 23, 840},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {65, 24, 835},	// QsciLexerHTML::ASPJavaScriptWord
    {65, 25, 880},	// QsciLexerHTML::ASPPythonClassName
    {65, 26, 873},	// QsciLexerHTML::ASPPythonComment
    {65, 27, 872},	// QsciLexerHTML::ASPPythonDefault
    {65, 28, 875},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {65, 29, 881},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {65, 30, 883},	// QsciLexerHTML::ASPPythonIdentifier
    {65, 31, 877},	// QsciLexerHTML::ASPPythonKeyword
    {65, 32, 874},	// QsciLexerHTML::ASPPythonNumber
    {65, 33, 882},	// QsciLexerHTML::ASPPythonOperator
    {65, 34, 876},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {65, 35, 871},	// QsciLexerHTML::ASPPythonStart
    {65, 36, 879},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {65, 37, 878},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {65, 38, 800},	// QsciLexerHTML::ASPStart
    {65, 39, 852},	// QsciLexerHTML::ASPVBScriptComment
    {65, 40, 851},	// QsciLexerHTML::ASPVBScriptDefault
    {65, 41, 856},	// QsciLexerHTML::ASPVBScriptIdentifier
    {65, 42, 854},	// QsciLexerHTML::ASPVBScriptKeyword
    {65, 43, 853},	// QsciLexerHTML::ASPVBScriptNumber
    {65, 44, 850},	// QsciLexerHTML::ASPVBScriptStart
    {65, 45, 855},	// QsciLexerHTML::ASPVBScriptString
    {65, 46, 857},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {65, 47, 804},	// QsciLexerHTML::ASPXCComment
    {65, 66, 787},	// QsciLexerHTML::Attribute
    {65, 104, 801},	// QsciLexerHTML::CDATA
    {65, 158, 784},	// QsciLexerHTML::Default
    {65, 197, 794},	// QsciLexerHTML::Entity
    {65, 226, 793},	// QsciLexerHTML::HTMLComment
    {65, 227, 790},	// QsciLexerHTML::HTMLDoubleQuotedString
    {65, 228, 789},	// QsciLexerHTML::HTMLNumber
    {65, 229, 791},	// QsciLexerHTML::HTMLSingleQuotedString
    {65, 230, 803},	// QsciLexerHTML::HTMLValue
    {65, 286, 818},	// QsciLexerHTML::JavaScriptComment
    {65, 287, 820},	// QsciLexerHTML::JavaScriptCommentDoc
    {65, 288, 819},	// QsciLexerHTML::JavaScriptCommentLine
    {65, 289, 817},	// QsciLexerHTML::JavaScriptDefault
    {65, 290, 824},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {65, 291, 823},	// QsciLexerHTML::JavaScriptKeyword
    {65, 292, 821},	// QsciLexerHTML::JavaScriptNumber
    {65, 293, 828},	// QsciLexerHTML::JavaScriptRegex
    {65, 294, 825},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {65, 295, 816},	// QsciLexerHTML::JavaScriptStart
    {65, 296, 826},	// QsciLexerHTML::JavaScriptSymbol
    {65, 297, 827},	// QsciLexerHTML::JavaScriptUnclosedString
    {65, 298, 822},	// QsciLexerHTML::JavaScriptWord
    {65, 377, 792},	// QsciLexerHTML::OtherInTag
    {65, 378, 890},	// QsciLexerHTML::PHPComment
    {65, 379, 891},	// QsciLexerHTML::PHPCommentLine
    {65, 380, 884},	// QsciLexerHTML::PHPDefault
    {65, 381, 885},	// QsciLexerHTML::PHPDoubleQuotedString
    {65, 382, 892},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {65, 383, 887},	// QsciLexerHTML::PHPKeyword
    {65, 384, 888},	// QsciLexerHTML::PHPNumber
    {65, 385, 893},	// QsciLexerHTML::PHPOperator
    {65, 386, 886},	// QsciLexerHTML::PHPSingleQuotedString
    {65, 387, 802},	// QsciLexerHTML::PHPStart
    {65, 388, 889},	// QsciLexerHTML::PHPVariable
    {65, 434, 867},	// QsciLexerHTML::PythonClassName
    {65, 435, 860},	// QsciLexerHTML::PythonComment
    {65, 436, 859},	// QsciLexerHTML::PythonDefault
    {65, 437, 862},	// QsciLexerHTML::PythonDoubleQuotedString
    {65, 438, 868},	// QsciLexerHTML::PythonFunctionMethodName
    {65, 439, 870},	// QsciLexerHTML::PythonIdentifier
    {65, 440, 864},	// QsciLexerHTML::PythonKeyword
    {65, 441, 861},	// QsciLexerHTML::PythonNumber
    {65, 442, 869},	// QsciLexerHTML::PythonOperator
    {65, 443, 863},	// QsciLexerHTML::PythonSingleQuotedString
    {65, 444, 858},	// QsciLexerHTML::PythonStart
    {65, 445, 866},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {65, 446, 865},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {65, 480, 782},	// QsciLexerHTML::QsciLexerHTML
    {65, 481, 752},	// QsciLexerHTML::QsciLexerHTML#
    {65, 608, 815},	// QsciLexerHTML::SGMLBlockDefault
    {65, 609, 806},	// QsciLexerHTML::SGMLCommand
    {65, 610, 813},	// QsciLexerHTML::SGMLComment
    {65, 611, 805},	// QsciLexerHTML::SGMLDefault
    {65, 612, 808},	// QsciLexerHTML::SGMLDoubleQuotedString
    {65, 613, 812},	// QsciLexerHTML::SGMLEntity
    {65, 614, 810},	// QsciLexerHTML::SGMLError
    {65, 615, 807},	// QsciLexerHTML::SGMLParameter
    {65, 616, 814},	// QsciLexerHTML::SGMLParameterComment
    {65, 617, 809},	// QsciLexerHTML::SGMLSingleQuotedString
    {65, 618, 811},	// QsciLexerHTML::SGMLSpecial
    {65, 621, 798},	// QsciLexerHTML::Script
    {65, 691, 785},	// QsciLexerHTML::Tag
    {65, 713, 788},	// QsciLexerHTML::UnknownAttribute
    {65, 716, 786},	// QsciLexerHTML::UnknownTag
    {65, 718, 844},	// QsciLexerHTML::VBScriptComment
    {65, 719, 843},	// QsciLexerHTML::VBScriptDefault
    {65, 720, 848},	// QsciLexerHTML::VBScriptIdentifier
    {65, 721, 846},	// QsciLexerHTML::VBScriptKeyword
    {65, 722, 845},	// QsciLexerHTML::VBScriptNumber
    {65, 723, 842},	// QsciLexerHTML::VBScriptStart
    {65, 724, 847},	// QsciLexerHTML::VBScriptString
    {65, 725, 849},	// QsciLexerHTML::VBScriptUnclosedString
    {65, 763, 797},	// QsciLexerHTML::XMLEnd
    {65, 764, 796},	// QsciLexerHTML::XMLStart
    {65, 765, 795},	// QsciLexerHTML::XMLTagEnd
    {65, 794, 755},	// QsciLexerHTML::autoCompletionFillups
    {65, 833, 764},	// QsciLexerHTML::caseSensitiveTags
    {65, 870, 757},	// QsciLexerHTML::defaultColor$
    {65, 872, 758},	// QsciLexerHTML::defaultEolFill$
    {65, 874, 759},	// QsciLexerHTML::defaultFont$
    {65, 876, 760},	// QsciLexerHTML::defaultPaper$
    {65, 880, 762},	// QsciLexerHTML::description$
    {65, 883, 766},	// QsciLexerHTML::djangoTemplates
    {65, 948, 767},	// QsciLexerHTML::foldCompact
    {65, 955, 768},	// QsciLexerHTML::foldPreprocessor
    {65, 957, 770},	// QsciLexerHTML::foldScriptComments
    {65, 958, 772},	// QsciLexerHTML::foldScriptHeredocs
    {65, 1025, 761},	// QsciLexerHTML::keywords$
    {65, 1026, 753},	// QsciLexerHTML::language
    {65, 1031, 754},	// QsciLexerHTML::lexer
    {65, 1046, 774},	// QsciLexerHTML::makoTemplates
    {65, 1082, 745},	// QsciLexerHTML::metaObject
    {65, 1124, 751},	// QsciLexerHTML::qt_metacall$$?
    {65, 1126, 746},	// QsciLexerHTML::qt_metacast$
    {65, 1131, 778},	// QsciLexerHTML::readProperties#$
    {65, 1140, 763},	// QsciLexerHTML::refreshProperties
    {65, 1224, 777},	// QsciLexerHTML::setCaseSensitiveTags$
    {65, 1243, 765},	// QsciLexerHTML::setDjangoTemplates$
    {65, 1280, 775},	// QsciLexerHTML::setFoldCompact$
    {65, 1292, 776},	// QsciLexerHTML::setFoldPreprocessor$
    {65, 1296, 769},	// QsciLexerHTML::setFoldScriptComments$
    {65, 1298, 771},	// QsciLexerHTML::setFoldScriptHeredocs$
    {65, 1353, 773},	// QsciLexerHTML::setMakoTemplates$
    {65, 1478, 783},	// QsciLexerHTML::staticMetaObject
    {65, 1502, 780},	// QsciLexerHTML::tr$
    {65, 1503, 747},	// QsciLexerHTML::tr$$
    {65, 1504, 749},	// QsciLexerHTML::tr$$$
    {65, 1506, 781},	// QsciLexerHTML::trUtf8$
    {65, 1507, 748},	// QsciLexerHTML::trUtf8$$
    {65, 1508, 750},	// QsciLexerHTML::trUtf8$$$
    {65, 1531, 756},	// QsciLexerHTML::wordCharacters
    {65, 1537, 779},	// QsciLexerHTML::writeProperties#$
    {65, 1564, 894},	// QsciLexerHTML::~QsciLexerHTML
    {66, 482, 909},	// QsciLexerIDL::QsciLexerIDL
    {66, 483, 902},	// QsciLexerIDL::QsciLexerIDL#
    {66, 870, 904},	// QsciLexerIDL::defaultColor$
    {66, 880, 906},	// QsciLexerIDL::description$
    {66, 1025, 905},	// QsciLexerIDL::keywords$
    {66, 1026, 903},	// QsciLexerIDL::language
    {66, 1082, 895},	// QsciLexerIDL::metaObject
    {66, 1124, 901},	// QsciLexerIDL::qt_metacall$$?
    {66, 1126, 896},	// QsciLexerIDL::qt_metacast$
    {66, 1478, 910},	// QsciLexerIDL::staticMetaObject
    {66, 1502, 907},	// QsciLexerIDL::tr$
    {66, 1503, 897},	// QsciLexerIDL::tr$$
    {66, 1504, 899},	// QsciLexerIDL::tr$$$
    {66, 1506, 908},	// QsciLexerIDL::trUtf8$
    {66, 1507, 898},	// QsciLexerIDL::trUtf8$$
    {66, 1508, 900},	// QsciLexerIDL::trUtf8$$$
    {66, 1565, 911},	// QsciLexerIDL::~QsciLexerIDL
    {67, 484, 924},	// QsciLexerJava::QsciLexerJava
    {67, 485, 919},	// QsciLexerJava::QsciLexerJava#
    {67, 1025, 921},	// QsciLexerJava::keywords$
    {67, 1026, 920},	// QsciLexerJava::language
    {67, 1082, 912},	// QsciLexerJava::metaObject
    {67, 1124, 918},	// QsciLexerJava::qt_metacall$$?
    {67, 1126, 913},	// QsciLexerJava::qt_metacast$
    {67, 1478, 925},	// QsciLexerJava::staticMetaObject
    {67, 1502, 922},	// QsciLexerJava::tr$
    {67, 1503, 914},	// QsciLexerJava::tr$$
    {67, 1504, 916},	// QsciLexerJava::tr$$$
    {67, 1506, 923},	// QsciLexerJava::trUtf8$
    {67, 1507, 915},	// QsciLexerJava::trUtf8$$
    {67, 1508, 917},	// QsciLexerJava::trUtf8$$$
    {67, 1566, 926},	// QsciLexerJava::~QsciLexerJava
    {68, 486, 944},	// QsciLexerJavaScript::QsciLexerJavaScript
    {68, 487, 934},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {68, 870, 936},	// QsciLexerJavaScript::defaultColor$
    {68, 872, 937},	// QsciLexerJavaScript::defaultEolFill$
    {68, 874, 938},	// QsciLexerJavaScript::defaultFont$
    {68, 876, 939},	// QsciLexerJavaScript::defaultPaper$
    {68, 880, 941},	// QsciLexerJavaScript::description$
    {68, 1025, 940},	// QsciLexerJavaScript::keywords$
    {68, 1026, 935},	// QsciLexerJavaScript::language
    {68, 1082, 927},	// QsciLexerJavaScript::metaObject
    {68, 1124, 933},	// QsciLexerJavaScript::qt_metacall$$?
    {68, 1126, 928},	// QsciLexerJavaScript::qt_metacast$
    {68, 1478, 945},	// QsciLexerJavaScript::staticMetaObject
    {68, 1502, 942},	// QsciLexerJavaScript::tr$
    {68, 1503, 929},	// QsciLexerJavaScript::tr$$
    {68, 1504, 931},	// QsciLexerJavaScript::tr$$$
    {68, 1506, 943},	// QsciLexerJavaScript::trUtf8$
    {68, 1507, 930},	// QsciLexerJavaScript::trUtf8$$
    {68, 1508, 932},	// QsciLexerJavaScript::trUtf8$$$
    {68, 1567, 946},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {69, 89, 988},	// QsciLexerLua::BasicFunctions
    {69, 122, 982},	// QsciLexerLua::Character
    {69, 137, 977},	// QsciLexerLua::Comment
    {69, 149, 990},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {69, 158, 976},	// QsciLexerLua::Default
    {69, 251, 986},	// QsciLexerLua::Identifier
    {69, 300, 980},	// QsciLexerLua::Keyword
    {69, 305, 991},	// QsciLexerLua::KeywordSet5
    {69, 306, 992},	// QsciLexerLua::KeywordSet6
    {69, 307, 993},	// QsciLexerLua::KeywordSet7
    {69, 308, 994},	// QsciLexerLua::KeywordSet8
    {69, 310, 995},	// QsciLexerLua::Label
    {69, 324, 978},	// QsciLexerLua::LineComment
    {69, 347, 983},	// QsciLexerLua::LiteralString
    {69, 371, 979},	// QsciLexerLua::Number
    {69, 375, 985},	// QsciLexerLua::Operator
    {69, 429, 984},	// QsciLexerLua::Preprocessor
    {69, 488, 973},	// QsciLexerLua::QsciLexerLua
    {69, 489, 954},	// QsciLexerLua::QsciLexerLua#
    {69, 664, 981},	// QsciLexerLua::String
    {69, 667, 989},	// QsciLexerLua::StringTableMathsFunctions
    {69, 710, 987},	// QsciLexerLua::UnclosedString
    {69, 803, 957},	// QsciLexerLua::autoCompletionWordSeparators
    {69, 812, 974},	// QsciLexerLua::blockStart
    {69, 813, 958},	// QsciLexerLua::blockStart$
    {69, 819, 959},	// QsciLexerLua::braceStyle
    {69, 870, 960},	// QsciLexerLua::defaultColor$
    {69, 872, 961},	// QsciLexerLua::defaultEolFill$
    {69, 874, 962},	// QsciLexerLua::defaultFont$
    {69, 876, 963},	// QsciLexerLua::defaultPaper$
    {69, 880, 965},	// QsciLexerLua::description$
    {69, 948, 967},	// QsciLexerLua::foldCompact
    {69, 1025, 964},	// QsciLexerLua::keywords$
    {69, 1026, 955},	// QsciLexerLua::language
    {69, 1031, 956},	// QsciLexerLua::lexer
    {69, 1082, 947},	// QsciLexerLua::metaObject
    {69, 1124, 953},	// QsciLexerLua::qt_metacall$$?
    {69, 1126, 948},	// QsciLexerLua::qt_metacast$
    {69, 1131, 969},	// QsciLexerLua::readProperties#$
    {69, 1140, 966},	// QsciLexerLua::refreshProperties
    {69, 1280, 968},	// QsciLexerLua::setFoldCompact$
    {69, 1478, 975},	// QsciLexerLua::staticMetaObject
    {69, 1502, 971},	// QsciLexerLua::tr$
    {69, 1503, 949},	// QsciLexerLua::tr$$
    {69, 1504, 951},	// QsciLexerLua::tr$$$
    {69, 1506, 972},	// QsciLexerLua::trUtf8$
    {69, 1507, 950},	// QsciLexerLua::trUtf8$$
    {69, 1508, 952},	// QsciLexerLua::trUtf8$$$
    {69, 1537, 970},	// QsciLexerLua::writeProperties#$
    {69, 1568, 996},	// QsciLexerLua::~QsciLexerLua
    {70, 137, 1018},	// QsciLexerMakefile::Comment
    {70, 158, 1017},	// QsciLexerMakefile::Default
    {70, 203, 1023},	// QsciLexerMakefile::Error
    {70, 375, 1021},	// QsciLexerMakefile::Operator
    {70, 429, 1019},	// QsciLexerMakefile::Preprocessor
    {70, 490, 1015},	// QsciLexerMakefile::QsciLexerMakefile
    {70, 491, 1004},	// QsciLexerMakefile::QsciLexerMakefile#
    {70, 692, 1022},	// QsciLexerMakefile::Target
    {70, 733, 1020},	// QsciLexerMakefile::Variable
    {70, 870, 1008},	// QsciLexerMakefile::defaultColor$
    {70, 872, 1009},	// QsciLexerMakefile::defaultEolFill$
    {70, 874, 1010},	// QsciLexerMakefile::defaultFont$
    {70, 876, 1011},	// QsciLexerMakefile::defaultPaper$
    {70, 880, 1012},	// QsciLexerMakefile::description$
    {70, 1026, 1005},	// QsciLexerMakefile::language
    {70, 1031, 1006},	// QsciLexerMakefile::lexer
    {70, 1082, 997},	// QsciLexerMakefile::metaObject
    {70, 1124, 1003},	// QsciLexerMakefile::qt_metacall$$?
    {70, 1126, 998},	// QsciLexerMakefile::qt_metacast$
    {70, 1478, 1016},	// QsciLexerMakefile::staticMetaObject
    {70, 1502, 1013},	// QsciLexerMakefile::tr$
    {70, 1503, 999},	// QsciLexerMakefile::tr$$
    {70, 1504, 1001},	// QsciLexerMakefile::tr$$$
    {70, 1506, 1014},	// QsciLexerMakefile::trUtf8$
    {70, 1507, 1000},	// QsciLexerMakefile::trUtf8$$
    {70, 1508, 1002},	// QsciLexerMakefile::trUtf8$$$
    {70, 1531, 1007},	// QsciLexerMakefile::wordCharacters
    {70, 1569, 1024},	// QsciLexerMakefile::~QsciLexerMakefile
    {71, 86, 1065},	// QsciLexerPOV::BadDirective
    {71, 137, 1057},	// QsciLexerPOV::Comment
    {71, 143, 1058},	// QsciLexerPOV::CommentLine
    {71, 158, 1056},	// QsciLexerPOV::Default
    {71, 173, 1064},	// QsciLexerPOV::Directive
    {71, 251, 1061},	// QsciLexerPOV::Identifier
    {71, 306, 1070},	// QsciLexerPOV::KeywordSet6
    {71, 307, 1071},	// QsciLexerPOV::KeywordSet7
    {71, 308, 1072},	// QsciLexerPOV::KeywordSet8
    {71, 371, 1059},	// QsciLexerPOV::Number
    {71, 373, 1066},	// QsciLexerPOV::ObjectsCSGAppearance
    {71, 375, 1060},	// QsciLexerPOV::Operator
    {71, 427, 1069},	// QsciLexerPOV::PredefinedFunctions
    {71, 428, 1068},	// QsciLexerPOV::PredefinedIdentifiers
    {71, 492, 1054},	// QsciLexerPOV::QsciLexerPOV
    {71, 493, 1032},	// QsciLexerPOV::QsciLexerPOV#
    {71, 664, 1062},	// QsciLexerPOV::String
    {71, 708, 1067},	// QsciLexerPOV::TypesModifiersItems
    {71, 710, 1063},	// QsciLexerPOV::UnclosedString
    {71, 819, 1035},	// QsciLexerPOV::braceStyle
    {71, 870, 1037},	// QsciLexerPOV::defaultColor$
    {71, 872, 1038},	// QsciLexerPOV::defaultEolFill$
    {71, 874, 1039},	// QsciLexerPOV::defaultFont$
    {71, 876, 1040},	// QsciLexerPOV::defaultPaper$
    {71, 880, 1042},	// QsciLexerPOV::description$
    {71, 947, 1044},	// QsciLexerPOV::foldComments
    {71, 948, 1045},	// QsciLexerPOV::foldCompact
    {71, 949, 1046},	// QsciLexerPOV::foldDirectives
    {71, 1025, 1041},	// QsciLexerPOV::keywords$
    {71, 1026, 1033},	// QsciLexerPOV::language
    {71, 1031, 1034},	// QsciLexerPOV::lexer
    {71, 1082, 1025},	// QsciLexerPOV::metaObject
    {71, 1124, 1031},	// QsciLexerPOV::qt_metacall$$?
    {71, 1126, 1026},	// QsciLexerPOV::qt_metacast$
    {71, 1131, 1050},	// QsciLexerPOV::readProperties#$
    {71, 1140, 1043},	// QsciLexerPOV::refreshProperties
    {71, 1278, 1047},	// QsciLexerPOV::setFoldComments$
    {71, 1280, 1048},	// QsciLexerPOV::setFoldCompact$
    {71, 1282, 1049},	// QsciLexerPOV::setFoldDirectives$
    {71, 1478, 1055},	// QsciLexerPOV::staticMetaObject
    {71, 1502, 1052},	// QsciLexerPOV::tr$
    {71, 1503, 1027},	// QsciLexerPOV::tr$$
    {71, 1504, 1029},	// QsciLexerPOV::tr$$$
    {71, 1506, 1053},	// QsciLexerPOV::trUtf8$
    {71, 1507, 1028},	// QsciLexerPOV::trUtf8$$
    {71, 1508, 1030},	// QsciLexerPOV::trUtf8$$$
    {71, 1531, 1036},	// QsciLexerPOV::wordCharacters
    {71, 1537, 1051},	// QsciLexerPOV::writeProperties#$
    {71, 1570, 1073},	// QsciLexerPOV::~QsciLexerPOV
    {72, 63, 1127},	// QsciLexerPascal::Asm
    {72, 122, 1125},	// QsciLexerPascal::Character
    {72, 137, 1115},	// QsciLexerPascal::Comment
    {72, 143, 1117},	// QsciLexerPascal::CommentLine
    {72, 147, 1116},	// QsciLexerPascal::CommentParenthesis
    {72, 158, 1113},	// QsciLexerPascal::Default
    {72, 236, 1121},	// QsciLexerPascal::HexNumber
    {72, 251, 1114},	// QsciLexerPascal::Identifier
    {72, 300, 1122},	// QsciLexerPascal::Keyword
    {72, 371, 1120},	// QsciLexerPascal::Number
    {72, 375, 1126},	// QsciLexerPascal::Operator
    {72, 423, 1118},	// QsciLexerPascal::PreProcessor
    {72, 426, 1119},	// QsciLexerPascal::PreProcessorParenthesis
    {72, 494, 1108},	// QsciLexerPascal::QsciLexerPascal
    {72, 495, 1081},	// QsciLexerPascal::QsciLexerPascal#
    {72, 645, 1123},	// QsciLexerPascal::SingleQuotedString
    {72, 710, 1124},	// QsciLexerPascal::UnclosedString
    {72, 803, 1084},	// QsciLexerPascal::autoCompletionWordSeparators
    {72, 809, 1109},	// QsciLexerPascal::blockEnd
    {72, 810, 1085},	// QsciLexerPascal::blockEnd$
    {72, 812, 1110},	// QsciLexerPascal::blockStart
    {72, 813, 1086},	// QsciLexerPascal::blockStart$
    {72, 814, 1111},	// QsciLexerPascal::blockStartKeyword
    {72, 815, 1087},	// QsciLexerPascal::blockStartKeyword$
    {72, 819, 1088},	// QsciLexerPascal::braceStyle
    {72, 870, 1089},	// QsciLexerPascal::defaultColor$
    {72, 872, 1090},	// QsciLexerPascal::defaultEolFill$
    {72, 874, 1091},	// QsciLexerPascal::defaultFont$
    {72, 876, 1092},	// QsciLexerPascal::defaultPaper$
    {72, 880, 1094},	// QsciLexerPascal::description$
    {72, 947, 1096},	// QsciLexerPascal::foldComments
    {72, 948, 1097},	// QsciLexerPascal::foldCompact
    {72, 955, 1098},	// QsciLexerPascal::foldPreprocessor
    {72, 1025, 1093},	// QsciLexerPascal::keywords$
    {72, 1026, 1082},	// QsciLexerPascal::language
    {72, 1031, 1083},	// QsciLexerPascal::lexer
    {72, 1082, 1074},	// QsciLexerPascal::metaObject
    {72, 1124, 1080},	// QsciLexerPascal::qt_metacall$$?
    {72, 1126, 1075},	// QsciLexerPascal::qt_metacast$
    {72, 1131, 1104},	// QsciLexerPascal::readProperties#$
    {72, 1140, 1095},	// QsciLexerPascal::refreshProperties
    {72, 1278, 1101},	// QsciLexerPascal::setFoldComments$
    {72, 1280, 1102},	// QsciLexerPascal::setFoldCompact$
    {72, 1292, 1103},	// QsciLexerPascal::setFoldPreprocessor$
    {72, 1418, 1099},	// QsciLexerPascal::setSmartHighlighting$
    {72, 1472, 1100},	// QsciLexerPascal::smartHighlighting
    {72, 1478, 1112},	// QsciLexerPascal::staticMetaObject
    {72, 1502, 1106},	// QsciLexerPascal::tr$
    {72, 1503, 1076},	// QsciLexerPascal::tr$$
    {72, 1504, 1078},	// QsciLexerPascal::tr$$$
    {72, 1506, 1107},	// QsciLexerPascal::trUtf8$
    {72, 1507, 1077},	// QsciLexerPascal::trUtf8$$
    {72, 1508, 1079},	// QsciLexerPascal::trUtf8$$$
    {72, 1537, 1105},	// QsciLexerPascal::writeProperties#$
    {72, 1571, 1128},	// QsciLexerPascal::~QsciLexerPascal
    {73, 61, 1180},	// QsciLexerPerl::Array
    {73, 82, 1190},	// QsciLexerPerl::BacktickHereDocument
    {73, 83, 1206},	// QsciLexerPerl::BacktickHereDocumentVar
    {73, 84, 1185},	// QsciLexerPerl::Backticks
    {73, 85, 1204},	// QsciLexerPerl::BackticksVar
    {73, 137, 1171},	// QsciLexerPerl::Comment
    {73, 156, 1186},	// QsciLexerPerl::DataSection
    {73, 158, 1169},	// QsciLexerPerl::Default
    {73, 182, 1189},	// QsciLexerPerl::DoubleQuotedHereDocument
    {73, 183, 1205},	// QsciLexerPerl::DoubleQuotedHereDocumentVar
    {73, 184, 1175},	// QsciLexerPerl::DoubleQuotedString
    {73, 185, 1200},	// QsciLexerPerl::DoubleQuotedStringVar
    {73, 203, 1170},	// QsciLexerPerl::Error
    {73, 214, 1199},	// QsciLexerPerl::FormatBody
    {73, 215, 1198},	// QsciLexerPerl::FormatIdentifier
    {73, 231, 1181},	// QsciLexerPerl::Hash
    {73, 235, 1187},	// QsciLexerPerl::HereDocumentDelimiter
    {73, 251, 1178},	// QsciLexerPerl::Identifier
    {73, 300, 1174},	// QsciLexerPerl::Keyword
    {73, 371, 1173},	// QsciLexerPerl::Number
    {73, 375, 1177},	// QsciLexerPerl::Operator
    {73, 389, 1172},	// QsciLexerPerl::POD
    {73, 390, 1196},	// QsciLexerPerl::PODVerbatim
    {73, 496, 1165},	// QsciLexerPerl::QsciLexerPerl
    {73, 497, 1136},	// QsciLexerPerl::QsciLexerPerl#
    {73, 539, 1191},	// QsciLexerPerl::QuotedStringQ
    {73, 540, 1192},	// QsciLexerPerl::QuotedStringQQ
    {73, 541, 1207},	// QsciLexerPerl::QuotedStringQQVar
    {73, 542, 1194},	// QsciLexerPerl::QuotedStringQR
    {73, 543, 1209},	// QsciLexerPerl::QuotedStringQRVar
    {73, 544, 1195},	// QsciLexerPerl::QuotedStringQW
    {73, 545, 1193},	// QsciLexerPerl::QuotedStringQX
    {73, 546, 1208},	// QsciLexerPerl::QuotedStringQXVar
    {73, 552, 1183},	// QsciLexerPerl::Regex
    {73, 553, 1202},	// QsciLexerPerl::RegexVar
    {73, 619, 1179},	// QsciLexerPerl::Scalar
    {73, 644, 1188},	// QsciLexerPerl::SingleQuotedHereDocument
    {73, 645, 1176},	// QsciLexerPerl::SingleQuotedString
    {73, 674, 1197},	// QsciLexerPerl::SubroutinePrototype
    {73, 675, 1184},	// QsciLexerPerl::Substitution
    {73, 677, 1203},	// QsciLexerPerl::SubstitutionVar
    {73, 683, 1182},	// QsciLexerPerl::SymbolTable
    {73, 703, 1201},	// QsciLexerPerl::Translation
    {73, 803, 1139},	// QsciLexerPerl::autoCompletionWordSeparators
    {73, 809, 1166},	// QsciLexerPerl::blockEnd
    {73, 810, 1140},	// QsciLexerPerl::blockEnd$
    {73, 812, 1167},	// QsciLexerPerl::blockStart
    {73, 813, 1141},	// QsciLexerPerl::blockStart$
    {73, 819, 1142},	// QsciLexerPerl::braceStyle
    {73, 870, 1144},	// QsciLexerPerl::defaultColor$
    {73, 872, 1145},	// QsciLexerPerl::defaultEolFill$
    {73, 874, 1146},	// QsciLexerPerl::defaultFont$
    {73, 876, 1147},	// QsciLexerPerl::defaultPaper$
    {73, 880, 1149},	// QsciLexerPerl::description$
    {73, 945, 1152},	// QsciLexerPerl::foldAtElse
    {73, 947, 1153},	// QsciLexerPerl::foldComments
    {73, 948, 1154},	// QsciLexerPerl::foldCompact
    {73, 953, 1158},	// QsciLexerPerl::foldPODBlocks
    {73, 954, 1156},	// QsciLexerPerl::foldPackages
    {73, 1025, 1148},	// QsciLexerPerl::keywords$
    {73, 1026, 1137},	// QsciLexerPerl::language
    {73, 1031, 1138},	// QsciLexerPerl::lexer
    {73, 1082, 1129},	// QsciLexerPerl::metaObject
    {73, 1124, 1135},	// QsciLexerPerl::qt_metacall$$?
    {73, 1126, 1130},	// QsciLexerPerl::qt_metacast$
    {73, 1131, 1161},	// QsciLexerPerl::readProperties#$
    {73, 1140, 1150},	// QsciLexerPerl::refreshProperties
    {73, 1274, 1151},	// QsciLexerPerl::setFoldAtElse$
    {73, 1278, 1159},	// QsciLexerPerl::setFoldComments$
    {73, 1280, 1160},	// QsciLexerPerl::setFoldCompact$
    {73, 1288, 1157},	// QsciLexerPerl::setFoldPODBlocks$
    {73, 1290, 1155},	// QsciLexerPerl::setFoldPackages$
    {73, 1478, 1168},	// QsciLexerPerl::staticMetaObject
    {73, 1502, 1163},	// QsciLexerPerl::tr$
    {73, 1503, 1131},	// QsciLexerPerl::tr$$
    {73, 1504, 1133},	// QsciLexerPerl::tr$$$
    {73, 1506, 1164},	// QsciLexerPerl::trUtf8$
    {73, 1507, 1132},	// QsciLexerPerl::trUtf8$$
    {73, 1508, 1134},	// QsciLexerPerl::trUtf8$$$
    {73, 1531, 1143},	// QsciLexerPerl::wordCharacters
    {73, 1537, 1162},	// QsciLexerPerl::writeProperties#$
    {73, 1572, 1210},	// QsciLexerPerl::~QsciLexerPerl
    {74, 62, 1251},	// QsciLexerPostScript::ArrayParenthesis
    {74, 87, 1257},	// QsciLexerPostScript::BadStringCharacter
    {74, 88, 1256},	// QsciLexerPostScript::Base85String
    {74, 137, 1243},	// QsciLexerPostScript::Comment
    {74, 153, 1244},	// QsciLexerPostScript::DSCComment
    {74, 154, 1245},	// QsciLexerPostScript::DSCCommentValue
    {74, 158, 1242},	// QsciLexerPostScript::Default
    {74, 171, 1252},	// QsciLexerPostScript::DictionaryParenthesis
    {74, 237, 1255},	// QsciLexerPostScript::HexString
    {74, 254, 1250},	// QsciLexerPostScript::ImmediateEvalLiteral
    {74, 300, 1248},	// QsciLexerPostScript::Keyword
    {74, 346, 1249},	// QsciLexerPostScript::Literal
    {74, 364, 1247},	// QsciLexerPostScript::Name
    {74, 371, 1246},	// QsciLexerPostScript::Number
    {74, 431, 1253},	// QsciLexerPostScript::ProcedureParenthesis
    {74, 498, 1240},	// QsciLexerPostScript::QsciLexerPostScript
    {74, 499, 1218},	// QsciLexerPostScript::QsciLexerPostScript#
    {74, 693, 1254},	// QsciLexerPostScript::Text
    {74, 819, 1221},	// QsciLexerPostScript::braceStyle
    {74, 870, 1222},	// QsciLexerPostScript::defaultColor$
    {74, 874, 1223},	// QsciLexerPostScript::defaultFont$
    {74, 876, 1224},	// QsciLexerPostScript::defaultPaper$
    {74, 880, 1226},	// QsciLexerPostScript::description$
    {74, 945, 1231},	// QsciLexerPostScript::foldAtElse
    {74, 948, 1230},	// QsciLexerPostScript::foldCompact
    {74, 1025, 1225},	// QsciLexerPostScript::keywords$
    {74, 1026, 1219},	// QsciLexerPostScript::language
    {74, 1030, 1229},	// QsciLexerPostScript::level
    {74, 1031, 1220},	// QsciLexerPostScript::lexer
    {74, 1082, 1211},	// QsciLexerPostScript::metaObject
    {74, 1124, 1217},	// QsciLexerPostScript::qt_metacall$$?
    {74, 1126, 1212},	// QsciLexerPostScript::qt_metacast$
    {74, 1131, 1236},	// QsciLexerPostScript::readProperties#$
    {74, 1140, 1227},	// QsciLexerPostScript::refreshProperties
    {74, 1274, 1235},	// QsciLexerPostScript::setFoldAtElse$
    {74, 1280, 1234},	// QsciLexerPostScript::setFoldCompact$
    {74, 1347, 1233},	// QsciLexerPostScript::setLevel$
    {74, 1435, 1232},	// QsciLexerPostScript::setTokenize$
    {74, 1478, 1241},	// QsciLexerPostScript::staticMetaObject
    {74, 1500, 1228},	// QsciLexerPostScript::tokenize
    {74, 1502, 1238},	// QsciLexerPostScript::tr$
    {74, 1503, 1213},	// QsciLexerPostScript::tr$$
    {74, 1504, 1215},	// QsciLexerPostScript::tr$$$
    {74, 1506, 1239},	// QsciLexerPostScript::trUtf8$
    {74, 1507, 1214},	// QsciLexerPostScript::trUtf8$$
    {74, 1508, 1216},	// QsciLexerPostScript::trUtf8$$$
    {74, 1537, 1237},	// QsciLexerPostScript::writeProperties#$
    {74, 1573, 1258},	// QsciLexerPostScript::~QsciLexerPostScript
    {75, 64, 1289},	// QsciLexerProperties::Assignment
    {75, 137, 1287},	// QsciLexerProperties::Comment
    {75, 158, 1286},	// QsciLexerProperties::Default
    {75, 159, 1290},	// QsciLexerProperties::DefaultValue
    {75, 299, 1291},	// QsciLexerProperties::Key
    {75, 500, 1284},	// QsciLexerProperties::QsciLexerProperties
    {75, 501, 1266},	// QsciLexerProperties::QsciLexerProperties#
    {75, 624, 1288},	// QsciLexerProperties::Section
    {75, 870, 1270},	// QsciLexerProperties::defaultColor$
    {75, 872, 1271},	// QsciLexerProperties::defaultEolFill$
    {75, 874, 1272},	// QsciLexerProperties::defaultFont$
    {75, 876, 1273},	// QsciLexerProperties::defaultPaper$
    {75, 880, 1274},	// QsciLexerProperties::description$
    {75, 948, 1276},	// QsciLexerProperties::foldCompact
    {75, 999, 1278},	// QsciLexerProperties::initialSpaces
    {75, 1026, 1267},	// QsciLexerProperties::language
    {75, 1031, 1268},	// QsciLexerProperties::lexer
    {75, 1082, 1259},	// QsciLexerProperties::metaObject
    {75, 1124, 1265},	// QsciLexerProperties::qt_metacall$$?
    {75, 1126, 1260},	// QsciLexerProperties::qt_metacast$
    {75, 1131, 1280},	// QsciLexerProperties::readProperties#$
    {75, 1140, 1275},	// QsciLexerProperties::refreshProperties
    {75, 1280, 1279},	// QsciLexerProperties::setFoldCompact$
    {75, 1341, 1277},	// QsciLexerProperties::setInitialSpaces$
    {75, 1478, 1285},	// QsciLexerProperties::staticMetaObject
    {75, 1502, 1282},	// QsciLexerProperties::tr$
    {75, 1503, 1261},	// QsciLexerProperties::tr$$
    {75, 1504, 1263},	// QsciLexerProperties::tr$$$
    {75, 1506, 1283},	// QsciLexerProperties::trUtf8$
    {75, 1507, 1262},	// QsciLexerProperties::trUtf8$$
    {75, 1508, 1264},	// QsciLexerProperties::trUtf8$$$
    {75, 1531, 1269},	// QsciLexerProperties::wordCharacters
    {75, 1537, 1281},	// QsciLexerProperties::writeProperties#$
    {75, 1574, 1292},	// QsciLexerProperties::~QsciLexerProperties
    {76, 131, 1348},	// QsciLexerPython::ClassName
    {76, 137, 1341},	// QsciLexerPython::Comment
    {76, 138, 1352},	// QsciLexerPython::CommentBlock
    {76, 157, 1355},	// QsciLexerPython::Decorator
    {76, 158, 1340},	// QsciLexerPython::Default
    {76, 184, 1343},	// QsciLexerPython::DoubleQuotedString
    {76, 219, 1349},	// QsciLexerPython::FunctionMethodName
    {76, 241, 1354},	// QsciLexerPython::HighlightedIdentifier
    {76, 251, 1351},	// QsciLexerPython::Identifier
    {76, 282, 1357},	// QsciLexerPython::Inconsistent
    {76, 300, 1345},	// QsciLexerPython::Keyword
    {76, 370, 1356},	// QsciLexerPython::NoWarning
    {76, 371, 1342},	// QsciLexerPython::Number
    {76, 375, 1350},	// QsciLexerPython::Operator
    {76, 502, 1337},	// QsciLexerPython::QsciLexerPython
    {76, 503, 1300},	// QsciLexerPython::QsciLexerPython#
    {76, 645, 1344},	// QsciLexerPython::SingleQuotedString
    {76, 649, 1359},	// QsciLexerPython::Spaces
    {76, 689, 1360},	// QsciLexerPython::Tabs
    {76, 690, 1358},	// QsciLexerPython::TabsAfterSpaces
    {76, 704, 1347},	// QsciLexerPython::TripleDoubleQuotedString
    {76, 706, 1346},	// QsciLexerPython::TripleSingleQuotedString
    {76, 710, 1353},	// QsciLexerPython::UnclosedString
    {76, 803, 1303},	// QsciLexerPython::autoCompletionWordSeparators
    {76, 811, 1304},	// QsciLexerPython::blockLookback
    {76, 812, 1338},	// QsciLexerPython::blockStart
    {76, 813, 1305},	// QsciLexerPython::blockStart$
    {76, 819, 1306},	// QsciLexerPython::braceStyle
    {76, 870, 1307},	// QsciLexerPython::defaultColor$
    {76, 872, 1308},	// QsciLexerPython::defaultEolFill$
    {76, 874, 1309},	// QsciLexerPython::defaultFont$
    {76, 876, 1310},	// QsciLexerPython::defaultPaper$
    {76, 880, 1313},	// QsciLexerPython::description$
    {76, 947, 1315},	// QsciLexerPython::foldComments
    {76, 948, 1317},	// QsciLexerPython::foldCompact
    {76, 956, 1318},	// QsciLexerPython::foldQuotes
    {76, 978, 1321},	// QsciLexerPython::highlightSubidentifiers
    {76, 985, 1311},	// QsciLexerPython::indentationGuideView
    {76, 987, 1319},	// QsciLexerPython::indentationWarning
    {76, 1025, 1312},	// QsciLexerPython::keywords$
    {76, 1026, 1301},	// QsciLexerPython::language
    {76, 1031, 1302},	// QsciLexerPython::lexer
    {76, 1082, 1293},	// QsciLexerPython::metaObject
    {76, 1124, 1299},	// QsciLexerPython::qt_metacall$$?
    {76, 1126, 1294},	// QsciLexerPython::qt_metacast$
    {76, 1131, 1333},	// QsciLexerPython::readProperties#$
    {76, 1140, 1314},	// QsciLexerPython::refreshProperties
    {76, 1278, 1330},	// QsciLexerPython::setFoldComments$
    {76, 1280, 1316},	// QsciLexerPython::setFoldCompact$
    {76, 1294, 1331},	// QsciLexerPython::setFoldQuotes$
    {76, 1312, 1320},	// QsciLexerPython::setHighlightSubidentifiers$
    {76, 1326, 1332},	// QsciLexerPython::setIndentationWarning$
    {76, 1420, 1322},	// QsciLexerPython::setStringsOverNewlineAllowed$
    {76, 1445, 1324},	// QsciLexerPython::setV2UnicodeAllowed$
    {76, 1447, 1326},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {76, 1449, 1328},	// QsciLexerPython::setV3BytesAllowed$
    {76, 1478, 1339},	// QsciLexerPython::staticMetaObject
    {76, 1479, 1323},	// QsciLexerPython::stringsOverNewlineAllowed
    {76, 1502, 1335},	// QsciLexerPython::tr$
    {76, 1503, 1295},	// QsciLexerPython::tr$$
    {76, 1504, 1297},	// QsciLexerPython::tr$$$
    {76, 1506, 1336},	// QsciLexerPython::trUtf8$
    {76, 1507, 1296},	// QsciLexerPython::trUtf8$$
    {76, 1508, 1298},	// QsciLexerPython::trUtf8$$$
    {76, 1516, 1325},	// QsciLexerPython::v2UnicodeAllowed
    {76, 1517, 1327},	// QsciLexerPython::v3BinaryOctalAllowed
    {76, 1518, 1329},	// QsciLexerPython::v3BytesAllowed
    {76, 1537, 1334},	// QsciLexerPython::writeProperties#$
    {76, 1575, 1361},	// QsciLexerPython::~QsciLexerPython
    {77, 84, 1414},	// QsciLexerRuby::Backticks
    {77, 131, 1404},	// QsciLexerRuby::ClassName
    {77, 133, 1413},	// QsciLexerRuby::ClassVariable
    {77, 137, 1398},	// QsciLexerRuby::Comment
    {77, 156, 1415},	// QsciLexerRuby::DataSection
    {77, 158, 1396},	// QsciLexerRuby::Default
    {77, 168, 1423},	// QsciLexerRuby::DemotedKeyword
    {77, 184, 1402},	// QsciLexerRuby::DoubleQuotedString
    {77, 203, 1397},	// QsciLexerRuby::Error
    {77, 219, 1405},	// QsciLexerRuby::FunctionMethodName
    {77, 220, 1409},	// QsciLexerRuby::Global
    {77, 234, 1417},	// QsciLexerRuby::HereDocument
    {77, 235, 1416},	// QsciLexerRuby::HereDocumentDelimiter
    {77, 251, 1407},	// QsciLexerRuby::Identifier
    {77, 283, 1412},	// QsciLexerRuby::InstanceVariable
    {77, 300, 1401},	// QsciLexerRuby::Keyword
    {77, 359, 1411},	// QsciLexerRuby::ModuleName
    {77, 371, 1400},	// QsciLexerRuby::Number
    {77, 375, 1406},	// QsciLexerRuby::Operator
    {77, 389, 1399},	// QsciLexerRuby::POD
    {77, 406, 1419},	// QsciLexerRuby::PercentStringQ
    {77, 407, 1418},	// QsciLexerRuby::PercentStringq
    {77, 408, 1421},	// QsciLexerRuby::PercentStringr
    {77, 409, 1422},	// QsciLexerRuby::PercentStringw
    {77, 410, 1420},	// QsciLexerRuby::PercentStringx
    {77, 504, 1391},	// QsciLexerRuby::QsciLexerRuby
    {77, 505, 1369},	// QsciLexerRuby::QsciLexerRuby#
    {77, 552, 1408},	// QsciLexerRuby::Regex
    {77, 645, 1403},	// QsciLexerRuby::SingleQuotedString
    {77, 658, 1426},	// QsciLexerRuby::Stderr
    {77, 659, 1424},	// QsciLexerRuby::Stdin
    {77, 660, 1425},	// QsciLexerRuby::Stdout
    {77, 679, 1410},	// QsciLexerRuby::Symbol
    {77, 809, 1392},	// QsciLexerRuby::blockEnd
    {77, 810, 1372},	// QsciLexerRuby::blockEnd$
    {77, 812, 1393},	// QsciLexerRuby::blockStart
    {77, 813, 1373},	// QsciLexerRuby::blockStart$
    {77, 814, 1394},	// QsciLexerRuby::blockStartKeyword
    {77, 815, 1374},	// QsciLexerRuby::blockStartKeyword$
    {77, 819, 1375},	// QsciLexerRuby::braceStyle
    {77, 870, 1376},	// QsciLexerRuby::defaultColor$
    {77, 872, 1377},	// QsciLexerRuby::defaultEolFill$
    {77, 874, 1378},	// QsciLexerRuby::defaultFont$
    {77, 876, 1379},	// QsciLexerRuby::defaultPaper$
    {77, 880, 1381},	// QsciLexerRuby::description$
    {77, 947, 1384},	// QsciLexerRuby::foldComments
    {77, 948, 1386},	// QsciLexerRuby::foldCompact
    {77, 1025, 1380},	// QsciLexerRuby::keywords$
    {77, 1026, 1370},	// QsciLexerRuby::language
    {77, 1031, 1371},	// QsciLexerRuby::lexer
    {77, 1082, 1362},	// QsciLexerRuby::metaObject
    {77, 1124, 1368},	// QsciLexerRuby::qt_metacall$$?
    {77, 1126, 1363},	// QsciLexerRuby::qt_metacast$
    {77, 1131, 1387},	// QsciLexerRuby::readProperties#$
    {77, 1140, 1382},	// QsciLexerRuby::refreshProperties
    {77, 1278, 1383},	// QsciLexerRuby::setFoldComments$
    {77, 1280, 1385},	// QsciLexerRuby::setFoldCompact$
    {77, 1478, 1395},	// QsciLexerRuby::staticMetaObject
    {77, 1502, 1389},	// QsciLexerRuby::tr$
    {77, 1503, 1364},	// QsciLexerRuby::tr$$
    {77, 1504, 1366},	// QsciLexerRuby::tr$$$
    {77, 1506, 1390},	// QsciLexerRuby::trUtf8$
    {77, 1507, 1365},	// QsciLexerRuby::trUtf8$$
    {77, 1508, 1367},	// QsciLexerRuby::trUtf8$$$
    {77, 1537, 1388},	// QsciLexerRuby::writeProperties#$
    {77, 1576, 1427},	// QsciLexerRuby::~QsciLexerRuby
    {78, 137, 1469},	// QsciLexerSQL::Comment
    {78, 140, 1471},	// QsciLexerSQL::CommentDoc
    {78, 141, 1482},	// QsciLexerSQL::CommentDocKeyword
    {78, 142, 1483},	// QsciLexerSQL::CommentDocKeywordError
    {78, 143, 1470},	// QsciLexerSQL::CommentLine
    {78, 145, 1481},	// QsciLexerSQL::CommentLineHash
    {78, 158, 1468},	// QsciLexerSQL::Default
    {78, 184, 1474},	// QsciLexerSQL::DoubleQuotedString
    {78, 251, 1479},	// QsciLexerSQL::Identifier
    {78, 300, 1473},	// QsciLexerSQL::Keyword
    {78, 305, 1484},	// QsciLexerSQL::KeywordSet5
    {78, 306, 1485},	// QsciLexerSQL::KeywordSet6
    {78, 307, 1486},	// QsciLexerSQL::KeywordSet7
    {78, 308, 1487},	// QsciLexerSQL::KeywordSet8
    {78, 371, 1472},	// QsciLexerSQL::Number
    {78, 375, 1478},	// QsciLexerSQL::Operator
    {78, 416, 1480},	// QsciLexerSQL::PlusComment
    {78, 417, 1476},	// QsciLexerSQL::PlusKeyword
    {78, 418, 1477},	// QsciLexerSQL::PlusPrompt
    {78, 506, 1466},	// QsciLexerSQL::QsciLexerSQL
    {78, 507, 1435},	// QsciLexerSQL::QsciLexerSQL#
    {78, 536, 1488},	// QsciLexerSQL::QuotedIdentifier
    {78, 645, 1475},	// QsciLexerSQL::SingleQuotedString
    {78, 806, 1446},	// QsciLexerSQL::backslashEscapes
    {78, 819, 1438},	// QsciLexerSQL::braceStyle
    {78, 870, 1439},	// QsciLexerSQL::defaultColor$
    {78, 872, 1440},	// QsciLexerSQL::defaultEolFill$
    {78, 874, 1441},	// QsciLexerSQL::defaultFont$
    {78, 876, 1442},	// QsciLexerSQL::defaultPaper$
    {78, 880, 1444},	// QsciLexerSQL::description$
    {78, 886, 1448},	// QsciLexerSQL::dottedWords
    {78, 945, 1450},	// QsciLexerSQL::foldAtElse
    {78, 947, 1451},	// QsciLexerSQL::foldComments
    {78, 948, 1452},	// QsciLexerSQL::foldCompact
    {78, 952, 1454},	// QsciLexerSQL::foldOnlyBegin
    {78, 974, 1456},	// QsciLexerSQL::hashComments
    {78, 1025, 1443},	// QsciLexerSQL::keywords$
    {78, 1026, 1436},	// QsciLexerSQL::language
    {78, 1031, 1437},	// QsciLexerSQL::lexer
    {78, 1082, 1428},	// QsciLexerSQL::metaObject
    {78, 1124, 1434},	// QsciLexerSQL::qt_metacall$$?
    {78, 1126, 1429},	// QsciLexerSQL::qt_metacast$
    {78, 1127, 1458},	// QsciLexerSQL::quotedIdentifiers
    {78, 1131, 1462},	// QsciLexerSQL::readProperties#$
    {78, 1140, 1445},	// QsciLexerSQL::refreshProperties
    {78, 1198, 1459},	// QsciLexerSQL::setBackslashEscapes$
    {78, 1249, 1447},	// QsciLexerSQL::setDottedWords$
    {78, 1274, 1449},	// QsciLexerSQL::setFoldAtElse$
    {78, 1278, 1460},	// QsciLexerSQL::setFoldComments$
    {78, 1280, 1461},	// QsciLexerSQL::setFoldCompact$
    {78, 1286, 1453},	// QsciLexerSQL::setFoldOnlyBegin$
    {78, 1308, 1455},	// QsciLexerSQL::setHashComments$
    {78, 1401, 1457},	// QsciLexerSQL::setQuotedIdentifiers$
    {78, 1478, 1467},	// QsciLexerSQL::staticMetaObject
    {78, 1502, 1464},	// QsciLexerSQL::tr$
    {78, 1503, 1430},	// QsciLexerSQL::tr$$
    {78, 1504, 1432},	// QsciLexerSQL::tr$$$
    {78, 1506, 1465},	// QsciLexerSQL::trUtf8$
    {78, 1507, 1431},	// QsciLexerSQL::trUtf8$$
    {78, 1508, 1433},	// QsciLexerSQL::trUtf8$$$
    {78, 1537, 1463},	// QsciLexerSQL::writeProperties#$
    {78, 1577, 1489},	// QsciLexerSQL::~QsciLexerSQL
    {79, 137, 1517},	// QsciLexerTCL::Comment
    {79, 138, 1537},	// QsciLexerTCL::CommentBlock
    {79, 139, 1536},	// QsciLexerTCL::CommentBox
    {79, 143, 1518},	// QsciLexerTCL::CommentLine
    {79, 158, 1516},	// QsciLexerTCL::Default
    {79, 205, 1527},	// QsciLexerTCL::ExpandKeyword
    {79, 250, 1530},	// QsciLexerTCL::ITCLKeyword
    {79, 251, 1523},	// QsciLexerTCL::Identifier
    {79, 306, 1532},	// QsciLexerTCL::KeywordSet6
    {79, 307, 1533},	// QsciLexerTCL::KeywordSet7
    {79, 308, 1534},	// QsciLexerTCL::KeywordSet8
    {79, 309, 1535},	// QsciLexerTCL::KeywordSet9
    {79, 358, 1526},	// QsciLexerTCL::Modifier
    {79, 371, 1519},	// QsciLexerTCL::Number
    {79, 375, 1522},	// QsciLexerTCL::Operator
    {79, 508, 1514},	// QsciLexerTCL::QsciLexerTCL
    {79, 509, 1497},	// QsciLexerTCL::QsciLexerTCL#
    {79, 537, 1520},	// QsciLexerTCL::QuotedKeyword
    {79, 538, 1521},	// QsciLexerTCL::QuotedString
    {79, 675, 1524},	// QsciLexerTCL::Substitution
    {79, 676, 1525},	// QsciLexerTCL::SubstitutionBrace
    {79, 685, 1528},	// QsciLexerTCL::TCLKeyword
    {79, 700, 1531},	// QsciLexerTCL::TkCommand
    {79, 701, 1529},	// QsciLexerTCL::TkKeyword
    {79, 819, 1500},	// QsciLexerTCL::braceStyle
    {79, 870, 1501},	// QsciLexerTCL::defaultColor$
    {79, 872, 1502},	// QsciLexerTCL::defaultEolFill$
    {79, 874, 1503},	// QsciLexerTCL::defaultFont$
    {79, 876, 1504},	// QsciLexerTCL::defaultPaper$
    {79, 880, 1506},	// QsciLexerTCL::description$
    {79, 947, 1509},	// QsciLexerTCL::foldComments
    {79, 1025, 1505},	// QsciLexerTCL::keywords$
    {79, 1026, 1498},	// QsciLexerTCL::language
    {79, 1031, 1499},	// QsciLexerTCL::lexer
    {79, 1082, 1490},	// QsciLexerTCL::metaObject
    {79, 1124, 1496},	// QsciLexerTCL::qt_metacall$$?
    {79, 1126, 1491},	// QsciLexerTCL::qt_metacast$
    {79, 1131, 1510},	// QsciLexerTCL::readProperties#$
    {79, 1140, 1507},	// QsciLexerTCL::refreshProperties
    {79, 1278, 1508},	// QsciLexerTCL::setFoldComments$
    {79, 1478, 1515},	// QsciLexerTCL::staticMetaObject
    {79, 1502, 1512},	// QsciLexerTCL::tr$
    {79, 1503, 1492},	// QsciLexerTCL::tr$$
    {79, 1504, 1494},	// QsciLexerTCL::tr$$$
    {79, 1506, 1513},	// QsciLexerTCL::trUtf8$
    {79, 1507, 1493},	// QsciLexerTCL::trUtf8$$
    {79, 1508, 1495},	// QsciLexerTCL::trUtf8$$$
    {79, 1537, 1511},	// QsciLexerTCL::writeProperties#$
    {79, 1578, 1538},	// QsciLexerTCL::~QsciLexerTCL
    {80, 136, 1572},	// QsciLexerTeX::Command
    {80, 158, 1568},	// QsciLexerTeX::Default
    {80, 223, 1570},	// QsciLexerTeX::Group
    {80, 510, 1566},	// QsciLexerTeX::QsciLexerTeX
    {80, 511, 1546},	// QsciLexerTeX::QsciLexerTeX#
    {80, 650, 1569},	// QsciLexerTeX::Special
    {80, 679, 1571},	// QsciLexerTeX::Symbol
    {80, 693, 1573},	// QsciLexerTeX::Text
    {80, 870, 1550},	// QsciLexerTeX::defaultColor$
    {80, 880, 1552},	// QsciLexerTeX::description$
    {80, 947, 1555},	// QsciLexerTeX::foldComments
    {80, 948, 1557},	// QsciLexerTeX::foldCompact
    {80, 1025, 1551},	// QsciLexerTeX::keywords$
    {80, 1026, 1547},	// QsciLexerTeX::language
    {80, 1031, 1548},	// QsciLexerTeX::lexer
    {80, 1082, 1539},	// QsciLexerTeX::metaObject
    {80, 1119, 1559},	// QsciLexerTeX::processComments
    {80, 1120, 1561},	// QsciLexerTeX::processIf
    {80, 1124, 1545},	// QsciLexerTeX::qt_metacall$$?
    {80, 1126, 1540},	// QsciLexerTeX::qt_metacast$
    {80, 1131, 1562},	// QsciLexerTeX::readProperties#$
    {80, 1140, 1553},	// QsciLexerTeX::refreshProperties
    {80, 1278, 1554},	// QsciLexerTeX::setFoldComments$
    {80, 1280, 1556},	// QsciLexerTeX::setFoldCompact$
    {80, 1397, 1558},	// QsciLexerTeX::setProcessComments$
    {80, 1399, 1560},	// QsciLexerTeX::setProcessIf$
    {80, 1478, 1567},	// QsciLexerTeX::staticMetaObject
    {80, 1502, 1564},	// QsciLexerTeX::tr$
    {80, 1503, 1541},	// QsciLexerTeX::tr$$
    {80, 1504, 1543},	// QsciLexerTeX::tr$$$
    {80, 1506, 1565},	// QsciLexerTeX::trUtf8$
    {80, 1507, 1542},	// QsciLexerTeX::trUtf8$$
    {80, 1508, 1544},	// QsciLexerTeX::trUtf8$$$
    {80, 1531, 1549},	// QsciLexerTeX::wordCharacters
    {80, 1537, 1563},	// QsciLexerTeX::writeProperties#$
    {80, 1579, 1574},	// QsciLexerTeX::~QsciLexerTeX
    {81, 66, 1619},	// QsciLexerVHDL::Attribute
    {81, 137, 1610},	// QsciLexerVHDL::Comment
    {81, 143, 1611},	// QsciLexerVHDL::CommentLine
    {81, 158, 1609},	// QsciLexerVHDL::Default
    {81, 251, 1615},	// QsciLexerVHDL::Identifier
    {81, 300, 1617},	// QsciLexerVHDL::Keyword
    {81, 307, 1623},	// QsciLexerVHDL::KeywordSet7
    {81, 371, 1612},	// QsciLexerVHDL::Number
    {81, 375, 1614},	// QsciLexerVHDL::Operator
    {81, 512, 1607},	// QsciLexerVHDL::QsciLexerVHDL
    {81, 513, 1582},	// QsciLexerVHDL::QsciLexerVHDL#
    {81, 654, 1620},	// QsciLexerVHDL::StandardFunction
    {81, 655, 1618},	// QsciLexerVHDL::StandardOperator
    {81, 656, 1621},	// QsciLexerVHDL::StandardPackage
    {81, 657, 1622},	// QsciLexerVHDL::StandardType
    {81, 664, 1613},	// QsciLexerVHDL::String
    {81, 710, 1616},	// QsciLexerVHDL::UnclosedString
    {81, 819, 1585},	// QsciLexerVHDL::braceStyle
    {81, 870, 1586},	// QsciLexerVHDL::defaultColor$
    {81, 872, 1587},	// QsciLexerVHDL::defaultEolFill$
    {81, 874, 1588},	// QsciLexerVHDL::defaultFont$
    {81, 876, 1589},	// QsciLexerVHDL::defaultPaper$
    {81, 880, 1591},	// QsciLexerVHDL::description$
    {81, 944, 1596},	// QsciLexerVHDL::foldAtBegin
    {81, 945, 1595},	// QsciLexerVHDL::foldAtElse
    {81, 946, 1597},	// QsciLexerVHDL::foldAtParenthesis
    {81, 947, 1593},	// QsciLexerVHDL::foldComments
    {81, 948, 1594},	// QsciLexerVHDL::foldCompact
    {81, 1025, 1590},	// QsciLexerVHDL::keywords$
    {81, 1026, 1583},	// QsciLexerVHDL::language
    {81, 1031, 1584},	// QsciLexerVHDL::lexer
    {81, 1082, 1575},	// QsciLexerVHDL::metaObject
    {81, 1124, 1581},	// QsciLexerVHDL::qt_metacall$$?
    {81, 1126, 1576},	// QsciLexerVHDL::qt_metacast$
    {81, 1131, 1603},	// QsciLexerVHDL::readProperties#$
    {81, 1140, 1592},	// QsciLexerVHDL::refreshProperties
    {81, 1272, 1601},	// QsciLexerVHDL::setFoldAtBegin$
    {81, 1274, 1600},	// QsciLexerVHDL::setFoldAtElse$
    {81, 1276, 1602},	// QsciLexerVHDL::setFoldAtParenthesis$
    {81, 1278, 1598},	// QsciLexerVHDL::setFoldComments$
    {81, 1280, 1599},	// QsciLexerVHDL::setFoldCompact$
    {81, 1478, 1608},	// QsciLexerVHDL::staticMetaObject
    {81, 1502, 1605},	// QsciLexerVHDL::tr$
    {81, 1503, 1577},	// QsciLexerVHDL::tr$$
    {81, 1504, 1579},	// QsciLexerVHDL::tr$$$
    {81, 1506, 1606},	// QsciLexerVHDL::trUtf8$
    {81, 1507, 1578},	// QsciLexerVHDL::trUtf8$$
    {81, 1508, 1580},	// QsciLexerVHDL::trUtf8$$$
    {81, 1537, 1604},	// QsciLexerVHDL::writeProperties#$
    {81, 1580, 1624},	// QsciLexerVHDL::~QsciLexerVHDL
    {82, 514, 1647},	// QsciLexerXML::QsciLexerXML
    {82, 515, 1632},	// QsciLexerXML::QsciLexerXML#
    {82, 870, 1635},	// QsciLexerXML::defaultColor$
    {82, 872, 1636},	// QsciLexerXML::defaultEolFill$
    {82, 874, 1637},	// QsciLexerXML::defaultFont$
    {82, 876, 1638},	// QsciLexerXML::defaultPaper$
    {82, 1025, 1639},	// QsciLexerXML::keywords$
    {82, 1026, 1633},	// QsciLexerXML::language
    {82, 1031, 1634},	// QsciLexerXML::lexer
    {82, 1082, 1625},	// QsciLexerXML::metaObject
    {82, 1124, 1631},	// QsciLexerXML::qt_metacall$$?
    {82, 1126, 1626},	// QsciLexerXML::qt_metacast$
    {82, 1131, 1643},	// QsciLexerXML::readProperties#$
    {82, 1140, 1640},	// QsciLexerXML::refreshProperties
    {82, 1160, 1642},	// QsciLexerXML::scriptsStyled
    {82, 1407, 1641},	// QsciLexerXML::setScriptsStyled$
    {82, 1478, 1648},	// QsciLexerXML::staticMetaObject
    {82, 1502, 1645},	// QsciLexerXML::tr$
    {82, 1503, 1627},	// QsciLexerXML::tr$$
    {82, 1504, 1629},	// QsciLexerXML::tr$$$
    {82, 1506, 1646},	// QsciLexerXML::trUtf8$
    {82, 1507, 1628},	// QsciLexerXML::trUtf8$$
    {82, 1508, 1630},	// QsciLexerXML::trUtf8$$$
    {82, 1537, 1644},	// QsciLexerXML::writeProperties#$
    {82, 1581, 1649},	// QsciLexerXML::~QsciLexerXML
    {83, 137, 1676},	// QsciLexerYAML::Comment
    {83, 158, 1675},	// QsciLexerYAML::Default
    {83, 174, 1681},	// QsciLexerYAML::DocumentDelimiter
    {83, 251, 1677},	// QsciLexerYAML::Identifier
    {83, 300, 1678},	// QsciLexerYAML::Keyword
    {83, 371, 1679},	// QsciLexerYAML::Number
    {83, 375, 1684},	// QsciLexerYAML::Operator
    {83, 516, 1673},	// QsciLexerYAML::QsciLexerYAML
    {83, 517, 1657},	// QsciLexerYAML::QsciLexerYAML#
    {83, 551, 1680},	// QsciLexerYAML::Reference
    {83, 684, 1683},	// QsciLexerYAML::SyntaxErrorMarker
    {83, 694, 1682},	// QsciLexerYAML::TextBlockMarker
    {83, 870, 1660},	// QsciLexerYAML::defaultColor$
    {83, 872, 1661},	// QsciLexerYAML::defaultEolFill$
    {83, 874, 1662},	// QsciLexerYAML::defaultFont$
    {83, 876, 1663},	// QsciLexerYAML::defaultPaper$
    {83, 880, 1665},	// QsciLexerYAML::description$
    {83, 947, 1667},	// QsciLexerYAML::foldComments
    {83, 1025, 1664},	// QsciLexerYAML::keywords$
    {83, 1026, 1658},	// QsciLexerYAML::language
    {83, 1031, 1659},	// QsciLexerYAML::lexer
    {83, 1082, 1650},	// QsciLexerYAML::metaObject
    {83, 1124, 1656},	// QsciLexerYAML::qt_metacall$$?
    {83, 1126, 1651},	// QsciLexerYAML::qt_metacast$
    {83, 1131, 1669},	// QsciLexerYAML::readProperties#$
    {83, 1140, 1666},	// QsciLexerYAML::refreshProperties
    {83, 1278, 1668},	// QsciLexerYAML::setFoldComments$
    {83, 1478, 1674},	// QsciLexerYAML::staticMetaObject
    {83, 1502, 1671},	// QsciLexerYAML::tr$
    {83, 1503, 1652},	// QsciLexerYAML::tr$$
    {83, 1504, 1654},	// QsciLexerYAML::tr$$$
    {83, 1506, 1672},	// QsciLexerYAML::trUtf8$
    {83, 1507, 1653},	// QsciLexerYAML::trUtf8$$
    {83, 1508, 1655},	// QsciLexerYAML::trUtf8$$$
    {83, 1537, 1670},	// QsciLexerYAML::writeProperties#$
    {83, 1582, 1685},	// QsciLexerYAML::~QsciLexerYAML
    {84, 519, 1693},	// QsciMacro::QsciMacro#
    {84, 520, 1694},	// QsciMacro::QsciMacro$#
    {84, 837, 1695},	// QsciMacro::clear
    {84, 900, 1700},	// QsciMacro::endRecording
    {84, 1042, 1696},	// QsciMacro::load$
    {84, 1082, 1686},	// QsciMacro::metaObject
    {84, 1110, 1698},	// QsciMacro::play
    {84, 1124, 1692},	// QsciMacro::qt_metacall$$?
    {84, 1126, 1687},	// QsciMacro::qt_metacast$
    {84, 1157, 1697},	// QsciMacro::save
    {84, 1474, 1699},	// QsciMacro::startRecording
    {84, 1478, 1703},	// QsciMacro::staticMetaObject
    {84, 1502, 1701},	// QsciMacro::tr$
    {84, 1503, 1688},	// QsciMacro::tr$$
    {84, 1504, 1690},	// QsciMacro::tr$$$
    {84, 1506, 1702},	// QsciMacro::trUtf8$
    {84, 1507, 1689},	// QsciMacro::trUtf8$$
    {84, 1508, 1691},	// QsciMacro::trUtf8$$$
    {84, 1583, 1704},	// QsciMacro::~QsciMacro
    {85, 521, 1712},	// QsciPrinter::QsciPrinter
    {85, 522, 1705},	// QsciPrinter::QsciPrinter$
    {85, 966, 1706},	// QsciPrinter::formatPage#$#$
    {85, 1045, 1707},	// QsciPrinter::magnification
    {85, 1116, 1713},	// QsciPrinter::printRange#
    {85, 1117, 1714},	// QsciPrinter::printRange#$
    {85, 1118, 1709},	// QsciPrinter::printRange#$$
    {85, 1351, 1708},	// QsciPrinter::setMagnification$
    {85, 1463, 1711},	// QsciPrinter::setWrapMode$
    {85, 1533, 1710},	// QsciPrinter::wrapMode
    {85, 1584, 1715},	// QsciPrinter::~QsciPrinter
    {86, 49, 2018},	// QsciScintilla::AcsAPIs
    {86, 50, 2016},	// QsciScintilla::AcsAll
    {86, 51, 2017},	// QsciScintilla::AcsDocument
    {86, 52, 2015},	// QsciScintilla::AcsNone
    {86, 54, 2014},	// QsciScintilla::AcusAlways
    {86, 55, 2013},	// QsciScintilla::AcusExplicit
    {86, 56, 2012},	// QsciScintilla::AcusNever
    {86, 58, 2011},	// QsciScintilla::AnnotationBoxed
    {86, 59, 2009},	// QsciScintilla::AnnotationHidden
    {86, 60, 2010},	// QsciScintilla::AnnotationStandard
    {86, 79, 2085},	// QsciScintilla::Background
    {86, 94, 2073},	// QsciScintilla::BottomLeftCorner
    {86, 96, 2046},	// QsciScintilla::BoxIndicator
    {86, 97, 2037},	// QsciScintilla::BoxedFoldStyle
    {86, 98, 2077},	// QsciScintilla::BoxedMinus
    {86, 99, 2078},	// QsciScintilla::BoxedMinusConnected
    {86, 100, 2075},	// QsciScintilla::BoxedPlus
    {86, 101, 2076},	// QsciScintilla::BoxedPlusConnected
    {86, 102, 2039},	// QsciScintilla::BoxedTreeFoldStyle
    {86, 108, 2023},	// QsciScintilla::CallTipsAboveText
    {86, 109, 2022},	// QsciScintilla::CallTipsBelowText
    {86, 110, 2027},	// QsciScintilla::CallTipsContext
    {86, 111, 2026},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {86, 112, 2025},	// QsciScintilla::CallTipsNoContext
    {86, 113, 2024},	// QsciScintilla::CallTipsNone
    {86, 124, 2063},	// QsciScintilla::Circle
    {86, 125, 2036},	// QsciScintilla::CircledFoldStyle
    {86, 126, 2083},	// QsciScintilla::CircledMinus
    {86, 127, 2084},	// QsciScintilla::CircledMinusConnected
    {86, 128, 2081},	// QsciScintilla::CircledPlus
    {86, 129, 2082},	// QsciScintilla::CircledPlusConnected
    {86, 130, 2038},	// QsciScintilla::CircledTreeFoldStyle
    {86, 155, 2049},	// QsciScintilla::DashesIndicator
    {86, 170, 2043},	// QsciScintilla::DiagonalIndicator
    {86, 179, 2052},	// QsciScintilla::DotBoxIndicator
    {86, 180, 2050},	// QsciScintilla::DotsIndicator
    {86, 186, 2069},	// QsciScintilla::DownTriangle
    {86, 193, 2030},	// QsciScintilla::EdgeBackground
    {86, 194, 2029},	// QsciScintilla::EdgeLine
    {86, 195, 2028},	// QsciScintilla::EdgeNone
    {86, 200, 2033},	// QsciScintilla::EolMac
    {86, 201, 2032},	// QsciScintilla::EolUnix
    {86, 202, 2031},	// QsciScintilla::EolWindows
    {86, 217, 2088},	// QsciScintilla::FullRectangle
    {86, 238, 2045},	// QsciScintilla::HiddenIndicator
    {86, 285, 2068},	// QsciScintilla::Invisible
    {86, 316, 2089},	// QsciScintilla::LeftRectangle
    {86, 317, 2080},	// QsciScintilla::LeftSideRoundedSplitter
    {86, 318, 2074},	// QsciScintilla::LeftSideSplitter
    {86, 355, 2070},	// QsciScintilla::Minus
    {86, 356, -165},	// QsciScintilla::MoNone
    {86, 357, -168},	// QsciScintilla::MoSublineSelect
    {86, 367, 2019},	// QsciScintilla::NoBraceMatch
    {86, 368, 2034},	// QsciScintilla::NoFoldStyle
    {86, 372, 2060},	// QsciScintilla::NumberMargin
    {86, 413, 2035},	// QsciScintilla::PlainFoldStyle
    {86, 414, 2040},	// QsciScintilla::PlainIndicator
    {86, 415, 2071},	// QsciScintilla::Plus
    {86, 523, 1975},	// QsciScintilla::QsciScintilla
    {86, 524, 1723},	// QsciScintilla::QsciScintilla#
    {86, 549, 2064},	// QsciScintilla::Rectangle
    {86, 554, 2067},	// QsciScintilla::RightArrow
    {86, 555, 2065},	// QsciScintilla::RightTriangle
    {86, 556, 2047},	// QsciScintilla::RoundBoxIndicator
    {86, 557, 2079},	// QsciScintilla::RoundedBottomLeftCorner
    {86, 646, 2021},	// QsciScintilla::SloppyBraceMatch
    {86, 648, 2066},	// QsciScintilla::SmallRectangle
    {86, 651, 2041},	// QsciScintilla::SquiggleIndicator
    {86, 652, 2051},	// QsciScintilla::SquiggleLowIndicator
    {86, 653, 2053},	// QsciScintilla::SquigglePixmapIndicator
    {86, 661, 2048},	// QsciScintilla::StraightBoxIndicator
    {86, 662, 2020},	// QsciScintilla::StrictBraceMatch
    {86, 663, 2044},	// QsciScintilla::StrikeIndicator
    {86, 680, 2057},	// QsciScintilla::SymbolMargin
    {86, 681, 2059},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {86, 682, 2058},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {86, 686, 2042},	// QsciScintilla::TTIndicator
    {86, 695, 2061},	// QsciScintilla::TextMargin
    {86, 696, 2062},	// QsciScintilla::TextMarginRightJustified
    {86, 697, 2054},	// QsciScintilla::ThickCompositionIndicator
    {86, 698, 2086},	// QsciScintilla::ThreeDots
    {86, 699, 2087},	// QsciScintilla::ThreeRightArrows
    {86, 711, 2090},	// QsciScintilla::Underline
    {86, 736, 2072},	// QsciScintilla::VerticalLine
    {86, 750, 2096},	// QsciScintilla::WrapCharacter
    {86, 751, 2099},	// QsciScintilla::WrapFlagByBorder
    {86, 752, 2098},	// QsciScintilla::WrapFlagByText
    {86, 753, 2100},	// QsciScintilla::WrapFlagInMargin
    {86, 754, 2097},	// QsciScintilla::WrapFlagNone
    {86, 755, 2101},	// QsciScintilla::WrapIndentFixed
    {86, 756, 2103},	// QsciScintilla::WrapIndentIndented
    {86, 757, 2102},	// QsciScintilla::WrapIndentSame
    {86, 758, 2094},	// QsciScintilla::WrapNone
    {86, 759, 2095},	// QsciScintilla::WrapWord
    {86, 760, 2091},	// QsciScintilla::WsInvisible
    {86, 761, 2092},	// QsciScintilla::WsVisible
    {86, 762, 2093},	// QsciScintilla::WsVisibleAfterIndent
    {86, 773, 1727},	// QsciScintilla::annotate$#
    {86, 774, 1726},	// QsciScintilla::annotate$$#
    {86, 775, 1725},	// QsciScintilla::annotate$$$
    {86, 776, 1728},	// QsciScintilla::annotate$?
    {86, 778, 1729},	// QsciScintilla::annotation$
    {86, 779, 1730},	// QsciScintilla::annotationDisplay
    {86, 781, 1724},	// QsciScintilla::apiContext$$$
    {86, 787, 1884},	// QsciScintilla::append$
    {86, 790, 1886},	// QsciScintilla::autoCompleteFromAPIs
    {86, 791, 1885},	// QsciScintilla::autoCompleteFromAll
    {86, 792, 1887},	// QsciScintilla::autoCompleteFromDocument
    {86, 793, 1732},	// QsciScintilla::autoCompletionCaseSensitivity
    {86, 795, 1733},	// QsciScintilla::autoCompletionFillupsEnabled
    {86, 796, 1734},	// QsciScintilla::autoCompletionReplaceWord
    {86, 799, 1735},	// QsciScintilla::autoCompletionShowSingle
    {86, 800, 1736},	// QsciScintilla::autoCompletionSource
    {86, 801, 1737},	// QsciScintilla::autoCompletionThreshold
    {86, 802, 1738},	// QsciScintilla::autoCompletionUseSingle
    {86, 804, 1739},	// QsciScintilla::autoIndent
    {86, 807, 1740},	// QsciScintilla::backspaceUnindents
    {86, 808, 1741},	// QsciScintilla::beginUndoAction
    {86, 818, 1742},	// QsciScintilla::braceMatching
    {86, 822, 1888},	// QsciScintilla::callTip
    {86, 825, 1743},	// QsciScintilla::callTipsPosition
    {86, 826, 1744},	// QsciScintilla::callTipsStyle
    {86, 827, 1745},	// QsciScintilla::callTipsVisible
    {86, 830, 1746},	// QsciScintilla::cancelList
    {86, 832, 1747},	// QsciScintilla::caseSensitive
    {86, 837, 1889},	// QsciScintilla::clear
    {86, 839, 1976},	// QsciScintilla::clearAnnotations
    {86, 840, 1731},	// QsciScintilla::clearAnnotations$
    {86, 841, 1748},	// QsciScintilla::clearFolds
    {86, 843, 1749},	// QsciScintilla::clearIndicatorRange$$$$$
    {86, 845, 1997},	// QsciScintilla::clearMarginText
    {86, 846, 1847},	// QsciScintilla::clearMarginText$
    {86, 847, 1750},	// QsciScintilla::clearRegisteredImages
    {86, 849, 1751},	// QsciScintilla::color
    {86, 857, 1972},	// QsciScintilla::contextMenuEvent#
    {86, 858, 1752},	// QsciScintilla::contractedFolds
    {86, 860, 1753},	// QsciScintilla::convertEols$
    {86, 861, 1890},	// QsciScintilla::copy
    {86, 863, 1961},	// QsciScintilla::copyAvailable$
    {86, 864, 1754},	// QsciScintilla::createStandardContextMenu
    {86, 866, 1960},	// QsciScintilla::cursorPositionChanged$$
    {86, 868, 1891},	// QsciScintilla::cut
    {86, 884, 1755},	// QsciScintilla::document
    {86, 895, 1757},	// QsciScintilla::edgeColor
    {86, 896, 1758},	// QsciScintilla::edgeColumn
    {86, 897, 1759},	// QsciScintilla::edgeMode
    {86, 901, 1756},	// QsciScintilla::endUndoAction
    {86, 902, 1892},	// QsciScintilla::ensureCursorVisible
    {86, 904, 1893},	// QsciScintilla::ensureLineVisible$
    {86, 910, 1761},	// QsciScintilla::eolMode
    {86, 911, 1762},	// QsciScintilla::eolVisibility
    {86, 913, 1971},	// QsciScintilla::event#
    {86, 916, 1763},	// QsciScintilla::extraAscent
    {86, 917, 1764},	// QsciScintilla::extraDescent
    {86, 919, 1765},	// QsciScintilla::fillIndicatorRange$$$$$
    {86, 923, 1977},	// QsciScintilla::findFirst$$$$$
    {86, 924, 1978},	// QsciScintilla::findFirst$$$$$$
    {86, 925, 1979},	// QsciScintilla::findFirst$$$$$$$
    {86, 926, 1980},	// QsciScintilla::findFirst$$$$$$$$
    {86, 927, 1981},	// QsciScintilla::findFirst$$$$$$$$$
    {86, 928, 1766},	// QsciScintilla::findFirst$$$$$$$$$$
    {86, 930, 1982},	// QsciScintilla::findFirstInSelection$$$$
    {86, 931, 1983},	// QsciScintilla::findFirstInSelection$$$$$
    {86, 932, 1984},	// QsciScintilla::findFirstInSelection$$$$$$
    {86, 933, 1767},	// QsciScintilla::findFirstInSelection$$$$$$$
    {86, 934, 1768},	// QsciScintilla::findNext
    {86, 935, 1769},	// QsciScintilla::firstVisibleLine
    {86, 942, 2002},	// QsciScintilla::foldAll
    {86, 943, 1894},	// QsciScintilla::foldAll$
    {86, 951, 1895},	// QsciScintilla::foldLine$
    {86, 959, 1770},	// QsciScintilla::folding
    {86, 970, 1771},	// QsciScintilla::getCursorPosition$$
    {86, 972, 1772},	// QsciScintilla::getSelection$$$$
    {86, 973, 1773},	// QsciScintilla::hasSelectedText
    {86, 982, 1896},	// QsciScintilla::indent$
    {86, 984, 1774},	// QsciScintilla::indentation$
    {86, 986, 1775},	// QsciScintilla::indentationGuides
    {86, 988, 1777},	// QsciScintilla::indentationWidth
    {86, 989, 1776},	// QsciScintilla::indentationsUseTabs
    {86, 991, 1962},	// QsciScintilla::indicatorClicked$$$
    {86, 993, 1985},	// QsciScintilla::indicatorDefine$
    {86, 994, 1778},	// QsciScintilla::indicatorDefine$$
    {86, 996, 1779},	// QsciScintilla::indicatorDrawUnder$
    {86, 998, 1963},	// QsciScintilla::indicatorReleased$$$
    {86, 1005, 1897},	// QsciScintilla::insert$
    {86, 1007, 1898},	// QsciScintilla::insertAt$$$
    {86, 1009, 1780},	// QsciScintilla::isCallTipActive
    {86, 1010, 1781},	// QsciScintilla::isListActive
    {86, 1011, 1782},	// QsciScintilla::isModified
    {86, 1014, 1783},	// QsciScintilla::isReadOnly
    {86, 1015, 1784},	// QsciScintilla::isRedoAvailable
    {86, 1016, 1785},	// QsciScintilla::isUndoAvailable
    {86, 1017, 1786},	// QsciScintilla::isUtf8
    {86, 1019, 1787},	// QsciScintilla::isWordCharacter$
    {86, 1029, 1792},	// QsciScintilla::length
    {86, 1031, 1793},	// QsciScintilla::lexer
    {86, 1034, 1788},	// QsciScintilla::lineAt#
    {86, 1036, 1789},	// QsciScintilla::lineIndexFromPosition$$$
    {86, 1038, 1790},	// QsciScintilla::lineLength$
    {86, 1039, 1791},	// QsciScintilla::lines
    {86, 1040, 1964},	// QsciScintilla::linesChanged
    {86, 1048, 1965},	// QsciScintilla::marginClicked$$$
    {86, 1050, 1794},	// QsciScintilla::marginLineNumbers$
    {86, 1052, 1795},	// QsciScintilla::marginMarkerMask$
    {86, 1053, 1796},	// QsciScintilla::marginOptions
    {86, 1055, 1797},	// QsciScintilla::marginSensitivity$
    {86, 1057, 1798},	// QsciScintilla::marginType$
    {86, 1059, 1799},	// QsciScintilla::marginWidth$
    {86, 1061, 1804},	// QsciScintilla::markerAdd$$
    {86, 1063, -171},	// QsciScintilla::markerDefine#
    {86, 1064, -174},	// QsciScintilla::markerDefine#$
    {86, 1065, -177},	// QsciScintilla::markerDefine$
    {86, 1066, -180},	// QsciScintilla::markerDefine$$
    {86, 1068, 1990},	// QsciScintilla::markerDelete$
    {86, 1069, 1806},	// QsciScintilla::markerDelete$$
    {86, 1070, 1991},	// QsciScintilla::markerDeleteAll
    {86, 1071, 1807},	// QsciScintilla::markerDeleteAll$
    {86, 1073, 1808},	// QsciScintilla::markerDeleteHandle$
    {86, 1075, 1810},	// QsciScintilla::markerFindNext$$
    {86, 1077, 1811},	// QsciScintilla::markerFindPrevious$$
    {86, 1079, 1809},	// QsciScintilla::markerLine$
    {86, 1081, 1805},	// QsciScintilla::markersAtLine$
    {86, 1082, 1716},	// QsciScintilla::metaObject
    {86, 1085, 1966},	// QsciScintilla::modificationAttempted
    {86, 1087, 1967},	// QsciScintilla::modificationChanged$
    {86, 1097, 1899},	// QsciScintilla::moveToMatchingBrace
    {86, 1100, 1812},	// QsciScintilla::overwriteMode
    {86, 1105, 1813},	// QsciScintilla::paper
    {86, 1109, 1900},	// QsciScintilla::paste
    {86, 1113, 1814},	// QsciScintilla::positionFromLineIndex$$
    {86, 1124, 1722},	// QsciScintilla::qt_metacall$$?
    {86, 1126, 1717},	// QsciScintilla::qt_metacast$
    {86, 1129, 1815},	// QsciScintilla::read#
    {86, 1135, 1992},	// QsciScintilla::recolor
    {86, 1136, 1993},	// QsciScintilla::recolor$
    {86, 1137, 1816},	// QsciScintilla::recolor$$
    {86, 1138, 1901},	// QsciScintilla::redo
    {86, 1142, -183},	// QsciScintilla::registerImage$#
    {86, 1145, 1902},	// QsciScintilla::removeSelectedText
    {86, 1147, 1819},	// QsciScintilla::replace$
    {86, 1149, 1903},	// QsciScintilla::replaceSelectedText$
    {86, 1150, 1820},	// QsciScintilla::resetFoldMarginColors
    {86, 1151, 1853},	// QsciScintilla::resetMatchedBraceIndicator
    {86, 1152, 1904},	// QsciScintilla::resetSelectionBackgroundColor
    {86, 1153, 1905},	// QsciScintilla::resetSelectionForegroundColor
    {86, 1154, 1857},	// QsciScintilla::resetUnmatchedBraceIndicator
    {86, 1163, 2003},	// QsciScintilla::selectAll
    {86, 1164, 1906},	// QsciScintilla::selectAll$
    {86, 1165, 1907},	// QsciScintilla::selectToMatchingBrace
    {86, 1166, 1859},	// QsciScintilla::selectedText
    {86, 1167, 1968},	// QsciScintilla::selectionChanged
    {86, 1168, 1860},	// QsciScintilla::selectionToEol
    {86, 1174, 1822},	// QsciScintilla::setAnnotationDisplay$
    {86, 1176, 1908},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {86, 1178, 1824},	// QsciScintilla::setAutoCompletionFillups$
    {86, 1180, 1823},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {86, 1182, 1909},	// QsciScintilla::setAutoCompletionReplaceWord$
    {86, 1184, 1910},	// QsciScintilla::setAutoCompletionShowSingle$
    {86, 1186, 1911},	// QsciScintilla::setAutoCompletionSource$
    {86, 1188, 1912},	// QsciScintilla::setAutoCompletionThreshold$
    {86, 1190, 1913},	// QsciScintilla::setAutoCompletionUseSingle$
    {86, 1192, 1825},	// QsciScintilla::setAutoCompletionWordSeparators?
    {86, 1194, 1914},	// QsciScintilla::setAutoIndent$
    {86, 1200, 1916},	// QsciScintilla::setBackspaceUnindents$
    {86, 1202, 1915},	// QsciScintilla::setBraceMatching$
    {86, 1204, 1826},	// QsciScintilla::setCallTipsBackgroundColor#
    {86, 1206, 1827},	// QsciScintilla::setCallTipsForegroundColor#
    {86, 1208, 1828},	// QsciScintilla::setCallTipsHighlightColor#
    {86, 1210, 1829},	// QsciScintilla::setCallTipsPosition$
    {86, 1212, 1830},	// QsciScintilla::setCallTipsStyle$
    {86, 1214, 1831},	// QsciScintilla::setCallTipsVisible$
    {86, 1216, 1917},	// QsciScintilla::setCaretForegroundColor#
    {86, 1218, 1918},	// QsciScintilla::setCaretLineBackgroundColor#
    {86, 1220, 1919},	// QsciScintilla::setCaretLineVisible$
    {86, 1222, 1920},	// QsciScintilla::setCaretWidth$
    {86, 1228, 1921},	// QsciScintilla::setColor#
    {86, 1231, 1832},	// QsciScintilla::setContractedFolds?
    {86, 1233, 1922},	// QsciScintilla::setCursorPosition$$
    {86, 1245, 1833},	// QsciScintilla::setDocument#
    {86, 1251, 1834},	// QsciScintilla::setEdgeColor#
    {86, 1253, 1835},	// QsciScintilla::setEdgeColumn$
    {86, 1255, 1836},	// QsciScintilla::setEdgeMode$
    {86, 1262, 1923},	// QsciScintilla::setEolMode$
    {86, 1264, 1924},	// QsciScintilla::setEolVisibility$
    {86, 1266, 1862},	// QsciScintilla::setExtraAscent$
    {86, 1268, 1863},	// QsciScintilla::setExtraDescent$
    {86, 1270, 1837},	// QsciScintilla::setFirstVisibleLine$
    {86, 1284, 1821},	// QsciScintilla::setFoldMarginColors##
    {86, 1300, 2004},	// QsciScintilla::setFolding$
    {86, 1301, 1925},	// QsciScintilla::setFolding$$
    {86, 1303, 1760},	// QsciScintilla::setFont#
    {86, 1318, 1926},	// QsciScintilla::setIndentation$$
    {86, 1320, 1927},	// QsciScintilla::setIndentationGuides$
    {86, 1322, 1928},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {86, 1324, 1929},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {86, 1328, 1931},	// QsciScintilla::setIndentationWidth$
    {86, 1330, 1930},	// QsciScintilla::setIndentationsUseTabs$
    {86, 1332, 1994},	// QsciScintilla::setIndicatorDrawUnder$
    {86, 1333, 1838},	// QsciScintilla::setIndicatorDrawUnder$$
    {86, 1335, 1995},	// QsciScintilla::setIndicatorForegroundColor#
    {86, 1336, 1839},	// QsciScintilla::setIndicatorForegroundColor#$
    {86, 1338, 1996},	// QsciScintilla::setIndicatorOutlineColor#
    {86, 1339, 1840},	// QsciScintilla::setIndicatorOutlineColor#$
    {86, 1348, 2005},	// QsciScintilla::setLexer
    {86, 1349, 1932},	// QsciScintilla::setLexer#
    {86, 1355, 1936},	// QsciScintilla::setMarginLineNumbers$$
    {86, 1357, 1937},	// QsciScintilla::setMarginMarkerMask$$
    {86, 1359, 1841},	// QsciScintilla::setMarginOptions$
    {86, 1361, 1938},	// QsciScintilla::setMarginSensitivity$$
    {86, 1363, 1844},	// QsciScintilla::setMarginText$#
    {86, 1364, 1843},	// QsciScintilla::setMarginText$$#
    {86, 1365, 1842},	// QsciScintilla::setMarginText$$$
    {86, 1366, 1845},	// QsciScintilla::setMarginText$?
    {86, 1368, 1846},	// QsciScintilla::setMarginType$$
    {86, 1370, -186},	// QsciScintilla::setMarginWidth$$
    {86, 1372, 1933},	// QsciScintilla::setMarginsBackgroundColor#
    {86, 1374, 1934},	// QsciScintilla::setMarginsFont#
    {86, 1376, 1935},	// QsciScintilla::setMarginsForegroundColor#
    {86, 1378, 1998},	// QsciScintilla::setMarkerBackgroundColor#
    {86, 1379, 1848},	// QsciScintilla::setMarkerBackgroundColor#$
    {86, 1381, 1999},	// QsciScintilla::setMarkerForegroundColor#
    {86, 1382, 1849},	// QsciScintilla::setMarkerForegroundColor#$
    {86, 1384, 1850},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {86, 1386, 1851},	// QsciScintilla::setMatchedBraceForegroundColor#
    {86, 1388, 1852},	// QsciScintilla::setMatchedBraceIndicator$
    {86, 1390, 1941},	// QsciScintilla::setModified$
    {86, 1392, 1864},	// QsciScintilla::setOverwriteMode$
    {86, 1394, 1942},	// QsciScintilla::setPaper#
    {86, 1403, 1943},	// QsciScintilla::setReadOnly$
    {86, 1410, 1944},	// QsciScintilla::setSelection$$$$
    {86, 1412, 1945},	// QsciScintilla::setSelectionBackgroundColor#
    {86, 1414, 1946},	// QsciScintilla::setSelectionForegroundColor#
    {86, 1416, 1861},	// QsciScintilla::setSelectionToEol$
    {86, 1427, 1947},	// QsciScintilla::setTabIndents$
    {86, 1429, 1948},	// QsciScintilla::setTabWidth$
    {86, 1431, 1949},	// QsciScintilla::setText$
    {86, 1437, 1854},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {86, 1439, 1855},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {86, 1441, 1856},	// QsciScintilla::setUnmatchedBraceIndicator$
    {86, 1443, 1950},	// QsciScintilla::setUtf8$
    {86, 1453, 1865},	// QsciScintilla::setWhitespaceBackgroundColor#
    {86, 1455, 1866},	// QsciScintilla::setWhitespaceForegroundColor#
    {86, 1457, 1867},	// QsciScintilla::setWhitespaceSize$
    {86, 1459, 1951},	// QsciScintilla::setWhitespaceVisibility$
    {86, 1461, 1868},	// QsciScintilla::setWrapIndentMode$
    {86, 1463, 1952},	// QsciScintilla::setWrapMode$
    {86, 1465, 2000},	// QsciScintilla::setWrapVisualFlags$
    {86, 1466, 2001},	// QsciScintilla::setWrapVisualFlags$$
    {86, 1467, 1858},	// QsciScintilla::setWrapVisualFlags$$$
    {86, 1470, 1869},	// QsciScintilla::showUserList$?
    {86, 1473, 1870},	// QsciScintilla::standardCommands
    {86, 1478, 2006},	// QsciScintilla::staticMetaObject
    {86, 1486, 1871},	// QsciScintilla::tabIndents
    {86, 1487, 1872},	// QsciScintilla::tabWidth
    {86, 1489, 1873},	// QsciScintilla::text
    {86, 1490, 1874},	// QsciScintilla::text$
    {86, 1494, 1969},	// QsciScintilla::textChanged
    {86, 1496, 1875},	// QsciScintilla::textHeight$
    {86, 1502, 1973},	// QsciScintilla::tr$
    {86, 1503, 1718},	// QsciScintilla::tr$$
    {86, 1504, 1720},	// QsciScintilla::tr$$$
    {86, 1506, 1974},	// QsciScintilla::trUtf8$
    {86, 1507, 1719},	// QsciScintilla::trUtf8$$
    {86, 1508, 1721},	// QsciScintilla::trUtf8$$$
    {86, 1509, 1953},	// QsciScintilla::undo
    {86, 1511, 1954},	// QsciScintilla::unindent$
    {86, 1515, 1970},	// QsciScintilla::userListActivated$$
    {86, 1524, 1876},	// QsciScintilla::whitespaceSize
    {86, 1525, 1877},	// QsciScintilla::whitespaceVisibility
    {86, 1528, 1878},	// QsciScintilla::wordAtLineIndex$$
    {86, 1530, 1879},	// QsciScintilla::wordAtPoint#
    {86, 1531, 1880},	// QsciScintilla::wordCharacters
    {86, 1532, 1882},	// QsciScintilla::wrapIndentMode
    {86, 1533, 1881},	// QsciScintilla::wrapMode
    {86, 1535, 1883},	// QsciScintilla::write#
    {86, 1542, 1956},	// QsciScintilla::zoomIn
    {86, 1543, 1955},	// QsciScintilla::zoomIn$
    {86, 1544, 1958},	// QsciScintilla::zoomOut
    {86, 1545, 1957},	// QsciScintilla::zoomOut$
    {86, 1547, 1959},	// QsciScintilla::zoomTo$
    {86, 1585, 2104},	// QsciScintilla::~QsciScintilla
    {87, 448, 2128},	// QsciScintillaBase::QSCN_SELCHANGED$
    {87, 525, 2183},	// QsciScintillaBase::QsciScintillaBase
    {87, 526, 2112},	// QsciScintillaBase::QsciScintillaBase#
    {87, 558, 2132},	// QsciScintillaBase::SCEN_CHANGE
    {87, 559, 2129},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {87, 560, 2130},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {87, 562, 2131},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {87, 564, 2133},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {87, 566, 2134},	// QsciScintillaBase::SCN_CHARADDED$
    {87, 568, 2135},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {87, 570, 2136},	// QsciScintillaBase::SCN_DWELLEND$$$
    {87, 572, 2137},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {87, 573, 2138},	// QsciScintillaBase::SCN_FOCUSIN
    {87, 574, 2139},	// QsciScintillaBase::SCN_FOCUSOUT
    {87, 576, 2140},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {87, 578, 2141},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {87, 580, 2142},	// QsciScintillaBase::SCN_HOTSPOTRELEASECLICK$$
    {87, 582, 2143},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {87, 584, 2144},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {87, 586, 2145},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {87, 588, 2146},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {87, 590, 2147},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {87, 591, 2148},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {87, 593, 2149},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {87, 594, 2150},	// QsciScintillaBase::SCN_PAINTED
    {87, 595, 2151},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {87, 596, 2152},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {87, 598, 2153},	// QsciScintillaBase::SCN_STYLENEEDED$
    {87, 600, 2154},	// QsciScintillaBase::SCN_UPDATEUI$
    {87, 602, 2155},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {87, 603, 2156},	// QsciScintillaBase::SCN_ZOOM
    {87, 605, -1},	// QsciScintillaBase::SC_ORDER_CUSTOM
    {87, 606, -51},	// QsciScintillaBase::SC_ORDER_PERFORMSORT
    {87, 607, -101},	// QsciScintillaBase::SC_ORDER_PRESORTED
    {87, 633, 2184},	// QsciScintillaBase::SendScintilla$
    {87, 634, 2123},	// QsciScintillaBase::SendScintilla$#
    {87, 635, -151},	// QsciScintillaBase::SendScintilla$$
    {87, 636, -156},	// QsciScintillaBase::SendScintilla$$#
    {87, 637, 2124},	// QsciScintillaBase::SendScintilla$$##$$
    {87, 638, -160},	// QsciScintillaBase::SendScintilla$$$
    {87, 639, 2121},	// QsciScintillaBase::SendScintilla$$$$
    {87, 641, 2127},	// QsciScintillaBase::SendScintillaPtrResult$
    {87, 821, 2180},	// QsciScintillaBase::bytesAsText$
    {87, 829, 2157},	// QsciScintillaBase::canInsertFromMimeData#
    {87, 857, 2160},	// QsciScintillaBase::contextMenuEvent#
    {87, 888, 2161},	// QsciScintillaBase::dragEnterEvent#
    {87, 890, 2162},	// QsciScintillaBase::dragLeaveEvent#
    {87, 892, 2163},	// QsciScintillaBase::dragMoveEvent#
    {87, 894, 2164},	// QsciScintillaBase::dropEvent#
    {87, 937, 2165},	// QsciScintillaBase::focusInEvent#
    {87, 939, 2167},	// QsciScintillaBase::focusNextPrevChild$
    {87, 941, 2166},	// QsciScintillaBase::focusOutEvent#
    {87, 968, 2158},	// QsciScintillaBase::fromMimeData#$
    {87, 1001, 2169},	// QsciScintillaBase::inputMethodEvent#
    {87, 1003, 2170},	// QsciScintillaBase::inputMethodQuery$
    {87, 1022, 2168},	// QsciScintillaBase::keyPressEvent#
    {87, 1082, 2105},	// QsciScintillaBase::metaObject
    {87, 1089, 2171},	// QsciScintillaBase::mouseDoubleClickEvent#
    {87, 1091, 2172},	// QsciScintillaBase::mouseMoveEvent#
    {87, 1093, 2173},	// QsciScintillaBase::mousePressEvent#
    {87, 1095, 2174},	// QsciScintillaBase::mouseReleaseEvent#
    {87, 1103, 2175},	// QsciScintillaBase::paintEvent#
    {87, 1111, 2113},	// QsciScintillaBase::pool
    {87, 1124, 2111},	// QsciScintillaBase::qt_metacall$$?
    {87, 1126, 2106},	// QsciScintillaBase::qt_metacast$
    {87, 1156, 2176},	// QsciScintillaBase::resizeEvent#
    {87, 1162, 2177},	// QsciScintillaBase::scrollContentsBy$$
    {87, 1408, 2178},	// QsciScintillaBase::setScrollBars
    {87, 1478, 2186},	// QsciScintillaBase::staticMetaObject
    {87, 1492, 2179},	// QsciScintillaBase::textAsBytes$
    {87, 1499, 2159},	// QsciScintillaBase::toMimeData#$
    {87, 1502, 2181},	// QsciScintillaBase::tr$
    {87, 1503, 2107},	// QsciScintillaBase::tr$$
    {87, 1504, 2109},	// QsciScintillaBase::tr$$$
    {87, 1506, 2182},	// QsciScintillaBase::trUtf8$
    {87, 1507, 2108},	// QsciScintillaBase::trUtf8$$
    {87, 1508, 2110},	// QsciScintillaBase::trUtf8$$$
    {87, 1586, 2334},	// QsciScintillaBase::~QsciScintillaBase
    {88, 349, 2363},	// QsciStyle::LowerCase
    {88, 376, 2361},	// QsciStyle::OriginalCase
    {88, 527, 2359},	// QsciStyle::QsciStyle
    {88, 528, 2358},	// QsciStyle::QsciStyle#
    {88, 529, 2335},	// QsciStyle::QsciStyle$
    {88, 530, 2360},	// QsciStyle::QsciStyle$$###
    {88, 531, 2336},	// QsciStyle::QsciStyle$$###$
    {88, 717, 2362},	// QsciStyle::UpperCase
    {88, 789, 2337},	// QsciStyle::apply#
    {88, 835, 2354},	// QsciStyle::changeable
    {88, 849, 2342},	// QsciStyle::color
    {88, 879, 2340},	// QsciStyle::description
    {88, 906, 2348},	// QsciStyle::eolFill
    {88, 960, 2346},	// QsciStyle::font
    {88, 980, 2356},	// QsciStyle::hotspot
    {88, 1105, 2344},	// QsciStyle::paper
    {88, 1139, 2357},	// QsciStyle::refresh
    {88, 1226, 2353},	// QsciStyle::setChangeable$
    {88, 1228, 2341},	// QsciStyle::setColor#
    {88, 1241, 2339},	// QsciStyle::setDescription$
    {88, 1259, 2347},	// QsciStyle::setEolFill$
    {88, 1303, 2345},	// QsciStyle::setFont#
    {88, 1316, 2355},	// QsciStyle::setHotspot$
    {88, 1394, 2343},	// QsciStyle::setPaper#
    {88, 1433, 2349},	// QsciStyle::setTextCase$
    {88, 1451, 2351},	// QsciStyle::setVisible$
    {88, 1480, 2338},	// QsciStyle::style
    {88, 1493, 2350},	// QsciStyle::textCase
    {88, 1522, 2352},	// QsciStyle::visible
    {88, 1587, 2364},	// QsciStyle::~QsciStyle
    {89, 533, 2370},	// QsciStyledText::QsciStyledText#
    {89, 534, 2366},	// QsciStyledText::QsciStyledText$#
    {89, 535, 2365},	// QsciStyledText::QsciStyledText$$
    {89, 789, 2367},	// QsciStyledText::apply#
    {89, 1480, 2369},	// QsciStyledText::style
    {89, 1489, 2368},	// QsciStyledText::text
    {89, 1588, 2371},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 89,
        __smokeqsci::methods, 2372,
        __smokeqsci::methodMaps, 2172,
        __smokeqsci::methodNames, 1588,
        __smokeqsci::types, 223,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
